Groma v. 9.0
Další

Groma v. 9.0

Jan Sehnal

Copyright © 1993, 2009 Jan Sehnal

Obsah

I. Uživatelská příručka
1. Úvod
Požadavky programu
Ochrana programu
2. Instalace programu
Instalace
Spuštění programu
Parametry při spuštění
Konfigurační soubor
Informační kanál
Automatická aktualizace
3. Ovládání programu
Ovládání programu
Hlavní okno programu
Lišta nástrojů
Lišta výpočetních funkcí
Lišta nastavení
Datová okna
Práce s okny
Dialogová okna
Nápověda
4. Datové soubory
Projekty
Souřadnicové soubory
Soubory s měřenými daty
Protokoly
Textové soubory
Grafické soubory
Indexování souborů
Komprese souboru
Správa souborů
Otevření souboru
Založení nového souboru
Import souborů z předchozích verzí systému GROMA
5. Seznamy
Informace o bodech
Kurzor
Editování
Přidávání položek
Mazání položek
Označování
Vyhledávání položek
Volba zobrazených údajů
Krok zpět
Přetahování dat
Přečíslování seznamu
Hromadné změny v seznamech
6. Seznam souřadnic
Pohyb v seznamu souřadnic
Zamykání bodů
Řazení seznamu souřadnic
Aktivní seznam souřadnic
Vyhledávání v seznamu souřadnic
Ukládání bodů
Grafické zobrazení bodů
Roztřídění seznamu podle mapových listů
Porovnání seznamů souřadnic
Kontrola duplicitních čísel
Odstranění identických bodů
Kontrola číslování bodů
Dávkové průměrování souřadnic
Zaokrouhlení souřadnic
Obnova smazaných položek
Připojení souboru
Dvojí souřadnice
7. Seznam měření
Volba podrobnosti zobrazení
Přečíslování seznamu měření
Zpracování zápisníku
Označení orientací
Spojení souborů měření
Obnova smazaných položek
8. Projekty
Založení projektu
Přidávání / ubírání souborů
Uložení projektu
Otevření projektu
9. Kódování bodů
Princip kódování
Kódovací tabulka
Připojení a odpojení kódovací tabulky
Editace kódovací tabulky
Vícenásobné kódy
Nenalezené kódy
Označování bodů podle kódů
Zadávání kódů pomocí popisů
Překódování při importu
10. Výpočty
Výpočetní dialogová okna
Zadávání údajů
Ukládání výsledků
Kontrolní kresba
Tolerance
Testování dle předpisů pro práci v katastru nemovitostí
Transformace souřadnic
Orientace osnov
11. Výpočetní úlohy
Polární metoda
Ortogonální metoda
Polární metoda dávkou
Ortogonální metoda dávkou
Volné stanovisko
Protínání z délek
Protínání z orientovaných směrů
Hromadné protínání z orientovaných směrů
Průsečík přímek
Průsečík přímka - směr
Průsečík přímka - kružnice
Polygonový pořad
Výškový pořad
Transformace souřadnic
Směrník a délka
Kontrolní oměrné
Soubor kontrolních oměrných
Konstrukční oměrné
Vyrovnání na přímku
Výpočet výměr
Polární vytyčovací prvky
Ortogonální vytyčovací prvky
Výpočet trasy
Fasáda
Kubatury
Výpočet výšky stanoviska
Výpočet výšek
Napojení změny do KM-D v dosavadním bodu
Napojení změny do KM-D v novém bodu
Dávkový výpočet souboru MAPA2
12. Export - Import souborů
Seznamy souřadnic
Seznamy měření
Kresba
13. Definice teodolitu
Definice teodolitu
14. Protokoly
Otevření protokolu
Princip práce s protokoly
Lokální protokol
Výpis seznamu souřadnic do protokolu
Výpis seznamu měření do protokolu
Kódování češtiny
Parametry protokolu
15. Grafika
Princip ukládání grafiky
Otevření grafického okna
Ovládání grafického okna
Chytání na body
Referenční výkresy
Kódování kresby
16. Digitalizace rastrových dat
Načtení rastrových dat do programu
Grafické souřadnice
Transformace souřadnic
Manipulace s lupou
Určení transformačního klíče
Digitalizace
17. Grafické určování bodů
Princip grafického určování bodů
Postup při grafickém určování bodů
18. Tiskové výstupy
Náhled před tiskem
Tisk seznamů
19. Manažer konfigurací
20. Spolupráce s CAD systémy
Spuštění s podporou CAD systému
Atributy pro přenos bodů
21. Propojení s databázemi
Podporované servery
Používané databázové tabulky
Nastavení připojení k databázi
Postup práce s databázemi bodů
II. Referenční příručka
22. Práce s referenční příručkou
23. Hlavní menu
24. Menu Soubor
Nový
Otevři
Ulož
Ulož jako
Zavři všechny
Komprese souboru
Indexování souboru
Informace o souboru
Aktivní seznam souřadnic
Nastavení
Manažer konfigurací
CAD nastavení
Tisk
Nastavení tiskárny
Zobraz protokol z výpočtu
Ulož protokol z výpočtu
Konec
25. Dialogové okno Nastavení
Prostředí
Výpočty
Redukce
Záznamník
Teodolit
Kódování bodů
Protokol
Vstup/výstup
Vstupní / výstupní formát souřadnic
Vstupní / výstupní formát měření
DXF
26. Menu Výpočty
27. Menu Okno
Zavři
Mozaika horizontálně - vertikálně
Kaskáda
Srovnání ikon
Parametry zobrazení
28. Menu Editace
Krok zpět
Přenes
Zkopíruj
Vlož
Vymaž
29. Menu Databáze
Připojení k databázi
Nastavení projektu
Vytvořit databázi a uživatele
Inicializace databáze
30. Menu Projekt
Přidej soubor
Odeber soubor
Otevři soubor
Nastavení
31. Menu Souřadnice / Měření
Přidej položku
Uber položku
Edituj položku
Najdi položku
Označ
Hromadná změna
Přečíslování seznamu
Překódování podle tabulky
Obnova smazaných položek
Do protokolu
32. Menu Souřadnice
Parametry zobrazení
Zobraz graficky
Roztřiď dle mapových listů
Porovnání seznamů souřadnic
Kontrola číslování bodů
Kontrola duplicitních čísel
Odstranění identických bodů
Dávkové průměrování souřadnic
Zaokrouhlení souřadnic
Dvojí souřadnice
Uložit body do databáze
Uložit změny do databáze
Odstranit smazané body z databáze
Synchronizovat seznam s databází
33. Menu Měření
Zpracování zápisníku
Spojení stanovisek
Označ orientace
Setřídění
Připoj soubor
Parametry zobrazení
34. Menu Plán
Parametry zobrazení
Vyplň
Zvětši
Zmenši
Překresli
Výřez
Výběr elementů
Mazání elementů
Spojování bodů
Ohrada
Odečítání souřadnic
35. Menu Bitová mapa
Transformační klíč
Digitalizace
III. Přílohy
36. Parametry při spuštění
37. Instalace v síti
Instalace v síti
Konfigurační soubor
Síťový konfigurační soubor
38. Typy datových souborů
39. Struktura souboru pro nastavení databází
Prvek <profile>
Prvek <server>
Prvek <table>
Prvek <column>
40. Komunikace se systémem MicroStation
Konfigurace systému MicroStation
Konfigurační soubory MDL modulů
Spuštění systému GROMA z MicroStation
Komunikace GROMA - MicroStation
Informace o bodech
Kódování bodů
Konfigurace komunikačního modulu
Další funkce modulů
41. Formáty vstupních souborů s naměřenými údaji
42. Vstupní / výstupní textový formát
Alfanumerické znaky
Symboly datových položek
Šířka formátovaných údajů
Počet desetinných míst
Další nastavení
Příklady výstupního formátu
Zvláštnosti vstupního formátu
Načítání pomocí pevného formátu
Načítání pomocí volného formátu
IV. Rozšiřující moduly
43. Rozšiřující moduly
44. Kontrolní kresba k výpočtům
Zobrazení celé kresby
Výřez
Zvětšení
Zmenšení
Smazání
Font
Tisk
Export do DXF
45. Zkreslení v Křovákově zobrazení
46. Trojúhelníková kalkulačka
47. Přenos souborů
Volba umístění souboru
Přenosové parametry
Načtení souboru
Přenos souboru do stroje
Další nastavení
48. Připojení digitizéru
Příprava digitalizačního zařízení
Test komunikace
Kalibrace digitalizačního zařízení
Odečítání bodů
Určování ploch
49. Vyrovnávací rovina
Zadání roviny
Poloha roviny
Rovnice roviny
Výsledné hodnoty
50. Geometrické plány
Úvod
Ovládání programu
Nastavení modulu
Popisové pole
Údaje katastru nemovitostí
Údaje dřívější pozemkové evidence
Údaje pro BPEJ
Doplňující údaje
Výsledné tabulky
Vstupy a výstupy
51. Výpočet trasy komunikace
Úvod
Ovládání programu
Definování trasy
Výpočetní kontroly
Výpočet bodů v ose komunikace
Výpočet bodů na normálách
Výpočet vytyčovacích prvků
52. Vyrovnání sítě
Úvod
Ovládání programu
Varianty vyrovnání a připojení sítě
Charakteristiky bodů
Parametry sítě
Vstupní data
Vyrovnání sítě
Uložení vyrovnaných souřadnic
Porovnání etap
Matematický model vyrovnání
Menu SOUBOR
Menu SÍŤ
53. Závěr
Další
Část I. Uživatelská příručka


Část I. Uživatelská příručka
Předcházející Další

Uživatelská příručka

Obsah

1. Úvod
Požadavky programu
Ochrana programu
2. Instalace programu
Instalace
Spuštění programu
Parametry při spuštění
Konfigurační soubor
Informační kanál
Automatická aktualizace
3. Ovládání programu
Ovládání programu
Hlavní okno programu
Lišta nástrojů
Lišta výpočetních funkcí
Lišta nastavení
Datová okna
Práce s okny
Dialogová okna
Nápověda
4. Datové soubory
Projekty
Souřadnicové soubory
Soubory s měřenými daty
Protokoly
Textové soubory
Grafické soubory
Indexování souborů
Komprese souboru
Správa souborů
Otevření souboru
Založení nového souboru
Import souborů z předchozích verzí systému GROMA
5. Seznamy
Informace o bodech
Kurzor
Editování
Přidávání položek
Mazání položek
Označování
Vyhledávání položek
Volba zobrazených údajů
Krok zpět
Přetahování dat
Přečíslování seznamu
Hromadné změny v seznamech
6. Seznam souřadnic
Pohyb v seznamu souřadnic
Zamykání bodů
Řazení seznamu souřadnic
Aktivní seznam souřadnic
Vyhledávání v seznamu souřadnic
Ukládání bodů
Grafické zobrazení bodů
Roztřídění seznamu podle mapových listů
Porovnání seznamů souřadnic
Kontrola duplicitních čísel
Odstranění identických bodů
Kontrola číslování bodů
Dávkové průměrování souřadnic
Zaokrouhlení souřadnic
Obnova smazaných položek
Připojení souboru
Dvojí souřadnice
7. Seznam měření
Volba podrobnosti zobrazení
Přečíslování seznamu měření
Zpracování zápisníku
Označení orientací
Spojení souborů měření
Obnova smazaných položek
8. Projekty
Založení projektu
Přidávání / ubírání souborů
Uložení projektu
Otevření projektu
9. Kódování bodů
Princip kódování
Kódovací tabulka
Připojení a odpojení kódovací tabulky
Editace kódovací tabulky
Vícenásobné kódy
Nenalezené kódy
Označování bodů podle kódů
Zadávání kódů pomocí popisů
Překódování při importu
10. Výpočty
Výpočetní dialogová okna
Zadávání údajů
Ukládání výsledků
Kontrolní kresba
Tolerance
Testování dle předpisů pro práci v katastru nemovitostí
Transformace souřadnic
Orientace osnov
11. Výpočetní úlohy
Polární metoda
Ortogonální metoda
Polární metoda dávkou
Ortogonální metoda dávkou
Volné stanovisko
Protínání z délek
Protínání z orientovaných směrů
Hromadné protínání z orientovaných směrů
Průsečík přímek
Průsečík přímka - směr
Průsečík přímka - kružnice
Polygonový pořad
Výškový pořad
Transformace souřadnic
Směrník a délka
Kontrolní oměrné
Soubor kontrolních oměrných
Konstrukční oměrné
Vyrovnání na přímku
Výpočet výměr
Polární vytyčovací prvky
Ortogonální vytyčovací prvky
Výpočet trasy
Fasáda
Kubatury
Výpočet výšky stanoviska
Výpočet výšek
Napojení změny do KM-D v dosavadním bodu
Napojení změny do KM-D v novém bodu
Dávkový výpočet souboru MAPA2
12. Export - Import souborů
Seznamy souřadnic
Seznamy měření
Kresba
13. Definice teodolitu
Definice teodolitu
14. Protokoly
Otevření protokolu
Princip práce s protokoly
Lokální protokol
Výpis seznamu souřadnic do protokolu
Výpis seznamu měření do protokolu
Kódování češtiny
Parametry protokolu
15. Grafika
Princip ukládání grafiky
Otevření grafického okna
Ovládání grafického okna
Chytání na body
Referenční výkresy
Kódování kresby
16. Digitalizace rastrových dat
Načtení rastrových dat do programu
Grafické souřadnice
Transformace souřadnic
Manipulace s lupou
Určení transformačního klíče
Digitalizace
17. Grafické určování bodů
Princip grafického určování bodů
Postup při grafickém určování bodů
18. Tiskové výstupy
Náhled před tiskem
Tisk seznamů
19. Manažer konfigurací
20. Spolupráce s CAD systémy
Spuštění s podporou CAD systému
Atributy pro přenos bodů
21. Propojení s databázemi
Podporované servery
Používané databázové tabulky
Nastavení připojení k databázi
Postup práce s databázemi bodů
Předcházející | Domů | Další
Groma v. 9.0 | Nahoru | Kapitola 1. Úvod


Kapitola 1. Úvod
Předcházející Část I. Uživatelská příručka Další

Kapitola 1. Úvod

Dostáváte do rukou program GROMA, určený pro geodetické výpočty, jednoduchou grafiku a vedení seznamu souřadnic v prostředí Microsoft Windows.

Požadavky programu

  • Počítač: Program GROMA pracuje na jakémkoli počítači typu PC, na kterém běží Microsoft Windows 2000, Windows XP nebo Windows Vista.

  • Myš: K práci s programem je třeba myš, nejlépe třítlačítková.

Předcházející | Domů | Další
Část I. Uživatelská příručka | Nahoru | Ochrana programu


Ochrana programu
Předcházející Kapitola 1. Úvod Další

Ochrana programu

Program je chráněn proti neoprávněnému použití tzv. hardwarovým klíčem. Hardwarový klíč je zařízení, které se připojí na paralelní nebo USB port počítače, a program během svého chodu jeho přítomnost testuje. Nenalezne-li klíč, spustí se automaticky v omezeném demonstračním režimu.

Hardwarový klíč lze použít v lokálním nebo síťovém provedení. Lokální klíč musí být připojen přímo na počítači, na němž je GROMA spuštěna. Síťový klíč je připojen na tzv. licenčním serveru, ke kterému se jednotlivé instalace systému GROMA připojují.

Klíč může být připojen na kterémkoli z portů LPT1 - LPT3 nebo USB. Klíč v paralelním provedení je zcela průchozí pro standardní signály tiskárny, můžete ji tedy připojit přes něj. Používáte-li více klíčů zapojených do kaskády, a nastanou-li nějaké komplikace (některý z programů nepracuje), zkuste změnit pořadí klíčů, případně je rozdělit i na další porty počítače.

Důležité

Windows technologie NT (Windows 2000, XP, Vista) neumožňují aplikacím přímý přístup na hardware, takže je v tomto operačním systému nutno instalovat driver pro hardwarový klíč. Při kompletní instalaci systému GROMA jste dotázáni, zda si přejete driver nainstalovat. Při instalaci update se předpokládá, že máte driver již nainstalován.

Předcházející | Domů | Další
Kapitola 1. Úvod | Nahoru | Kapitola 2. Instalace programu


Kapitola 2. Instalace programu
Předcházející Část I. Uživatelská příručka Další

Kapitola 2. Instalace programu

Instalace

Instalační disk obsahuje program s názvem groma9 a přesným číslem verze, který automaticky instaluje všechny potřebné soubory.

Instalační program můžete spustit např. z menu Start nebo pomocí Správce Programů příkazem Start->Spusť a zadáním jeho názvu, např.

D:\groma9-0.exe

Po jeho spuštění jste dotázáni na jméno adresáře, do kterého chcete program GROMA instalovat (implicitně C:\Groma9). Adresář pro program GROMA nemusí existovat, instalační program jej sám vytvoří.

Předcházející | Domů | Další
Ochrana programu | Nahoru | Spuštění programu


Spuštění programu
Předcházející Kapitola 2. Instalace programu Další

Spuštění programu

Program můžete spustit dvojitým kliknutím na jeho ikonu, z menu Start nebo pomocí Průzkumníka.

Předcházející | Domů | Další
Kapitola 2. Instalace programu | Nahoru | Parametry při spuštění


Parametry při spuštění
Předcházející Kapitola 2. Instalace programu Další

Parametry při spuštění

Program GROMA lze spustit s některými parametry na příkazové řádce. Parametry jsou uvedeny za znakem "/" nebo "-". Seznam parametrů je uveden v příloze.

Předcházející | Domů | Další
Spuštění programu | Nahoru | Konfigurační soubor


Konfigurační soubor
Předcházející Kapitola 2. Instalace programu Další

Konfigurační soubor

Veškerá nastavení programu GROMA, včetně vstupních/výstupních formátů, rozmístění otevřených oken na obrazovce, apod. jsou ukládána do inicializačního souboru GROMA.INI. Umístění tohoto souboru se liší v závislosti na použité verzi MS Windows. Existuje-li v prostředí proměnná USERPROFILE, bude konfigurační soubor umístěn do adresáře, kam tato proměnná ukazuje. Tato proměnná je nastavena v systémech Windows 2000 XP a Vista. Není-li tato proměnná definována, bude konfigurační soubor umístěn v adresáři, kde jsou instalována MS Windows (obvykle C:\WINDOWS).

Umístění konfiguračního souboru lze změnit pomocí parametru při spuštění. Seznam použitelných parametrů je uveden v příloze.

Pokud při prvním spuštění systému GROMA není v příslušném adresáři inicializační soubor nalezen, program na toto místo zkopíruje standardní předdefinovanou konfiguraci, která se nachází v adresáři systému GROMA.

Konfigurační soubor je textový soubor, který lze teoreticky přímo editovat, ale tento postup příliš nedoporučujeme, protože všechny jeho položky jsou nastavitelné z prostředí programu GROMA, a je-li tento soubor porušen, resp. obsahuje-li nepředpokládané nebo nepřípustné údaje, nelze zaručit korektní chování programu.

Vzhledem k tomu, že v programu lze nastavit poměrně velké množství různých parametrů (a v některých případech, jako třeba u vstupních/výstupních formátů, může být nastavení poměrně pracné), doporučujeme inicializační soubor čas od času zálohovat.

Předcházející | Domů | Další
Parametry při spuštění | Nahoru | Informační kanál


Informační kanál
Předcházející Kapitola 2. Instalace programu Další

Informační kanál

Program GROMA si po spuštění automaticky načítá aktuální informace z informačního kanálu. Pokud nalezne nějakou zprávu, která ještě nebyla zobrazena, zobrazí ji. Přejete-li si zobrazit všechny starší zprávy z informačního kanálu, si můžete si je vyžádat příkazem Nápověda+Opakované zobrazení všech zpráv z informačního kanálu.

Stahování informací z informačního kanálu lze vypnout v nastavení systému v dialogovém okně Soubor->Nastavení->Prostředí.

Předcházející | Domů | Další
Konfigurační soubor | Nahoru | Automatická aktualizace


Automatická aktualizace
Předcházející Kapitola 2. Instalace programu Další

Automatická aktualizace

Po spuštění systém GROMA kontroluje, zda není k dispozici nějaká aktualizace programu. Pokud ano, zobrazí informaci o nové verzi a nabídne automatické stahování. Během stahování aktualizace lze s programem normálně pracovat. Po úspěšném stažení aktualizace systém zobrazí zprávu, že je aktualizace stažena. Při příštím spuštění programu je aktualizace nainstalována. Během instalace aktualizace je původní instalace kompletně ozálohována, takže se k ní lze kdykoli dodatečně vrátit. Záloha je uložena do adresáře pro pracovní soubory (dle nastavení systémové proměnné TEMP).

Automatické stahování aktualizací lze vypnout v nastavení systému v dialogovém okně Soubor->Nastavení->Prostředí. Pokud se jedná o sdílenou instalaci v síťovém prostředí, a chcete zakázat automatické aktualizace a ponechat aktualizaci systému v pravomoci správce, můžete centrálně automatickou aktualizaci zakázat v síťovém konfiguračním souboru network.ini.

Předcházející | Domů | Další
Informační kanál | Nahoru | Kapitola 3. Ovládání programu


Kapitola 3. Ovládání programu
Předcházející Část I. Uživatelská příručka Další

Kapitola 3. Ovládání programu

Ovládání programu

Program se ovládá stejně, jako většina aplikačních programů pro MS Windows, uživateli, který je na toto prostředí zvyklý, by tedy ovládání nemělo činit žádné potíže.

Předcházející | Domů | Další
Automatická aktualizace | Nahoru | Hlavní okno programu


Hlavní okno programu
Předcházející Kapitola 3. Ovládání programu Další

Hlavní okno programu

Po prvním spuštění programu GROMA je zobrazeno jeho hlavní okno. Ve vrchní části okna je zobrazeno menu s příkazy, které slouží k ovládání programu. Toto menu reaguje na typ datového okna, které je právě aktivní, a přizpůsobuje mu nabízené příkazy. Po prvním spuštění programu není žádné datové okno otevřeno, menu tedy obsahuje pouze příkazy pro otevření okna a výpočty.

Předcházející | Domů | Další
Kapitola 3. Ovládání programu | Nahoru | Lišta nástrojů


Lišta nástrojů
Předcházející Kapitola 3. Ovládání programu Další

Lišta nástrojů

Pod tímto menu je zobrazena lišta nástrojů. Tato lišta obsahuje některé nejpoužívanější příkazy z hlavního menu, a slouží k jejich rychlejšímu vyvolání. Stejně jako menu, i lišta nástrojů reaguje svou nabídkou na typ aktivního okna.

Předcházející | Domů | Další
Hlavní okno programu | Nahoru | Lišta výpočetních funkcí


Lišta výpočetních funkcí
Předcházející Kapitola 3. Ovládání programu Další

Lišta výpočetních funkcí

Pod lištou nástrojů je zobrazena lišta s nabídkou výpočetních funkcí. Všechny nabízené úlohy lze vyvolat i pomocí menu Výpočty.

Předcházející | Domů | Další
Lišta nástrojů | Nahoru | Lišta nastavení


Lišta nastavení
Předcházející Kapitola 3. Ovládání programu Další

Lišta nastavení

Pod lištou výpočetních funkcí je lišta nastavení. Na této liště lze přímo měnit některá nastavení systému GROMA. Navíc je z této lišty přístupný manažer konfigurací, pomocí něhož lze spravovat více souborů s konfiguracemi.

Všechny seznamy na liště nastavení zobrazují několik naposledy použitých hodnot. Při volbě již dříve nastavené hodnoty tedy většinou není třeba zadávat údaj z klávesnice, ale stačí jej vyhledat v seznamu hodnot.

Na liště nastavení jsou přístupné následující položky:

  • Volba aktivního konfiguračního souboru. Zde lze volit, se kterou sadou konfigurací si přejete pracovat. Program nabízí všechny konfigurace nalezené v adresáři s pro konfigurace. Umístění konfigurací lze definovat pomocí nastavení v souboru network.ini, případně pomocí parametru při spuštění systému GROMA.

    Vedle seznamu s nabídkou konfiguračních souborů je tlačítko pro vyvolání manažeru konfigurací.

  • Za seznamem konfigurací je nabídka implicitního předčíslí, které je použito při zadání neúplného čísla bodu. Toto předčíslí lze nastavit též v dialogovém okně Redukce.

  • Dále je zobrazen seznam kódů kvality. Zvolený kód kvality má vliv např. na mezní odchylky při výpočtech.

  • Na konci lišty nastavení je nabídka naposledy použitých měřítkových koeficientů.

Předcházející | Domů | Další
Lišta výpočetních funkcí | Nahoru | Datová okna


Datová okna
Předcházející Kapitola 3. Ovládání programu Další

Datová okna

Pod lištou výpočetních funkcí je volná pracovní plocha, do níž jsou umisťována datová okna.

U spodního okraje hlavního okna je umístěn stavový řádek, který uživateli poskytuje některé další informace.

Hlavní okno programu, zobrazené po jeho prvním spuštění, tvoří rámec pro další okna, která obsahují vlastní zpracovávaná data. Program GROMA umožňuje práci se sedmi typy datových oken:

  • souřadnicová okna,

  • okna s naměřenými daty,

  • grafická okna,

  • okna s rastrovými daty,

  • okno s protokolem o výpočtech,

  • okno s projektem,

  • textová okna.

Souřadnicová okna a okna s naměřenými daty jsou tzv. seznamy, tj. obsahují textové informace uspořádané do řádků a sloupců.

Najednou lze otevřít libovolné množství oken (jejich počet je omezen pouze kapacitou volné paměti). K jednomu datovému souboru lze otevřít více oken, všechny změny v datech se automaticky zobrazují ve všech otevřených oknech.

Předcházející | Domů | Další
Lišta nastavení | Nahoru | Práce s okny


Práce s okny
Předcházející Kapitola 3. Ovládání programu Další

Práce s okny

S jednotlivými okny lze manipulovat tak, jak je obvyklé u ostatních aplikací pro MS Windows. Okna lze posouvat po obrazovce, zvětšovat a zmenšovat, minimalizovat na ikony a zvětšit na celou plochu hlavního okna programu. Tytéž operace lze provádět s hlavním oknem. Podrobnější informace o manipulaci s okny lze nalézt v uživatelské příručce k MS Windows.

Program si uchovává informace o otevřených oknech v inicializačním souboru, takže jsou okna po ukončení práce s programem a jeho opětovném spuštění automaticky znovu otevřena.

K manipulaci s okny slouží příkazy v menu Okno.

Předcházející | Domů | Další
Datová okna | Nahoru | Dialogová okna


Dialogová okna
Předcházející Kapitola 3. Ovládání programu Další

Dialogová okna

Pro komunikaci s uživatelem jsou využívána tzv. dialogová okna. Podle způsobu obsluhy lze dialogová okna rozdělit na modální a nemodální.

Modální dialogová okna

Modální okna jsou okna, která po zobrazení blokují vstup do všech ostatních částí programu, a uživatel může pokračovat v práci až po jejich uzavření. Tento typ oken se používá pro veškeré konfigurace programu, pro chybová hlášení, nebo je-li před další akcí požadován vstup od uživatele. Mezi jednotlivými položkami modálních oken se můžete pohybovat klávesami <Tab> a <Shift-Tab>, a v případě editačních okének i klávesami <Šipka nahoru> a <Šipka dolů>.

Nemodální dialogová okna

Nemodální okna na rozdíl od oken modálních neblokují vstup do ostatních částí programu, mohou být tedy otevřena libovolně dlouho, a přitom můžete pracovat v jiné části programu. Tato okna jsou vždy zobrazena na vrchu a překrývají datová okna. Nemodální okna jsou použita pro všechny výpočetní úlohy, pro vstup souřadnic a na dalších místech programu. Mezi jednotlivými položkami se můžete pohybovat stejně, jako u oken modálních, a v případě editačních okének ještě navíc i klávesou <Enter>.

Vstupní řádky se vzorci

Všechny zadávané údaje se vyplňují do vstupních editačních okének. V okénkách lze používat standardní klávesové zkratky, tak, jak je zvykem v MS Windows (kopírování, vkládání, mazání). Navíc lze přímo při zadávání hodnot používat matematické operace (sčítání, odčítání, násobení, dělení, závorky, apod.)

Do vstupního řádku pro zadání délky lze tedy zadat např. 128.56+1.411 nebo (56.378+195.339)*0.999985

Zvyšování / snižování čísla bodu

Nacházíte-li se ve vstupním okénku pro zadání čísla bodu, lze hodnotu, která je v okénku uvedena, zvětšit resp. zmenšit o jedničku pomocí klávesy <+> resp. <-> na numerické klávesnici.

Pokud je identifikátor zadaný ve vstupním okénku alfanumerický (obsahuje text nebo kombinaci textu a číslic), program v něm vyhledá první číslo nebo číslici a zvětší/zmenší ji. Je-li identifikátor pouze textový, program doplní číslo na jeho konec.

Výběr datových souborů

Některá dialogová okna obsahují vstupní řádky pro výběr datových souborů pro další operace (např. označování, hromadné změny, přečíslování, apod.). Při otevření takového dialogového okna je obvykle jako datový soubor zvolen ten soubor, který je právě aktivní (jedná-li se o soubor vhodného typu). Chcete-li datový soubor změnit, můžete zvolit jeden z následujících postupů:

  • Přetáhněte na plochu vstupního řádku libovolnou položku z datového souboru, který chcete zvolit.

  • Stiskněte tlačítko se třemi tečkami napravo od vstupního řádku s názvem souboru a program vám nabídne výběr ze všech otevřených souborů příslušného typu. V zobrazeném dialogovém okně lze také stisknutím tlačítka (Nový) založit nový nepojmenovaný soubor příslušného typu.

Předcházející | Domů | Další
Práce s okny | Nahoru | Nápověda


Nápověda
Předcházející Kapitola 3. Ovládání programu Další

Nápověda

V programu GROMA je kdykoli k dispozici kontextová nápověda. Nápovědu lze vyvolat třemi způsoby:

  • Zvolením příkazu Nápověda->Obsah nápovědy z hlavního menu. Po vyvolání tohoto příkazu je zobrazen obsah nápovědy, pomocí něhož můžete postupným výběrem zvýrazněných odkazů získat požadovanou informaci.

  • Stisknutím klávesy <F1>. Po stisknutí této klávesy je podle situace zobrazena kontextová nápověda (nápověda o okamžité situaci v programu, o zvolené položce, apod.), nebo obsah nápovědy.

  • Stisknutím tlačítka (Nápověda) v dialogovém okně. Po stisknutí tohoto tlačítka je vždy zobrazena kontextová nápověda, týkající se příslušného dialogového okna.

Mimo hlavní nápovědu program zobrazuje při výběrech v menu krátký popis zvolené položky ve stavovém řádku. V dialogových oknech se také zobrazuje tzv. bublinová nápověda. Umístíte-li kurzor myši na některou položku dialogového okna a ponecháte-li kurzor chvíli bez hnutí, objeví se okénko s vysvětlujícími informacemi pro danou oblast. Pokud již systém Groma velmi dobře znáte a tuto nápovědu nepotřebujete, lze ji v konfiguraci programu vypnout.

Předcházející | Domů | Další
Dialogová okna | Nahoru | Kapitola 4. Datové soubory


Kapitola 4. Datové soubory
Předcházející Část I. Uživatelská příručka Další

Kapitola 4. Datové soubory

Program GROMA ukládá všechny datové soubory ve svém vnitřním formátu. Otevřete-li soubor v jiném formátu, než seznam souřadnic (.crd), seznam měření (.mes), protokol (.pro), grafiku (.pic) nebo rastrová data (.rnf), program nejprve soubor převede do příslušného vnitřního formátu se shodným jménem, ale standardní příponou, a ten otevře.

Projekty

Projekty jsou soubory, definující jednotlivé zakázky. Po založení projektu je zobrazeno okno, do něhož lze přidávat soubory, které se vztahují k příslušné zakázce. Projekty obsahují také některé části konfigurace (připojenou kódovací tabulku, apod.). Práce s projekty je podrobněji popsána zde.

Předcházející | Domů | Další
Nápověda | Nahoru | Souřadnicové soubory


Souřadnicové soubory
Předcházející Kapitola 4. Datové soubory Další

Souřadnicové soubory

Seznam souřadnic je tvořen dvěma soubory, které mají stejné jméno, ale liší se příponou. První, datový, obsahuje vlastní souřadnice (soubor s příponou .crd), a druhý, tzv. indexový, obsahuje informace o setřídění bodů (soubor s příponou .crx). Při porušení nebo ztrátě datového souboru jsou ztraceny souřadnice všech bodů, zatímco ztracený indexový soubor lze na základě datového souboru kdykoli obnovit. Z toho vyplývá, že je nutno pečlivě zálohovat datové soubory, zatímco zálohování indexových souborů je zbytečné.

Předcházející | Domů | Další
Kapitola 4. Datové soubory | Nahoru | Soubory s měřenými daty


Soubory s měřenými daty
Předcházející Kapitola 4. Datové soubory Další

Soubory s měřenými daty

Způsob uložení seznamu měřených údajů je téměř stejný, jako u seznamu souřadnic. Seznam je opět tvořen dvěma soubory - datovým (.mes) a indexovým (.mex). Manipulace s těmito soubory je stejná jako u seznamu souřadnic.

Předcházející | Domů | Další
Souřadnicové soubory | Nahoru | Protokoly


Protokoly
Předcházející Kapitola 4. Datové soubory Další

Protokoly

Při výpočtech si můžete otevřít soubor s protokolem. Jedná se o editační textové okno, do něhož program ukládá protokoly z výpočtů. Protokol může být otevřen nejvýše jeden. Podrobně je práce s protokoly popsána v samostatné kapitole.

Předcházející | Domů | Další
Soubory s měřenými daty | Nahoru | Textové soubory


Textové soubory
Předcházející Kapitola 4. Datové soubory Další

Textové soubory

Program GROMA umožňuje práci s textovými soubory. Textové soubory lze otevřít v editačním okně stejným způsobem jako jiné soubory. Textových souborů může být otevřeno libovolné množství, ale na rozdíl od seznamů může být pro každý soubor otevřeno pouze jedno okno.

V některých situacích systém GROMA otevírá textové soubory automaticky (např. po exportu do textového souboru je výsledný soubor automaticky zobrazen, při importu je v případě chyby načítaný soubor zobrazen a kurzor je umístěn na chybný řádek).

Chcete-li importovat textový soubor, který je právě otevřen, a byl-li tento soubor v editoru systému GROMA změněn, budete upozorněni, že aktuální verze souboru je v editoru, a dotázáni, chcete-li jej před importem uložit.

Jestliže textový soubor, který je v systému GROMA otevřen, změníte nějakou jinou aplikací, budete při návratu do systému GROMA na změnu upozorněni, a budete dotázáni, zda chcete načíst z disku aktuální verzi souboru.

Předcházející | Domů | Další
Protokoly | Nahoru | Grafické soubory


Grafické soubory
Předcházející Kapitola 4. Datové soubory Další

Grafické soubory

Grafické soubory (soubory s příponou .pic) obsahují pouze předpis kresby, jsou tedy vždy spojeny s příslušnými souřadnicovými soubory téhož jména. Otevřete-li grafický soubor, je do paměti automaticky načten i příslušný seznam souřadnic (i když není zobrazen v okně). Výhodou tohoto způsobu tvorby grafiky je především to, že je pro výpočty i pro kresbu používán jeden seznam souřadnic, a veškeré změny v něm se automaticky promítají i do nakresleného plánu. I když už je situace k bodům vykreslena, lze u nich libovolně měnit souřadnice (a to jak u jednotlivých bodů, tak i souhrnně pro celý soubor např. transformací z místní do hlavní soustavy), a vykreslený plán tyto změny akceptuje aniž by bylo třeba do něj zasahovat. Navíc použití jednoho seznamu souřadnic přináší i úspory místa v paměti a na disku.

Předcházející | Domů | Další
Textové soubory | Nahoru | Indexování souborů


Indexování souborů
Předcházející Kapitola 4. Datové soubory Další

Indexování souborů

Aby mohl program se seznamy pracovat, musí být seznamy nejdříve indexovány. Při indexování je vytvořen k datovému souboru příslušný indexový soubor, v němž jsou body setříděny podle předčíslí a čísel. V datovém souboru body zůstávají uloženy nesetříděné, tak, jak byly postupně při výpočtech nebo importu přidávány.

Při práci se seznamem je indexový soubor umístěn v paměti počítače (z důvodu rychlejší manipulace se seznamem), zatímco datový soubor je stále umístěn na disku. Veškeré změny v datech jsou tedy okamžitě ukládány na disk.

Změny v datech jsou průběžně zaznamenávány na disk, zatímco změny v indexovém souboru se odehrávají v operační paměti, a aktuální indexový soubor se normálně ukládá až při zavření okna se seznamem souřadnic. Při násilném přerušení chodu programu tedy na disku zůstane aktuální datový soubor, ale původní indexový soubor. Program podle určitých kritérií testuje soulad datového a indexového souboru, takže sám rozpozná, že k sobě tyto soubory nepatří, a v takovém případě automaticky vytvoří nový indexový soubor.

Předcházející | Domů | Další
Grafické soubory | Nahoru | Komprese souboru


Komprese souboru
Předcházející Kapitola 4. Datové soubory Další

Komprese souboru

Při mazání v datovém souboru (souřadnicovém i s měřenými daty) jsou rušené položky pouze označeny jako smazané, ale v datovém souboru nadále zůstávají. Může se tedy stát, že po složitých operacích a přesunech bodů je seznam souřadnic prázdný, nebo obsahuje pouze několik bodů, a přesto na disku zabírá třeba několik desítek nebo stovek KB. V takovém případě je vhodné provést kompresi datového souboru. Při kompresi je původní datový soubor přejmenován na záložní (.~cr), a je vytvořen nový datový soubor (.crd), který již dříve smazané položky neobsahuje. Smazané položky lze z datového souboru, který ještě nebyl zkomprimován, obnovit pomocí nástroje Vymaž

Kompresi datového souboru je však vhodné provést i z jiných důvodů. Je-li například importován seznam souřadnic (např. z textového souboru), v němž nejsou body setříděny, může jeho indexování (zvlášť je-li rozsáhlý) trvat poměrně dlouho. Dojde-li během další práce k porušení indexového souboru, nebo je-li tento soubor smazán, je nutno celé indexování absolvovat znovu. Při kompresi souboru jsou však body zapisovány setříděné podle čísel, a v takovém případě další indexování zabere podstatně méně času. Po importu nesetříděného seznamu, případně po složitějším doplnění seznamu během výpočtů je tedy vhodné datový soubor komprimovat.

Předcházející | Domů | Další
Indexování souborů | Nahoru | Správa souborů


Správa souborů
Předcházející Kapitola 4. Datové soubory Další

Správa souborů

Pro pochopení způsobu práce se soubory otevřenými v oknech je třeba nejprve vysvětlit, jakým způsobem je program spravuje.

Při otevření libovolného datového souboru jsou údaje nutné pro další práci s ním (např. indexový soubor pro seznam souřadnic, apod.) načteny do paměti počítače a příslušná reprezentace souboru je zobrazena v okně (seznam souřadnic, plán atd.). Při novém otevření téhož souboru je však zobrazeno pouze nové okno, a v paměti počítače je soubor fyzicky otevřen pouze jednou. Lze tedy nově otevřené okno chápat skutečně jako druhé "okénko", kterým je prohlížen tentýž soubor. Při otevření dvou oken s grafikou lze tedy prohlížet dva výřezy plánu najednou.

Z toho vyplývá, že veškeré změny, prováděné na souboru v libovolném otevřeném okně, jsou fyzicky prováděny v jednom souboru. Program tuto skutečnost signalizuje tím, že jsou tato okna zobrazující jeden soubor průběžně očíslována. Je-li ve více oknech viditelná stejná část souboru, změny, které v něm provedete, jsou automaticky zobrazovány ve všech oknech.

Předcházející | Domů | Další
Komprese souboru | Nahoru | Otevření souboru


Otevření souboru
Předcházející Kapitola 4. Datové soubory Další

Otevření souboru

Chcete-li v programu pracovat s nějakým datovým souborem, musíte jej nejprve otevřít.

Soubor lze otevřít třemi způsoby:

  • pomocí dialogového okna,

  • pomocí parametru při spuštění programu GROMA,

  • přetažením jeho názvu z Průzkumníka.

Otevření souboru pomocí dialogového okna

Nejběžnější způsob otevření souboru je pomocí dialogového okna pro otevírání souborů.

Zvolíte-li příkaz Soubor->Otevři, program GROMA zobrazí dialogové okno pro výběr souboru.

Postup při otevírání souboru:

  1. Zvolte požadovaný typ souboru ze seznamu Soubory typu. Importujete-li seznam měření ze záznamníku, musíte nejprve nastavit typ záznamníku a formátu v dialogovém okně Soubor->Nastavení->Záznamník. Podle tohoto nastavení bude aktualizována nabídka typů souborů v seznamu Soubory typu.

  2. Zvolte umístění souboru příslušný disk a adresář v okénku Umístění souboru.

  3. Existuje-li soubor, který chcete otevřít, objeví se jeho název v seznamu. Označte jej kurzorem pomocí myši nebo klávesnice. Chcete-li otevřít více souborů najednou, označte je v seznamu pomocí kláves <Shift> a <Ctrl>.

  4. Stiskněte tlačítko (Otevřít). Jestliže soubor existuje, program GROMA jej otevře a zobrazí v okně.

Otevření souboru pomocí parametru při spuštění

Napíšete-li při spouštění programu GROMA za název programu název jednoho nebo více datových souborů, program se je po spuštění pokusí automaticky otevřít.

Otevření souboru pomocí Průzkumníka

Máte-li spuštěného Průzkumníka i program GROMA, můžete otevřít datový soubor přetažením jeho názvu ze seznamu, zobrazeného v Průzkumníku, na plochu hlavního okna programu GROMA. Při přetahování se mění podoba kurzoru myši podle oblasti, na níž je právě umístěn. Podrobnosti lze nalézt v uživatelské příručce k MS Windows.

Otevření seznamu pouze pro čtení

Pracujete-li v prostředí počítačové sítě, může se stát, že budete chtít otevřít jeden soubor ze sdíleného disku (např. ze serveru) najednou na více počítačích. Tato situace je obvyklá např. při práci se společnými seznamy souřadnic, obsahujícími body bodového pole. Normálně je soubor otevřen pro čtení i zápis. V takovém případě může být otevřen pouze jednou, protože zapisování do jednoho souboru z více stanic by vedlo k jeho porušení. Program vás na tuto skutečnost upozorní a nedovolí vám otevřít soubor, který je již otevřen pro čtení i zápis.

Jestliže však při otevírání souboru příkazem Soubor->Otevři zaškrtnete volbu Pouze čtení, je seznam otevřen pouze pro čtení, a v tomto režimu jej může otevřít libovolné množství uživatelů. Jestliže se takto otevřený soubor pokusíte otevřít v normálním režimu, tj. čtení i zápis, program vás upozorní, že je soubor již otevřen, a nabídne vám možnost otevření pouze pro čtení.

V souboru otevřeném pouze pro čtení nemůžete provádět žádné změny, můžete pouze používat data v něm uložená. Položky souboru však můžete zkopírovat do jiného souboru, v němž už tato omezení neplatí.

Otevření souboru pouze pro čtení můžete používat i v případě, že se souborem pracujete sami, ale nechcete jej měnit. Tím snížíte riziko poškození cenných datových souborů.

Předcházející | Domů | Další
Správa souborů | Nahoru | Založení nového souboru


Založení nového souboru
Předcházející Kapitola 4. Datové soubory Další

Založení nového souboru

Chcete-li založit nový soubor, zvolte příkaz Soubor->Nový. Zobrazí se dialogové okno, v němž můžete zvolit typ souboru, který chcete vytvořit. Po stisknutí tlačítka (OK) je soubor vytvořen a je zobrazeno jeho prázdné okno. Soubor je vytvořen jako dočasný v pracovním adresáři. Chcete-li jej uchovat, zvolte příkaz Soubor->Ulož jako a uložte jej pod jiným názvem. Jestliže se pokusíte neuložený dočasný soubor zavřít, program vás upozorní, že soubor ještě nebyl uložen, a dotáže se, zda jej chcete uložit. Neuložíte-li soubor, bude automaticky z disku smazán.

Předcházející | Domů | Další
Otevření souboru | Nahoru | Import souborů z předchozích verzí systému GROMA


Import souborů z předchozích verzí systému GROMA
Předcházející Kapitola 4. Datové soubory Další

Import souborů z předchozích verzí systému GROMA

Ve verzi 6.0 byly do datových souborů doplněny některé další údaje, takže seznamy pořízené staršími verzemi systému GROMA nejsou s novými soubory kompatibilní. Pokud při otevírání seznamu souřadnic nebo seznamu měření zvolíte soubor, který byl pořízen některou z dřívějších verzí systému GROMA, program vás upozorní, že je nutno převést soubor do nového formátu. Pokud potvrdíte, že s převodem souhlasíte, program ponechá původní soubor jako záložní a vytvoří soubor stejného názvu v novém formátu. Tento soubor však již nebude možno otevřít ve starších verzích systému GROMA. Původní soubor ze starší verze bude zachován jako záložní (.~cr, .~me). Mezi verzemi 6-9 se již formát souborů neměnil, pouze přibyly nové typy souborů, které ve starších verzích nepůjdou otevřít (ortogonální a nivelační zápisník).

Pokud chcete soubor ve formátu 6-9 otevřít v některé ze starších verzí, musíte jej nejprve exportovat do staršího formátu příkazem Soubor->Ulož jako. V seznamu formátů zvolte formát Verze 2-5. Takto vytvořený soubor bude možno bez problémů otevřít ve starších verzích programu. Nové typy údajů (datum a čas vytvoření a modifikace záznamu, doplňující údaje o bodu, komentář u souboru, atd.) budou při konverzi do staršího formátu ztraceny.

Předcházející | Domů | Další
Založení nového souboru | Nahoru | Kapitola 5. Seznamy


Kapitola 5. Seznamy
Předcházející Část I. Uživatelská příručka Další

Kapitola 5. Seznamy

Termínem Seznamy se označují okna se seznamem souřadnic a okna se seznamem naměřených hodnot. Tyto dva typy oken mají mnoho společných vlastností.

Seznamy jsou tvořeny údaji zapsanými v řádcích. První dva jsou vždy předčíslí a číslo bodu, zbývající závisí na typu okna.

Informace o bodech

Každý bod v seznamu je označen identifikátorem, podle něhož je v seznamu vyhledáván, a obsahuje další popisné informace, z nichž některé jsou společné pro seznamy souřadnic i seznamy měření, a některé jsou specifické.

Identifikátor bodu

Body jsou v seznamech jednoznačně identifikovány číselným nebo alfanumerickým identifikátorem. Seznam měření může obsahovat libovolné množství bodů téhož identifikátoru. V seznamu souřadnic jsou umožněny duplicitní identifikátory pouze v případě, že si tuto možnost explicitně povolíte v nastavení programu.

Číselný identifikátor

Číselný identifikátor je tvořen dvěma částmi - předčíslím a vlastním číslem bodu. Předčíslí může mít maximální délku 8 číslic, vlastní číslo bodu má maximálně 4 číslice. Úplné číslo bodu tedy může být tvořeno maximálně 12 číslicemi.

Alfanumerický identifikátor

Pokud zadaný identifikátor nesplňuje požadavky na číselný identifikátor (obsahuje písmena nebo jiné nečíselné znaky, popř. je delší než 12 znaků), bude chápán jako alfanumerický identifikátor. Jediné omezení na alfanumerický identifikátor je, že jeho délka nesmí překročit 16 znaků. Pokud délka tuto hranici překročí, bude identifikátor zprava oříznut.

Číselný identifikátor má přednost před alfanumerickým, takže každý identifikátor, který lze interpretovat jako 12místné číslo bodu, je implicitně chápán jako číselný. Přejete-li si, aby byl bez ohledu na podobu akceptován jako alfanumerický, musí být uveden znakem ' (apostrof) nebo uzavřen v uvozovkách. Tyto znaky nebudou součástí identifikátoru, při vstupu budou vynechány.

Datum vytvoření bodu

Tato položka obsahuje datum, kdy byl bod v seznamu vytvořen. V případě bodů převzatých ze starších verzí systému GROMA není tento údaj vyplněn.

Datum poslední modifikace bodu

Zde je uložena informace o poslední modifikaci bodu - např. editací, hromadnou změnou, apod. Z tohoto údaje lze určit, kdy byly naposledy údaje o bodu změněny.

Kód bodu

Kód bodu obsahuje až 20znakový textový popis bodu, který může být použit např. pro uložení popisné informace bodu, kódu pro automatické spojování, názvu grafické buňky, apod. Kód bodu může obsahovat libovolné alfanumerické znaky. Pomocí kódovací tabulky může být kód převeden na popis, pro který již omezení na 20 znaků délky neplatí.

Kód kvality

Jednoznakový údaj, který lze použít pro označení kvality bodu (např. při práci v katastru nemovitostí se používají číselné kódy charakteristiky kvality bodu).

Typ bodu

Typ bodu je jednoznakový alfanumerický údaj obdobný kódu kvality, který lze použít libovolným způsobem pro další zpřesnění informací o bodech (tento údaj lze použít např. při výběrech v seznamech).

Další údaje v seznamech souřadnic

Souřadnice X, Y, Z

Souřadnice bodu ve zvolené souřadnicové soustavě. Vyplnění souřadnic u bodu je nepovinné. Bod může mít např. jenom souřadnici Z, bez určení polohy.

Doplňující údaje 1-4

Další čtyři doplňující číselné údaje, které lze použít např. pro hloubku uložení inženýrských sítí, pro druhý pár souřadnic bodu, atd. Tyto údaje lze libovolně pojmenovat a definovat, jak mají být zobrazeny (počet znaků, počet desetinných míst). Údaje lze použít při označování bodů a lze je měnit hromadnou změnou. Tyto údaje se využívají pro uložení druhé sady souřadnic při práci s dvojími souřadnicemi.

Další údaje v seznamech polárního měření

Vodorovný úhel

Vodorovný úhel (měřený směr), převzatý obvykle při importu zápisníku. Úhel, stejně jako ostatní úhlové údaje systému GROMA, je v souboru interně uložen v radiánech, a při všech výpisech je zobrazován podle nastavených úhlových jednotek. V okamžiku zadávání úhlových údajů je tedy třeba mít nastaveny příslušné úhlové jednotky. Po zadání lze kdykoli v konfiguraci systému GROMA úhlové jednotky změnit, a na všech výpisech budou úhlové údaje zobrazovány v nastavené úhlové míře.

Délka

Vzdálenost mezi stanoviskem a měřeným bodem. Tato délka je v systému GROMA při importu ze záznamníku automaticky redukována na vodorovnou. Redukci lze v konfiguraci vypnout, potom seznam měření obsahuje měřené šikmé délky, které ovšem nemohou přímo vstupovat do výpočtů, protože výpočty předpokládají redukované délky. V takovém případě je nutno před výpočtem délky jednotlivě nebo hromadně redukovat na vodorovné. Při pokusu o přetažení měřených údajů se šikmou délkou do výpočetního okna je zobrazeno varovné hlášení. Podmínkou automatické redukce je zadání zenitového úhlu nebo převýšení, bez něhož nelze přepočet na vodorovnou provést. Pro redukci délek na vodorovnou lze (kromě několika předdefinovaných) definovat vlastní vzorec.

Při importu ze záznamníku jsou délky navíc automaticky opraveny o měřítko (vliv nadmořské výšky a kartografického zkreslení).

Zenitový úhel

Zenitový úhel (úhel měřený od svislice). Tento údaj je využíván při výškových výpočtech a při detekci měření v II. poloze.

Převýšení

Některé stroje při registraci automaticky přepočítávají měřený zenitový úhel na převýšení, které registrují. V rámci zpracování zápisníku lze registrované zenitové úhly přepočítat na převýšení dodatečně.

Ve výškových výpočtech lze zadat buď zenitový úhel, nebo převýšení. Jsou-li zadány oba údaje, přednost má převýšení.

Výška stroje/cíle

Tento údaj obsahuje u měřených bodů nastavenou výšku cíle. U stanovisek je v něm uložena výška horizontu stroje.

Další údaje v seznamech ortogonálního měření

Staničení

Staničení (vodorovná vzdálenost po měřické přímce od počátku přímky k patě kolmice na určovaný bod).

Kolmice

Vodorovná délka kolmice od její paty na měřické přímce k určovanému bodu.

Předcházející | Domů | Další
Import souborů z předchozích verzí systému GROMA | Nahoru | Kurzor


Kurzor
Předcházející Kapitola 5. Seznamy Další

Kurzor

Není-li seznam prázdný, je na jedné z jeho položek umístěn kurzor, tj. čára přes celou výšku řádku. Kurzorem lze pohybovat pomocí kláves <Šipka Nahoru>, <Šipka Dolů>, <PageUp>, <PageDown>, <Home> a <End>. Kurzor označuje právě zvolenou položku (bod nebo měření), na kterou se automaticky vztahují některé operace (editování, mazání, apod.). Na libovolnou položku lze kurzor přímo přemístit ukázáním myší.

Předcházející | Domů | Další
Kapitola 5. Seznamy | Nahoru | Editování


Editování
Předcházející Kapitola 5. Seznamy Další

Editování

Položku, na které je kurzor, lze editovat stisknutím klávesy <Enter> nebo dvojitým kliknutím myší. Pro editování jednotlivých údajů je zobrazeno editační okno, jehož podoba závisí na typu seznamu (editační okno pro body nebo pro měřené údaje).

Předcházející | Domů | Další
Kurzor | Nahoru | Přidávání položek


Přidávání položek
Předcházející Kapitola 5. Seznamy Další

Přidávání položek

Do seznamů lze přidávat položky pomocí klávesy <Insert>. Po jejím stisknutí je zobrazeno dialogové okno, do něhož můžete vyplnit požadované informace.

Přidávání do seznamu souřadnic

Při přidávání položek do seznamu souřadnic je zobrazeno nemodální okno, mezi jednotlivými položkami se tedy můžete pohybovat i klávesou <Enter>. Abyste nemuseli odklepávat údaje, které nezadáváte, popř. které se nemění, můžete některé položky vypnout pomocí zaškrtávacího okénka vpravo od příslušné položky. Vypnutá okna budou při zadávání automaticky vynechávána. Vypnete-li číslo bodu, bude automaticky zvyšováno o jedničku, nebudete je však muset neustále potvrzovat. Vypnete-li nastavený kód, bude bez potvrzování přiřazen všem dalším bodům až do příští změny.

Po zadání posledního potřebného údaje je bod automaticky přidán do seznamu, ve všech oknech příslušného seznamu je na něj umístěn kurzor a číslo bodu je zvýšeno o jedničku. Předčíslí nemusíte potvrzovat, chcete-li je změnit, dostanete se na něj pomocí myši nebo klávesy <Shift-Tab>.

Bod je zařazen do seznamu podle nastaveného způsobu třídění bodů. Přidáváte-li do seznamu souřadnic bod s číslem, které již v seznamu existuje (a nejsou-li v nastavení programu povoleny duplicity), program zobrazí okno, v němž jsou vypsány informace o původním bodě, o novém bodě, souřadnicové rozdíly a další informace (viz obrázek).Program vám nabídne možnost ponechat v seznamu starý bod, uložit nový bod, nebo uložit bod, jehož souřadnice jsou vypočteny jako průměr souřadnic starého a nového bodu. Dále vám nabídne možnost uložit bod pod jiným číslem, do jiného seznamu, nebo uložit souřadnice k původnímu bodu jako druhé.

Přidávání bodu do seznamu souřadnic

V této situaci máte následující možnosti:

  • Zvolit pro bod nové číslo. Číslo můžete zadat do vstupního okénka pro číslo bodu.

  • Ponechat původní souřadnice. Pro polohu i výšku zvolte v nabídce položku Staré.

  • Uložit nové souřadnice. Pro polohu i výšku zvolte v nabídce položku Nové.

  • Zprůměrovat nové souřadnice s původními. Pro polohu i výšku zvolte v nabídce položku Průměr V tomto případě můžete ještě zvolit váhu pro původní i nové souřadnice.

  • Uložit bod do původního seznamu pod novým číslem.

  • Uložit bod do jiného seznamu.

  • Uložit souřadnice bodu do původního seznamu jako druhé souřadnice k původnímu bodu.

  • Kombinace výše uvedených možností. Způsob zpracování lze volit nezávisle pro polohu a pro výšku. Můžete tedy např. ponechat bodu původní souřadnice X a Y, ale novou výšku.

Informace o takto zpracovaném bodě se objeví v protokolu, včetně souřadnicových rozdílů a dalších údajů.

Přidávání do seznamu měření

Po zadání hodnot zvolte typ bodu (Stanovisko / Orientace / Měřený bod), a zvolte, zda se jedná o šikmou délku, kterou chcete redukovat, a zda má být délka vynásobena měřítkovým koeficientem.

V seznamech měřených hodnot je položka přidána na místo kurzoru.

Předcházející | Domů | Další
Editování | Nahoru | Mazání položek


Mazání položek
Předcházející Kapitola 5. Seznamy Další

Mazání položek

Položky v seznamech lze mazat pomocí klávesy <Del>, volbou Editace->Vymaž nebo Editace->Přenes

Jsou-li v seznamu některé položky označeny, program smaže je (po dotazu Smazat všechny označené položky?).

Není-li žádná položka označena, program smaže položku, na níž je umístěn kurzor (po dotazu Smazat zvolenou položku?).

Byly-li položky smazány příkazem Editace ->Přenes, program je přenesl do schránky, z níž mohou být příkazem Editace->Vlož vloženy do libovolného jiného datového okna nebo jako text do jiné aplikace (MS Excel, textové editory, apod.). Vkládané souřadnice jsou zařazeny podle čísel, měřená data jsou vložena před aktuální pozici kurzoru.

Předcházející | Domů | Další
Přidávání položek | Nahoru | Označování


Označování
Předcházející Kapitola 5. Seznamy Další

Označování

Libovolné položky seznamu lze označit pro použití některou další funkcí (uložení do souboru, přesun, mazání, atd.).

Označování z klávesnice

Pro označování položek seznamu pomocí klávesnice můžete použít tyto klávesy:

Tabulka 5.1. Klávesy

Klávesa | Akce
<Mezera> | Změní označenou položku na neoznačenou a naopak, posune kurzor na následující položku.
<Shift+Šipka nahoru> | Označuje položky a posouvá kurzor směrem nahoru.
<Shift+Šipka dolů> | Označuje položky a posouvá kurzor směrem dolů.
<+> | Označí všechny položky.
<-> | Zruší označení všech položek.
<*> | Zamění všechny označené položky za neoznačené a naopak.

Označování myší

Položky v seznamech lze označovat dvěma způsoby:

  • Klasické označování pravým tlačítkem: Položky označujete tak, že na prvním řádku, který si přejete označit, stisknete pravé tlačítko myši, a potom kurzorem posouváte po seznamu. Program označuje nebo ruší označení položek, na které kurzor ukáže.

  • Označování levým tlačítkem a klávesou: tento způsob je běžně používán v prostředí MS Windows. Ukažte levým tlačítkem na první položku, kterou si přejete označit. Potom ukažte levým tlačítkem se současně stisknutou klávesou <Shift> na poslední položku bloku, který si přejete označit. Přejete-li si k označeným položkám přidávat jednotlivé další, ukazujte na ně levým tlačítkem myši se současně stisknutou klávesou <Ctrl>.

Při rušení označení myší nebo klávesnicí se postupuje stejně jako při označování. Zapnete-li v nastavení programu volbu Soubor->Nastavení->Prostředí: Označování položek v seznamech dle Windows, bude po kliknutí levým tlačítkem myši do seznamu označení zrušeno. Je-li tato volba vypnuta, zůstávají položky seznamu označené, dokud sami jejich označení některým z výše uvedených způsobů nezrušíte.

Hromadné označování

Položky v seznamech lze označovat i hromadně pomocí výběrového dialogového okna, vyvolaného příkazem Měření-> Označ nebo Souřadnice->Označ .

V tomto dialogovém okně můžete zadat meze pro označení (minimální hodnoty, maximální hodnoty).

Zadáte-li u některé z položek pouze maximální hodnotu, program označí všechny položky, u nichž není tato maximální hodnota překročena. Obdobně, zadáte-li pouze minimální hodnotu, program označí v seznamu všechny položky, u nich není příslušná hodnota menší, než zadaná mez.

Můžete zvolit i režim označování:

  • Nové označení: Program označí pouze položky, vyhovující kritériím. U položek dříve označených označení zruší.

  • Přidat k označeným: Program všechny položky, které vyhovují kritériím, přidá k položkám dříve označeným.

  • Ubrat od označených: Program všechny položky, které vyhovují kritériím, odebere od položek dříve označených.

Poznámka

Při označování podle kódu mějte, prosím, na paměti, že kód je textový údaj, a to i v případě, že obsahuje pouze číslice. Zadáte-li tedy při označování meze "1" až "20", nebudou označeny např. položky s kódem "5".

Dále můžete zvolit, zda má program označit položky, u nichž je splněna alespoň jedna z uvedených podmínek, nebo pouze položky, u nichž jsou splněny podmínky všechny. Vlastní označení spustíte stisknutím tlačítka (Označ).

Dialogové okno pro označování obsahuje navíc některé další funkce:

  • (Označit body existující v referenčním souboru) Tímto tlačítkem označíte všechny body, jejichž čísla (bez ohledu na ostatní údaje o bodech) existují v referenčním souboru.

  • (Označit body neexistující v referenčním souboru) Tímto tlačítkem označíte všechny body, jejichž čísla neexistují v referenčním souboru.

  • (Označit body označené v referenčním souboru) Tímto tlačítkem označíte všechny body, jejichž čísla (bez ohledu na ostatní údaje o bodech) existují v referenčním souboru, a které jsou v referenčním souboru označeny.

  • (Označit všechny) Tímto tlačítkem označíte všechny položky v seznamu. Téhož výsledku lze dosáhnout stisknutím klávesy <+> na numerické klávesnici.

  • (Zrušit označení) Tímto tlačítkem zrušíte označení všech položek v seznamu. Téhož výsledku lze dosáhnout stisknutím klávesy <-> na numerické klávesnici.

  • (Označit alfanumerické) Tímto tlačítkem označíte v seznamu všechny položky s alfanumerickým identifikátorem.

  • (Označit Zvýrazněné) Tímto tlačítkem označíte v seznamu všechny zvýrazněné položky (položky uvedené v seznamu tučně).

  • (Označit zamčené) Tímto tlačítkem označíte všechny zamčené položky v seznamu. Přejete-li si označit naopak odemčené položky, označte tímto způsobem zamčené položky a stisknutím klávesy <*> na numerické klávesnici zaměňte označené za neoznačené.

  • (Označit stanoviska) Tímto tlačítkem označíte všechna stanoviska v seznamu měření.

  • (Označit orientace) Tímto tlačítkem označíte všechny orientace v seznamu měření. Přejete-li si označit pouze měřené body, označte výše uvedeným způsobem všechna stanoviska a všechny orientace, a stisknutím klávesy <*> na numerické klávesnici zaměňte označené za neoznačené.

  • (Smazat nastavení) Tímto tlačítkem vymažete veškerá nastavení zadaná do dialogového okna pro označování.

Předcházející | Domů | Další
Mazání položek | Nahoru | Vyhledávání položek


Vyhledávání položek
Předcházející Kapitola 5. Seznamy Další

Vyhledávání položek

Stisknete-li v seznamu kteroukoli číselnou klávesu, program aktivuje vstupní okno pro vyhledávání bodu, které je umístěno na liště nastavení. Při zadávání čísla program označí první bod zadaného čísla (bez ohledu na předčíslí), který v seznamu nalezne. Pokud bod daného čísla v seznamu není, označí bod s nejbližším vyšším číslem. Chcete-li označit další bod daného čísla, stiskněte šipku dolů. Vyhledávání lze aktivovat i příkazem Souřadnice->Najdi položku nebo Měření-> Najdi položku. Okno pro vyhledávání zrušíte stisknutím klávesy <Esc>.

Předcházející | Domů | Další
Označování | Nahoru | Volba zobrazených údajů


Volba zobrazených údajů
Předcházející Kapitola 5. Seznamy Další

Volba zobrazených údajů

Pokud některé z údajů zobrazovaných v seznamech nepoužíváte (např. zenitový úhel, typ bodu, převýšení, apod.), můžete pomocí příkazu Seznam ->Parametry zobrazení příslušné sloupce vypnout. Zobrazení je nastaveno pouze pro příslušný seznam a je zapsáno do hlavičky souboru, takže zůstane zachováno i při příštím otevření. Volbu lze vyvolat i kliknutím pravým tlačítkem myši na záhlaví seznamu (nikoli na barevné záhlaví s názvem souboru, ale na první řádek s hlavičkami sloupců). Nastavení zobrazených údajů je respektováno i při tiskových výstupech.

Tip

Přejete-li si některý z údajů vypnout na trvalo pro všechny soubory, doporučujeme vytvořit si zakládací soubory, v nichž budou příslušné údaje vypnuty. Nastavení je ze zakládacích souborů převzato pro každý nově vytvářený soubor.

Předcházející | Domů | Další
Vyhledávání položek | Nahoru | Krok zpět


Krok zpět
Předcházející Kapitola 5. Seznamy Další

Krok zpět

Operace provedené v seznamech (změny, přidávání, mazání položek) lze vrátit pomocí příkazu Editace->Krok zpět. Systém GROMA si ukládá informace o změnách v seznamech do zvláštní vyrovnávací paměti. Tato paměť je samostatná pro každý otevřený seznam, lze tedy operace vracet nezávisle v každém seznamu zvlášť. Počet posledních uložených operací je omezen velikostí této vyrovnávací paměti, která je pro každý soubor 8MB.

Poznámka

Vyrovnávací paměť pro krok zpět je vyprázdněna po přeindexování souboru. Po přeindexování již tedy nelze vrátit změny dříve provedené.

Předcházející | Domů | Další
Volba zobrazených údajů | Nahoru | Přetahování dat


Přetahování dat
Předcházející Kapitola 5. Seznamy Další

Přetahování dat

Data v seznamech lze pomocí myši přetahovat do různých datových oken. Přetahovat lze buď aktuální položku (tu, na níž je zobrazen kurzor), nebo celý blok označených položek.

Postup při přetahování jednotlivých položek

  1. Umístěte na požadovanou položku kurzor myši.

  2. Stiskněte levé tlačítko myši. Na zvolené položce se zobrazí kurzor.

  3. Držte stisknuté levé tlačítko myši, a pohybujte jejím kurzorem po obrazovce. Při pohybu můžete sledovat, jak se kurzor myši mění podle toho, v kterém okně je právě umístěn.

    • Zavřená ruka: Tento tvar má kurzor na ploše okna, z něhož položku přetahujete.

    • Otevřená ruka: Tento tvar má kurzor na ploše okna, které je schopno přetahovaná data akceptovat (jiný seznam stejného typu, výpočetní dialogové okno, atd.).

    • Kříž: Kříž se objeví, je-li kurzor myši umístěn na ploše hlavního okna programu.

    • Zákaz: Tuto podobu má kurzor, je-li umístěn na ploše okna, které není schopno přetahované údaje přijmout.

  4. Je-li kurzor umístěn na správném okně, uvolněte levé tlačítko myši. Data jsou přesunuta nebo zkopírována na příslušné místo.

Postup při přetahování bloku položek

  1. Označte požadované položky v seznamu.

  2. Umístěte kurzor myši kamkoli do okna, z něhož chcete data přetahovat.

  3. Stiskněte prostřední tlačítko myši. Pokud máte pouze dvoutlačítkovou myš, stiskněte levé tlačítko spolu s klávesou <Shift>.

  4. Držte stisknuté prostřední (levé) tlačítko myši, a pohybujte jejím kurzorem po obrazovce. Další postup je shodný, jako při přetahování jedné položky. Liší se pouze některé podoby kurzoru:

    • Zavřené ruce: Tento tvar má kurzor na ploše okna, z něhož blok přetahujete.

    • Otevřené ruce: Tento tvar má kurzor na ploše okna, které je schopno přetahovaná data akceptovat (jiný seznam stejného typu, výpočetní dialogové okno, atd.).

Kopírování dat

Přetahujete-li body z jednoho seznamu do druhého, jsou po přetažení v prvním seznamu vymazány. Chcete-li je zkopírovat, tj. ponechat i v původním seznamu, držte při uvolňování tlačítka myši stisknutu klávesu <Ctrl>.

Tento postup má vliv pouze na přetahování do seznamu. Na přetahování do výpočetních oken nemá klávesa <Ctrl> vliv, bod není ze seznamu vymazán nikdy.

Měření mezi datovými okny přetahovat nelze. Chcete-li přenést nebo zkopírovat měření z jednoho souboru do druhého, použijte kopírování přes schránku - funkce Editace->Přenes resp. Editace->Zkopíruj a Editace->Vlož .

Předcházející | Domů | Další
Krok zpět | Nahoru | Přečíslování seznamu


Přečíslování seznamu
Předcházející Kapitola 5. Seznamy Další

Přečíslování seznamu

Po vyvolání příkazu Souřadnice->Přečíslování nebo Měření-> Přečíslování je zobrazeno dialogové okno pro přečíslování seznamu.

Volba vstupního a výstupního souboru

Název vstupního souboru zadejte v rámečku Soubor. V případě přečíslování seznamu souřadnic můžete zadat i název výstupního souboru, takže původní soubor zůstane beze změny. To je výhodné zejména v případě, že se původní a nová číselná řada překrývají, takže by během přečíslování mohlo dojít ke konfliktům obou řad.

Doplnění předčíslí

Program umožňuje u bodů s neúplným předčíslím doplnit číslo na úplné. Pokud má předčíslí u některého bodu méně číslic, než přednastavené předčíslí, bude zleva doplněno o potřebný počet číslic z předčíslí.

Chcete-li použít tuto funkci, postupujte takto:

  • V redukcích (případně na liště nastavení) zadejte kompletní předčíslí

  • Chcete-li změnu provést pouze u části seznamu, označte vybrané položky seznamu.

  • Měníte-li předčíslí v seznamu souřadnic, zvolte výstupní soubor (může být totožný se vstupním souborem.

  • Stiskněte tlačítko (Doplnit úplná čísla bodů).

Oříznutí předčíslí

Program umožňuje u bodů s úplným předčíslím oříznout z předčíslí číslice totožné s přednastaveným předčíslím (tj. opak předchozí funkce Doplnění předčíslí).

Chcete-li použít tuto funkci, postupujte takto:

  • V redukcích (případně na liště nastavení) zadejte kompletní předčíslí

  • Chcete-li změnu provést pouze u části seznamu, označte vybrané položky seznamu.

  • Měníte-li předčíslí v seznamu souřadnic, zvolte výstupní soubor (může být totožný se vstupním souborem.

  • Stiskněte tlačítko (Doplnit úplná čísla bodů).

Změna předčíslí

Při změně předčíslí můžete postupovat dvěma způsoby:

Nastavení konstantního předčíslí

Chcete-li při změně nastavit u všech bodů stejné předčíslí, stačí hodnotu předčíslí vyplnit do vstupního okénka. Po přečíslování dostanou všechny body zadané předčíslí.

Chcete-li předčíslí u bodů odstranit, ponechte vstupní řádek prázdný, nebo do něj zadejte hodnotu 0.

Nastavení předčíslí pomocí masky

Přejete-li si změnit některé části původního předčíslí, můžete použít změnu předčíslí pomocí masky. Maska umožňuje změnit pouze některé číslice v předčíslí. Masku lze zadat dvěma způsoby:

  • Maska s otazníky

    Zadáte-li masku ve tvaru ???xx??? (případně lze použít i ekvivalentní zápis ###xx###), budou číslice na pozicích, na nichž jsou v masce otazníky (nebo mřížky), zachovány, zatímco ostatní číslice budou nahrazeny znaky zadanými v masce.

    Původní předčíslí 12345678 by tedy po zadání masky ???9???? bylo změněno na 12395678. Znaky na pozicích otazníků by zůstaly zachovány, čtvrtá číslice předčíslí by byla nahrazena číslicí 9.

  • Maska s pozicemi

    Předchozí způsob vyhovuje v případě, že se zaměňují jednotlivé číslice, ale není třeba měnit jejich pořadí. Pokud potřebujete např. první tři číslice přesunout na konec předčíslí, předchozím způsobem toho nedocílíte. Masku však můžete zadat i tím způsobem, že na místo otazníků napíšete pozice znaků v předčíslí uzavřené v lomené závorce. (např. <8><7><6>9<4><3><2><1>).

    Vzhledem k tomu, že všechna předčíslí nemusí mít stejný počet znaků, jsou pozice číslovány nikoli zleva, ale zprava. Uvedenou maskou tedy dosáhnete stejné změny, jako v předchozím případě (výsledné předčíslí bude opět 12395678).

    Přejete-li si použít indexy počítané zleva, můžete psát číslice v lomených závorkách se znaménkem minus. Zápis <1> znamená tedy první znak zprava, zápis <-1> znamená první znak zleva. Stejného výsledku, jako v předchozím případě, lze tedy dosáhnout i pomocí masky <-1><-2><-3>9<-5><-6><-7><-8>.

    Při přečíslování pomocí masky máte navíc možnost číslice původního předčíslí libovolně přehazovat. Zadáte-li například masku <3><2><1>??<8><7><6>, budou první tři číslice zaměněny za poslední tři číslice, zatímco čtvrtá a pátá číslice zůstane beze změny. Původní předčíslí 12345678 by tedy po zadání této masky bylo změněno na 67845123.

Změna čísla

Přejete-li si změnit čísla bodů, zapněte zaškrtávacím okénkem změnu čísla a zadejte počáteční číslo bodu.

Pokud si přejete, aby krok v čísle bodu při přečíslování seznamu souřadnic byl jiný než 1, můžete jej zadat do vstupního okénka Krok. Pokud jako počáteční číslo bodu zadáte nejvyšší požadované číslo, a krok zadáte -1, bude seznam souřadnic přečíslován sestupně od zadaného čísla bodu (čímž dojde zároveň k obrácení pořadí bodů v seznamu).

V případě seznamu souřadnic lze přečíslování provést z jednoho do druhého souboru (ve starém souboru zůstanou body beze změny, nově přečíslované body budou přidány do nového souboru), nebo v rámci jednoho souboru (bodům budou čísla změněna).

Kromě standardního způsobu změny čísla lze použít i změnu čísla pomocí masky, stejně jako u předčíslí.

Poznámka

Je-li při přečíslování seznamu souřadnic použita v předčíslí nebo v čísle bodu maska, doporučujeme provést přečíslování do nového prázdného seznamu souřadnic. Pokud máte zvoleno přečíslování do původního souboru, bude zobrazeno varovné hlášení s dotazem, zda má program v přečíslování pokračovat.
Varování

Po přečíslování v rámci jednoho souboru je přečíslovaný soubor automaticky přeindexován, nelze tedy přečíslování vrátit příkazem Editace->Krok zpět.

Přečíslování

Přečíslování seznamu spustíte tlačítkem (Přečíslovat). Můžete si zvolit, zda má být přečíslován celý seznam, nebo pouze označené položky. Při přečíslování seznamu měření vám program navíc nabízí následující volby:

  • Přečíslovat stanoviska

    Pokud tuto volbu zaškrtnete, budou při přečíslování změněna i čísla stanovisek. Je-li tato volba vypnutá, čísla stanovisek zůstanou beze změny.

  • Přečíslovat orientace Pokud tuto volbu zaškrtnete, budou při přečíslování změněna i čísla orientací. Je-li tato volba vypnutá, čísla orientací zůstanou beze změny.

  • Přečíslovat alfanumerické

    Pokud tuto volbu zaškrtnete, budou při přečíslování změněna i čísla bodů s alfanumerickými identifikátory.

  • Zachovat duplicity

    V seznamech měření se mohou některá čísla bodů opakovat (např. v případě opakovaného zaměření). Při normálním přečíslování by obě zaměření dostala odlišná nová čísla, podle pozice, na které se měření v seznamu nachází. Pokud však tuto volbu zaškrtnete, po přečíslování budou mít všechna tato měření opět shodné číslo bodu (takové, které dostane první zaměření daného bodu).

Po přečíslování je zobrazen protokol, obsahující tabulku starých a nových čísel bodů.

Předcházející | Domů | Další
Přetahování dat | Nahoru | Hromadné změny v seznamech


Hromadné změny v seznamech
Předcházející Kapitola 5. Seznamy Další

Hromadné změny v seznamech

V seznamech souřadnic i v seznamech měření lze provádět hromadné změny. Příkazem Souřadnice->Hromadná změna nebo Měření->Hromadná změna se zobrazí dialogové okno, v němž můžete definovat změny, které si přejete v seznamu provést.

Dialogové okno obsahuje rámeček pro každý údaj, který lze pomocí hromadné změny upravovat. Každý rámeček obsahuje zaškrtávací okénko Změnit, kterým volíte, které údaje budete hromadnou změnou měnit. Pokud toto okénko zapnete, program vám zpřístupní nastavení změny pro příslušný údaj. Do editačního okénka můžete zapsat číselnou konstantu nebo funkční vztah, jehož výsledkem je číselná hodnota.

Typ změny

Pod editačním okénkem můžete zvolit, jak má program při hromadné změně s výsledkem výrazu naložit. V závislost na typu údaje program nabízí všechny nebo některé z následujících možností:

  • Nastavit

    Údaj bude nastaven na zadanou hodnotu nebo výsledek zadaného výrazu, bez ohledu na původní hodnotu údaje.

  • Vynásobit

    Původní údaj bude zadanou hodnotou nebo výsledkem zadaného výrazu vynásoben. Přejete-li si původní údaj místo násobení dělit, zadejte zde převrácenou hodnotu koeficientu.

  • Přičíst

    K původnímu údaji bude zadaná hodnota nebo výsledek zadaného výrazu přičten. Přejete-li si zadanou hodnotu odečíst, zadejte ji zde s opačným znaménkem.

  • Odstranit

    Původní údaj bude ze záznamu odstraněn. Takto můžete např. odstranit výšky cíle, apod. Údaj můžete ze záznamu odstranit i tak, že zvolíte volbu Nastavit a editační okénko s příslušným údajem ponecháte prázdné.

Poznámka

Některé údaje (např. souřadnice X a Y) jsou povinné, takže je ze záznamu odstranit nelze.

Funkční vztahy

Do editačních okének lze kromě číselných hodnot zapisovat i funkční vztahy, v nichž lze použít běžné matematické operace, konstanty a předdefinované proměnné. Předdefinované proměnné jsou uvedeny v následujících tabulkách:

Tabulka 5.2. Proměnné pro hromadné změny v seznamu souřadnic

Název proměnné | Obsah proměnné
PREFIX | Předčíslí bodu
NUM | Číslo bodu
X, Y, Z | Souřadnice X, Y, Z
X2, Y2, Z2 | Doplňkové souřadnice X, Y, Z
INFO1, INFO2, INFO3, INFO4 | Uživatelské informace 1-4

Tabulka 5.3. Proměnné pro hromadné změny v seznamu měření

Název proměnné | Obsah proměnné
PREFIX | Předčíslí bodu
NUM | Číslo bodu
HZ | Vodorovný směr
Z | Zenitový úhel
DIST | Vodorovná délka
DH | Převýšení
SIGNAL | Výška stroje/cíle

Tabulka 5.4. Společné proměnné pro všechny typy výrazů

Název proměnné | Obsah proměnné
XRED, YRED, ZRED | Redukce souřadnic dle nastavení
SCALE | Nastavený měřítkový koeficient
PI | Konstanta pi (3.14159265358979)
RO | Radian v g (63.66197723675813)

Přejete-li si tedy například přičíst k souřadnici X konstantu 100m, můžete postupovat dvěma způsoby:

  • Do editačního okénka zadejte konstantu 100 a zvolte akci Přičíst.

  • Do editačního okénka zadejte funkční vztah X+100 a zvolte akci Nastavit.

Výsledek obou těchto postupů bude shodný.

V tomto případě je samozřejmě jednodušší první způsob, ale z příkladu je zřejmé, že druhý způsob nabízí mnohem více možností:

  • Lze jím zapsat libovolně složitou matematickou operaci.

    Ve výrazu se může objevit prakticky libovolné množství matematických operací.

  • Ve výrazu lze použít i ostatní proměnné.

    Můžete tedy zapsat např. vztah (X+Y)/2, který vypočte aritmetický průměr z obou souřadnic.

  • Lze zaměnit jednotlivé údaje.

    Tímto způsobem můžete mezi sebou údaje zaměňovat. Například lze zaměnit jednotlivé uživatelské údaje. Pokud do editačního okénka pro Info 1 zapíšete INFO2 a do editačního okénka pro Info 2 zapíšete INFO1, budou tyto dva údaje navzájem zaměněny. Obdobně můžete zaměňovat např. uživatelské informace za souřadnice, můžete tedy mít pro každý bod v jednom souboru více párů souřadnic.

Zamykání bodů

Při změnách v seznamu souřadnic lze zároveň měnit i atribut bodu. Zaškrtnete-li volbu Zamknout, budou všechny upravované body zamčeny. Při volbě Odemknout budou všechny upravované body odemčeny. Při volbě Neměnit zůstane atribut upravovaných bodů beze změny.

Změna atributu měřeného bodu

Při změně v seznamu měření lze měnit atribut bodu. Zaškrtnete-li volbu Měřený bod, budou všechny upravované body změněny na měřené body. Při volbě Orientace budou všechny upravované body změněny na orientace. Při volbě Neměnit zůstane atribut upravovaných bodů beze změny.

Záměna X a Y

Pomocí tlačítka (Zaměnit X a Y) lze u celého souboru nebo u označených bodů vzájemně zaměnit souřadnice X a Y. Tato možnost je vhodná např. načtete-li do systému GROMA textový seznam souřadnic, a potom zjistíte, že v něm byly přehozeny souřadnice X a Y.

Označování bodů

Po stisknutí tlačítka (Označit) bude zobrazeno dialogové okno pro označení položek v seznamu. Jsou-li v seznamu některé položky označeny, můžete si zvolit, zda má být změna provedena v celém souboru, nebo pouze u označených položek.

Předcházející | Domů | Další
Přečíslování seznamu | Nahoru | Kapitola 6. Seznam souřadnic


Kapitola 6. Seznam souřadnic
Předcházející Část I. Uživatelská příručka Další

Kapitola 6. Seznam souřadnic

Nejdůležitější soubor při práci s programem GROMA je obvykle seznam souřadnic. Seznam souřadnic obsahuje souřadnice bodů, které využívá většina funkcí programu, a mnoho funkcí do seznamu body ukládá.

Program umožňuje otevřít najednou libovolné množství seznamů souřadnic.

Pohyb v seznamu souřadnic

Soubor se souřadnicemi je zobrazen ve formě seznamu, z něhož je viditelná pouze ta část, se kterou právě pracujete. Na aktuálním řádku je umístěn kurzor. S kurzorem lze pohybovat pomocí klávesnice nebo myší.

Tabulka 6.1. Klávesy

Klávesa | Akce
<Šipka nahoru> | Posun kurzoru o řádek nahoru
<Šipka dolů> | Posun kurzoru o řádek dolů
<PageUp> | Posun kurzoru o stránku nahoru
<PageDown> | Posun kurzoru o stránku dolů
<Home> | Posun kurzoru na začátek souboru
<End> | Posun kurzoru na konec souboru

Předcházející | Domů | Další
Hromadné změny v seznamech | Nahoru | Zamykání bodů


Zamykání bodů
Předcházející Kapitola 6. Seznam souřadnic Další

Zamykání bodů

Body v seznamech souřadnic lze zamknout proti přepsání nebo smazání. Zamčení bodu je signalizováno symbolem zámku v levé části seznamu souřadnic (před číslem bodu). Body lze zamykat dvojím způsobem:

  • Jednotlivé body

    Při editaci bodu (např. stiskem klávesy <Enter>) lze jako jednu z vlastností bodu zvolit, zda má být zamčen.

    Máte-li zapnutou volbu Soubor->Nastavení->Prostředí: Rychlé zamykání/odemykání bodů, můžete jednotlivé body zamykat a odemykat kliknutím myši u levého okraje seznamu (před číslem bodu).

  • Hromadně

    Celý seznam souřadnic nebo označené body lze zamknout nebo odemknout pomocí hromadné změny (příkaz Souřadnice->Hromadná změna).

Zamčené body nelze mazat ani přepisovat. Změnit je můžete pouze pomocí editace bodu (např. klávesou <Enter>) nebo po odemčení. Přidáváte-li do seznamu bod s číslem, které již v seznamu existuje, a je-li existující bod uzamčen, je zobrazeno standardní dialogové okno s informacemi o souřadnicových rozdílech, ale je v něm přístupná pouze možnost ponechat v seznamu původní bod beze změny.

Předcházející | Domů | Další
Kapitola 6. Seznam souřadnic | Nahoru | Řazení seznamu souřadnic


Řazení seznamu souřadnic
Předcházející Kapitola 6. Seznam souřadnic Další

Řazení seznamu souřadnic

Seznam souřadnic je pro rychlejší manipulaci seřazen. Zatímco vlastní seznam souřadnic je fyzicky umístěn na disku (soubor .crd), údaje o řazení bodů (soubor .crx) jsou pro rychlejší manipulaci načteny do paměti počítače.

Seznam souřadnic může být řazen třemi způsoby:

  • Podle předčíslí

    Body jsou v seznamu setříděny primárně podle předčíslí a sekundárně podle čísla bodu. V souboru jsou tedy řazeny za sebe body se stejným předčíslím a různým číslem bodu. Toto je nejběžnější způsob třídění.

  • Podle čísla

    Body jsou setříděny primárně podle čísla bodu a sekundárně podle předčíslí. V souboru jsou tedy řazeny za sebe body se stejným číslem a různým předčíslím.

  • Netříděno

    V tomto případě body v seznamech souřadnic řazeny nejsou, v seznamu jsou uvedeny v takovém pořadí, v jakém byly do souboru přidávány. Toto pořadí se však poruší např. při kompresi souboru, pokud je v okamžiku komprese nastaven jiný způsob třídění (při kompresi souboru je vytvořen nový soubor, do něhož jsou všechny body zapsány v takovém pořadí, jak jsou v okamžiku komprese zobrazeny).

Dále lze v možnostech řazení zaškrtnout volbu Zvýrazněné napřed, čímž zajistíte, že zvýrazněné položky seznamu souřadnic jsou uvedeny před běžnými položkami.

Řazení podle předčíslí a podle čísla se týká pouze bodů s číselným identifikátorem. U alfanumerického identifikátoru není předčíslí a číslo rozlišováno, tyto body jsou řazeny abecedně (tedy jako v telefonním seznamu).

Způsob třídění lze nastavit pouze pro celý systém GROMA najednou, nelze zvolit pro každý seznam jiný způsob třídění. Způsob třídění se nastavuje v Soubor->Nastavení->Prostředí.

Předcházející | Domů | Další
Zamykání bodů | Nahoru | Aktivní seznam souřadnic


Aktivní seznam souřadnic
Předcházející Kapitola 6. Seznam souřadnic Další

Aktivní seznam souřadnic

Je-li otevřeno více seznamů souřadnic, jeden z nich má obvykle tu výsadní vlastnost, že je zvolen jako aktivní. Název aktivního souboru je zobrazen ve stavové řádce. Po spuštění programu je nastaven jako aktivní ten seznam souřadnic, který je otevřen jako první.

To, který seznam souřadnic je aktivní, má vliv na mnoho dalších funkcí programu (např. vyhledávání a ukládání bodů).

V některých případech je výhodné nemít zvolen žádný z otevřených seznamů souřadnic jako aktivní (např. při pokusných výpočtech, jejichž výsledky nemají být ukládány).

Volba aktivního seznamu souřadnic

Aktivní seznam souřadnic můžete zvolit třemi způsoby:

  • Příkazem Soubor->Aktivní seznam souřadnic vyvoláte dialogové okno se seznamem otevřených souborů, ze kterých si můžete zvolit aktivní seznam. Nechcete-li mít žádný seznam aktivní, vyberte položku [Žádný].

  • Dvakrát klikněte myší na stavový řádek. Zobrazí se stejné dialogové okno, jako při vyvolání pomocí menu.

  • Přetáhněte ze seznamu myší libovolnou položku do stavového řádku, stejně, jako se přetahují data do výpočetních oken.

Předcházející | Domů | Další
Řazení seznamu souřadnic | Nahoru | Vyhledávání v seznamu souřadnic


Vyhledávání v seznamu souřadnic
Předcházející Kapitola 6. Seznam souřadnic Další

Vyhledávání v seznamu souřadnic

Kdykoli program potřebuje souřadnice některého bodu, snaží se je vyhledat v seznamu souřadnic. Toto vyhledávání probíhá vždy podle stejného algoritmu, bez ohledu na to, z jakého důvodu (kterou funkcí) je bod hledán. Postup vyhledávání závisí na nastavení některých parametrů prostředí.

Je-li v dialogu Soubor->Nastavení->Prostředí zapnuta volba Hledat ve všech otevřených souborech, program vždy prohledá všechny otevřené seznamy souřadnic. V opačném případě prohledá pouze aktivní seznam souřadnic.

Je-li v dialogu Soubor->Nastavení->Prostředí zapnuta volba Hledat podle předčíslí, program hledá takové body, u nichž souhlasí číslo i předčíslí. V opačném případě předčíslí ignoruje, a nalezne všechny body daného čísla, bez ohledu na jejich předčíslí.

Poznámka

Je-li nastaveno řazení podle předčíslí, a jsou-li vypnuta duplicitní čísla bodů, je postup vyhledávání podstatně rychlejší, než při hledání pouze podle čísel. Je to způsobeno tím, že seznam souřadnic nemůže obsahovat více bodů stejného předčíslí i čísla. Navíc je seznam setříděn primárně podle předčíslí a sekundárně podle čísla, pro vyhledávání bodu lze tedy použít poměrně rychlý algoritmus, a po nalezení bodu není třeba seznam dále prohlížet. Naproti tomu bodů se stejným číslem a různým předčíslím může seznam obsahovat více (a v seznamu mohou být libovolně umístěny), při hledání pouze podle čísla je tedy třeba prohlédnout soubor vždy celý.

V případě, že program nalezne více bodů s rozdílnými souřadnicemi, splňujících kritéria, zobrazí dialogové okno se seznamem bodů (včetně názvů souborů, v nichž byly body nalezeny), a nechá vás vybrat příslušný bod. Zvolíte-li v tomto seznamu položku [Žádný], program se chová, jako by žádný bod nenalezl.

Předcházející | Domů | Další
Aktivní seznam souřadnic | Nahoru | Ukládání bodů


Ukládání bodů
Předcházející Kapitola 6. Seznam souřadnic Další

Ukládání bodů

V některých výpočetních funkcích jsou vypočtené body automaticky ukládány do aktivního seznamu souřadnic (např. polární metoda). Není-li nastaven žádný aktivní seznam souřadnic, program sám vypočtený bod neuloží, a můžete jej uložit ručně přetažením do libovolného seznamu souřadnic. To může být výhodné například při pokusných výpočtech, jejichž výsledky není třeba ukládat.

V ostatních výpočetních úlohách, kde body nejsou ukládány automaticky, je lze buď uložit do aktivního seznamu souřadnic stisknutím tlačítka (Uložit), nebo přetáhnout myší do libovolného seznamu souřadnic. Při přetahování myší je třeba ukázat do výpočetního dialogového okna do oblasti výsledků, a to na šedivou plochu dialogového okna, nikoli na bílá okénka se souřadnicemi nebo se seznamem bodů. Poté lze při stisknutém levém tlačítku myši vypočtené body přetáhnout do jiného okna.

Ve výpočetních funkcích, kde je třeba zadat výstupní soubor pro vypočtené souřadnice (polární metoda dávkou, atd.) je při spuštění výpočtu jako výstup automaticky nastaven aktivní seznam souřadnic, jestliže jste předem nezvolili jiný soubor.

Předcházející | Domů | Další
Vyhledávání v seznamu souřadnic | Nahoru | Grafické zobrazení bodů


Grafické zobrazení bodů
Předcházející Kapitola 6. Seznam souřadnic Další

Grafické zobrazení bodů

Chcete-li seznam souřadnic zobrazit graficky, zvolte příkaz Souřadnice->Zobraz graficky. Program otevře k příslušnému seznamu souřadnic předpis kresby (soubor .pic). Jestliže soubor s předpisem kresby neexistuje, program vytvoří prázdný soubor.

Předcházející | Domů | Další
Ukládání bodů | Nahoru | Roztřídění seznamu podle mapových listů


Roztřídění seznamu podle mapových listů
Předcházející Kapitola 6. Seznam souřadnic Další

Roztřídění seznamu podle mapových listů

Příkazem Souřadnice->Roztřiď dle mapových listů vyvoláte dialogové okno, které vám umožní roztřídit seznam souřadnic do souborů podle mapových listů.

Použití tohoto okna je podrobně popsáno v referenční příručce.

Předcházející | Domů | Další
Grafické zobrazení bodů | Nahoru | Porovnání seznamů souřadnic


Porovnání seznamů souřadnic
Předcházející Kapitola 6. Seznam souřadnic Další

Porovnání seznamů souřadnic

Po vyvolání příkazu Souřadnice->Porovnání seznamů souřadnic je zobrazeno dialogové okno pro statistický test seznamů souřadnic. Program porovná dva seznamy souřadnic, vypočte souřadnicové rozdíly na jednotlivých bodech, odhady středních chyb a další údaje. Podrobný popis je uveden v referenční příručce.

Předcházející | Domů | Další
Roztřídění seznamu podle mapových listů | Nahoru | Kontrola duplicitních čísel


Kontrola duplicitních čísel
Předcházející Kapitola 6. Seznam souřadnic Další

Kontrola duplicitních čísel

Po vyvolání příkazu Souřadnice->Kontrola duplicitních čísel proběhne kontrola seznamu souřadnic, zda neobsahuje duplicitní čísla bodů. Výsledek kontroly je uložen do protokolu.

Předcházející | Domů | Další
Porovnání seznamů souřadnic | Nahoru | Odstranění identických bodů


Odstranění identických bodů
Předcházející Kapitola 6. Seznam souřadnic Další

Odstranění identických bodů

Po vyvolání příkazu Souřadnice->Odstranění identických bodů je zobrazeno dialogové okno, které slouží pro vyhledání bodů s různými čísly, ale s totožnými (nebo blízkými) souřadnicemi. Podrobný popis je uveden v referenční příručce.

Předcházející | Domů | Další
Kontrola duplicitních čísel | Nahoru | Kontrola číslování bodů


Kontrola číslování bodů
Předcházející Kapitola 6. Seznam souřadnic Další

Kontrola číslování bodů

Pomocí této funkce lze zkontrolovat posloupnost čísel bodů v seznamu souřadnic. Program zkontroluje číslování a zobrazí protokol, v němž vypíše informace o mezerách v číslování.

Předcházející | Domů | Další
Odstranění identických bodů | Nahoru | Dávkové průměrování souřadnic


Dávkové průměrování souřadnic
Předcházející Kapitola 6. Seznam souřadnic Další

Dávkové průměrování souřadnic

Po vyvolání příkazu Souřadnice->Dávkové průměrování souřadnic je zobrazeno dialogové okno, které slouží pro automatické dávkové zprůměrování bodů stejného čísla. Podrobný popis je uveden v referenční příručce.

Předcházející | Domů | Další
Kontrola číslování bodů | Nahoru | Zaokrouhlení souřadnic


Zaokrouhlení souřadnic
Předcházející Kapitola 6. Seznam souřadnic Další

Zaokrouhlení souřadnic

Po vyvolání příkazu je zobrazeno dialogové okno Souřadnice->Zaokrouhlení souřadnic pro zaokrouhlení celého seznamu (nebo označených položek) na stanovený počet desetinných míst. Podrobný popis je uveden v referenční příručce.

Předcházející | Domů | Další
Dávkové průměrování souřadnic | Nahoru | Obnova smazaných položek


Obnova smazaných položek
Předcházející Kapitola 6. Seznam souřadnic Další

Obnova smazaných položek

Po vyvolání příkazu Souřadnice->Obnova smazaných položek je zobrazeno dialogové okno, pomocí něhož lze do nového souboru obnovit všechny položky, které byly v daném seznamu smazány od poslední komprese souboru. Podrobný popis je uveden v referenční příručce.

Předcházející | Domů | Další
Zaokrouhlení souřadnic | Nahoru | Připojení souboru


Připojení souboru
Předcházející Kapitola 6. Seznam souřadnic Další

Připojení souboru

Po vyvolání příkazu Souřadnice->Připoj soubor je zobrazeno dialogové okno pro výběr souboru, pomocí něhož lze do existujícího seznamu souřadnic přidat body z jiného seznamu. Importovaný soubor může být ve formátu systému GROMA, nebo v kterémkoli jiném formátu, z něhož GROMA umí body importovat (textový soubor, soubor ve formátu XML, apod.).

Předcházející | Domů | Další
Obnova smazaných položek | Nahoru | Dvojí souřadnice


Dvojí souřadnice
Předcházející Kapitola 6. Seznam souřadnic Další

Dvojí souřadnice

Systém GROMA umožňuje udržovat v seznamech souřadnic pro každý bod dva páry souřadnic X a Y. Můžete tedy mít pro každý bod např. souřadnice v hlavní a místní soustavě, nebo obecně ve dvou různých soustavách.

Druhý pár souřadnic je v seznamu uložen pomocí uživatelských informací o bodě (INFO1 a INFO2). Způsob zobrazení (pojmenování, počet desetinných míst, apod.) lze tedy nastavit v informacích o souboru příkazem Soubor->Informace o souboru.

Program vždy jako aktivní souřadnice do výpočtů přebírá první uvedené souřadnice, druhé jsou považovány za pomocné. Chcete-li začít pracovat s druhou sadou souřadnic, je třeba zaměnit hlavní souřadnice za pomocné. Tuto záměnu lze provést pomocí dialogového okna vyvolaného příkazem Souřadnice->Dvojí souřadnice.

Dvojí souřadnice se využívají při práci se seznamy souřadnic pro geometrické plány. Jako hlavní souřadnice lze v seznamu vést tzv. Souřadnice obrazu, jako doplňkové mohou být uloženy tzv. Souřadnice polohy. Takto jsou také body načteny při importu z databáze získané z ISKN. Pokud databáze obsahuje i souřadnice polohy, jsou při importu načteny jako doplňkové souřadnice. V seznamu je lze libovolně upravovat, a příkazem Souřadnice->Uložit body do databáze, Souřadnice->Uložit změny do databáze nebo Souřadnice->Synchronizovat seznam s databází lze změny uložit zpět do databáze.

Systém obsahuje další funkce pro práci s dvojími souřadnicemi:

  • Příprava souboru pro dvojí souřadnice (nastavení názvů sloupců, nastavení počtu desetinných míst, a dalších nezbytných údajů).

  • Doplnění druhého páru souřadnic z doplňkového seznamu souřadnic hromadně podle čísel bodů.

  • Export vedlejších souřadnic do nového souboru.

  • Odstraněné všech nebo pouze nulových vedlejších souřadnic.

  • Záměna hlavních a vedlejších souřadnic.

Popis jednotlivých funkcí je uveden v referenční příručce.

Předcházející | Domů | Další
Připojení souboru | Nahoru | Kapitola 7. Seznam měření


Kapitola 7. Seznam měření
Předcházející Část I. Uživatelská příručka Další

Kapitola 7. Seznam měření

Volba podrobnosti zobrazení

V seznamech měření můžete volit podrobnost zobrazení. Program nabízí tyto možnosti:

  • Zobrazit všechny položky

  • Zobrazit pouze stanoviska a orientace

  • Zobrazit pouze stanoviska

Podrobnost zobrazení můžete volit dvěma způsoby:

  • Volba pro celý soubor

    Pomocí dialogového okna Měření->Parametry zobrazení můžete zvolit, zda si přejete zobrazit všechny položky, stanoviska s orientacemi, nebo pouze stanoviska. Toto nastavení bude provedeno pro celý soubor.

  • Volba pro jednotlivá stanoviska

    Přejete-li si měnit podrobnost zobrazení pro jednotlivá stanoviska, můžete změnu provést kliknutím myší na symbol podrobnosti zobrazení v levém sloupci seznamu (před číslem stanoviska). Při opakovaném kliknutí je cyklicky měněna podrobnost zobrazení.

Předcházející | Domů | Další
Dvojí souřadnice | Nahoru | Přečíslování seznamu měření


Přečíslování seznamu měření
Předcházející Kapitola 7. Seznam měření Další

Přečíslování seznamu měření

Po vyvolání příkazu Měření->Přečíslování je zobrazeno dialogové okno pro přečíslování seznamu měření. Na rozdíl od seznamu souřadnic přečíslování měření probíhá v rámci jednoho souboru (není třeba přečíslovat z jednoho souboru do druhého). V dialogov0m okně zvolíte, které hodnoty chcete měnit (předčíslí, čísla), zaškrtnete, zda chcete přečíslovat i orientace a stanoviska, a přečíslování spustíte tlačítkem (Přečíslovat). Opakují-li se v seznamu měření čísla bodů, dostanou tyto body po přečíslování opět totožná čísla. Po přečíslování je zobrazen protokol, obsahující tabulku starých a nových čísel bodů.

Předcházející | Domů | Další
Kapitola 7. Seznam měření | Nahoru | Zpracování zápisníku


Zpracování zápisníku
Předcházející Kapitola 7. Seznam měření Další

Zpracování zápisníku

Program GROMA umožňuje kompletní zpracování zápisníku měřených hodnot, včetně zpracování měření v obou polohách dalekohledu, obousměrně měřených délek, apod.

Po vyvolání příkazu Měření->Zpracování zápisníku se zobrazí dialogové okno, v němž můžete nastavit, které úpravy zápisníku požadujete.

Před výpočtem zápisníku musíte nejprve definovat teodolit pomocí příkazu Soubor->Nastavení->Teodolit. Při definování teodolitu nastavíte tolerance pro rozdíl měření v I. a II. poloze dalekohledu, rozdíl dvakrát měřené délky, apod. Podle nastavených tolerancí jsou potom jednotlivá měření v protokolu označována jako podezřelá resp. chybná.

Program je dodáván s předdefinovaným teodolitem s názvem "Neznámý teodolit", v jehož definici jsou nastaveny implicitní tolerance pro testování podezřelých a chybných měření.

Informace o všech změnách v seznamu měření jsou uloženy v protokolu. V některých případech může být vhodné zapsat změny pouze do protokolu, ale seznam měření ponechat v původním stavu. V takovém případě zaškrtněte volbu Pouze do protokolu, a program ponechá seznam beze změny.

Dále si můžete zvolit, zda chcete opravit celý soubor měření, nebo pouze označené položky.

Vlastní zpracování zápisníku spustíte stisknutím tlačítka (Opravit). Program provede postupně všechny úpravy, které jste si zvolili.

Při výpočtu zápisníku se program řídí těmito pravidly:

  • Je-li testovaná hodnota (rozdíl obousměrně měřených délek, rozdíl směrů měřených v I. a II. poloze) menší, než hodnota nastavená u zvoleného teodolitu jako Podezřelá, program daný výpočet provede.

  • Leží-li testovaná hodnota v intervalu daném hodnotou nastavenou jako Podezřelá a hodnotou nastavenou jako Chybná, program daný výpočet provede, ale v protokolu jej označí znakem "?" jako podezřelý.

  • Překročí-li testovaná hodnota hodnotou nastavenou jako Chybná, program daný výpočet neprovede, v zápisníku ponechá původní měření a údaje o neprovedeném výpočtu uloží do protokolu označené znakem "x" jako chybné.

Převod šikmých délek na vodorovné

Pokud jste načetli zápisník bez redukce délek na vodorovné, tedy se šikmými délkami, je třeba před dalšími výpočty délky redukovat na vodorovné. Redukci lze provést buď u jednotlivých bodů v dialogovém okně pro editaci, nebo hromadně ve zpracování zápisníku.

Zpracování měření v obou polohách

Program na každém stanovisku vyhledá dvojici směrů na jeden bod měřených v obou polohách dalekohledu. Nalezne-li takovou dvojici, vypočte kolimační chybu (rozdíl měření v obou polohách dělený dvěma), odečte od takto určené chyby kolimační chybu nastavenou v definici teodolitu a výsledný rozdíl porovná s tolerancemi nastavenými v definici teodolitu.

Stejným způsobem zpracuje i zenitové úhly (byly-li měřeny) a délky.

Jestliže všechny zjištěné rozdíly vyhoví tolerancím nastaveným v definici teodolitu, opraví program měření v I. poloze tak, aby obsahovalo průměrné hodnoty z obou měření.

Jestliže byl alespoň jeden z vypočtených rozdílů větší, než hodnota nastavená v definici teodolitu jako podezřelá, program označí v protokolu celé měření jako podezřelé.

Po zpracování seznamu měření je do protokolu uložen i odhad skutečných velikostí přístrojových chyb.

Redukce směrů

Při redukci směrů program upraví všechny směry na stanovisku tak, aby byl směr na první orientaci (první položka v seznamu měření) nulový, tj. od všech směrů odečte směr měřený na první orientaci.

Oprava indexové chyby

Jestliže váš stroj neopravuje automaticky indexovou chybu, a jestliže znáte její velikost, nastavte ji v definici teodolitu, a použijte tuto volbu k opravě měřených zenitových úhlů.

Oprava refrakce

Tato volba vám umožňuje opravit měřené zenitové úhly nebo převýšení o vliv refrakce a zakřivení povrchu Země. Před vlastním výpočtem zvolte pomocí tlačítka (Nastavení) velikost refrakčního koeficientu a které opravy chcete zavést.

Výpočet převýšení

Po zaškrtnutí této volby program u všech měření, která obsahují délku a zenitový úhel, vypočte převýšení a uloží jej do seznamu měření.

Redukce převýšení na spojnici stabilizačních značek

U měření, u nichž je definováno převýšení (nebo zenitový úhel), výška stroje a výška cíle program vypočte převýšení přímo mezi body, tj. převýšení opravené o výšku stroje a cíle. Výšku stroje a cíle potom nastaví na nulovou hodnotu, aby nemohlo dojít k následným chybám ve výškovém výpočtu. Tuto redukci je nutné provést před načtením dat do výškového vyrovnání.

Zpracování opakovaných měření

Program na každém stanovisku vyhledává skupiny měření na stejný cíl ve stejné poloze dalekohledu. Z nalezených měření vypočte výsledné průměrné měření. Pokud opravy jednotlivých měření vyhoví nastaveným tolerancím, příslušná měření ze seznamu vypustí a opraví první měření tak, aby obsahovalo průměrné hodnoty.

Zpracování obousměrně měřených délek a převýšení

Program postupně vyhledává v celém seznamu měření pro každou měřenou délku příslušnou délku měřenou protisměrně. Nalezne-li ji, vypočte průměrnou hodnotu, a pokud její opravy nepřekročí nastavené tolerance, uloží ji k oběma měření. Obdobně postupuje i u převýšení.

Jestliže byl alespoň jeden z vypočtených rozdílů větší, než hodnota nastavená v definici teodolitu jako podezřelá, program označí v protokolu celé měření jako podezřelé.

Předcházející | Domů | Další
Přečíslování seznamu měření | Nahoru | Označení orientací


Označení orientací
Předcházející Kapitola 7. Seznam měření Další

Označení orientací

Systém GROMA v některých úlohách využívá označení orientací. Orientace jsou v seznamech měření zobrazeny tučně, a mohou být umístěny na libovolném místě seznamu (nemusí být nutně na začátku stanoviska). Při importu z formátu záznamníku program orientace automaticky označí (umožňuje-li formát příslušného záznamníku orientace odlišit). Pro jednotlivé body lze atribut orientace měnit také pomocí editace. Chcete-li změnit tento atribut pro větší množství bodů, můžete použít toto dialogové okno.

V okně zvolíte, podle kterých kritérií mají být orientace označeny, a zda mají být body, vyhovující zadaným kritériím, přidány ke stávajícím orientacím, či zda má být provedeno celé nové označení (v takovém případě je nejprve atribut Orientace u všech bodů zrušen).

Body použité jako stanoviska

Při této volbě budou jako orientace označena všechna měření na body, které byly zároveň použity jako stanoviska.

Body nalezené v seznamech souřadnic

Při této volbě budou jako orientace označena měření na body, které jsou v daném okamžiku uložené v seznamu / seznamech souřadnic (s ohledem na nastavený režim vyhledávání bodů).

Body s kódem orientace

Jako orientace budou označena ta měření, u nichž je v kódu obsažen nastavený kód orientace (může být i součástí delšího kódu, v takovém případě však musí být správně nastaven oddělovač kódů v nastavení kódování).

Body s číslem vyšším než

Zde lze nastavit číselnou hranici, od níž jsou body považovány za orientace. Tato hranice obvykle bývá 2000, 4000 nebo 5000.

Body s předčíslím

Zde lze nastavit konkrétní předčíslí, jímž jsou označena měření na orientace.

Body s předčíslím vyšším než

Zde lze nastavit číselnou hranici předčíslí, od níž jsou body považovány za orientace.

Předcházející | Domů | Další
Zpracování zápisníku | Nahoru | Spojení souborů měření


Spojení souborů měření
Předcházející Kapitola 7. Seznam měření Další

Spojení souborů měření

Pomocí příkazu Měření->Připoj soubor lze na konec otevřeného seznamu měření připojit jiný seznam měření. Stejného výsledku lze dosáhnout, otevřete-li druhý soubor, a zkopírujete-li jej celý do prvního pomocí schránky. V tomto případě jsou však nové body vloženy na pozici kurzoru, nikoli na konec souboru.

Předcházející | Domů | Další
Označení orientací | Nahoru | Obnova smazaných položek


Obnova smazaných položek
Předcházející Kapitola 7. Seznam měření Další

Obnova smazaných položek

Po vyvolání příkazu Souřadnice->Obnova smazaných položek je zobrazeno dialogové okno, pomocí něhož lze do nového souboru obnovit všechny položky, které byly v daném seznamu smazány od poslední komprese souboru. Podrobný popis je uveden v referenční příručce.

Předcházející | Domů | Další
Spojení souborů měření | Nahoru | Kapitola 8. Projekty


Kapitola 8. Projekty
Předcházející Část I. Uživatelská příručka Další

Kapitola 8. Projekty

Pracujete-li na rozsáhlejší zakázce, případně na zakázce, na níž pracujete opakovaně, je výhodné založit si pro ni projekt. Projekt je samostatné datové okno, v němž lze vytvořit seznam souborů, které se příslušné zakázky týkají. Do projektu lze uložit datové soubory (seznamy souřadnic, měření, protokoly, textové soubory) i soubory s uloženými výpočty (polygonové pořady, výměry, oměrné, transformace, apod.).

Do projektu se kromě použitých souborů ukládají i některá nastavení programu (měřítkový koeficient, počet desetinných míst, zakládací soubory, atd.).

Založení projektu

Nový projekt založíte příkazem Soubor->Nový a zvolením typu souboru Projekt. Po založení projektu se otevře prázdné okno, do něhož můžete přidávat soubory, které do zakázky patří.

Předcházející | Domů | Další
Obnova smazaných položek | Nahoru | Přidávání / ubírání souborů


Přidávání / ubírání souborů
Předcházející Kapitola 8. Projekty Další

Přidávání / ubírání souborů

Soubory lze přidávat dvojím způsobem:

  • Příkazem Projekt->Přidej soubor

    Po zadání tohoto příkazu je zobrazeno dialogové okno se seznamem všech otevřených souborů (těch, které ještě nejsou v projektu zařazeny). Zde můžete vybrat soubor (případně soubory), které si přejete přidat do projektu. Tímto způsobem lze přidávat pouze datové soubory (seznamy souřadnic, seznamy měření, protokoly, grafiku, textové a rastrové soubory).

  • Přetažením myší

    Seznamy souřadnic nebo měření lze přidat do projektu pouhým přetažením myší. Tímto způsobem lze přidávat i uložené soubory s výpočty (polygonové pořady, výměry, oměrné, transformace, apod.). Postup při přetahování souborů do okna s projektem je stejný, jako při ukládání výsledků do seznamů.

V okně s projektem je zobrazena stromová struktura, v níž jsou soubory uspořádány podle typů. Libovolný soubor lze otevřít dvojím kliknutím myší na jeho název v seznamu. Okno se souborem je otevřeno na takovém místě a s takovou velikostí, jakou mělo při předchozím uzavření.

Nachází-li se datový soubor přidávaný do projektu ve stejném adresáři, jako samotný projekt, je do projektu přidán pouze pomocí samotného názvu souboru bez plné cesty. Celý projekt i s datovými soubory potom může být přesunut do jiného adresáře nebo na jiný disk, a datové soubory se budou správně otevírat i nadále. Pokud se však přidávaný soubor nachází v jiném adresáři než projekt, bude přidán s plnou cestou, a bude-li později přesunut, nebude možno jej z projektu znovu otevřít.

Přejete-li si ubrat některý soubor z projektu, vyberte jeho název v seznamu souborů a vypusťte jej příkazem Projekt->Odeber soubor.

Předcházející | Domů | Další
Kapitola 8. Projekty | Nahoru | Uložení projektu


Uložení projektu
Předcházející Kapitola 8. Projekty Další

Uložení projektu

Nový projekt lze uložit příkazem Soubor->Ulož nebo Soubor->Ulož jako. Standardní přípona projektu je .prj.

Cesty k jednotlivým souborům se v projektu ukládají relativně k umístění vlastního souboru s projektem. Je-li tedy přesunut projekt i se souvisejícími soubory na jiné místo, a jsou=li při tom zachována relativní umístění souborů vzhledem k projektu, není třeba v projektu nic měnit a vše bude bez problémů pracovat i v novém umístění.

Důležité

Relativní cesty lze použít pouze v případě, že jsou datové soubory umístěny na stejném zařízení, jako soubor s projektem (např. vše na disku C:).

Předcházející | Domů | Další
Přidávání / ubírání souborů | Nahoru | Otevření projektu


Otevření projektu
Předcházející Kapitola 8. Projekty Další

Otevření projektu

  • Příkazem z menu

    Projekt lze otevřít stejně, jako kterýkoli datový soubor - příkazem Soubor->Otevři. V seznamu typů souborů zvolte typ Projekt.

  • Ze seznamu zavřených souborů

    Dříve zavřený projekt lze otevřít pomocí seznamu zavřených souborů v nabídce Soubor.

Při otevření projektu je obnovena celá pracovní plocha systému GROMA, tj. jsou otevřena všechna okna, která byla otevřena při předchozím uzavírání projektu.

Do projektu se společně se seznamem souborů ukládá i část nastavení systému GROMA, můžete tedy mít různá nastavení pro různé zakázky. Jedná se o tato nastavení:

  • Parametry vstupu / výstupu

    • Počet desetinných míst

    • Zaokrouhlování souřadnic

    • Způsob zobrazení čísel bodů

    • Měřítkový koeficient

  • Redukce

  • Nastavené uživatelské vstupní / výstupní formáty

  • Připojená kódovací tabulka

Do projektu se ukládá i seznam naposledy otevřených souborů, který je dostupný v nabídce Soubor.

Předcházející | Domů | Další
Uložení projektu | Nahoru | Kapitola 9. Kódování bodů


Kapitola 9. Kódování bodů
Předcházející Část I. Uživatelská příručka Další

Kapitola 9. Kódování bodů

Program GROMA umožňuje kódování bodů v seznamech souřadnic i v seznamech naměřených hodnot. Při měření se zařízeními, umožňujícími zaznamenávat kódy bodů, je možno body označovat kódy v průběhu měření v terénu, a využít takto získaných informací při zpracování programem GROMA i dalšími navazujícími programy.

Princip kódování

Kód bodu může být tvořen libovolným alfanumerickým řetězcem do maximální délky dvacet znaků. Dvacet znaků plně postačuje pro jednoznačnou identifikaci bodů, a nezpůsobuje příliš výrazné zvýšení objemu souřadnicových souborů. Při všech výstupech program GROMA převádí kódy na popisy (např. pro automatické umisťování značek) podle připojené kódovací tabulky.

Předcházející | Domů | Další
Otevření projektu | Nahoru | Kódovací tabulka


Kódovací tabulka
Předcházející Kapitola 9. Kódování bodů Další

Kódovací tabulka

Kódovací tabulka je jednoduchý textový soubor, v němž jsou jednotlivým kódům přiřazeny odpovídající popisy. Struktura kódovacího souboru je zřejmá z následujícího příkladu:

1=Budova
2=Plot
3=Strom
4=Sloup
5=Lampa
6=Stožár
7=Mezník
8=Vchod
9=Orientace
10=PBBP
11=Nivelační značka
12=Zeď nahoře
13=Zeď dole
14=Silnice

V tomto kódovacím souboru jsou použity pouze číselné kódy, obecně však mohou být kódy tvořeny libovolnými alfanumerickými znaky.

Kódovací tabulka může navíc obsahovat tyto speciální položky:

Tabulka 9.1. Speciální položky kódovací tabulky

Položka | Popis
@Title= | Název kódovací tabulky
@Default= | Tento popis je zobrazen u všech položek, jejichž kód nebyl v kódovací tabulce nalezen. Jestliže tato volba nebyla použita, program místo popisu zobrazí původní kód.
@Empty= | Tento popis je zobrazen u všech položek, které nemají žádný kód.
@Separator= | Jestliže označujete body při měření více kódy, můžete pomocí této položky nastavit, jakými znaky mají být na výpisu jednotlivé popisy odděleny. Nepoužijete-li tuto volbu, program popisy oddělí vždy jednou mezerou. (Znak, kterým jsou odděleny původní kódy, může být odlišný, a musíte jej nastavit v Soubor->Nastavení->Kódování: Oddělovač kódů

Kódovací tabulky jsou uloženy v textových souborech s implicitní příponou .cod. Můžete si vytvořit libovolné množství kódovacích tabulek pro různé účely. Program GROMA používá tabulku, která je právě připojena. Není-li připojena žádná tabulka, program místo popisů zobrazuje původní kódy.

Předcházející | Domů | Další
Kapitola 9. Kódování bodů | Nahoru | Připojení a odpojení kódovací tabulky


Připojení a odpojení kódovací tabulky
Předcházející Kapitola 9. Kódování bodů Další

Připojení a odpojení kódovací tabulky

Chcete-li pracovat s konkrétní kódovací tabulkou, musíte ji nejprve připojit. Kódovací tabulka se připojuje pomocí tlačítka (Připojit) v dialogovém okně Soubor->Nastavení->Kódování. Po stisknutí tohoto tlačítka vám program nabídne k připojení všechny kódovací tabulky, nalezené v aktuálním adresáři. Po zvolení a připojení tabulky jsou okamžitě zobrazeny v otevřených seznamech souřadnic a naměřených hodnot příslušné popisy bodů namísto jejich kódů.

Chcete-li, aby program opět začal zobrazovat kódy, můžete připojenou kódovací tabulku odpojit pomocí tlačítka (Odpojit).

Předcházející | Domů | Další
Kódovací tabulka | Nahoru | Editace kódovací tabulky


Editace kódovací tabulky
Předcházející Kapitola 9. Kódování bodů Další

Editace kódovací tabulky

Chcete-li editovat kódovací tabulku, můžete ji otevřít přímo v systému GROMA jako textový soubor. Nejsnáze ji otevřete pomocí tlačítka (Editovat) v Soubor->Nastavení->Kódování. Změny provedené v kódovací tabulce se projeví okamžitě po jejím uložení na disk (příkaz Soubor->Ulož). Kódovací tabulka je běžný textový soubor, můžete ji tedy editovat i libovolným jiným textovým editorem.

Předcházející | Domů | Další
Připojení a odpojení kódovací tabulky | Nahoru | Vícenásobné kódy


Vícenásobné kódy
Předcházející Kapitola 9. Kódování bodů Další

Vícenásobné kódy

Systém umožňuje použití více kódů na jednom bodě. Kódy musí být odděleny tzv. oddělovačem kódů (jeden znak - obvykle mezera nebo čárka). Tento oddělovač se nastavuje v Soubor->Nastavení->Kódování: Oddělovač kódů. Potom jsou převáděny na popisy všechny dílčí kódy u bodu. Pokud není některý z dílčích kódů nalezen v kódovací tabulce, bude zobrazen bez převedení na popis. Na výpisu jsou jednotlivé popisy odděleny mezerou. Přejete-li si je oddělit jiným znakem nebo posloupností znaků, uveďte je v kódovací tabulce jako položku @Separator="xx", kde xx je posloupnost oddělovacích znaků.

Pokud by byl u bodu kód například "1 2", při použití výše uvedené ukázkové kódovací tabulky by byl u bodu zobrazen popis "Budova Plot". Pokud by kódovací tabulka neobsahovala položku "1=Budova", byl by zobrazen popis "1 Plot". Pokud by v tabulce byl navíc řádek

@Separator=", "

výsledný kód by vypadal takto: "1, Plot".

Předcházející | Domů | Další
Editace kódovací tabulky | Nahoru | Nenalezené kódy


Nenalezené kódy
Předcházející Kapitola 9. Kódování bodů Další

Nenalezené kódy

Pokud se v záznamu bodu objeví kód, který není uveden v kódovací tabulce, program jej nepřevádí a zobrazí jej tak, jak byl registrován. Pokud si nepřejete zobrazovat kódy, které nebyly nalezeny v kódovací tabulce, můžete do ní doplnit řádek

@Default=""

Tímto řádkem volíte, jaký popis má být uveden na místě kódů nenalezených v kódovací tabulce. Pokud mezi uvozovkami nebude nic uvedeno, bude nenalezený kód vynechán. Pokud do uvozovek napíšete libovolný text, bude tímto textem nenalezený kód nahrazen.

Předcházející | Domů | Další
Vícenásobné kódy | Nahoru | Označování bodů podle kódů


Označování bodů podle kódů
Předcházející Kapitola 9. Kódování bodů Další

Označování bodů podle kódů

Položky v seznamech souřadnic a naměřených hodnot lze označovat podle jejich kódů. Při označování je však třeba mít na paměti, že s kódy program pracuje jako s textovými, a to i v případě, že ke kódování používáte pouze číslice. Zvolíte-li tedy třeba označení všech položek s kódem od 5 do 59, nebudou označeny např. položky s kódem 8 (text začínající znakem "8" je větší, než text začínající znakem "5").

Předcházející | Domů | Další
Nenalezené kódy | Nahoru | Zadávání kódů pomocí popisů


Zadávání kódů pomocí popisů
Předcházející Kapitola 9. Kódování bodů Další

Zadávání kódů pomocí popisů

Pokud v některém dialogovém okně zadáváte kód bodu, je vedle editačního okénka pro kód zobrazeno tlačítko se třemi tečkami. Po stisknutí tohoto tlačítka program zobrazí kompletní seznam popisů z připojené kódovací tabulky, a vy můžete vybrat kód pomocí popisu.

Předcházející | Domů | Další
Označování bodů podle kódů | Nahoru | Překódování při importu


Překódování při importu
Předcházející Kapitola 9. Kódování bodů Další

Překódování při importu

Jestliže registrujete víceznakové popisy, program GROMA umožňuje jejich převod na maximálně dvacetiznakové kódy, se kterými interně pracuje. Při všech výpisech (na obrazovku, do textových souborů, atd.) automaticky převádí interní kódy zpět na poznámky.

Kódy, na něž mají být popisy převedeny, jsou definovány pomocí kódovací tabulky. Tutéž kódovací tabulku můžete použít i pro zpětný převod kódů na popisy, čímž je zaručeno zachování původních popisů, případně můžete pro výstup použít jinou tabulku.

Chcete-li popisy při importu převést na kódy, musíte připojit příslušnou kódovací tabulku, a v dialogovém okně Soubor->Nastavení->Prostředí zapnout v údajích o kódovací tabulce položku Překódovat při importu. Program potom všechny popisy převádí na kódy podle připojené tabulky, a jestliže některý popis v tabulce nenalezne, zobrazí chybové hlášení.

Předcházející | Domů | Další
Zadávání kódů pomocí popisů | Nahoru | Kapitola 10. Výpočty


Kapitola 10. Výpočty
Předcházející Část I. Uživatelská příručka Další

Kapitola 10. Výpočty

Všechny výpočetní úlohy se ovládají pomocí dialogových oken, která jsou zobrazena po zvolení příslušné úlohy v menu nebo na liště nástrojů.

Většina souřadnicových výpočtů je kontrolována pomocí technologie zpětné kontroly. Zpětná kontrola pracuje tak, že po výpočtu výsledných souřadnic program vypočte zpět vstupní data a s určitou tolerancí je porovná se vstupními hodnotami. Rozpor mezi vstupními a zpětně spočítanými daty signalizuje závadu ve výpočtu. Tento postup by měl eliminovat většinu teoreticky možných chyb, včetně selhání hardware apod.

Výpočetní dialogová okna

Dialogová okna pro výpočty jsou nemodální, můžete si jich otevřít více najednou, a chcete-li pracovat s jinými částmi systému GROMA, můžete je při tom nechat otevřená. Mezi jednotlivými editačními okénky v dialogovém okně se můžete pohybovat pomocí klávesy <Tab>, <Shift-Tab>, <Šipka nahoru>, <Šipka dolů> nebo <Enter>.

Výpočetní okna se skládají z několika oblastí, obvykle uzavřených do rámečků. Vždy obsahují oblast pro vstupní údaje, oblast pro výsledky a oblast s tlačítky. Složitější okna mohou obsahovat i více oblastí (orientace osnov, seznam souřadnic, apod.), případně záložky, pod nimiž jsou skryty další části oken. Ovládání všech výpočtů je až na několik výjimek shodné, bude proto popsán podrobně pouze výpočet polární metody, a u ostatních výpočtů budou popsány pouze odlišnosti od standardního postupu.

Tip

Stisknete-li klávesu <+> resp. <-> v okénku pro číslo bodu (je-li číslo bodu vyplněno), bude číslo zvětšeno resp. zmenšeno o jedničku. Toto platí pro všechna vstupní okénka pro zadání čísla bodu.

Předcházející | Domů | Další
Překódování při importu | Nahoru | Zadávání údajů


Zadávání údajů
Předcházející Kapitola 10. Výpočty Další

Zadávání údajů

Údaje lze do dialogových oken zadávat dvěma způsoby:

  • přímým zadáním z klávesnice,

  • přetažením z jiného okna.

Přímé zadávání údajů

Při přímém zadávání jsou údaje vyplňovány do vstupních řádků dialogového okna z klávesnice.

Jestliže opouštíte vstupní řádek s číslem bodu (klávesou <Tab>, <Enter> nebo libovolným jiným způsobem), pokusí se program v seznamu (seznamech) souřadnic najít bod zadaného čísla, a nalezne-li jej, automaticky doplní jeho souřadnice.

Přetahování údajů ze seznamů

Údaje lze do dialogových oken přetahovat z otevřených seznamů souřadnic a naměřených hodnot. Data se přetahují pomocí levého tlačítka myši. V seznamu zvolíte kurzorem myši příslušnou položku (souřadnice bodu nebo naměřené údaje), stisknete levé tlačítko myši, a její kurzor přesunete na místo, kam chcete zvolenou hodnotu vyplnit.

Při posouvání kurzoru si všimněte, jak se mění jeho tvar podle oblasti, po níž se právě pohybujete. Na ploše seznamu, odkud údaj pochází, je kurzor tvořen zavřenou rukou. Při pohybu přes plochu, která nemá s přetahovanými údaji žádnou souvislost, a která je nemůže akceptovat, je kurzor tvořen znakem "zákaz". Dostanete-li se nad libovolnou oblast, která je schopna údaje přijmout, kurzor se změní na otevřenou ruku. Po uvolnění levého tlačítka myši se údaje do této oblasti přemístí (konkrétní akce závisí na typu oblasti).

Takto lze přetahovat data ze seznamů do výpočetních oken, výsledky z výpočetních oken zpět do seznamů, nebo souřadnice ze seznamů do seznamů.

Aktualizace vstupních souřadnic

Většina výpočetních úloh, kde se zadává více vstupních souřadnic, nabízí možnost aktualizace zadaných souřadnic. Stisknete-li tlačítko (Aktualizovat souřadnice), program se pokusí standardním vyhledávacím postupem dohledat souřadnice vstupních bodů. Nalezne-li je, porovná je se zadanými, a v případě rozdílů aktualizuje zadání výpočtu. Po aktualizaci je zobrazen protokol, v němž můžete ověřit, které hodnoty byly aktualizovány.

Varování

Po aktualizaci souřdnic je třeba spustit znovu výpočet dané úlohy s novými souřadnicemi.

Při posouvání kurzoru si všimněte, jak se mění jeho tvar podle oblasti, po níž se právě pohybujete. Na ploše seznamu, odkud údaj pochází, je kurzor tvořen zavřenou rukou. Při pohybu přes plochu, která nemá s přetahovanými údaji žádnou souvislost, a která je nemůže akceptovat, je kurzor tvořen znakem "zákaz". Dostanete-li se nad libovolnou oblast, která je schopna údaje přijmout, kurzor se změní na otevřenou ruku. Po uvolnění levého tlačítka myši se údaje do této oblasti přemístí (konkrétní akce závisí na typu oblasti).

Takto lze přetahovat data ze seznamů do výpočetních oken, výsledky z výpočetních oken zpět do seznamů, nebo souřadnice ze seznamů do seznamů.

Automatická orientace osnovy vodorovných směrů

Výjimku v ovládání tvoří oblast výpočetních oken pro orientaci osnov vodorovných směrů. Přetáhnete-li do této oblasti stanovisko ze seznamu měřených hodnot (červený řádek s číslem stanoviska, uvedený v seznamu vždy na začátku nového stanoviska), program automaticky prohledá všechny měřené směry příslušného stanoviska, a do orientace přidá všechna měření, pro něž v seznamech nalezl souřadnice cíle. Z těchto nabídnutých orientací lze samozřejmě kteroukoliv vypustit pomocí tlačítka (Ubrat).

Předcházející | Domů | Další
Kapitola 10. Výpočty | Nahoru | Ukládání výsledků


Ukládání výsledků
Předcházející Kapitola 10. Výpočty Další

Ukládání výsledků

Souřadnice vypočtených bodů lze uložit do seznamu souřadnic dvěma způsoby: přetažením pomocí myši nebo stisknutím tlačítka (Uložit).

Postup při přetahování vypočtených bodů

  1. Doplňte do výpočetního dialogového okna všechny chybějící údaje (číslo bodu, popř. předčíslí, atd.).

  2. Přesuňte kurzor myši na plochu dialogového okna, do oblasti s výsledky (na šedou plochu pozadí, nikoli na plochu vstupního okénka nebo seznamu souřadnic).

  3. Stiskněte levé tlačítko myši.

  4. Držte stisknuté levé tlačítko myši, a pohybujte jejím kurzorem po obrazovce. Při pohybu můžete sledovat, jak se kurzor myši mění podle toho, v kterém okně je právě umístěn.

  5. Je-li kurzor umístěn na správném okně, uvolněte levé tlačítko myši. Data budou zkopírována na příslušné místo.

Tímto způsobem je možno přesunovat údaje nejen do seznamů souřadnic, ale i do jiných výpočetních oken, do kontrolní kresby, apod.

Postup při ukládání vypočtených bodů tlačítkem (Uložit)

  1. Doplňte do výpočetního dialogového okna všechny chybějící údaje (číslo bodu, popř. předčíslí, atd.).

  2. Zkontrolujte, zda máte nastaven seznam souřadnic, do něhož chcete vypočtené body uložit, jako aktivní. Název aktivního seznamu souřadnic je uveden na stavovém řádku ve spodní části hlavního okna aplikace. Pokud si přejete uložit body do jiného seznamu, musíte jej nejprve nastavit jako aktivní.

  3. Stiskněte tlačítko (Uložit).

Některé výpočetní úlohy automaticky vypočtené body ukládají do aktivního seznamu souřadnic. Nechcete-li je automaticky ukládat, nastavte aktivní seznam souřadnic na [Žádný]. Potom můžete vypočtené body ukládat ručně do libovolného seznamu souřadnic.

Předcházející | Domů | Další
Zadávání údajů | Nahoru | Kontrolní kresba


Kontrolní kresba
Předcházející Kapitola 10. Výpočty Další

Kontrolní kresba

Před zahájením výpočtů můžete pomocí příkazu Nástroje->Kontrolní kresba zobrazit dialogové okno, do něhož je okamžitě po dokončení kteréhokoli výpočtu zobrazena kontrolní kresba konfigurace daných a vypočtených hodnot. Vstupní body jsou zobrazeny černě, měřené hodnoty a vypočtené body červeně. Okno pro kontrolní kresbu je nemodální, může tedy být stále otevřeno. Jeho umístění a velikost lze libovolně měnit. Jednotlivé body v něm můžete zobrazit i přetažením myší ze seznamů souřadnic nebo z výpočetních oken. Kontrolní kresba je podrobněji popsána v části příručky zabývající se rozšiřujícími moduly.

Předcházející | Domů | Další
Ukládání výsledků | Nahoru | Tolerance


Tolerance
Předcházející Kapitola 10. Výpočty Další

Tolerance

Při některých výpočtech má program GROMA možnost odhadovat přesnost výsledku, např. podle geometrických parametrů (konfigurace), podle oprav (při přeurčených výpočtech), atd.

Kontrolovat parametry pro každý výpočet by bylo velmi pracné a zdlouhavé. Program GROMA proto umožňuje automatické porovnávání některých parametrů s předem nastavenými tolerancemi. Při překročení nastavené tolerance program zobrazí varovné hlášení, a umožní uživateli ve výpočtu pokračovat, nebo jej ukončit.

Uživatel má možnost definovat jednotlivé sady tolerancí. Podle požadované přesnosti potom pouze zvolí příslušnou sadu, se kterou od toho okamžiku program pracuje.

Tolerance se nastavují v dialogovém okně Soubor->Nastavení->Tolerance. V tomto dialogovém okně lze také zvolit aktivní sadu tolerancí.

Testování tolerancí lze vypnout zvolením sady jménem [Netestovat].

Předcházející | Domů | Další
Kontrolní kresba | Nahoru | Testování dle předpisů pro práci v katastru nemovitostí


Testování dle předpisů pro práci v katastru nemovitostí
Předcházející Kapitola 10. Výpočty Další

Testování dle předpisů pro práci v katastru nemovitostí

Kromě testování uživatelem definovaných tolerancí můžete ještě použít testování odchylek a parametrů dle předpisů pro práci v katastru nemovitostí. Toto testování se zapíná v dialogovém okně pro definování tolerancí. Jestliže toto testování zapnete, systém GROMA v některých výpočtech porovnává dosažené odchylky s mezními odchylkami a skutečné geometrické parametry obrazců s limitními povolenými parametry. Jestliže daný výpočet vyhoví požadavkům předpisů pro práci v katastru nemovitostí, je do protokolu připojen závěr, že byly tyto požadavky dodrženy. Nevyhoví-li výpočet, je zobrazeno dialogové okno s překročeným parametrem a do protokolu je zapsán výsledek testování.

Testovány jsou tyto parametry:

Tabulka 10.1. Testy při výpočtech

Výpočetní úloha | Typ testu
Polygonové pořady | úhlová odchylka, polohová odchylka, mezní délka pořadu, mezní délka strany, mezní poměr délek sousedních stran, mezní počet bodů
Protínání, průsečík přímek | minimální úhel protnutí, maximální vzdálenost od daného k určovanému bodu
Rajón s orientací na určovaném bodě (volné stanovisko) | minimální úhel protnutí
Polární metoda | mezní odchylka v orientaci
Ortogonální metoda | mezní odchylka v délce měřické přímky, mezní délka přímky, mezní délka kolmice
Kontrolní oměrné | mezní rozdíl mezi délkou přímo měřenou a vypočtenou ze souřadnic

Předcházející | Domů | Další
Tolerance | Nahoru | Transformace souřadnic


Transformace souřadnic
Předcházející Kapitola 10. Výpočty Další

Transformace souřadnic

Program GROMA má zabudovánu jednu univerzální transformaci souřadnic, kterou používají všechny výpočetní úlohy, které transformaci potřebují.

Identické body

V závislosti na typu transformace jsou potřeba minimálně dva nebo tři tzv. identické body. Termín "Identické body" však není příliš vhodný a podstatu bodů nevystihuje (tyto body nejsou obecně při transformaci v obou soustavách ztotožněny). V běžné praxi se však tento termín přesto používá, je tedy z důvodu srozumitelnosti použit i zde.

Identické body jsou body, jejichž souřadnice jsou známy v obou soustavách, a mohou tedy být použity pro výpočet transformačního klíče. Použitá transformace je lineární, v obecném případě tedy obě soustavy ztotožní pouze v jednom bodě, a to v těžišti identických bodů. Pro všechny ostatní body, z nichž byl určen transformační klíč, platí, že jejich souřadnice transformované z jedné soustavy do druhé se obecně nerovnají souřadnicím daným v druhé soustavě (pouze splňují podmínku minimálního součtu čtverců oprav), nejsou tedy v pravém smyslu slova "identické".

Transformační klíč

Transformační klíč lze i se seznamem identických bodů uložit do souboru a později opět načíst do programu. Většina výpočetních funkcí, které používají transformaci, umožňuje zobrazit výsledné transformační parametry.

Mezi transformační parametry paří:

  • Transformační klíč:

    • posun ve směru osy X,

    • posun ve směru osy Y,

    • rotace soustavy,

    • jeden nebo dva měřítkové koeficienty,

  • Identický bod:

    Souřadnice bodu, v němž jsou obě soustavy ztotožněny (tj. těžiště bodů, z nichž byl určen transformační klíč).

Transformační parametry jsou určeny na základě metody nejmenších čtverců za podmínky minimalizace součtu čtverců souřadnicových oprav na identických bodech.

Většina úloh, kde je použita transformace souřadnic, obsahuje tlačítko (Klíč), po jehož stisknutí je zobrazeno okénko s transformačními parametry. Toto okénko obsahuje tlačítka (Uložit klíč) a (Načíst klíč), která slouží k zapsání definovaného transformačního klíče do souboru a k jeho opětovnému načtení. Soubory s transformačním klíčem jsou mezi sebou kompatibilní, lze tedy např. v transformaci souřadnic načíst a použít klíč, který byl definován při ortogonální metodě (a naopak).

Shodnostní transformace

Shodnostní transformace je lineární transformace souřadnic, která zachovává rozměr (měřítkový koeficient je roven jedné). Transformace má tedy tři parametry (dvě translace a rotaci), pro určení transformačního klíče jsou třeba alespoň dva identické body.

Podobnostní transformace

Podobnostní transformace je lineární transformace souřadnic, která používá jeden měřítkový koeficient pro směr osy X i Y. Transformace má tedy čtyři parametry (dvě translace, rotaci a měřítkový koeficient), pro určení transformačního klíče jsou třeba alespoň dva identické body.

Afinní transformace - 5 stupňů volnosti

Afinní transformace má, na rozdíl od transformace podobnostní, dvě různá měřítka pro směry os X a Y. Počet transformačních parametrů je pět (dvě translace, rotace a dva měřítkové koeficienty), minimální počet identických bodů tedy vzroste na tři.

Afinní transformace - 6 stupňů volnosti

U tohoto typu transformace nejsou určovány geometrické transformační parametry, ale přímo prvky transformační matice. Transformačních parametrů je tedy šest (dvě translace a čtyři prvky transformační matice). Prvky transformační matice v tomto případě již nejsou navzájem vázány geometrickými vazbami, nelze z nich tedy určit geometrické transformační parametry. Minimální počet identických bodů pro tento typ transformace je tři.

Uživatelská transformace

Zvolíte-li tento typ transformace, není třeba zadávat identické body, zadávají se přímo transformační rovnice pro výpočet souřadnic bodů.

Předcházející | Domů | Další
Testování dle předpisů pro práci v katastru nemovitostí | Nahoru | Orientace osnov


Orientace osnov
Předcházející Kapitola 10. Výpočty Další

Orientace osnov

V některých úlohách (např. polární metoda, protínání ze směrů, volné stanovisko, polygonový pořad) je třeba provést orientaci osnovy vodorovných směrů. Postup orientace směrů je vždy shodný, bez ohledu na typ zpracovávané úlohy.

Při orientaci osnov můžete postupovat dvěma způsoby. Buď můžete orientace vyplnit jednotlivě, nebo můžete nechat program zorientovat osnovu automaticky.

Ruční orientace osnov

Nejprve do oblasti pro zadání stanoviska zadejte pomocí čísla bodu nebo přetažením myší souřadnice stanoviska (tento bod se netýká volného stanoviska - v této úloze budou souřadnice stanoviska určovány).

Do oblasti pro orientaci osnov vyplňte nezbytné údaje příslušného orientačního směru (měřená délka není nutná, je použita pouze pro kontrolu), a stiskněte tlačítko (Přidat). Orientace bude přidána do seznamu, program přepočítá celou orientaci osnovy směrů, a bude-li v seznamu více orientací, než jedna, program zobrazí opravy na jednotlivých orientačních směrech. Tímto postupem vyplňte všechny orientace, které chcete použít.

Automatická orientace osnov

Chcete-li, aby program automaticky provedl orientaci osnovy, přetáhněte do oblasti pro orientaci osnov pouze číslo stanoviska (červený údaj v seznamu měřených hodnot). Program vybere ze všech směrů, které byly na stanovisku zaměřeny, ty, u nichž jsou známy souřadnice cíle, a automaticky je do seznamu orientací přidá. Před automatickou orientací osnovy směrů je tedy třeba mít otevřen seznam souřadnic, obsahující souřadnice stanoviska a orientačních bodů. Navíc musí být nastaven takový způsob vyhledávání bodů, aby byl program schopen příslušné body v seznamech nalézt (souřadnice musí být v aktivním seznamu souřadnic, nebo musí být povoleno hledání bodů ve všech otevřených seznamech).

Takto vytvořený seznam orientací můžete dále libovolně editovat (přidávat, ubírat nebo opravovat položky). Údaje se přidávají pomocí tlačítka (Přidat), a ubírají tlačítkem (Ubrat).

Chcete-li některý směr vyřadit z orientací, ale nechcete-li jej úplně odebrat (pro případ, že byste jej mohli chtít později opět použít), můžete jej pouze vypnout pomocí zaškrtávacího okénka před číslem bodu. Takto vypnutý směr v seznamu zůstane pro další použití, jsou u něj zobrazeny opravy, ale pro vlastní orientaci osnovy není použit (neobjeví se ani v protokolu).

Chcete-li některou položku opravit, ukažte na ni v seznamu orientací, aby se hodnoty zobrazily v editačních oknech, potom tyto hodnoty opravte, opravenou položku přidejte a původní, neopravenou položku uberte.

Váhy orientací

Při orientaci osnov lze do výpočtu zavést váhy jednotlivých směrů. Váhy se nastavují v konfiguraci programu (Soubor->Nastavení->Výpočty). Lze zvolit ze tří standardních nastavení:

  • 1

    Všechny měřené směry jsou z hlediska přesnosti rovnocenné, váhy všech měřených směrů jsou 1.

  • 1/s

    Pro jednotlivé směry jsou použity váhy určené ze vztahu

    p = 1/s

    kde s je délka na orientační bod.

  • s/1000

    Pro jednotlivé směry jsou použity váhy určené ze vztahu

    p = s/1000

    kde s je délka na orientační bod.

  • Uživatelské nastavení

    Kromě těchto tří předdefinovaných možností lze do vstupního řádku pro zadání váhy zapsat libovolný funkční vztah obsahující parametr s.

Poznámka

Při volbě předdefinovaných vah si všimněte, jak se ve vstupním okénku mění funkční vztah pro výpočet váhy.

Číselné hodnoty vah jednotlivých směrů naleznete v protokolu o orientaci osnovy směrů.

Předcházející | Domů | Další
Transformace souřadnic | Nahoru | Kapitola 11. Výpočetní úlohy


Kapitola 11. Výpočetní úlohy
Předcházející Část I. Uživatelská příručka Další

Kapitola 11. Výpočetní úlohy

Polární metoda

Dialog Polární metoda slouží k ručnímu výpočtu souřadnic bodů zaměřených polární metodou.

Před výpočtem zaměřených bodů nejdříve musíte zadat souřadnice stanoviska a zorientovat osnovu vodorovných směrů.

Souřadnice stanoviska

Souřadnice stanovisek lze vyplnit ručně (popř. vyplnit pouze číslo bodu a souřadnice nechat doplnit automaticky), nebo přetáhnout ze seznamu souřadnic.

Orientace osnov

Postup při orientaci osnovy směrů je uveden v předchozí kapitole.

Podrobné body

Máte-li zorientovánu osnovu vodorovných směrů, můžete se pomocí záložky Určovaný bod přepnou do druhé části dialogového okna a začít počítat zaměřené body. Údaje můžete do editačních oken vyplňovat ručně, nebo přetahovat ze seznamu. Je-li zvolen aktivní seznam souřadnic, jsou do něj vypočtené body automaticky ukládány. Nechcete-li je ukládat, musíte před výpočtem zrušit aktivní seznam (příkaz Soubor->Aktivní seznam souřadnic, položka [Žádný]). Nemáte-li nastaven aktivní seznam souřadnic (nebo chcete-li uložit bod i do jiného seznamu, popř. použít v jiném výpočetním okně jako vstupní údaj), můžete jej přetáhnout pomocí myši stejně, jako se přetahují body ze seznamů souřadnic.

Chcete-li vypočítat souřadnice více bodů najednou, můžete si tyto body označit v seznamu měření, a přetáhnout celý označený blok najednou.

Poznámka

Při tomto způsobu výpočtu nesmí označený blok zasáhnout do dalšího stanoviska, protože tato úloha neumí automaticky provést novou orientaci osnov. V případě, že chcete počítat více stanovisek najednou, použijte Polární metodu dávkou.

Přetahujete-li data myší, budou souřadnice vypočteny okamžitě po přetažení. Zadáváte-li údaje z klávesnice, musíte stisknout tlačítko (Výpočet) (lze stisknout odkudkoli klávesou <Alt-V>).

Předcházející | Domů | Další
Orientace osnov | Nahoru | Ortogonální metoda


Ortogonální metoda
Předcházející Kapitola 11. Výpočetní úlohy Další

Ortogonální metoda

Před výpočtem podrobných bodů zaměřených ortogonální metodou musíte nejprve určit transformační klíč postupem obdobným orientaci osnov vodorovných směrů při polární metodě. Do vstupních řádků v části Identické body musíte pro každý bod, který chcete použít pro určení transformačního klíče, zadat souřadnice v hlavní soustavě i v místní soustavě (kolmice a staničení), a pomocí tlačítka (Přidat) jej přidat do seznamu identických bodů.

Při přetažení prvního identického bodu program nastaví kolmici a staničení na hodnotu 0.00. Při přetažení druhého identického bodu program jako staničení nabídne vzdálenost od prvního identického bodu a jako kolmici hodnotu 0.00. Pokud nabízené staničení neupravíte, je výpočet považován za výpočet bez kontroly, což je poznamenáno také v protokolu. Pokud bylo shodou okolností měřené staničení přesně shodné s nabízeným, je i přesto nutno hodnotu zaeditovat nebo znovu vyplnit, aby systém věděl, že byla zadána, a nepovažoval délku přímky za nezkontrolovanou.

Jsou-li v seznamu alespoň dva identické body, program automaticky vypočte transformační klíč a souřadnicové opravy na všech bodech. Zároveň zobrazí opravu délky mezi prvními dvěma identickými body (rozdíl délky určené ze souřadnic a z kolmic a staničení). Maximální počet identických bodů není omezen.

Transformační klíč si můžete zkontrolovat po stisknutí tlačítka (Klíč). Z dialogového okna, které program zobrazí (je shodné pro všechny typy transformace) vás bude pravděpodobně zajímat pouze část Měřítkové koeficienty (v tomto případě je použita podobnostní transformace, oba měřítkové koeficienty tedy budou shodné). Toto okno obsahuje tlačítka (Načíst klíč) a (Uložit klíč), pomocí nichž můžete zadaný transformační klíč uložit do souboru pro další použití, nebo ze souboru načíst dříve definovaný klíč.

Ve výpočetním dialogovém okně je automaticky zobrazena oprava délky měřické přímky. Jestliže je zadáno více než dva identické body, nebo jedná-li se o volnou měřickou přímku, je za opravu délky měřické přímky považován rozdíl vzdáleností mezi prvními dvěma identickými body.

Po určení transformačního klíče můžete obvyklým způsobem počítat jednotlivé body. Máte-li zvolen některý seznam souřadnic jako aktivní, program do něj automaticky ukládá vypočtené body. Nechcete-li je ukládat, musíte před výpočtem zrušit aktivní seznam (příkaz Soubor->Aktivní seznam souřadnic, položka [Žádný]). Nemáte-li nastaven aktivní seznam souřadnic (nebo chcete-li uložit bod i do jiného seznamu, popř. použít v jiném výpočetním okně jako vstupní údaj), můžete jej přetáhnout pomocí myši stejně, jako se přetahují body ze seznamů souřadnic.

Tlačítkem (Nová přímka) smažete obsah celého dialogového okna a můžete počítat další přímku.

Tip

Počítáte-li větší množství bodů, a máte-li možnost jejich kolmice a staničení nějakým způsobem importovat do seznamu souřadnic, můžete pro výpočet použít transformaci souřadnic.

Předcházející | Domů | Další
Kapitola 11. Výpočetní úlohy | Nahoru | Polární metoda dávkou


Polární metoda dávkou
Předcházející Kapitola 11. Výpočetní úlohy Další

Polární metoda dávkou

Polární metoda dávkou

Tato úloha zpracovává dávkově celý seznam naměřených hodnot nebo jeho část. Umí vypočítat souřadnice bodů polární metodou, metodou volného stanoviska a protínáním ze směrů. Pokud si přejete při dávkovém výpočtu použít pouze některé z těchto metod, v konfiguraci programu (Soubor->Nastavení->Výpočty) lze jednotlivé metody vypnout. Vhodné to může být např. v případě, že se v seznamu měření objeví nejprve měření ze zatím neurčeného stanoviska, a teprve dále zaměření tohoto stanoviska rajónem. Pokud jsou zapnuty všechny výpočetní úlohy, program se pokusí souřadnice neznámého stanoviska určit jako volné stanovisko. Pokud úlohu Volné stanovisko pro dávkové výpočty vypnete, při prvním průchodu program toto stanovisko přeskočí (nebudou ještě určeny jeho souřadnice), později je určí rajónem, a při dalším průchodu dopočte body z něj zaměřené.

Nelze li některé body vypočítat (např. pokud není možno určit souřadnice stanoviska, apod.), bude v protokolu uvedena informace o tom, proč nemohl být výpočet proveden.

Příprava pro výpočet

Před zahájením výpočtu musíte provést některá přípravná nastavení:

  • Otevřete soubor se seznamem měření.

  • Otevřete seznam souřadnic, v němž jsou body nutné pro výpočet (body bodového pole, apod).

  • Zajistěte, aby program GROMA při výpočtu mohl souřadnice z tohoto souboru nalézt. Toho můžete dosáhnout dvěma způsoby:

    • V dialogovém okně Soubor->Nastavení->Prostředí zapněte volbu Hledat ve všech otevřených souborech, nebo

    • nastavte tento seznam souřadnic jako aktivní (Soubor->Aktivní seznam souřadnic).

  • V dialogovém okně Soubor->Nastavení->Výpočty zvolte způsob vyhledávání orientací (všechny body o známých souřadnicích nebo pouze body s atributem Orientace. V tomtéž dialogovém okně nebo přímo ve výpočetním okně pro polární metodu dávkou zvolte pomocí položky Editovat orientace, zda chcete, aby program před výpočtem každého stanoviska zobrazil seznam orientací a umožnil vám jeho editaci.

  • Zvolte vstupní a výstupní soubor pro výpočet (viz níže).

Soubory

V této části dialogového okna musíte zvolit, ze kterého otevřeného souboru mají být čtena naměřená data, a do kterého souboru mají být ukládány vypočtené souřadnice. Jména souborů nastavíte tímto postupem:

  • Ukažte kamkoli do okna se souborem, který chcete zvolit.

  • Přetáhnete libovolnou položku myší (při stisknutém levém tlačítku) do výpočetního okna do oblasti nadepsané Soubory. V dialogovém okně se zobrazí název souboru.

Soubory můžete vybrat také pomocí tlačítek se třemi tečkami, která se nacházejí vedle okének pro názvy souborů.

Jestliže nenastavíte název výstupního souboru, program automaticky použije aktivní seznam souřadnic. Vstupní soubor musí být nastaven vždy.

Okamžitý stav výpočtu

Po spuštění tlačítkem (Výpočet) program v dialogovém okně zobrazuje okamžitý stav výpočtu:

  • Stanovisko: právě počítané stanovisko,

  • Bod: právě určovaný bod,

  • Metoda: metoda, kterou je bod určován (polární, volné stanovisko, protínání ze směrů), nebo jiná akce, která je právě prováděna (orientace osnov).

Celkový stav výpočtu

V této části okna program podává informace o tom, kolik stanovisek a podrobných bodů již bylo vypočteno, a kolik nepoužitých položek v seznamu naměřených hodnot ještě zbývá. Po ukončení výpočtu zde získáte informaci o tom, kolik měřených hodnot z nějakého důvodu nemohlo být použito.

Při dávkovém výpočtu program počítá polární metodu, volné stanovisko (i protínání zpět) a protínání ze směrů. Všechny tyto úlohy počítá program i výškově, má-li k tomu všechny nezbytné údaje v seznamech (výška stanoviska, výška stroje, převýšení nebo zenitový úhel a výška cíle). Při výpočtu protínání ze směrů vypočte výšku dvakrát (z obou stanovisek), do seznamu souřadnic uloží průměrnou hodnotu a do protokolu zapíše obě hodnoty, jejich rozdíl a průměr.

Dávkový výpočet umožňuje zpracování seznamů měření ve více průchodech. Tento způsob zpracování umožňuje výpočet i v případě, že data nejsou v souboru seřazena v takové posloupnosti, aby mohla být zpracována při jednom průchodu. Tato situace vznikne např. zaměříte-li podrobné body ze stanoviska, které ještě nebylo určeno, a určíte-li jej dodatečně, např. z následujícího stanoviska jako rajon. V takovém případě program při prvním průchodu neurčené stanovisko vynechá, z dalšího bodu určí jeho souřadnice, a při dalším průchodu toto stanovisko dopočítá. Maximální počet průchodů je 5, ale program výpočet sám ukončí v případě, že při posledním průchodu žádný bod nevypočetl.

Po výpočtu je k dispozici protokol se všemi údaji o výpočtu. Nechcete-li do protokolu ukládat všechny vypočtené podrobné body, můžete jejich ukládání vypnout v Soubor->Nastavení->Výpočty.

Předcházející | Domů | Další
Ortogonální metoda | Nahoru | Ortogonální metoda dávkou


Ortogonální metoda dávkou
Předcházející Kapitola 11. Výpočetní úlohy Další

Ortogonální metoda dávkou

Ortogonální metoda dávkou

Tato úloha zpracovává dávkově celý seznam naměřených ortogonálních hodnot nebo jeho část.

Příprava pro výpočet

Před zahájením výpočtu musíte provést některá přípravná nastavení:

  • Otevřete soubor se seznamem ortogonálního měření.

  • Otevřete seznam souřadnic, v němž jsou body nutné pro výpočet (body bodového pole, apod).

  • Zajistěte, aby program GROMA při výpočtu mohl souřadnice z tohoto souboru nalézt. Toho můžete dosáhnout dvěma způsoby:

    • V dialogovém okně Soubor->Nastavení->Prostředí zapněte volbu Hledat ve všech otevřených souborech, nebo

    • nastavte tento seznam souřadnic jako aktivní (Soubor->Aktivní seznam souřadnic).

  • V dialogovém okně Soubor->Nastavení->Výpočty zvolte způsob vyhledávání orientací (všechny body o známých souřadnicích nebo pouze body s atributem Orientace. V tomtéž dialogovém okně nebo přímo ve výpočetním okně pro polární metodu dávkou zvolte pomocí položky Editovat orientace, zda chcete, aby program před výpočtem každého stanoviska zobrazil seznam orientací a umožnil vám jeho editaci.

  • Zvolte vstupní a výstupní soubor pro výpočet (viz níže).

Soubory

V této části dialogového okna musíte zvolit, ze kterého otevřeného souboru mají být čtena naměřená data, a do kterého souboru mají být ukládány vypočtené souřadnice. Jména souborů nastavíte tímto postupem:

  • Ukažte kamkoli do okna se souborem, který chcete zvolit.

  • Přetáhnete libovolnou položku myší (při stisknutém levém tlačítku) do výpočetního okna do oblasti nadepsané Soubory. V dialogovém okně se zobrazí název souboru.

Soubory můžete vybrat také pomocí tlačítek se třemi tečkami, která se nacházejí vedle okének pro názvy souborů.

Jestliže nenastavíte název výstupního souboru, program automaticky použije aktivní seznam souřadnic. Vstupní soubor musí být nastaven vždy.

Okamžitý stav výpočtu

Po spuštění tlačítkem (Výpočet) program v dialogovém okně zobrazuje okamžitý stav výpočtu:

  • Přímka: právě počítaná ortogonální přímka,

  • Bod: právě určovaný bod,

Celkový stav výpočtu

V této části okna program podává informace o tom, kolik přímek a podrobných bodů již bylo vypočteno, a kolik nepoužitých položek v seznamu naměřených hodnot ještě zbývá. Po ukončení výpočtu zde získáte informaci o tom, kolik měřených hodnot z nějakého důvodu nemohlo být použito.

Dávkový výpočet umožňuje zpracování seznamů měření ve více průchodech. Tento způsob zpracování umožňuje výpočet i v případě, že data nejsou v souboru seřazena v takové posloupnosti, aby mohla být zpracována při jednom průchodu. Tato situace vznikne např. zaměříte-li podrobné body z přímky, která ještě nebyla určeno, a určíte-li její koncové body dodatečně, např. z následující přímky. V takovém případě program při prvním průchodu neurčenou přímku vynechá, z další přímky určí souřadnice jejích koncových bodů, a při dalším průchodu tuto přímku dopočítá. Maximální počet průchodů je 5, ale program výpočet sám ukončí v případě, že při posledním průchodu žádný bod nevypočetl.

Po výpočtu je k dispozici protokol se všemi údaji o výpočtu. Nechcete-li do protokolu ukládat všechny vypočtené podrobné body, můžete jejich ukládání vypnout v Soubor->Nastavení->Výpočty.

Předcházející | Domů | Další
Polární metoda dávkou | Nahoru | Volné stanovisko


Volné stanovisko
Předcházející Kapitola 11. Výpočetní úlohy Další

Volné stanovisko

Tato úloha slouží k výpočtu souřadnic stanoviska, na němž byly měřeny směry nebo směry a délky na známé body. Byly-li měřeny pouze směry, souřadnice stanoviska jsou vypočteny protínáním zpět s vyrovnáním MNČ, byly-li měřeny i délky, program souřadnice vypočte shodnostní nebo podobnostní transformací. V tomto případě si můžete po stisknutí tlačítka (Klíč) prohlédnout výsledný transformační klíč.

Po výpočtu program v seznamu orientací zobrazí opravy směrů, popř. i vzdáleností na orientační směry.

Důležité

Jestliže byly na některé body zaměřeny směry a délky, a na některé pouze směry, program při výpočtu chybějící délky dopočte z měřených hodnot, a dále je použije pro vlastní výpočet volného stanoviska. Pokud si nepřejete, aby program chybějící délky dopočítával, můžete tuto vlastnost vypnout v Soubor->Nastavení->Výpočty.

Z matematického hlediska je nejkorektnější způsob výpočtu takovéhoto volného stanoviska pomocí vyrovnání nestejnorodých měření na základě středních chyb směrů a délek. Tuto možnost poskytuje demonstrační verze modulu pro vyrovnání rovinných sítí, která je standardně dodávána se systémem GROMA. Tato demonstrační verze umožňuje exaktní vyrovnání volného stanoviska s libovolným počtem orientací. Aby výpočet proběhl, musí mít všechny orientace nastavenu charakteristiku Pevný bod a určovaný bod charakteristiku Volný (demonstrační verze umožňuje určení pouze dvou neznámých).

Dialogové okno umožňuje i výpočet tzv. rajónu s orientací na určovaném bodě (tj. na volném stanovisku je měřen směr a délka na jeden orientační bod a pouze směr na druhý orientační bod). Za určité konfigurace těchto bodů však dochází k nejednoznačnosti výpočtu (konfigurace má dvě řešení). Potom vám program umožní zvolit si jedno z obou možných řešení. Správné řešení můžete zvolit i na základě kontrolní kresby.

Předcházející | Domů | Další
Ortogonální metoda dávkou | Nahoru | Protínání z délek


Protínání z délek
Předcházející Kapitola 11. Výpočetní úlohy Další

Protínání z délek

Protínání z délek

V tomto dialogovém okně můžete počítat souřadnice bodů protínáním z délek. Zadávání vstupních hodnot je stejné, jako u ostatních úloh.

Výpočet souřadnic protínáním z délek je nejednoznačný (zadání má dvě řešení, symetrická k základně). Při zadávání je tedy třeba dodržet konvenci danou popisem dialogového okna (levé stanovisko - pravé stanovisko při pohledu směrem k určovanému bodu). Polohu vypočteného bodu si můžete ověřit pomocí kontrolní kresby.

Jestliže zadané údaje nesplňují podmínku trojúhelníkové nerovnosti, program zobrazí chybové hlášení Neřešitelná konfigurace.

Je-li v ve zvolené sadě tolerancí nastaven minimální úhel protnutí u protínání, program jej porovná se skutečným úhlem a v případě potřeby zobrazí varovné hlášení.

Předcházející | Domů | Další
Volné stanovisko | Nahoru | Protínání z orientovaných směrů


Protínání z orientovaných směrů
Předcházející Kapitola 11. Výpočetní úlohy Další

Protínání z orientovaných směrů

Protínání z orientovaných směrů

Úloha slouží k výpočtu souřadnic protínáním z orientovaných směrů.

Před výpočtem musíte zorientovat osnovy na obou stanoviskách postupem podrobně popsaným u polární metody. V dialogovém okně jsou vždy zobrazeny údaje pouze o jednom stanovisku, na druhé se můžete přepnout tlačítkem (Stanovisko A/B). Jestliže jsou obě osnovy zorientovány, můžete počítat jednotlivé určované body přetažením měřených směrů ze seznamu měření a stisknutím tlačítka (Výpočet).

Je-li v ve zvolené sadě tolerancí nastaven minimální úhel protnutí u protínání, program jej porovná se skutečným úhlem a v případě potřeby zobrazí varovné hlášení.

Předcházející | Domů | Další
Protínání z délek | Nahoru | Hromadné protínání z orientovaných směrů


Hromadné protínání z orientovaných směrů
Předcházející Kapitola 11. Výpočetní úlohy Další

Hromadné protínání z orientovaných směrů

Hromadné protínání z orientovaných směrů

Úloha slouží k výpočtu souřadnic dávkovým protínáním z orientovaných směrů.

Postup zadávání je obdobný, jako u úlohy Protínání z orientovaných směrů. Rozdíl je v tom, že v této úloze lze s orientačními body zadávat zároveň i body měřené (není tedy nutno u všech zadávaných směrů vyplňovat souřadnice orientace). Zadávají se opět orientace zvlášť pro stanovisko A a pro stanovisko B. Mezi oběma stanovisky se můžete přepínat pomocí tlačítka (Stanovisko A/B).

V této úloze lze opět s výhodou využít automatického zadávání směrů při orientaci osnov. Pokud do výpočetního okna do oblasti pro orientaci osnovy směrů přetáhnete myší ze seznamu měření stanovisko (řádek s červeným číslem stanoviska), program automaticky do seznamu načte všechny měřené směry. Pokud k nim nalezne v seznamech příslušné souřadnice orientačních bodů, bude je považovat za orientace, směry, k nimž souřadnice nenalezne, bude považovat za určované body.

V seznamu orientací lze snadno odlišit orientace od určovaných bodů podle toho, že u orientací je zobrazeno standardní zaškrtávací okénko pro jejich vypínání a zapínání. Je-li orientace osnovy spočtena, jsou u orientací zobrazeny též úhlové odchylky.

Zadáte-li tímto způsobem orientace a určované body pro obě stanoviska, můžete pomocí tlačítka (Výpočet) spustit výpočet souřadnic určovaných bodů. Program postupně prochází oba seznamy určovaných bodů a hledá body stejného čísla. Pokud takovouto dvojici nalezne, spočte souřadnice bodu protínáním vpřed z orientovaných směrů. Jsou-li zadány i zenitové úhly resp. převýšení, program automaticky určí i výšku bodu. Byly-li zenitové úhly či převýšení měřeny z obou stanovisek, výška bude určena dvakrát. V takovém případě se v protokolu objeví obě výšky, jejich rozdíl a průměrná výška.

Určované body mohou být v obou seznamech seřazeny v libovolném pořadí, jediná podmínka pro výpočet je, že se musí shodovat čísla bodů při měření z obou stanovisek. Pokud jsou na jednom ze stanovisek zadány body, které na druhém stanovisku zadány nejsou, program je při výpočtu bude ignorovat.

Výsledné souřadnice přetáhněte myší do seznamu souřadnic stejným způsobem, jako u ostatních úloh. Při přenášení ukažte myší do výsledkové části výpočetního okna (ale nikoli na plochu vlastního seznamu vypočtených bodů).

Před výpočtem musíte zorientovat osnovy na obou stanoviskách postupem podrobně popsaným u polární metody. V dialogovém okně jsou vždy zobrazeny údaje pouze o jednom stanovisku, na druhé se můžete přepnout tlačítkem (Stanovisko A/B). Jestliže jsou obě osnovy zorientovány, můžete počítat jednotlivé určované body přetažením měřených směrů ze seznamu měření a stisknutím tlačítka (Výpočet).

Je-li v ve zvolené sadě tolerancí nastaven minimální úhel protnutí u protínání, program jej porovná se skutečným úhlem a v případě potřeby zobrazí varovné hlášení.

Předcházející | Domů | Další
Protínání z orientovaných směrů | Nahoru | Průsečík přímek


Průsečík přímek
Předcházející Kapitola 11. Výpočetní úlohy Další

Průsečík přímek

Po zadání čtyř bodů program vypočte souřadnice jejich průsečíku, a vypíše informaci o jeho poloze (zda leží na některé ze zadaných úseček, nebo na obou).

Je-li v ve zvolené sadě tolerancí nastaven minimální úhel protnutí u protínání, program jej porovná se skutečným úhlem a v případě potřeby zobrazí varovné hlášení.

Předcházející | Domů | Další
Hromadné protínání z orientovaných směrů | Nahoru | Průsečík přímka - směr


Průsečík přímka - směr
Předcházející Kapitola 11. Výpočetní úlohy Další

Průsečík přímka - směr

Průsečík přímka - směr

V této úloze můžete zadat měřený směr pomocí osnovy směrů, stejně jako např. u polární metody, a druhou přímku zadanou dvěma koncovými body. Program vypočte průsečík orientovaného směru se zadanou přímkou.

Je-li v ve zvolené sadě tolerancí nastaven minimální úhel protnutí u protínání, program jej porovná se skutečným úhlem a v případě potřeby zobrazí varovné hlášení.

Předcházející | Domů | Další
Průsečík přímek | Nahoru | Průsečík přímka - kružnice


Průsečík přímka - kružnice
Předcházející Kapitola 11. Výpočetní úlohy Další

Průsečík přímka - kružnice

Průsečík přímka - kružnice

Tato úloha slouží pro výpočet souřadnic průsečíku přímky a kružnice. Přímka se zadává dvěma koncovými body, kružnice třemi body.

Kružnici pro výpočet zadejte třemi body (z klávesnice nebo přetažením myší) v rámečku Kružnice. Po zadání každého bodu stiskněte tlačítko pro následující bod.

Potom zadejte oba koncové body přímky do oblasti Přímka.

Zadáte-li číslo vypočteného bodu a stisknete-li tlačítko (Výpočet), program vypočte souřadnice průsečíku. V závislosti na konfiguraci mohou existovat průsečíky dva, jeden nebo žádný (je uvažována přímka, nikoli úsečka). V kontrolní kresbě se zobrazí vypočtené průsečíky. Aktivní, tj. ten, který je ve výpočetním okně zvolen, je v kontrolní kresbě zobrazen červeně. Druhé řešení, existuje-li, je zobrazeno zeleně.

Výsledné souřadnice lze přetáhnout pomocí myši do seznamu souřadnic.

Předcházející | Domů | Další
Průsečík přímka - směr | Nahoru | Polygonový pořad


Polygonový pořad
Předcházející Kapitola 11. Výpočetní úlohy Další

Polygonový pořad

Dialogové okno Polygonový pořad umožňuje výpočet kteréhokoli typu polygonového pořadu, případně jeho uložení na disk nebo načtení z disku.

Dialogové okno se skládá z pěti částí volitelných pomocí záložek.

Počáteční a koncový bod

Tato část obsahuje souřadnice připojovacích bodů a měřené osnovy směrů na nich. Zadání probíhá stejně, jako u ostatních výpočetních úloh.

Jestliže na počátečním nebo koncovém bodě bylo měřeno, zadejte celou orientaci osnovy směrů (podrobně popsáno u polární metody). Jestliže na bodě měřeno nebylo (vetknutý pořad bez orientace, jednostranně orientovaný pořad), zadejte pouze jeho souřadnice. Obdobně postupujte u koncového bodu.

Podle zadaných údajů o připojení je pro kontrolu vypisován typ pořadu.

Měřená data

Po zadání orientací zde postupně zadávejte naměřené hodnoty. Do seznamu je můžete přidávat nebo je z něj vypouštět tlačítky (Přidat) a (Ubrat).

Důležité

Z důvodu jednotnosti zadávání se u všech typů pořadů do seznamu měřených bodů zadává počáteční i koncový bod pořadu, a to i v případě, že na nich nebyly měřeny žádné hodnoty (např. u vetknutého polygonového pořadu bez orientace).

U bodů, na nichž bylo měřeno, zadejte měřený směr a délku zpět, měřený směr a délku vpřed a číslo stanoviska. Jsou-li délky měřeny obousměrně, program vypočte průměrnou hodnotu a do protokolu zobrazí rozdíl délek. Jsou-li měřeny pouze jednosměrně, je lhostejno, zda délku zadáte z jednoho bodu jako délku vpřed, nebo z následujícího bodu jako délku zpět.

Na počátečním bodě, bylo-li na něm měřeno, zadáváte pouze směr vpřed. Orientaci osnovy směrů (tj. směrník nulového směru) program určí pomocí samostatné orientace osnovy směrů na počátečním bodě (viz výše).

Obdobně zadáváte na koncovém bodě, bylo-li na něm měřeno, pouze směr zpět.

Výsledky

V této části okna jsou po výpočtu pořadu zobrazeny výsledné hodnoty. Je zde zobrazen seznam souřadnic výsledných bodů a informace o dosažených odchylkách. Tato část okna obsahuje i volbu typu vyrovnání a tlačítko pro zapnutí výškového výpočtu.

Program umožňuje dva způsoby vyrovnání:

  • Klasicky

  • Transformací

Uzavřený pořad

Program umožňuje i výpočet uzavřeného pořadu, i když je tento typ pořadu z hlediska vyrovnání velice nevhodný. Uzavřený pořad se zadává stejně, jako pořad vetknutý oboustranně orientovaný. Počáteční a koncový bod je shodný, orientaci osnovy směrů je třeba zadat na počátečním i koncovém bodě. Je-li uzavřený pořad zadán správně, program to indikuje zobrazením typu pořadu Uzavřený. Tento typ pořadu z důvodu totožnosti koncových bodů nelze vyrovnávat transformací.

Jste-li s vypočtenými souřadnicemi spokojeni, můžete je ze seznamu přetáhnout do libovolného okna se seznamem souřadnic. Stejným způsobem lze polygonový pořad přetáhnout do okna s projektem. Do projektu může být přidán pouze pořad, kterému již bylo přiděleno jméno souboru, tj. pořad, který již byl uložen do souboru, nebo který byl ze souboru načten.

Důležité

Při přetahování musíte ukázat kamkoli do části Výsledky mimo plochu seznamu bodů.

Vstupy / Výstupy

Tato část okna obsahuje vstupní řádek pro název pořadu, seznam typů pořadů pro výpočet mezní odchylky a tlačítka pro načtení a uložení pořadu.

Nastavení typu pořadu

V seznamu typů pořadů zvolte správný typ dle platné vyhlášky. V závislosti na nastaveném typu budou vypočteny mezní odchylky v úhlovém a polohovém uzávěru a mezní geometrické parametry pořadu, které musí být splněny.

Načtení pořadu ze souboru měření

Kromě ručního zadávání program nabízí také možnost načíst měřená data pro polygonový pořad ze seznamu měření. Chcete-li tuto možnost použít, postupujte takto:

  1. Otevřete si seznam měření, v němž byl zaměřen polygonový pořad. Je-li měření uloženo ve více souborech, spojte je příkazem Měření->Připoj soubor nebo zkopírováním přes schránku. Otevřete seznam (seznamy) souřadnic s koncovými body.

  2. Aktivujte seznam měření (např. ukázáním myší na libovolnou položku).

  3. V dialogovém okně pro výpočet polygonového pořadu stiskněte tlačítko (Načíst pořad ze zápisníku).

  4. Zobrazí se dialogové okno se seznamem všech stanovisek ze seznamu měření.

    Bylo-li na počátečním bodě pořadu měřeno (pořad volný, jednostranně nebo oboustranně orientovaný), bude uveden v tomto seznamu. Zvolte jej myší a stiskněte tlačítko (Přidat).

    Jestliže na počátečním bodě měřeno nebylo (vetknutý pořad), napište jeho číslo do editačního okna pro číslo bodu a stiskněte tlačítko (Přidat).

    Bylo-li na některém ze stanovisek měřeno vícekrát, v seznamu je číslo tohoto stanoviska uvedeno vícekrát. Jednotlivá postavení stroje jsou identifikována pomocí pořadového čísla uvedeného na konci čísla bodu za tečkou (např. 5001.1, 5001.2, atd.).

  5. Program bod přidá do seznamu bodů pořadu a nabídne vám seznam dalších stanovisek, přes které může pořad jít. Jako další stanoviska vám program nabídne všechna stanoviska, která byla zaměřena z předchozího bodu pořadu, a z nichž byl předchozí bod zaměřen jako orientace.

    Jestliže těmto podmínkám vyhoví pouze jeden bod, program jej automaticky přidá do seznamu bodů pořadu. Jestliže vyhoví více bodů, program vám nabídne jejich seznam k výběru.

  6. Tímto postupem zadejte celý polygonový pořad. Jestliže na koncovém bodě pořadu nebylo měřeno (pořad jednostranně orientovaný nebo bez orientace), zadejte číslo koncového bodu v editačním okénku a přidejte jej do seznamu tlačítkem (Přidat).

  7. Je-li zadán celý polygonový pořad, stiskněte tlačítko (OK). Program doplní všechny údaje ze seznamu měření a seznamů souřadnic do dialogového okna pro výpočet polygonového pořadu. Před výpočtem se přesvědčte, zda jsou načtena všechna data správně.

Jsou-li zadány všechny vstupní hodnoty, můžete výpočet spustit tlačítkem (Výpočet). Program vypočte souřadnice bodů polygonového pořadu, vypíše je v seznamu Výsledky, a informuje vás o dosažených odchylkách. Byl-li pořad vyrovnán transformací, můžete si její parametry prohlédnout po stisknutí tlačítka (Klíč).

Uložení a načtení pořadu

Zadaný polygonový pořad můžete uložit do souboru stisknutím tlačítka (Uložit pořad do souboru). Dříve uložený pořad můžete ze souboru načíst po stisknutí tlačítka (Načíst pořad ze souboru).

Předcházející | Domů | Další
Průsečík přímka - kružnice | Nahoru | Výškový pořad


Výškový pořad
Předcházející Kapitola 11. Výpočetní úlohy Další

Výškový pořad

Dialogové okno slouží pro výpočet výškového pořadu. Vzhled okna i zadávání je obdobné jako u polygonového pořadu, zadávají se však pouze údaje nutné pro výškový výpočet. Polohový výpočet se neprovádí.

Předcházející | Domů | Další
Polygonový pořad | Nahoru | Transformace souřadnic


Transformace souřadnic
Předcházející Kapitola 11. Výpočetní úlohy Další

Transformace souřadnic

Toto okno umožňuje dávkově transformovat souřadnice bodů ze seznamů souřadnic. Můžete transformovat celý seznam, nebo pouze označené body. Metody transformace jsou popsány v kapitole Transformace souřadnic

Identické body

Před zahájením transformace souřadnic musíte nejprve definovat transformační klíč. Způsobem obvyklým u ostatních úloh přidejte všechny identické body i se souřadnicemi v obou soustavách do seznamu. Program automaticky přepočítává transformační klíč a zobrazuje souřadnicové opravy na jednotlivých bodech. Identické body můžete do seznamu libovolně přidávat nebo je z něj vypouštět.

Počet identických bodů není omezen.

Poznámka

Transformační klíč je počítán metodou nejmenších čtverců iteračním postupem. Je-li mezi souřadnicemi v obou soustavách příliš velký nesoulad, může dojít k situaci, že iterační proces nebude konvergovat k výsledné vyrovnané hodnotě. V tomto případě bude zobrazeno varovné hlášení. Toto se vztahuje i na všechny ostatní úlohy, které jsou řešeny pomocí transformace souřadnic.

Automatické načtení identických bodů

Máte-li identické body umístěny ve dvou souborech, a mají-li dvojice bodů shodná čísla, můžete nechat program automaticky vyhledat odpovídající dvojice bodů. Zadejte soubory s identickými body do okének Vstup a Výstup, a stiskněte tlačítko (Načti body). Program vyhledá dvojice identických bodů a automaticky je přidá do seznamu.

Záměna souřadnic identických bodů

Po stisknutí tlačítka (XY <-> x'y') program zamění souřadnice identických bodů v obou soustavách. Tuto možnost lze využít např. v případě, že jste omylem při zadávání identických bodů zaměnili obě souřadnicové soustavy. Touto funkcí souřadnice zaměníte aniž byste museli identické body zadávat znovu.

Statistický test

Přejete-li si provést statistický test zbytkových chyb na identických bodech, zapněte volbu Statistický test. Program provede analýzu zbytkových chyb a výsledky uloží do protokolu. Podrobný popis statistického testu je uveden u úlohy Porovnání seznamů souřadnic.

Inverzní transformace

Po zaškrtnutí tohoto přepínače bude program namísto zadané transformace počítat inverzní (zpětnou) transformaci. Tuto volbu nelze použít pro uživatelskou transformaci.

Typ transformace

Program umožňuje počítat tři typy transformace:

  • Shodnostní transformace

    Lineární transformace souřadnic, která zachovává měřítko (měřítkový koeficient je roven jedné). Transformace má tedy tři parametry (dvě translace a rotaci), pro určení transformačního klíče jsou třeba alespoň dva identické body.

  • Podobnostní transformace

    Transformační klíč bude mít ve směru osy X a Y stejné měřítkové koeficienty (transformace mění rozměr objektů ve všech směrech stejně, zachovává tedy podobnost obrazců). Pro tuto transformaci stačí dva identické body.

  • Afinní transformace (5 parametrů)

    Transformační klíč bude mít různé měřítkové koeficienty pro směr osy X a Y. Při transformaci se tedy mění rozměry v závislosti na směru, podobnost obrazců obecně není zachována. Tento typ transformace vyžaduje alespoň tři identické body.

  • Afinní transformace (6 parametrů)

    Bude vypočtena přímo transformační matice. Její prvky již nejsou vázány geometrickými vztahy, jako je tomu u pětiparametrové afinní transformace.Transformační klíč bude mít různé měřítkové koeficienty pro směr osy X a Y. Při transformaci se tedy mění rozměry v závislosti na směru, podobnost obrazců obecně není zachována. Tento typ transformace vyžaduje alespoň tři identické body.

  • Uživatelská transformace

    Zvolíte-li tento typ transformace, není třeba zadávat identické body, ale můžete přímo zadat výsledné transformační vztahy. Po stisknutí tlačítka (...) Se zobrazí dialogové okno, kam lze zadat transformační rovnice pro výpočet jednotlivých souřadnic. Ve funkčních vztazích lze používat matematické operace, číselné konstanty a proměnné X, Y a Z. Funkční vztahy mohou vypadat např. takto:

        X:	X*0.99877354220+Y*0.04951172994+254.339
    Y:	X*0.04951172994-Y*0.99877354220-365.471
    Z:	Z

Je-li určen transformační klíč, můžete jej pro další použití uložit do souboru pomocí tlačítka (Uložit klíč).

Transformace bodů

Transformace bodů probíhá vždy z jednoho souboru do druhého souboru. Vstupní a výstupní soubor zadejte v části Seznamy souřadnic. Jsou-li ve vstupním souboru některé body označené, program transformuje pouze je. Nejsou-li označené žádné položky, program transformuje celý seznam souřadnic.

Předcházející | Domů | Další
Výškový pořad | Nahoru | Směrník a délka


Směrník a délka
Předcházející Kapitola 11. Výpočetní úlohy Další

Směrník a délka

Směrník a délka

Dialogové okno slouží k výpočtu směrníku a délky ze souřadnic bodů. Ovládání je shodné s ovládáním ostatních úloh.

Pomocí této úlohy lze kromě směrníku a délky určit také prostorovou vzdálenost, sklon ve stupních a spád v procentech. Pro získání těchto údajů je třeba zadat oba koncové body i s výškami.

Předcházející | Domů | Další
Transformace souřadnic | Nahoru | Kontrolní oměrné


Kontrolní oměrné
Předcházející Kapitola 11. Výpočetní úlohy Další

Kontrolní oměrné

Dialogové okno slouží k výpočtu kontrolních oměrných ze souřadnic a k porovnání s měřenými hodnotami. Ovládání je shodné s ostatními úlohami.

V dialogovém okně postupně zadáváte souřadnice bodů a vzdálenosti od předchozího bodu. Program zobrazí a uloží do protokolu seznam bodů, vzdálenosti měřené a vypočtené ze souřadnic a jejich rozdíly.

Tip

Stisknete-li klávesu <Enter> na vstupním řádku s délkou, program automaticky zadané údaje přidá do seznamu a pro další vstup nastaví jako aktivní řádek s číslem bodu.
Tip

Ponecháte-li okénko pro měřenou délku prázdné, nebo zadáte-li místo měřené délky hodnotu 0, oměrná nebude kontrolována a v protokolu se u ní objeví text "Nelze měřit".

Po zadání bodu program vypočte hodnotu oměrné ze souřadnic a zobrazí ji v editačním okně.

Přejete-li si provést kontrolu celého souboru kontrolních oměrných, stiskněte po výpočtu tlačítko (Přidat do souboru). Zobrazené kontrolní oměrné budou přidány do seznamu oměrných v níže popsané úloze Seznam kontrolních oměrných (pokud tato úloha nebyla otevřena, program ji automaticky otevře).

Předcházející | Domů | Další
Směrník a délka | Nahoru | Soubor kontrolních oměrných


Soubor kontrolních oměrných
Předcházející Kapitola 11. Výpočetní úlohy Další

Soubor kontrolních oměrných

Soubor kontrolních oměrných

Dialogové okno slouží k otestování celého souboru kontrolních oměrných najednou. Do okna se jednotlivé oměrné přidávají z úlohy <Kontrolní oměrné> tlačítkem (Přidat do souboru). Jednotlivé oměrné lze vypouštět tlačítkem (Ubrat). Po stisknutí tlačítka (Výpočet) program zpracuje celý soubor oměrných a výsledek zpracování (skutečné a mezní rozdíly, celkové vyhodnocení souboru) uloží do protokolu.

Při výpočtu jsou oměrné seřazeny podle čísel bodů a soubor je zkontrolován, zda neobsahuje duplicitní oměrné.

Celý soubor lze uložit na disk po stisknutí tlačítka (Uložit) a později načíst z disku pomocí tlačítka (Načíst).

Předcházející | Domů | Další
Kontrolní oměrné | Nahoru | Konstrukční oměrné


Konstrukční oměrné
Předcházející Kapitola 11. Výpočetní úlohy Další

Konstrukční oměrné

V této úloze lze určovat souřadnice bodů zaměřených pomocí konstrukčních oměrných.

Do seznamu v horní části dialogového okna postupně zadáváte zaměřené body, kolmice k nim, a případně i jejich souřadnice. Kolmice vpravo od předchozí spojnice mají znaménko plus, kolmice vlevo minus. Kolmici u prvního bodu program ignoruje (implicitně nabízí nulovou hodnotu). Při přidávání bodů program okamžitě dopočítává jejich souřadnice.

Chcete-li do seznamu přidat nový bod (např. bod, který jste při zadávání omylem vynechali), označte kurzorem položku, před kterou chcete nový bod vložit, a přidejte jej obvyklým způsobem.

Mezi zaměřenými body musí být alespoň dva body o známých souřadnicích. Tyto body mohou být mezi zaměřenými body v libovolném místě (nemusí být na začátku ani na konci). Maximální počet identických bodů není omezen.

Je-li počáteční bod totožný s koncovým bodem, je objekt považován za uzavřený a před výpočtem jsou protilehlé oměrné vyrovnány tak, aby se objekt uzavřel. Výsledek vyrovnání (uzávěr obrazce v podélném a příčném směru) je zobrazen v dialogovém okně a zapsán do protokolu.

Souřadnice bodů jsou určeny pomocí shodnostní nebo podobnostní transformace. Při použití shodnostní transformace jsou zachovány rozměry objektu, při použití podobnostní transformace je upraveno měřítko dle souřadnic identických bodů. Transformační parametry lze nalézt v protokolu.

Důležité

Při nadbytečném počtu identických bodů (tři a výše) transformace obě soustavy v identických bodech neztotožní, z čehož plyne, že výpočet změní souřadnice identických bodů. Na tuto skutečnost jste upozorněni při ukládání vypočtených bodů (ukládáte-li je do seznamu, v němž se použité identické body již nacházejí) - program vás upozorní, že body již v seznamu existují, a zobrazí rozdíly mezi původními a novými souřadnicemi.

Vypočtené souřadnice uložíte do libovolného seznamu přetažením ze seznamu vypočtených hodnot pomocí myši (kurzorem myši při tom musíte ukázat kamkoli do oblasti s výsledky mimo seznam vypočtených hodnot) nebo stisknutím tlačítka (Uložit).

Tip

Stisknete-li klávesu <Enter> na vstupním řádku s délkou, program automaticky zadané údaje přidá do seznamu a pro další vstup nastaví jako aktivní řádek s číslem bodu.

Předcházející | Domů | Další
Soubor kontrolních oměrných | Nahoru | Vyrovnání na přímku


Vyrovnání na přímku
Předcházející Kapitola 11. Výpočetní úlohy Další

Vyrovnání na přímku

Vyrovnání na přímku

V této úloze lze určovat souřadnice pravoúhlého průmětu bodu na přímku (patu kolmice spuštěné ze zadaného bodu na přímku).

Do výpočetního okna zadáte souřadnice počátečního a koncového bodu přímky a souřadnice vyrovnávaného bodu. Program spustí z vyrovnávaného bodu normálu na danou přímku, vypočte souřadnice průsečíku této normály a dané přímky (paty kolmice), a vzdálenost promítaného bodu od tohoto průsečíku (vzdálenost bodu od přímky).

Vypočtenou patu kolmice můžete běžným způsobem přenést do seznamu souřadnic.

Předcházející | Domů | Další
Konstrukční oměrné | Nahoru | Výpočet výměr


Výpočet výměr
Předcházející Kapitola 11. Výpočetní úlohy Další

Výpočet výměr

Toto dialogové okno umožňuje počítat výměry ze souřadnic bodů. Body se do seznamu přidávají způsobem obvyklým u ostatních úloh. Jsou-li souřadnice bodu přetaženy myší, program je do seznamu přidá automaticky, bez stisknutí tlačítka (Přidat). Máte-li lomové body označeny v seznamu souřadnic (a jsou-li ve správném pořadí), můžete je přetáhnout všechny najednou jako blok (prostředním tlačítkem myši).

Ve spodní části dialogového okna můžete sčítat nebo odečítat výměry pomocí tlačítek (+) a (-). Registr pro sčítání můžete vynulovat tlačítkem (Smazat).

Pro kontrolu předpisu výměry můžete použít modul pro kontrolní kresbu.

Tip

Stisknete-li klávesu <Enter> na vstupním řádku s číslem bodu, program automaticky vyhledá jeho souřadnice a přidá jej do seznamu.

Předpis plochy můžete uložit do souboru po stisknutí tlačítka (Uložit). Načíst ze souboru jej můžete pomocí tlačítka (Načíst). Načtete-li dříve zadaný předpis plochy ze souboru, načte se i se zadanými souřadnicemi. Pokud jste mezitím souřadnice změnili, můžete pomocí tlačítka (Aktualizovat souřadnice) nechat nahradit původní souřadnice souřadnicemi aktuálními. Při použití této funkce musí být zajištěno, že bude program schopen souřadnice bodů nalézt (musí být otevřen příslušný seznam souřadnic a musí být nastaven takový režim hledání bodů, aby program požadované souřadnice nalezl).

Předcházející | Domů | Další
Vyrovnání na přímku | Nahoru | Polární vytyčovací prvky


Polární vytyčovací prvky
Předcházející Kapitola 11. Výpočetní úlohy Další

Polární vytyčovací prvky

Polární vytyčovací prvky

Polární vytyčovací prvky mohou být počítány pro jednotlivé body, nebo dávkou. Při obou typech výpočtu je nejprve třeba zadat souřadnice stanoviska a orientace.

Při výpočtu lze použít více orientací. V takovém případě je třeba postupně zadat všechny orientace včetně orientačních směrů a přidat je do seznamu orientací. Orientace lze zadávat přetažením myší ze seznamu souřadnic.

Varování

Vypočtené délky jsou automaticky opraveny o nastavené měřítko, aby reprezentovaly skutečné délky v terénu, nikoli zkreslené délky v rovině zobrazení. Před výpočtem je tedy nutno nastavit správný měřítkový koeficient pro dané území.

Před výpočtem zvolte typ vytyčovacích prvků:

  • Orientace + směry

    Program vypočte vodorovné směry od směru na zadanou orientaci. Do protokolu uloží vytyčovací prvky (směr a délku) ze stanoviska, tytéž vytyčovací prvky z orientačního bodu a směrník spojnice stanovisko - vytyčovaný bod.

  • Orientace + směrníky

    Program vypočte délku a směrník spojnice stanovisko-vytyčovaný bod a spojnice orientace-vytyčovaný bod.

  • Směrníky

    Program nevyžaduje zadání stanoviska a počítá pouze směrníky a délky spojnice stanovisko-vytyčovaný bod.

Orientační směr

Přejete-li si, aby na orientační bod byl nenulový orientační směr, zadejte hodnotu orientačního směru do okénka Vodorovný směr na orientaci.

Výpočet jednotlivých bodů

Při výpočtu jednotlivých bodů přetahujete do oblasti Vytyčovaný bod jednotlivé body ze seznamu souřadnic. Program okamžitě po přetažení vypočte příslušné vytyčovací prvky.

Dávkový výpočet

Při dávkovém výpočtu postupujete stejně, ale místo jednotlivých bodů můžete přetáhnout celý blok označených bodů. V dialogovém okně zůstanou zobrazeny vytyčovací prvky pouze pro poslední bod, v protokolu jsou však uloženy všechny.

Výpočet do zápisníku

Přejete-li si provést dávkový výpočet celého seznamu souřadnic do zápisníku, zadejte název vstupního seznamu souřadnic do okénka Vstup, výsledného seznamu měření do okénka Výstup a program vypočte vytyčovací prvky všech bodů v souboru a vytvoří z vytyčovacích prvků nový seznam měření.

Předcházející | Domů | Další
Výpočet výměr | Nahoru | Ortogonální vytyčovací prvky


Ortogonální vytyčovací prvky
Předcházející Kapitola 11. Výpočetní úlohy Další

Ortogonální vytyčovací prvky

Ortogonální vytyčovací prvky

Toto dialogové okno slouží pro výpočet ortogonálních vytyčovacích prvků jednotlivých bodů. Chcete-li počítat více bodů, můžete použít transformaci souřadnic.

Vstupní hodnoty se zadávají stejně, jako u ostatních výpočetních úloh. Nejprve zadejte koncové body přímky, potom zadávejte jednotlivé vytyčované body. Můžete přetahovat ze seznamů souřadnic jednotlivé body i celé skupiny označených bodů. Přetáhnete-li celou skupinu bodů, v dialogovém okně zůstanou vytyčovací prvky pouze pro poslední bod, v protokolu jsou však uloženy všechny.

V protokolu jsou vždy nejprve uloženy vytyčovací prvky identických bodů, a potom jednotlivých vytyčovaných bodů. Kromě kolmice a staničení je vypočten i doměrek, což je staničení z koncového bodu přímky.

Ortogonální vytyčovací prvky lze vypočíst dávkově do souboru, čímž vznikne ortogonální zápisník.

Varování

Vypočtené kolmice a staničení jsou automaticky opraveny o nastavené měřítko, aby reprezentovaly skutečné délky v terénu, nikoli zkreslené délky v rovině zobrazení. Před výpočtem je tedy nutno nastavit správný měřítkový koeficient pro dané území.

Předcházející | Domů | Další
Polární vytyčovací prvky | Nahoru | Výpočet trasy


Výpočet trasy
Předcházející Kapitola 11. Výpočetní úlohy Další

Výpočet trasy

Pomocí této úlohy lze vypočíst prvky trasy, dané posloupností linií. Úloha vypočte délky segmentů, směrníky, úhly a převýšení mezi body.

Při zadání vzdáleností pro odsazení jsou navíc vypočteny souřadnice odsazených bodů.

Vstupní hodnoty se zadávají stejně, jako u ostatních výpočetních úloh. Postupně se zadávají jednotlivé body trasy a pomocí tlačítka (Přidat) se přidávají do seznamu. Ze seznamů souřadnic lze přetahovat jednotlivé body i celé skupiny označených bodů.

Po zadání celé trasy stiskněte tlačítko (Výpočet) a program vypočte prvky trasy. Máte-li zapnutu kontrolní kresbu, bude trasa i zobrazena. Vypočtené prvky trasy jsou zapsány do protokolu.

Pokud jste zadali i odsazení trasy, můžete si zvolit, jakým způsobem mají být nově vypočtené body očíslovány. Můžete ponechat odsazeným bodům původní čísla a pouze doplnit jiná předčíslí, nebo je můžete nechat nově očíslovat, a to buď průběžně (nejprve body vlevo, potom vpravo), nebo střídavě. Po výpočtu můžete body uložit tak, že je myší přetáhnete do seznamu souřadnic (kurzorem myši při tom musíte ukázat kamkoli do oblasti s výsledky mimo editační okénka).

Předcházející | Domů | Další
Ortogonální vytyčovací prvky | Nahoru | Fasáda


Fasáda
Předcházející Kapitola 11. Výpočetní úlohy Další

Fasáda

Pomocí této úlohy lze body, zaměřené na svislé rovině (např. na fasádě domu) sklopit do roviny, aby je bylo možno načíst do 2D výkresu v CADu nebo jiném kreslicím programu, a vykreslit tak pohled na fasádu

Zadává se pouze levý a pravý bod na fasádě. Program transformuje souřadnice do místní soustavy určené těmito dvěma body, a poté fasádu sklopí do vodorovné roviny nahrazením souřadnice X výškou bodu. Vypočtené body jsou uloženy do výstupního seznamu souřadnic, vstupní seznam zůstává nezměněn.

Předcházející | Domů | Další
Výpočet trasy | Nahoru | Kubatury


Kubatury
Předcházející Kapitola 11. Výpočetní úlohy Další

Kubatury

Toto dialogové okno slouží k výpočtu kubatur trojúhelníkovou metodou. Do dialogového okna se zadávají postupně body jednotlivých trojúhelníků. Je-li zadán celý trojúhelník, stiskněte tlačítko (Přidat) a zadaný trojúhelník bude přidán do seznamu trojúhelníků. Před výpočtem musíte zadat výšku srovnávací roviny, od níž má být kubatura vypočtena, a popis kubatury (pro uložení do protokolu). Po stisknutí tlačítka (Výpočet) program vypočte kubaturu, a je-li zapnuta kontrolní kresba, zobrazí v ní trojúhelníkovou síť.

Předcházející | Domů | Další
Fasáda | Nahoru | Výpočet výšky stanoviska


Výpočet výšky stanoviska
Předcházející Kapitola 11. Výpočetní úlohy Další

Výpočet výšky stanoviska

Výpočet výšky stanoviska

Toto dialogové okno slouží pro samostatný trigonometrický výpočet výšky stanoviska. Ovládá se stejně, jako okno pro volné stanovisko, zadávají se však do něj pouze údaje pro výškový výpočet (souřadnice stanoviska, výška stroje souřadnice a výšky orientací, výšky cíle na orientacích a převýšení nebo zenitové úhly).

Dialogové okno umožňuje zadávat zenitové úhly (Z) i převýšení (dH), pro každou orientaci zadejte pouze ten údaj, který máte k dispozici.

Předcházející | Domů | Další
Kubatury | Nahoru | Výpočet výšek


Výpočet výšek
Předcházející Kapitola 11. Výpočetní úlohy Další

Výpočet výšek

Tato úloha pracuje stejně, jako polární metoda dávkou, ale u zaměřených bodů o známých souřadnicích pouze dopočítává výšky. Ovládání je stejné, jako u polární metody dávkou.

Předcházející | Domů | Další
Výpočet výšky stanoviska | Nahoru | Napojení změny do KM-D v dosavadním bodu


Napojení změny do KM-D v dosavadním bodu
Předcházející Kapitola 11. Výpočetní úlohy Další

Napojení změny do KM-D v dosavadním bodu

Napojení změny do KM-D v dosavadním bodu

Úloha slouží k napojení změny do KM-D v dosavadním bodu.

Do dialogového okna zadáte souřadnice dosavadního bodu v obou soustavách, souřadnice nového bodu a měřenou délku spojnice obou bodů. Po stisknutí tlačítka (Přidat) program bod přidá do seznamu bodů, vypočte všechny potřebné odchylky a vytvoří protokol o přiřazení změny dle předpisů.

Předcházející | Domů | Další
Výpočet výšek | Nahoru | Napojení změny do KM-D v novém bodu


Napojení změny do KM-D v novém bodu
Předcházející Kapitola 11. Výpočetní úlohy Další

Napojení změny do KM-D v novém bodu

Napojení změny do KM-D v novém bodu

Úloha slouží k napojení změny do KM-D v novém bodu.

Do dialogového okna zadáte souřadnice dosavadního bodu v obou soustavách, souřadnice nového bodu a měřenou délku spojnice obou bodů. Po stisknutí tlačítka (Přidat) program bod přidá do seznamu bodů, vypočte všechny potřebné odchylky a vytvoří protokol o přiřazení změny dle předpisů.

Předcházející | Domů | Další
Napojení změny do KM-D v dosavadním bodu | Nahoru | Dávkový výpočet souboru MAPA2


Dávkový výpočet souboru MAPA2
Předcházející Kapitola 11. Výpočetní úlohy Další

Dávkový výpočet souboru MAPA2

Tato úloha umožňuje dávkový výpočet textového souboru ve formátu MAPA2.

Systém podporuje dvě úlohy:

  • Typ 0: Ortogonální metoda

  • Typ 1: Polární metoda

Postup výpočtu:

  1. Otevřete textový soubor se zadáním výpočtu ve formátu MAPA2 příkazem Soubor->Otevři.

  2. S aktivovaným textovým oknem vyvolejte příkaz Výpočty->Dávkový výpočet souboru MAPA2.

Program dávkově zpracuje otevřený soubor, uloží vypočtené souřadnice a vytvoří protokol o výpočtu.

Vstupní soubor může obsahovat libovolné množství jednotlivých úloh. Úlohy jsou zpracovávány postupně v takovém pořadí, jak jsou zadány v souboru.

Na rozdíl od výpočtu polární metody dávkou je proveden výpočet pouze na jeden průchod souborem. Předpokládá se tedy, že všechny dané body, které jsou použity v hlavičkách úloh, jsou v době, kdy jsou pro výpočet potřeba, již známy (z předchozích výpočtů nebo ze vstupního seznamu souřadnic).

Vzorový soubor s polární metodou

512
360607101
660205
1
3
0
0

1  6600004059
6600004055 68.32 0.
6600000548 93.39 201.433
0924222160 0. 105.01
6600004064 82.33 325.943
6600004065 30.15 215.670
-1
6600004066 18.25 231.754
6600004067 48.22 320.479
1 13.74 275.01
2 19.52 244.74
3 16.77 287.41
4 21.68 290.175
5 28.67 291.44
6 24.29 290.17 : 0. -0.15
7 27.55 305.12
8 22.23 229.19
9 29.28 228.40
10 8.10 260.83
11 7.16 282.34
12 8.71 306.23
13 12.71 314.10
14 9.82 300.33
15 27.95 312.26 : 1.05 -0.35
16 37.01 318.25
/
1 6600004066
6600004059 18.26 0.
-1
19 10.93 215.35
20 15.48 233.25
21 20.10 234.07
22 13.40 249.67 : 1.62 0.
9 11.08 191.09
2 4.01 286.33
23 13.27 258.11
24 17.32 258.07
/
-2

Vzorový soubor s ortogonální metodou

512
360600102
430114
1
3
0
0

0 4300000517 0. 0.
4300005001 63.72 0.
4300000518 125.57 0.
-1
1 0.52 3.10
2 10.73 2.03
3 22.86 -8.90
4 32.42 -7.27
5 43.86 -7.18
6 45.62 2.86
7 52.77 -10.46
8 53.72 -6.77
9 57.13 -6.73
10 58.91 -10.22
/

0 4300005012 0. 0.
4300000517 101.89 0.
-1
44 35.73 9.70
45 45.52 10.91
46 54.83 5.11
47 57.23 3.12
48 61.20 -2.19
49 61.20 -4.40
50 98.55 10.37
51 37.85 -5.26
52 38.32 -11.30
/
-2

Předcházející | Domů | Další
Napojení změny do KM-D v novém bodu | Nahoru | Kapitola 12. Export - Import souborů


Kapitola 12. Export - Import souborů
Předcházející Část I. Uživatelská příručka Další

Kapitola 12. Export - Import souborů

Program GROMA umožňuje práci s různými formáty datových souborů. Některé typy souborů lze číst a zapisovat přímo, některé lze exportovat a importovat pomocí volně definovatelného textového formátu.

Při importu souborů lze v dialogovém okně pro výběr souboru označit více souborů daného typu. Program postupně importuje všechny vybrané soubory. V protokolu o importu souborů budou uvedeny postupně informace o všech importovaných souborech.

Seznamy souřadnic lze pomocí příkazu Souřadnice->Připoj soubor importovat přímo do již otevřených souborů. Body z importovaného souboru budou do původního souboru přidány.

Seznamy souřadnic

Textové seznamy souřadnic

Program GROMA umožňuje přímo číst i zapisovat seznamy souřadnic v textovém tvaru. Pro export a import těchto souborů jsou k dispozici tři filtry: Souřadnice XYZ, Souřadnice YXZ a Souřadnice-Uživatelský formát. Pro běžné soubory lze použít první dva filtry, uživatelský formát slouží pro import a export souborů v nestandardním tvaru. Uživatelský formát je podrobně popsán v přílohách, zde se budeme věnovat prvním dvěma formátům.

Vzhledem k tomu, že textové soubory mohou mít různou podobu (obsahují různé údaje), je třeba respektovat určitá pravidla, aby byl program schopen rozpoznat, o jaké údaje se jedná.

První údaj na řádku je vždy interpretován jako číslo bodu. Za ním vždy následují dvě souřadnice (dle zvoleného pořadí). Další údaje jsou již nepovinné, jejich typ je tedy určen podle konkrétní podoby. Program se při tom řídí těmito pravidly:

  • Obsahuje-li údaj desetinnou tečku nebo čárku, a je-li mimo ni tvořen pouze číslicemi, bude interpretován jako souřadnice Z.

  • Je-li údaj tvořen pouze jedním znakem, bude interpretován jako kód kvality.

  • Ve všech ostatních případech je údaj interpretován jako kód bodu. V tomto případě je do kódu převzat celý zbytek vstupního řádku, což umožňuje používat kódy s mezerami.

U číselných údajů může být jako oddělovač desetinné části použita desetinná tečka i čárka.

Soubory ve formátu MS Excel

Seznamy souřadnic i měření lze exportovat ve formátu MS Excel. Před exportem je zobrazeno dialogové okno, v němž je možno zvolit soubor s exportní šablonou. Exportní šablona je dokument ve formátu MS Excel, v němž jsou připraveny hlavičky a formátování. Soubor obsahuje jednu symbolickou datovou řádku, v níž jsou umístěny symboly datových položek, které jsou při exportu nahrazeny skutečnými daty. Šablona může obsahovat připravené vzorce, více listů, atd. Musí být ve formátu Excel 95/2000/2002.

Ukázkové exportní šablony jsou uloženy v adresáři Format/Excel/crd a Format/Excel/mes. Tyto předdefinované šablony si můžete libovolně upravit.

Po exportu je otevřeno okno, v němž je exportovaný soubor zobrazen ke kontrole.

Soubory ve formátu XML

Seznamy souřadnic i měření lze exportovat a importovat ve formátu XML (eXtensible Markup Language). Jedná se o značkovací jazyk typu SGML, který umožňuje snadnou výměnu souborů, formální kontrolu správnosti jejich struktury a automatické konverze do jiných formátů (html, txt, rtf).

Soubory XML mají pevnou strukturu, definovanou pomocí deklarace typu dokumentu (Document Style Definition, DTD). Porovnáním souborů s touto definicí lze snadno ověřit jejich formální správnost. Definice struktury pro soubory používané v systému GROMA jsou součástí instalace (jsou uloženy v adresáři dtd), nebo je lze stáhnout na http://www.groma.cz.

Společně se soubory DTD jsou součástí distribuce i předpisy pro převod XML souborů do HTML. Máte-li internetový prohlížeč podporující formát XML a transformace pomocí stylů XSL, můžete v něm seznamy ve formátu XML přímo zobrazit. Převod do HTML provede prohlížeč automaticky (obvykle zároveň s kontrolou struktury dokumentu vzhledem k definici)a zobrazí výsledné dokumenty ve formátu HTML.

Pro práci se soubory ve formátu XML je k dispozici velké množství různých nástrojů (editory, převodní programy, validátory, apod.). Většina tohoto software je k dispozici bezplatně na internetu. Podrobný popis jazyka XML i s dalšími odkazy a online službami lze nalézt na http://www.w3.org.

Program GROMA umožňuje ukládání souborů do formátu XML ve dvou variantách:

  • Atributy

    Informace o položkách jsou uvedeny v hlavičkách prvků pomocí atributů. Tento formát je poněkud přehlednější při prohlížení neformátovaných XML souborů a je také úspornější.

  • Těla prvků

    Informace o položkách jsou uvedeny v tělech prvků. Tento formát je hůře čitelný a objemnější, ale pro některé nástroje je snáze zpracovatelný.

Typ souboru je třeba určit při exportu seznamu. Při importu program sám detekuje, o jaký typ souboru se jedná a korektně jej načte.

Soubory typu GEUS

Soubory programu GEUS (souřadnicové soubory s příponou .DAT) lze číst i zapisovat přímo. Program GROMA používá pouze vlastní souřadnicový soubor (.DAT), s indexovým souborem (.IDX) nepracuje. Po převodu seznamu souřadnic do formátu GEUS je tedy nejprve třeba seznam programem GEUS indexovat.

Souřadnicové soubory programu GEUS obsahují obdobné informace, jako soubory programu GROMA, při importu jsou tedy všechny informace využity (včetně kódu bodu). Program GROMA umí importovat datové soubory všech verzí systému GEUS, tedy i souborů s popisy delšími než 3 znaky. Při exportu jsou však vytvářeny standardně soubory s délkou popisu 3 znaky. Chcete-li vytvářet soubory s delším popisem, musíte do konfiguračního souboru GROMA.INI do oddílu [Formats] přidat položku GeusInfoSize=x, kde x je číslo v rozsahu 3 až 20. Tuto položku není možno měnit přímo z prostředí systému GROMA.

Soubory typu dBASE III

Program GROMA umožňuje zapsat seznam souřadnic do souboru formátu dBASE III. Struktura tohoto souboru je pevně stanovena a nelze ji měnit.

Tabulka 12.1. Struktura souřadnicového souboru dBASE III

Položka | Typ | Počet znaků | Počet des. míst | Popis
PORCIS | NUMERIC | 3 | 0 | Pořadové číslo bodu
ZBP | NUMERIC | 1 | 0 | Základní bodové pole
ZPMZ | NUMERIC | 4 | 0 | Záznam podrobného měření změn
CISLO | NUMERIC | 4 | 0 | Číslo bodu
Y | NUMERIC | 9 | 2 | Souřadnice Y
X | NUMERIC | 10 | 2 | Souřadnice X
Z | NUMERIC | 6 | 2 | Souřadnice Z
TRIDA | NUMERIC | 1 |  | Třída přesnosti
CHKRESBA | CHARACTER | 4 |  | Nepoužito
STAV | NUMERIC | 1 |  | Nepoužito
DATUM | DATE | 8 |  | Nepoužito
YMER | NUMERIC | 9 | 2 | 2. souřadnice Y
XMER | NUMERIC | 10 | 2 | 2. souřadnice X

Program GROMA vytváří pouze datový soubor. Některé aplikace, pracující s databázovými soubory, vyžadují i indexový soubor. V takovém případě musíte datový soubor indexovat (pomocí dBASE III, dBASE IV, RUNTIME, atd.).

Soubory typu KOKEŠ

Seznam souřadnic lze uložit ve formátu textového seznamu souřadnic pro grafický systém KOKEŠ (soubor .stx). Program automaticky vytvoří i potřebnou hlavičku s pořadím souřadnic, přesností zobrazení, redukcemi, atd.

V programu KOKEŠ je omezen rozsah zobrazitelného území. Překročíte-li tento rozsah, program GROMA vás na to upozorní varovným hlášením.

Je-li v systému GROMA nastaven počet desetinných míst 3 a více, bude v hlavičce výsledného souboru nastavena přesnost na milimetry, jinak je nastavena na centimetry.

Soubory typu Geodimeter

Pomocí tohoto filtru lze vytvářet soubory ve formátu Area pro přenos do strojů Geodimeter. Parametry výsledného souboru lze nastavit v Nastavení->Vstup/Výstup->Export do záznamníků.

Soubory typu Leica

Pomocí tohoto filtru lze vytvářet soubory ve formátu GSI pro přenos do strojů Leica. Můžete si vybrat mezi dvěma formáty - Leica/8 (starší formát s osmiznakovými záznamy) a Leica/16 (nový formát s šestnáctiznakovými záznamy umožňující pracovat s neredukovanými souřadnicemi). Je-li třeba při exportu vzhledem k délce záznamu některé údaje oříznout, program zobrazí varovné hlášení. Parametry výsledného souboru lze nastavit v Nastavení->Vstup/Výstup->Export do záznamníků.

Soubory typu Sokkia

Pomocí tohoto filtru lze vytvářet soubory ve formátu SDR pro přenos do strojů Sokkia. Můžete volit mezi formáty SDR20 a SDR33. Parametry výsledného souboru lze nastavit v Nastavení->Vstup/Výstup->Export do záznamníků.

Soubory typu Topcon

Pomocí tohoto filtru lze vytvářet soubory pro přenos do strojů Topcon. Parametry výsledného souboru lze nastavit v Nastavení->Vstup/Výstup->Export do záznamníků.

Soubory GROMA verze 2-5

Pomocí tohoto filtru lze vytvářet soubory ve formátu starších verzí systému GROMA (verze 2-5). Při tomto exportu budou ztraceny některé údaje z nového formátu (datum a čas vytvoření a poslední modifikace bodu, uživatelské informace, atd.).

Předcházející | Domů | Další
Dávkový výpočet souboru MAPA2 | Nahoru | Seznamy měření


Seznamy měření
Předcházející Kapitola 12. Export - Import souborů Další

Seznamy měření

Naměřená data - Text

Tímto filtrem lze exportovat seznam měření v čitelném textovém formátu. Tento soubor lze dále zpracovávat libovolným textovým editorem.

Naměřená data - MAPA2

Tímto filtrem lze exportovat seznam měření ve standardním textovém formátu MAPA2. Tento formát je podporován většinou výpočetních programů.

Naměřená data GROMA verze 2-5

Pomocí tohoto filtru lze vytvářet soubory ve formátu starších verzí systému GROMA (verze 2-5). Při tomto exportu budou ztraceny některé údaje z nového formátu (datum a čas vytvoření a poslední modifikace bodu, atd.).

Předcházející | Domů | Další
Kapitola 12. Export - Import souborů | Nahoru | Kresba


Kresba
Předcházející Kapitola 12. Export - Import souborů Další

Kresba

Soubory typu DXF

Chcete-li přenést grafiku z programu GROMA do jiného grafického programu, můžete k tomu použít standardní výměnný formát DXF (Data Exchange Format). Obrázky v tomto formátu umí importovat většina grafických systémů (včetně systémů MicroStation, AutoCAD, atd.). Před exportem grafiky do tohoto formátu je nejprve třeba nastavit parametry v dialogovém okně Soubor->Nastavení->DXF. Zde musíte definovat, zda chcete do souboru zapsat i hlavičku (některé programy, např. MicroStation, ji potřebují pro správné umístění elementů do vrstev), zda chcete zaměnit souřadnice X a Y, atd. Podrobně jsou nastavení parametrů popsána v referenční příručce.

Do souboru DXF jsou elementy uloženy do těch vrstev, které jsou pro příslušný pohled nastaveny. Vrstvy, které jsou v pohledu vypnuty, nebudou uloženy ani do souboru DXF. V DXF souboru budou tedy pouze ty elementy, které jsou v aktivním okně viditelné. Výjimku tvoří pouze křížky čtvercové sítě, které se do DXF souboru neukládají.

Předcházející | Domů | Další
Seznamy měření | Nahoru | Kapitola 13. Definice teodolitu


Kapitola 13. Definice teodolitu
Předcházející Část I. Uživatelská příručka Další

Kapitola 13. Definice teodolitu

Definice teodolitu

Po vyvolání příkazu Soubor->Nastavení->Teodolit si můžete definovat libovolné množství teodolitů, které používáte při měření, i s jejich vlastnostmi a přístrojovými chybami.

Takto definované teodolity můžete použít při zpracování seznamu měření (viz kap. Zpracování zápisníku).

V dialogovém okně zadejte nejprve název teodolitu, a potom postupně všechny jeho vlastnosti (přístrojové chyby a tolerance). Jestliže přístrojové chyby neznáte, nastavte je nejprve jako nulové, a po několika prvních výpočtech je můžete upravit podle výsledků z protokolu.

Nastavené tolerance a přístrojové chyby program využívá při dávkovém zpracování zápisníku příkazem Měření->Zpracování zápisníku.

Program je dodáván s předdefinovaným teodolitem s názvem "Neznámý teodolit", v jehož definici jsou nastaveny implicitní tolerance pro testování podezřelých a chybných měření.

Nastavení teodolitu je podrobně popsáno v referenční příručce.

Předcházející | Domů | Další
Kresba | Nahoru | Kapitola 14. Protokoly


Kapitola 14. Protokoly
Předcházející Část I. Uživatelská příručka Další

Kapitola 14. Protokoly

Při výpočtech program kromě výsledných hodnot vytváří i textové protokoly o výpočtu, v nichž lze nalézt mnoho užitečných informací o průběhu výpočtu, dosažených odchylkách, apod. Tyto protokoly mohou být uloženy do souboru nebo vytisknuty a předávány jako protokoly o výpočtech.

Otevření protokolu

Při otevírání protokolu se postupuje stejně, jako při otevírání jakéhokoli jiného datového souboru. Jediný rozdíl oproti ostatním typům souborů je, že protokol může být otevřen vždy nejvýše jeden.

Před otevřením protokolu si můžete v dialogovém okně Soubor->Nastavení->Prostředí zvolit, zda chcete pro editaci použít vnitřní editor programu GROMA nebo externí editor.

Interní editor

Interní editor má podobu datového okna zobrazeného v hlavním okně programu GROMA. Toto okno může být zvětšováno, zmenšováno, přesouváno nebo zmenšeno na ikonu.

Externí editor

Zvolíte-li si pro editaci protokolu externí editor, po otevření protokolu se na ploše hlavního okna programu zobrazí pouze ikona protokolu. Můžete s ním normálně pracovat, ukládat do něj protokoly pomocí tlačítka na liště nástrojů, přesouvat ikonu, apod. Chcete-li editovat celý protokol, zvolte na ikoně obnovení okna (dvojitým kliknutím na ikonu, pomocí menu) a program GROMA automaticky spustí zvolený externí editor.

Poznámka

Externí editor může být v danou chvíli spuštěn vždy pouze jednou. Po jeho spuštění se sice můžete přepnout do programu GROMA, ale při pokusu o další spuštění editoru je zobrazeno varovné hlášení, že musí být editor z předchozího spuštění nejprve uzavřen.

Po otevření protokolu se zobrazí editační okno, buď prázdné, vytváříte-li nový protokol, nebo s výstupy s předchozích výpočtů. Text můžete editovat běžnými editačními klávesami, přesouvat nebo kopírovat bloky textu do ostatních aplikací, atd.

Předcházející | Domů | Další
Kapitola 13. Definice teodolitu | Nahoru | Princip práce s protokoly


Princip práce s protokoly
Předcházející Kapitola 14. Protokoly Další

Princip práce s protokoly

Program pracuje s protokoly o výpočtech ve dvou úrovních. Jedna úroveň je lokální protokol, který vždy obsahuje výstup z poslední zpracované úlohy, a druhá úroveň je hlavní protokol, kam se jednotlivé lokální protokoly ukládají.

V hlavním protokolu lze text upravovat nebo mazat a lze v něm vyhledávat zadaný text (čísla bodů, apod.).

Tento postup ukládání protokolů byl zvolen proto, že je často výhodné mít k dispozici údaje o výpočtu, aniž by bylo třeba je vždy automaticky ukládat do výsledného protokolu. Jestliže se výsledky výpočtů ukládají do protokolu automaticky, obsahuje protokol obvykle množství nepotřebných nebo chybných údajů (z nepodařených nebo pokusných výpočtů, apod.), které je třeba dodatečně mazat.

Předcházející | Domů | Další
Kapitola 14. Protokoly | Nahoru | Lokální protokol


Lokální protokol
Předcházející Kapitola 14. Protokoly Další

Lokální protokol

Lokální protokol vzniká při každém jednotlivém výpočtu. Můžete si jej prohlédnout po stisknutí tlačítka (Protokol) v kterémkoli výpočetním dialogovém okně. Program otevře dialogové okno s lokálním protokolem. Toto okno je nemodální, můžete je tedy ponechat otevřené a můžete měnit jeho umístění a velikost. Necháte-li je otevřené, jsou v něm při výpočtech automaticky zobrazovány všechny změny lokálního protokolu. Chcete-li je vymazat, stiskněte tlačítko (Vyprázdnit). Jestliže jste s obsahem protokolu spokojeni, uložte jej do hlavního protokolu tlačítkem (Uložit) nebo pomocí tlačítka na liště nástrojů. Jestliže ještě nemáte otevřen hlavní protokol, program nejprve zobrazí dialogové okno pro jeho otevření. Jestliže nyní hlavní protokol neotevřete, program lokální protokol neuloží.

Lokální protokol je pouze jeden a obsahuje vždy pouze výstup z posledního výpočtu. Neuložíte-li jej do hlavního protokolu, bude při příštím výpočtu přepsán.

Předcházející | Domů | Další
Princip práce s protokoly | Nahoru | Výpis seznamu souřadnic do protokolu


Výpis seznamu souřadnic do protokolu
Předcházející Kapitola 14. Protokoly Další

Výpis seznamu souřadnic do protokolu

Chcete-li vypsat seznam souřadnic (nebo jeho část) do protokolu, můžete postupovat jedním z těchto způsobů:

  • Zvolte příkaz Souřadnice->Do protokolu. Není-li v seznamu žádná položka označena, do protokolu bude vypsán celý seznam souřadnic. Jsou-li v seznamu označeny některé položky, bude do protokolu vypsána pouze označená část.

  • Přetáhněte myší bod resp. označené body na plochu dialogového okna s lokálním protokolem. Přetáhnete-li skupinu označených bodů, program na začátku seznamu souřadnic vytvoří hlavičku. Přetáhnete-li pouze jeden bod, program hlavičku nevytváří.

  • Zkopírujte bod nebo označené body do schránky pomocí příkazu Editace->Zkopíruj a pomocí příkazu Editace->Vlož je vložte do okna s celkovým protokolem. Při tomto postupu je použit uživatelský předpis formátu z nastavení.

V obou případech bude seznam souřadnic vytvořen v lokálním protokolu, do hlavního protokolu jej uložte stejným způsobem, jako protokoly z výpočtů.

Předcházející | Domů | Další
Lokální protokol | Nahoru | Výpis seznamu měření do protokolu


Výpis seznamu měření do protokolu
Předcházející Kapitola 14. Protokoly Další

Výpis seznamu měření do protokolu

Chcete-li vypsat seznam měření (nebo jeho část) do protokolu, postupujte stejně, jako při výpisu seznamu souřadnic. Seznam měření bude do protokolu vypsán v předdefinovaném textovém tvaru: na začátku souboru budou uvedeny údaje z hlavičky souboru (název souboru, popis, měřítko, atd.). Dále bude uveden seznam měření. Stanoviska jsou oddělena čarou, čísla stanovisek jsou označena hvězdičkou, orientace pomlčkou.

Stejně jako u výpisu seznamu souřadnic, seznam měření bude vytvořen v lokálním protokolu. Do hlavního protokolu jej uložte stejným způsobem, jako protokoly z výpočtů.

Předcházející | Domů | Další
Výpis seznamu souřadnic do protokolu | Nahoru | Kódování češtiny


Kódování češtiny
Předcházející Kapitola 14. Protokoly Další

Kódování češtiny

Program v protokolech používá pro češtinu kódovou stránku 1250 Latin-2, specifickou pro MS Windows. Chcete-li zpracovávat protokoly jiným způsobem, než programem GROMA, může se stát, že budete potřebovat jiné kódování češtiny. Program proto umožňuje nastavit jinou kódovou stránku pro ukládání do souboru. Při čtení protokolu je kódování převedeno zpět do kódové stránky Windows 1250 Latin-2, v diskovém souboru je však text uložen ve zvoleném kódování. Program umožňuje nastavit tyto kódové stránky:

  • 437 DOS Standard IBM,

  • 850 DOS Kamenický (KEYBCS2),

  • 852 DOS Latin-2,

  • 1250 Windows Latin-2

Varování

Překódování do kódové stránky 437 je nevratné, protože jsou při zápisu všechny české znaky převedeny na ekvivalenty bez diakritických znamének. Po příštím otevření soubor s protokolem obsahuje pouze standardní ASCII znaky.

Předcházející | Domů | Další
Výpis seznamu měření do protokolu | Nahoru | Parametry protokolu


Parametry protokolu
Předcházející Kapitola 14. Protokoly Další

Parametry protokolu

V dialogovém okně Soubor->Nastavení->Protokol můžete nastavit různé parametry, které ovlivňují práci s protokoly (ukládání souřadnic vstupních bodů, kódování češtiny při zápisu na disk, font pro tisk i pro obrazovku, apod.). Bližší popis je uveden v referenční příručce.

Předcházející | Domů | Další
Kódování češtiny | Nahoru | Kapitola 15. Grafika


Kapitola 15. Grafika
Předcházející Část I. Uživatelská příručka Další

Kapitola 15. Grafika

Program GROMA umožňuje práci s jednoduchou grafikou. Pro kreslení musíte otevřít zvláštní okno, v němž můžete provádět základní grafické operace nad seznamem souřadnic. Pro ukládání grafických elementů je k dispozici 64 vrstev. Tyto vrstvy lze v jednotlivých pohledech libovolně vypínat a zapínat.

Princip ukládání grafiky

Grafické soubory (.pic), do nichž je grafika ukládána, obsahují pouze samotný předpis kresby (informace o grafických elementech a čísla jejich koncových bodů). Takto vedené grafické soubory mají určité výhody i nevýhody.

  • Výhody:

    • grafické soubory používají standardní seznamy souřadnic, změny v souřadnicích bodů se okamžitě promítají i do grafiky (lze provést i transformaci souřadnic, po níž zůstane kresba neporušena, pouze se přizpůsobí novým souřadnicím),

    • vedení jediného seznamu souřadnic vede k výrazné úspoře místa na disku i v paměti (do grafického souboru jsou ukládány pouze spojnice bodů, grafický soubor se všemi body je tedy vlastně prázdný).

  • Nevýhody:

    • kresba je ztracena při změně čísel bodů,

    • grafické elementy lze umisťovat pouze na již existují body.

Předcházející | Domů | Další
Parametry protokolu | Nahoru | Otevření grafického okna


Otevření grafického okna
Předcházející Kapitola 15. Grafika Další

Otevření grafického okna

Chcete-li poprvé otevřít seznam souřadnic jako grafiku, zvolte v menu položku Souřadnice->Zobraz graficky. Program se pokusí v příslušném adresáři nalézt grafický soubor ke zvolenému seznamu souřadnic (soubor .pic). Jestliže tento soubor neexistuje, program jej vytvoří.

Při příštím otevírání jej již lze zvolit v seznamu po nastavení typu souboru na "Grafika".

Předcházející | Domů | Další
Kapitola 15. Grafika | Nahoru | Ovládání grafického okna


Ovládání grafického okna
Předcházející Kapitola 15. Grafika Další

Ovládání grafického okna

Po prvním otevření grafického okna jsou zobrazeny všechny body tak, aby co nejlépe vyplnily plochu okna. Pro manipulaci s pohledem slouží příkazy v menu Plán a tlačítka na liště nástrojů. S pohledem lze posouvat pomocí lišt v pravé a spodní části okna.

Předcházející | Domů | Další
Otevření grafického okna | Nahoru | Chytání na body


Chytání na body
Předcházející Kapitola 15. Grafika Další

Chytání na body

Program vzhledem ke způsobu práce s grafikou umožňuje umisťovat grafické elementy pouze na již existující body. Na body se můžete "chytat" levým nebo prostředním tlačítkem myši. Při chytání program hledá v určitém okolí kurzoru nejbližší bod, a nalezne-li jej, přesune kurzor přesně na něj a zobrazí jej červenou barvou. Zároveň ve stavové řádce vypíše jeho číslo a souřadnice. Jestliže v okolí žádný bod nenalezne, oznámí to zvukovým signálem.

Předcházející | Domů | Další
Ovládání grafického okna | Nahoru | Referenční výkresy


Referenční výkresy
Předcházející Kapitola 15. Grafika Další

Referenční výkresy

K otevřenému grafickému oknu lze příkazem Plán->Referenční výkresy pro kontrolu připojit další seznamy souřadnic jako referenční. Tyto seznamy jsou zobrazeny v grafickém okně stejně jako hlavní soubor. Pro odlišení jsou body referenčního souboru zobrazeny červeně.

Předcházející | Domů | Další
Chytání na body | Nahoru | Kódování kresby


Kódování kresby
Předcházející Kapitola 15. Grafika Další

Kódování kresby

Systém GROMA umožňuje automatizované vytváření liniové kresby na základě kódů u bodů.

Algoritmus kódování je pevně předepsán, ale konkrétní kódy pro jednotlivé linie a funkce lze měnit v konfiguraci programu (příkaz Soubor->Nastavení->Kódování: Nastavení kódování kresby).

Algoritmus vytváření kresby

Pro vytvoření kódové kresby je třeba, aby na jednotlivých bodech byly uloženy alfanumerické kódy, které definují předpis kresby. Kódů může být na bodě více a oddělují se mezerami.

Každý kód se skládá z kódu prvku a nepovinného řídícího kódu.

Kódy prvku

Kód prvku znamená alfanumerické jednoznakové nebo víceznakové označení prvku, pod nímž je prvek definován v tabulce prvků. Název je vhodné volit co nejkratší z důvodu kódování v terénu (obvykle postačí jednoznakový název). Název nesmí kolidovat s názvy řídících kódů.

Řídící kódy

Řídící kódy definují akci, která se vztahuje k příslušnému prvku definovanému kódem prvku. Jsou definovány tři akce:

  • Start prvku: start nového prvku (začátek nové linie)

  • Ukončení prvku: ukončení prvku (konec linie)

  • Uzavření prvku: ukončení prvku a uzavření na první bod

Řídící kódy se připojují bezprostředně za kódy prvku bez oddělovací mezery. Jsou definovány jako alfanumerické jednoznakové nebo víceznakové identifikátory. Název je vhodné volit co nejkratší z důvodu kódování v terénu (obvykle postačí jednoznakový název). Název nesmí kolidovat s názvy prvků.

Definujete-li v tabulce prvků např. linii s označením A a řídící kód pro začátek linie např. jako S, potom kód AS znamená začátek linie A a samotný kód A bez řídícího kódu znamená pokračování linie A.

Kódy prvku označují typ prvku dle definiční tabulky, nikoli konkrétní název prvku. V jednom okamžiku tedy může být rozpracováno např. několik linií typu A. Jestliže program narazí na kód požadující napojení bodu na linii A, připojí jej k poslední definované linii typu A. K ostatním liniím téhož typu se postupně vrací vždy po ukončení poslední linie.

Definujete-li tedy celé nastavení kódů např. takto:

Tabulka 15.1. Řídící kódy

Typ kódu | Definice
Začátek linie | S
Konec linie | K
Uzavření linie | U

Tabulka 15.2. Uživatelské prvky

Typ prvku | Název | Vrstva
Linie | A | 10
Linie | B | 11

Tabulka 15.3. Vzorové kódy

Bod | Kód | Popis
1 | AS | Start linie typu A
2 | A | Pokračování linie typu A z bodu 1
3 | A BS | Pokračování linie typu A z bodu 2, start linie typu B
4 | B BS | Pokračování linie typu B z bodu 3, start další linie typu B
5 | BK A | Ukončení linie typu B z bodu 4 a pokračování linie typu A z bodu 3
6 | B | Pokračování předchozí linie typu B z bodu 4
7 | AU | Uzavření a ukončení linie typu A z bodu 5
8 | BK | Ukončení linie typu B z bodu 6

Předcházející | Domů | Další
Referenční výkresy | Nahoru | Kapitola 16. Digitalizace rastrových dat


Kapitola 16. Digitalizace rastrových dat
Předcházející Část I. Uživatelská příručka Další

Kapitola 16. Digitalizace rastrových dat

Program GROMA umožňuje pořizování souřadnic bodů zpracováním rastrových dat. Soubory s rastrovými daty lze získat naskenováním mapových podkladů.

Současná verze programu umožňuje zpracovávat rastrová data ve formátu bitové mapy (soubory .bmp, popř. .dib).

Načtení rastrových dat do programu

Chcete-li zpracovávat rastrová data, musíte nejprve otevřít okno s příslušným souborem. Okno s rastrovými daty se otevírá stejným způsobem, jako kterékoli jiné datové okno. V dialogovém okně pro otevírání souboru musíte zvolit položku Bitové mapy ze seznamu Soubory typu. Program vám nabídne všechny soubory s příponou .bmp, které nalezne v aktuálním adresáři.

Zvolíte-li některý soubor, program se nejprve pokusí v příslušném adresáři nalézt soubor stejného jména, ale s příponou .rnf. Tento soubor obsahuje informace o rastrových datech (identické body, transformační klíč, atd.). Jestliže soubor .rnf nenalezne, vytvoří nový. Do tohoto souboru jsou automaticky v průběhu zadávání ukládány identické body pro transformaci, v případě ukončení a opětovného spuštění programu (popř. po jeho havárii) lze tedy v digitalizaci pokračovat bez nutnosti nového určování transformačního klíče.

Transformační klíč se vztahuje k příslušnému souboru, a nikoli k oknu, můžete tedy otevřít najednou více oken s jednou bitovou mapou, a ve všech bude platit jeden transformační klíč (stačí jej tedy určit pouze v jednom libovolném okně).

Stejně, jako je tomu např. u souřadnicových souborů, můžete mít i souborů s rastrovými daty otevřených více najednou. Program při digitalizaci automaticky použije ke každému souboru příslušný transformační klíč. Máte-li otevřeno dialogové okno pro určení transformačního klíče (viz dále), program v něm zobrazuje údaje, vztahující se k oknu, na jehož ploše je právě umístěn kurzor myši. Přejedete-li kurzorem z jednoho okna s rastrovými daty do druhého, program okamžitě zobrazí identické body druhého souboru.

Předcházející | Domů | Další
Kódování kresby | Nahoru | Grafické souřadnice


Grafické souřadnice
Předcházející Kapitola 16. Digitalizace rastrových dat Další

Grafické souřadnice

Jednotka grafických souřadnic je jeden obrazový element (Picture Element - Pixel). Pixel je nejmenší element, zobrazený v bitové mapě. Skutečný, fyzický rozměr tohoto pixelu závisí na použité rozlišovací schopnosti scanneru. Jestliže sejmete obraz mapového podkladu scannerem s rozlišovací schopností 400dpi (tj. 400 bodů na palec), reprezentuje jeden pixel plošku o rozměru cca 0.064 mm.

Přesnost výsledných digitalizovaných souřadnic je tedy podstatně ovlivněna použitou rozlišovací schopností. Na rozlišovací schopnosti však závisí i objem rastrových dat (při dvojnásobném zvýšení rozlišovací schopnosti se velikost bitové mapy zvýší čtyřikrát). Je tedy nutno nalézt kompromis podle požadované přesnosti a přijatelné velikosti bitové mapy.

Předcházející | Domů | Další
Kapitola 16. Digitalizace rastrových dat | Nahoru | Transformace souřadnic


Transformace souřadnic
Předcházející Kapitola 16. Digitalizace rastrových dat Další

Transformace souřadnic

Před zahájením digitalizace je nutno definovat vztah mezi obrazem mapy a skutečností, tj. určit transformační klíč, pomocí něhož budou souřadnice digitalizovaných bodů převáděny do cílové souřadnicové soustavy.

Program používá tzv. afinní transformaci souřadnic. Při této transformaci jsou použity dva různé měřítkové koeficienty pro směr osy X a Y, transformace tedy lépe vystihne nerovnoměrnou deformaci mapového podkladu v podélném a příčném směru. Transformační parametry jsou určovány na základě metody nejmenších čtverců (při podmínce minimalizace součtu čtverců souřadnicových oprav na identických bodech).

Minimální počet identických bodů je, vzhledem k typu použité transformace, tři (transformace má pět parametrů: dva posuny, dva měřítkové koeficienty a rotace).

Maximální počet identických bodů je omezen pouze kapacitou operační paměti.

Předcházející | Domů | Další
Grafické souřadnice | Nahoru | Manipulace s lupou


Manipulace s lupou
Předcházející Kapitola 16. Digitalizace rastrových dat Další

Manipulace s lupou

Dialogová okna pro digitalizaci rastrových dat obsahují lupu, tj. výřez, v němž je zobrazen zvětšený obraz bitové mapy. Ve středu lupy je zobrazen bod, na němž je právě umístěn kurzor. Pohybujete-li kurzorem po bitové mapě, program automaticky zobrazuje její příslušný výřez.

Zvětšení lupy můžete nastavit v rozsahu 1-8. Pro změnu zvětšení slouží tlačítka <+> a <->, zobrazená pod lupou.

Jestliže chcete použít lupu pro přesné odečtení grafických souřadnic, stiskněte na klávesnici klávesu <Ctrl>, a kurzor se automaticky přemístí z bitové mapy do odpovídajícího místa na lupě (dojet kurzorem myši z bitové mapy na lupu pochopitelně nemůžete, protože při pohybu kurzorem po bitové mapě se automaticky posouvá i výřez zobrazený lupou). Po uvolnění klávesy <Ctrl> se kurzor přemístí zpět na bitovou mapu (do místa, na němž byl umístěn na lupě), a okno s bitovou mapou se opět stane aktivním.

Důležité

Chcete-li použít lupu pomocí klávesy <Ctrl>, musí být okno s bitovou mapou aktivní (musí mít zvýrazněno záhlaví), jinak nebude na klávesu <Ctrl> reagovat.

Není-li okno aktivní, můžete jej aktivovat ukázáním myší kamkoli na jeho plochu a stisknutím levého nebo pravého tlačítka myši, nebo pomocí menu Okno.

Předcházející | Domů | Další
Transformace souřadnic | Nahoru | Určení transformačního klíče


Určení transformačního klíče
Předcházející Kapitola 16. Digitalizace rastrových dat Další

Určení transformačního klíče

Pro určení transformačního klíče slouží dialogové okno, vyvolané příkazem Bitová mapa->Transformační klíč.

Dialogové okno obsahuje vstupní řádky pro zadání grafických a skutečných souřadnic identických bodů. Skutečné souřadnice lze do vstupních řádků zadat, nebo přetáhnout myší ze seznamu souřadnic. Grafické souřadnice program do vstupních řádků vyplní po stisknutí levého tlačítka myši na ploše okna s bitovou mapou nebo na lupě.

Jsou-li zadány souřadnice bodu v obou soustavách, pomocí tlačítka (Přidat) lze bod přidat do seznamu identických bodů. Program automaticky aktualizuje transformační klíč a přidaný bod uloží na disk. Libovolný bod můžete ze seznamu vypustit pomocí tlačítka (Ubrat).

V seznamu identických bodů jsou zobrazeny i dosažené souřadnicové odchylky.

Jste-li s transformačním klíčem spokojeni (můžete si jej zobrazit pomocí tlačítka (Klíč)), můžete toto dialogové okno zrušit a přistoupit k vlastní digitalizaci. Budete-li chtít později transformační klíč zkontrolovat nebo upravit, v dialogovém okně bude po jeho opětovném vyvolání opět zobrazen celý seznam identických bodů. Po výpočtu transformačních vztahů je vytvořen protokol, v němž jsou informace o transformaci (transformační parametry, odchylky na identických bodech, atd.).

Předcházející | Domů | Další
Manipulace s lupou | Nahoru | Digitalizace


Digitalizace
Předcházející Kapitola 16. Digitalizace rastrových dat Další

Digitalizace

Pro digitalizaci podrobných bodů slouží dialogové okno, které lze vyvolat příkazem Bitové mapy->Digitalizace.

Postup při vlastní digitalizaci je obdobný, jako při určování transformačního klíče. Po stisknutí levého tlačítka myši na ploše okna s bitovou mapou nebo s lupou jsou v dialogovém okně zobrazeny výsledné transformované souřadnice.

Chcete-li bod uložit, musíte zadat jeho předčíslí a číslo. Nezadáte-li předčíslí, program použije implicitní předčíslí, nastavené v Soubor->Nastavení->Redukce. Je-li zadáno číslo bodu, program je automaticky po odečtení souřadnic bodu zvýší o jedničku.

Je-li nastaven aktivní seznam souřadnic, program do něj automaticky odečtený bod uloží. Nechcete-li tedy body automaticky ukládat, nastavte aktivní seznam souřadnic na [Žádný].

Předcházející | Domů | Další
Určení transformačního klíče | Nahoru | Kapitola 17. Grafické určování bodů


Kapitola 17. Grafické určování bodů
Předcházející Část I. Uživatelská příručka Další

Kapitola 17. Grafické určování bodů

Princip grafického určování bodů

Je-li v některém dialogovém okně vedle vstupního okénka zobrazeno tlačítko se šipkou, znamená to, že tento bod může být ukázán myší v grafickém okně programu nebo v systému MicroStation (je-li GROMA nakonfigurována a spuštěna jako aplikace systému MicroStation - viz Přílohy).

Předcházející | Domů | Další
Digitalizace | Nahoru | Postup při grafickém určování bodů


Postup při grafickém určování bodů
Předcházející Kapitola 17. Grafické určování bodů Další

Postup při grafickém určování bodů

  • Stiskněte v dialogovém okně tlačítko se šipkou, které je zobrazeno u bodu, který chcete určit z grafiky. Tlačítko zůstane stisknuté a zobrazí se zvýrazněně. Jestliže bylo předtím zapnuto jiné tlačítko, bude automaticky vypnuto (v celém systému GROMA může být zapnuto vždy nejvýše jedno toto tlačítko).

  • Ukažte příslušný bod v grafickém okně. Máte-li zvolen příkaz pro kreslení čáry, mazání elementů, změnu měřítka apod., zvolte nejprve příkaz Plán->Výběr elementů. Po ukázání bodu jsou jeho souřadnice přeneseny do dialogového okna. Je-li v tomto okně více tlačítek pro odečítání souřadnic, program automaticky zapne další tlačítko.

Předcházející | Domů | Další
Kapitola 17. Grafické určování bodů | Nahoru | Kapitola 18. Tiskové výstupy


Kapitola 18. Tiskové výstupy
Předcházející Část I. Uživatelská příručka Další

Kapitola 18. Tiskové výstupy

Grafická i textová data lze z programu GROMA obecně tisknout na jakékoli zařízení, k němuž je v MS Windows instalován příslušný driver.

Náhled před tiskem

Před vlastním tiskem dokumentů lze zobrazit tiskový náhled. Po stisknutí tlačítka (Náhled) program otevře okno, v němž je zobrazen náhled tisknutého dokumentu. Pomocí tlačítek na liště nástrojů lze obraz zvětšovat a zmenšovat a posouvat se mezi jednotlivými stranami dokumentu.

Předcházející | Domů | Další
Postup při grafickém určování bodů | Nahoru | Tisk seznamů


Tisk seznamů
Předcházející Kapitola 18. Tiskové výstupy Další

Tisk seznamů

Seznamy souřadnic a seznamy naměřených hodnot jsou textové údaje, jsou tedy tisknuty na zařízení, zvoleném jako Textový výstup (viz výše).

Seznamy se tisknou pomocí dialogového okna, vyvolaného příkazem Soubor->Tisk.

V dialogovém okně je zobrazen název souboru (před vyvoláním příkazu pro tisk musí být některé okno tohoto souboru zvoleno jako aktivní), aktuální nastavení okrajů a předpokládaný počet stránek.

Nastavení okrajů

Před tiskem můžete nastavit okraje papíru (v milimetrech).

Důležité

Při nastavení příliš velkých okrajů se výstup na papír nemusí vejít, a v takovém případě může mít neočekávaný vzhled (překryté texty, apod.).

Výběr hlaviček

Můžete si zvolit, které položky z informace o souboru budou uvedeny v hlavičce dokumentu.

Výběr položek

Program umožňuje tisk celého seznamu, nebo pouze zvolených položek.

  • Chcete-li vytisknout celý seznam, zapněte volbu Všechny položky. Program vytiskne celý seznam.

  • Chcete-li vytisknout pouze některé položky, nejprve je v seznamu označte, a potom zapněte volbu Označené položky. Program vytiskne pouze označené položky.

Volba rozsahu stránek a počtu kopií

V dialogovém okně pro tisk je zobrazen celkový počet stran dokumentu, a rozsah tištěných stránek je přednastaven tak, aby byl vytištěn celý dokument. Číslo počáteční a koncové stránky pro tisk lze libovolně upravovat.

Můžete zde také nastavit požadovaný počet kopií.

Volba fontu

Pro tisk lze nastavit font, nezávislý na fontu, kterým jsou seznamy vypisovány na obrazovku. Font se nastavuje pomocí tlačítka (Font). Zvolený font je použit při tisku seznamu souřadnic i seznamu naměřených hodnot.

Předcházející | Domů | Další
Kapitola 18. Tiskové výstupy | Nahoru | Kapitola 19. Manažer konfigurací


Kapitola 19. Manažer konfigurací
Předcházející Část I. Uživatelská příručka Další

Kapitola 19. Manažer konfigurací

Manažer konfigurací je nástroj, usnadňující práci s více konfiguračními soubory. Kdykoli při práci se systémem GROMA lze přepnout aktivní konfiguraci, čímž se okamžitě změní nastavení všech parametrů programu.

Manažer konfigurací lze vyvolat pomocí tlačítka (...), které se nachází na liště nastavení za seznamem konfigurací, nebo volbou Soubor->Manažer konfigurací. Podrobněji je manažer popsán v referenční příručce.

Předcházející | Domů | Další
Tisk seznamů | Nahoru | Kapitola 20. Spolupráce s CAD systémy


Kapitola 20. Spolupráce s CAD systémy
Předcházející Část I. Uživatelská příručka Další

Kapitola 20. Spolupráce s CAD systémy

Systém GROMA je schopen pomocí OLE Automation spolupracovat s nezávislými CAD systémy. V současné době jsou podporovány systémy IntelliCAD a DesignCAD.

Je-li systém GROMA spuštěn s podporou příslušného CAD systému, připojí se k němu jako podřízená aplikace a umožní přímý přenos bodů do výkresu pouhým přetažením myší.

Kromě výše uvedených systémů lze program GROMA používat také ve spojení s grafickým systémem MicroStation. Systém MicroStation, na rozdíl od výše uvedených systémů, umožňuje obousměrnou komunikaci, tj. body lze přenášet jak z Gromy do výkresu, tak i zpět z výkresu do Gromy. Postup konfigurace a použití je podrobně popsán v přílohách.

Spuštění s podporou CAD systému

Přejete-li si spustit systém GROMA tak, aby podporoval příslušný CAD systém, je třeba program GROMA spustit s parametrem -parent=nazev na příkazové řádce.

Pro systém IntelliCAD je tedy třeba použít parametr -parent=IntelliCAD, pro systém DesignCAD parametr -parent=DesignCAD.

Předcházející | Domů | Další
Kapitola 19. Manažer konfigurací | Nahoru | Atributy pro přenos bodů


Atributy pro přenos bodů
Předcházející Kapitola 20. Spolupráce s CAD systémy Další

Atributy pro přenos bodů

Atributy, které budou použity pro přenos bodů do výkresu, lze nastavit v dialogovém okně Soubor->CAD nastavení. Podrobněji je toto nastavení popsáno v referenční příručce.

Předcházející | Domů | Další
Kapitola 20. Spolupráce s CAD systémy | Nahoru | Kapitola 21. Propojení s databázemi


Kapitola 21. Propojení s databázemi
Předcházející Část I. Uživatelská příručka Další

Kapitola 21. Propojení s databázemi

Systém Groma umožňuje propojení seznamu souřadnic s databází bodů vedenou pomocí samostatného databázového serveru. Při takovémto propojení lze body přenášet ze seznamu souřadnic do databáze, importovat z databáze do seznamu souřadnic a aktualizovat v databázi body, které z ní byly importovány.

Podporované servery

Systém Groma podporuje následující databázové servery:

  • Oracle 9, 9i

  • MySQL

Připojení k databázovým serverům probíhá prostřednictvím ODBC, je tedy třeba mít na stanici, odkud se k databázi připojujete, instalován příslušný ODBC driver. Tyto drivery nejsou dodávány společně s Gromou, ale lze je nalézt na webových stránkách výrobců příslušných databázových serverů.

Předcházející | Domů | Další
Atributy pro přenos bodů | Nahoru | Používané databázové tabulky


Používané databázové tabulky
Předcházející Kapitola 21. Propojení s databázemi Další

Používané databázové tabulky

Při práci s databázemi jsou využívány dvě základní tabulky: tabulka projektů, v níž se nastavují popisné informace o projektech, a tabulka bodů, do níž se ukládají vlastní body. Kromě toho lze použít ještě další tabulky (např. tabulka obsahující názvy souřadnicových systémů, typů zakázek, měřítek, atd.)

Tabulka projektů

Tabulka projektů slouží k definici projektů (zakázek). Všechny body jsou ukládány do společné tabulky a obsahují identifikátor projektu, ke kterému patří. Každý bod tedy musí být vázán na konkrétní projekt, body bez příslušnosti k projektu nelze do databáze uložit. Před ukládáním bodů je tedy nutno zvolit projekt, k němuž ukládané body budou patřit, resp. založit nový projekt.

Minimální struktura tabulky projektů je následující:

  • Identifikátor

  • Název projektu

Identifikátor slouží k jednoznačné identifikaci položky v databázi. Vkládání hodnot identifikátoru musí být zajištěno databázovými prostředky, při vkládání záznamu do databáze systém Groma tento identifikátor nevyplňuje (s výjimkou automatické konfigurace databáze, určené pro práci s grafickým modulem). Je tedy třeba zkonfigurovat databázi tak, aby se hodnota identifikátoru vyplnila sama. Nejvhodnější postup je přidělit identifikátoru vlastnost AutoIncrement nebo použít triggery a sekvence, umožňuje-li to příslušná databáze. V tomto případě je třeba systém Groma informovat, že přidělování identifikátorů se děje na úrovni databáze. Tato informace je zaznamenána v definičním souboru pomocí atributu value="auto" v definici sloupečku identifikátoru.

Je-li databáze zkonfigurována pro potřeby grafického modulu automaticky z prostředí systému Groma, potom se o vkládání identifikátorů stará systém Groma pomocí interních sekvencí, takže na úrovni databáze není třeba toto řešit.

Strukturu tabulky lze rozšířit o další uživatelské informace, které jsou však nepovinné a systém Groma umožní jejich editaci, ale nebude je pro svou práci využívat. Podrobně je použití uživatelských informací popsáno v kapitole Nastavení připojení k databázi.

Tabulku projektů lze upravovat přímo z prostředí systému Groma. Po zadání příkazu Databáze->Nastavení projektu je zobrazeno dialogové okno, v němž lze provádět administraci projektů (přidávání, mazání, vybírání).

Tabulka bodů

Tabulka projektů slouží k ukládání bodů. Všechny body jsou ukládány do společné tabulky a jejich příslušnost ke konkrétnímu projektu je definována identifikátorem projektu v tabulce projektů. Body bez příslušnosti k projektu nelze do databáze uložit. Před ukládáním bodů je tedy nutno zvolit projekt, k němuž ukládané body budou patřit, resp. založit nový projekt.

Minimální struktura tabulky bodů je následující:

  • Identifikátor

  • Identifikátor projektu

  • Číslo bodu

  • Souřadnice X

  • Souřadnice Y

Pro identifikátor platí totéž, co pro identifikátor v tabulce bodů.

Dále může tabulka obsahovat tyto nepovinné údaje:

  • Souřadnice Z

  • Kód kvality

  • Datum vytvoření

  • Datum poslední modifikace

Strukturu tabulky lze rozšířit o další uživatelské informace, které jsou však nepovinné a systém Groma umožní jejich editaci, ale nebude je pro svou práci využívat. Podrobně je použití uživatelských informací popsáno v kapitole Nastavení připojení k databázi.

Tabulku projektů lze upravovat přímo z prostředí systému Groma. Po zadání příkazu Databáze->Nastavení projektu je zobrazeno dialogové okno, v němž lze provádět administraci projektů (přidávání, mazání, vybírání).

Předcházející | Domů | Další
Kapitola 21. Propojení s databázemi | Nahoru | Nastavení připojení k databázi


Nastavení připojení k databázi
Předcházející Kapitola 21. Propojení s databázemi Další

Nastavení připojení k databázi

V systému Groma si můžete přednastavit parametry připojení k různým databázím, a při připojování pouze vybírat ze seznamu přednastavených připojení. Jediný údaj, který nelze přednastavit a který je třeba vždy zadat ručně, je přihlašovací heslo.

Soubor, který obsahuje všechna nastavení, je uložen v podadresáři sql hlavního adresáře systému Groma a má název db.ini. Soubor je ve formátu XML (Extensible Markup Language). Podrobný popis jazyka XML je mimo rozsah této příručky. Veškeré informace o jazyce XML lze nalézt na stránkách mezinárodního konsorcia W3C, které se zabývá standardizací na internetu (http://www.w3.org/XML/). Pro potřeby systému Groma však podrobná znalost jazyka XML není nezbytná. Instalace obsahuje ukázkový soubor db.ini, který lze pouze upravovat.

Při upravování je třeba zachovat strukturu souboru. Zejména je třeba dodržet podmínku, že všechny elementy souboru musí být správně uzavřeny. To znamená, že ke každé otevírací značce ve formátu

<znacka>

musí být v dokumentu na odpovídajícím místě i uzavírací značka

</znacka>

Pokud prvek neobsahuje žádné další prvky, ale pouze atributy, lze jej uzavřít i zkráceným způsobem, tj. zapsáním znaku / přímo do otevírací značky prvku:

<znacka atribut1="data" atribut2="data"/>

Struktura definičního souboru je popsána v přílohách.

Předcházející | Domů | Další
Používané databázové tabulky | Nahoru | Postup práce s databázemi bodů


Postup práce s databázemi bodů
Předcházející Kapitola 21. Propojení s databázemi Další

Postup práce s databázemi bodů

Práce s databázemi se skládá z těchto základních kroků:

  • Připojení k databázi

  • Výběr nebo nastavení aktivního projektu

  • Práce s body a grafikou (export/import bodů, úpravy seznamu souřadnic)

  • Uložení změn do databáze (uložení změn, odstranění smazaných bodů)

  • Odpojení od databáze

Připojení k databázi

Před prací s body a grafikou v databázi je třeba se připojit prostřednictvím ODBC driverů k databázi. Veškeré parametry pro připojení se nastavují c konfiguračním souboru, při vlastním přihlašování se z klávesnice zadává pouze přihlašovací jméno a heslo. Po vyvolání příkazu Databáze->Připojení k databázi je zobrazeno dialogové okno, v němž je seznam všech dostupných připojení přednastavených v konfiguračním souboru. Pro přihlášení je třeba zvolit příslušné nastavení (databázový profil) a vyplnit přihlašovací jméno a heslo. Po potvrzení zadaných údajů se systém Groma pokusí připojit k databázi. Pokud připojení není úspěšné (chybné jméno nebo heslo, nesprávně nastavené parametry), příslušný ODBC driver zobrazí chybové hlášení. Pokud se připojení povede, žádné hlášení zobrazeno není.

Systém Groma může být připojen vždy pouze k jedné databázi. Pokud chcete pracovat s jinou databází, je třeba se nejprve odpojit od předchozí databáze.

Inicializace databáze

Před prací s databází kresby je třeba vytvořit strukturu databáze, tj. všechny nezbytné tabulky a vazby, aby mohla být kresba i projekty do databáze ukládány. K tomu slouží tato funkce.

Tuto inicializaci je třeba provést pouze v případě, že pracujete s grafickým modulem systému Groma. Používáte-li pouze tabulky bodů, můžete si je inicializovat dle potřeby ručně.

Výběr / nastavení aktivního projektu

Všechny prvky (body seznamu souřadnic i grafické prvky) se ukládají do společné tabulky. Jednotlivé zakázky nebo jiné skupiny dat jsou rozlišeny příslušností k určitému projektu. Před vlastní prací s databází je tedy třeba nejprve definovat projekt.

Dialogové okno pro definici projektu se zobrazí příkazem Databáze->Nastavení projektu. V horní části okna je seznam projektů, ve spodní části nastavení příslušného projektu.

Založení nového projektu

Nový prázdný projekt založíte stisknutím tlačítka (Nový). Stisknutím tohoto tlačítka se v pravé části okna vymažou všechna nastavení předcházejícího projektu. Po jejich vyplnění nový projekt uložíte tlačítkem (Uložit).

Chcete-li založit nový projekt na základě již existujícího projektu, můžete namísto tlačítka (Nový) stisknout tlačítko (Kopie). Tím zůstanou v dialogovém okně vyplněna všechna nastavení z předchozího projektu (kromě ID). Po úpravě stiskněte tlačítko (Uložit) a nový projekt bude uložen.

Úprava existujícího projektu

Chcete-li změnit některá z nastavení projektu, vyberte projekt v seznamu, proveďte potřebné změny, a změněný projekt uložte tlačítkem (Uložit).

Výběr projektu

Po zvolení projektu, se kterým chcete nadále pracovat, stiskněte tlačítko (OK). Tím je projekt zvolen a všechny další operace se budou vztahovat pouze k tomuto projektu.

Odstranění projektu

Nepotřebné projekty lze odstranit pomocí tlačítka (Ubrat). Předtím je třeba zajistit, aby v databázi nezůstaly žádné hodnoty, vztahující se k odstraňovanému projektu. Kontrolu této skutečnosti je vhodné zajistit nastavením na úrovni databáze (např. použitím cizích klíčů - foreign keys, viz dokumentace k příslušné databázi).

Varování

V jednom projektu nesmí současně pracovat více uživatelů, mohlo by dojít k poškození dat.

Import z databáze

Tímto příkazem lze z databáze importovat do Gromy souřadnice všech nebo vybraných bodů, vztahujících se ke zvolenému projektu.

Po zadání příkazu je zobrazeno výběrové dialogové okno, do něhož lze zadat kritéria pro výběr bodů. Ponecháte-li okno prázdné, budou importovány všechny body ze zvoleného projektu.

Po naimportování jsou body zobrazeny v podobě standardního seznamu souřadnic. Propojení bodů s databází se pozná podle toho, že u levého okraje okna je u každého bodu připojeného k databázi zobrazen symbol databáze:

  • Bod propojen s databází a nezměněn
    Symbol je bílý v případě, že zobrazený bod koresponduje se stavem v databázi

  • Bod propojen s databází byl změněn
    Symbol je červený v případě, že v systému Groma byl bod modifikován, a není tedy již totožný se stavem v databázi.

Hlavní souřadnice se importují z tabulky souřadnic obrazu, což je základní tabulka s body v ISKN. Pokud má importovaný bod záznam i v tabulce souřadnic polohy, načte se tento záznam do vedlejších souřadnic bodu. S takovýmto souborem lze dále pracovat jako s běžným souborem s dvojími souřadnicemi. Při následném odstraňování takovéhoto bodu z databáze je odstraněn záznam z tabulky souřadnic obrazu i z tabulky souřadnic polohy. Po přidání nebo odstranění vedlejších souřadnic je přidán nebo odstraněn pouze záznam v tabulce souřadnic polohy.

Změny provedené v seznamu souřadnic se nepromítají automaticky do databáze. po úpravách seznamu souřadnic je třeba ručně zadat příkaz Souřadnice->Uložit změny do databáze pro uložení změn do databáze, případně i Souřadnice->Odstranit smazané body z databáze pro odstranění smazaných bodů z databáze.

Zavřete-li seznam souřadnic, zruší se tím napojení bodů na databázi. Body sice v seznamu zůstanou, ale po opětovném otevření seznamu již nebudou napojeny na databázi, takže nebude možno změny do databáze uložit. Spojení s databází se obnoví pouze novým importem z databáze. I v tomto případě lze ale změny promítnout do databáze, a to pomocí nástroje Souřadnice->Synchronizovat seznam s databází.

Předcházející | Domů | Další
Nastavení připojení k databázi | Nahoru | Část II. Referenční příručka


Část II. Referenční příručka
Předcházející Další

Referenční příručka

Obsah

22. Práce s referenční příručkou
23. Hlavní menu
24. Menu Soubor
Nový
Otevři
Ulož
Ulož jako
Zavři všechny
Komprese souboru
Indexování souboru
Informace o souboru
Aktivní seznam souřadnic
Nastavení
Manažer konfigurací
CAD nastavení
Tisk
Nastavení tiskárny
Zobraz protokol z výpočtu
Ulož protokol z výpočtu
Konec
25. Dialogové okno Nastavení
Prostředí
Výpočty
Redukce
Záznamník
Teodolit
Kódování bodů
Protokol
Vstup/výstup
Vstupní / výstupní formát souřadnic
Vstupní / výstupní formát měření
DXF
26. Menu Výpočty
27. Menu Okno
Zavři
Mozaika horizontálně - vertikálně
Kaskáda
Srovnání ikon
Parametry zobrazení
28. Menu Editace
Krok zpět
Přenes
Zkopíruj
Vlož
Vymaž
29. Menu Databáze
Připojení k databázi
Nastavení projektu
Vytvořit databázi a uživatele
Inicializace databáze
30. Menu Projekt
Přidej soubor
Odeber soubor
Otevři soubor
Nastavení
31. Menu Souřadnice / Měření
Přidej položku
Uber položku
Edituj položku
Najdi položku
Označ
Hromadná změna
Přečíslování seznamu
Překódování podle tabulky
Obnova smazaných položek
Do protokolu
32. Menu Souřadnice
Parametry zobrazení
Zobraz graficky
Roztřiď dle mapových listů
Porovnání seznamů souřadnic
Kontrola číslování bodů
Kontrola duplicitních čísel
Odstranění identických bodů
Dávkové průměrování souřadnic
Zaokrouhlení souřadnic
Dvojí souřadnice
Uložit body do databáze
Uložit změny do databáze
Odstranit smazané body z databáze
Synchronizovat seznam s databází
33. Menu Měření
Zpracování zápisníku
Spojení stanovisek
Označ orientace
Setřídění
Připoj soubor
Parametry zobrazení
34. Menu Plán
Parametry zobrazení
Vyplň
Zvětši
Zmenši
Překresli
Výřez
Výběr elementů
Mazání elementů
Spojování bodů
Ohrada
Odečítání souřadnic
35. Menu Bitová mapa
Transformační klíč
Digitalizace
Předcházející | Domů | Další
Postup práce s databázemi bodů | Nahoru | Kapitola 22. Práce s referenční příručkou


Kapitola 22. Práce s referenční příručkou
Předcházející Část II. Referenční příručka Další

Kapitola 22. Práce s referenční příručkou

Referenční příručka obsahuje seznam všech dostupných příkazů z menu programu GROMA. U všech příkazů je stručně popsána jejich funkce. Podrobný popis lze nalézt v příslušné kapitole uživatelské příručky.

Některé příkazy z menu lze vyvolat zkráceně pomocí tlačítek na Liště nástrojů, umístěné pod hlavním menu. U těchto příkazů bude v levém sloupci (pod jejich názvem v menu) zobrazeno příslušné tlačítko lišty nástrojů.

Předcházející | Domů | Další
Část II. Referenční příručka | Nahoru | Kapitola 23. Hlavní menu


Kapitola 23. Hlavní menu
Předcházející Část II. Referenční příručka Další

Kapitola 23. Hlavní menu

V horní části hlavního okna programu je zobrazeno hlavní menu. Zobrazené položky tohoto menu závisí na typu aktivního datového okna. Před otevřením prvního okna menu obsahuje pouze položky Soubor, Výpočty, Nástroje a Nápověda, v nichž je nabídka nutná pro konfiguraci programu a otevření datového souboru.

Po otevření prvního souboru je zobrazeno plné menu. Menu vždy obsahuje položky základního menu. Ostatní položky menu jsou závislé na typu aktivního okna a průběžně se mění.

Tabulka 23.1. Položky v menu

Typ aktivního okna | Položka hlavního menu
Seznam souřadnic | Editace, Měření, Okno
Seznam naměřených hodnot | Editace, Souřadnice, Okno
Grafika | Plán, Okno
Rastrová data | Bitová mapa, Okno
Protokol | Editace, Okno
Text | Editace, Okno
Projekt | Projekt, Okno
Předcházející | Domů | Další
Kapitola 22. Práce s referenční příručkou | Nahoru | Kapitola 24. Menu Soubor


Kapitola 24. Menu Soubor
Předcházející Část II. Referenční příručka Další

Kapitola 24. Menu Soubor

Příkazy menu Soubor slouží k manipulaci se soubory, tisku a ukončení programu.

Nový

Pomocí tohoto příkazu můžete založit nový soubor. Po vyvolání příkazu je zobrazeno dialogové okno, v němž si můžete zvolit typ souboru, který chcete založit (seznam souřadnic, seznam měření, protokol, textový soubor nebo projekt). Po potvrzení volby je zobrazeno prázdné datové okno příslušného typu. Okno je označeno názvem Nepojmenovaný a pořadovým číslem dočasného souboru. Chcete-li soubor zachovat, uložte jej příkazem Soubor->Ulož jako, jinak bude po zavření automaticky zrušen (program vás při zavírání souboru na tuto skutečnost upozorní).

Předcházející | Domů | Další
Kapitola 23. Hlavní menu | Nahoru | Otevři


Otevři
Předcházející Kapitola 24. Menu Soubor Další

Otevři

Tento příkaz slouží k otevření nového souboru, nebo k otevření nového okna souboru, který je již otevřen. Po jeho vyvolání se objeví dialogové okno pro volbu souboru.

Před volbou jména souboru musíte nejprve nastavit typ souboru (v levé spodní části okna). Soubory ve vnitřním formátu programu GROMA (.crd, .mes, .pic, .bmp, .prj) jsou přímo otevřeny, ostatní soubory program nejprve importuje do vnitřního formátu, a teprve potom vzniklý soubor otevře. Z toho vyplývá, že veškeré změny v souboru provedené se ukládají do souboru ve vnitřním formátu, zatímco původní soubor zůstává beze změny. V seznamu můžete v případě souborů ve vnitřním formátu systému GROMA označit více souborů pomocí kláves <Shift> a <Ctrl>.

Importujete-li seznam měření nebo seznam souřadnic z formátu zápisníku, musíte nejprve nastavit v dialogovém okně Soubor->Nastavení->Záznamník typ záznamníku a formátu, se kterým pracujete. Seznam typů souborů v dialogovém okně pro otevření souboru obsahuje položky pro import měření, které se mění podle právě nastaveného typu záznamníku.

Pomocí tohoto společného dialogového okna můžete otevírat také uložené výpočty (polygonové pořady, výměry, kontrolní oměrné, transformační klíč), i soubory z rozšiřujících modulů (vyrovnání sítě, trasa komunikace, geometrické plány).

Předcházející | Domů | Další
Kapitola 24. Menu Soubor | Nahoru | Ulož


Ulož
Předcházející Kapitola 24. Menu Soubor Další

Ulož

Příkaz slouží k uložení textového souboru, protokolu nebo projektu na disk. Pro ostatní typy souborů není tento příkaz aktivní, protože se tyto soubory zapisují na disk automaticky po každé změně.

Předcházející | Domů | Další
Otevři | Nahoru | Ulož jako


Ulož jako
Předcházející Kapitola 24. Menu Soubor Další

Ulož jako

Příkaz slouží k uložení souboru pod jiným jménem, případně v jiném formátu. Lze použít pouze u seznamů, tj. souřadnicového souboru a souboru s naměřenými daty, protokolů a textových souborů.

Chcete-li do souboru zapsat pouze vybrané údaje, zvolte položku Uložit body: Označené Program potom do výsledného souboru zapíše pouze ty položky, které jsou v aktuálním souboru označeny.

Předcházející | Domů | Další
Ulož | Nahoru | Zavři všechny


Zavři všechny
Předcházející Kapitola 24. Menu Soubor Další

Zavři všechny

Tímto příkazem lze zavřít najednou všechny otevřené soubory (a všechna otevřená okna).

Předcházející | Domů | Další
Ulož jako | Nahoru | Komprese souboru


Komprese souboru
Předcházející Kapitola 24. Menu Soubor Další

Komprese souboru

Program provede kompresi datového souboru. Při kompresi jsou ze souboru vypuštěny všechny smazané položky a ostatní položky jsou uloženy setříděné, což může výrazně zrychlit případné příští indexování. Původní soubor je uložen jako záložní (souřadnicový s příponou .~cr, soubor s měřenými daty s příponou .~me).

Předcházející | Domů | Další
Zavři všechny | Nahoru | Indexování souboru


Indexování souboru
Předcházející Kapitola 24. Menu Soubor Další

Indexování souboru

Program vytvoří k datovému souboru nový indexový soubor. Za normálních okolností není třeba indexový soubor tímto způsobem tvořit, program se o jeho aktualizaci stará sám. Tento příkaz použijte pouze máte-li důvod se domnívat, že informace, které vidíte na obrazovce, nesouhlasí se skutečnými údaji v datovém souboru.

Předcházející | Domů | Další
Komprese souboru | Nahoru | Informace o souboru


Informace o souboru
Předcházející Kapitola 24. Menu Soubor Další

Informace o souboru

Tento příkaz vyvolá dialogové okno, které obsahuje informace o aktuálním souboru (počet položek, datum vytvoření, atd.). Zde můžete definovat až 32znakový popis souboru, který je zobrazován v dialogovém okně při otevírání souboru.

Informace můžete nastavit pro seznamy souřadnic a seznamy naměřených hodnot.

Předcházející | Domů | Další
Indexování souboru | Nahoru | Aktivní seznam souřadnic


Aktivní seznam souřadnic
Předcházející Kapitola 24. Menu Soubor Další

Aktivní seznam souřadnic

Při práci s více seznamy souřadnic najednou je vhodné mít jeden z nich označen jako aktivní. Není-li nastavena volba hledání bodů ve všech otevřených souborech (Soubor->Nastavení->Prostředí), jsou body vyhledávány pouze v aktivním seznamu souřadnic. Některé výpočetní úlohy (např. polární metoda) do aktivního seznamu souřadnic automaticky ukládají všechny vypočtené body.

Předcházející | Domů | Další
Informace o souboru | Nahoru | Nastavení


Nastavení
Předcházející Kapitola 24. Menu Soubor Další

Nastavení

Po tomto příkazu je zobrazeno dialogové okno se záložkami, pomocí něhož lze konfigurovat systém GROMA. Jednotlivé položky tohoto nastavení jsou popsány dále (dialogové okno Nastavení).

Předcházející | Domů | Další
Aktivní seznam souřadnic | Nahoru | Manažer konfigurací


Manažer konfigurací
Předcházející Kapitola 24. Menu Soubor Další

Manažer konfigurací

Po tomto příkazu je zobrazeno dialogové okno pro manipulaci s konfiguracemi. Pomocí něho lze vytvářet a mazat soubory s konfiguracemi a vybírat aktivní konfiguraci.

Konfigurace:

V rámečku je uveden seznam všech dostupných konfigurací. Program nabízí všechny konfigurace, které nalezne v adresáři pro konfigurační soubory. Umístění konfiguračních souborů lze ovlivnit pomocí parametrů při spuštění nebo prostřednictvím souboru network.ini.

Umístění

Zde je zobrazena cesta, v níž systém GROMA hledá konfigurační soubory. Tento parametr nelze měnit přímo, ale pouze pomocí parametrů při spuštění nebo souboru network.ini.

Název konfigurace

Zde lze každý konfigurační soubor pojmenovat. Nebyl-li pojmenován, je v seznamech konfigurací identifikován pomocí názvu souboru. Přejete-li si jej pojmenovat, zadejte zde jméno a stiskněte tlačítko (Uložit).

Vytvořit kopii

Po stisknutí tohoto tlačítka bude vytvořena kopie konfigurace, která je vybrána v seznamu konfigurací.

Vytvořit novou

Po stisknutí tohoto tlačítka bude vytvořena kopie základní konfigurace, která je uložena v souboru groma.ini v instalačním adresáři systému GROMA.

Odstranit

Po stisknutí tohoto tlačítka bude odstraněn vybraný konfigurační soubor.

Předcházející | Domů | Další
Nastavení | Nahoru | CAD nastavení


CAD nastavení
Předcházející Kapitola 24. Menu Soubor Další

CAD nastavení

Po tomto příkazu je zobrazeno dialogové okno, které slouží pro nastavení atributů zobrazení bodů při propojení s některým CAD systémem (DesignCAD, IntelliCAD).

Okno obsahuje seznam konfigurací, z něhož lze volit pouhým ukázáním na příslušnou položku. Chcete-li do seznamu přidat další konfiguraci, vyplňte v dialogovém okně všechny atributy pro jednotlivé složky bodu (bod, předčíslí, číslo, výška, kód). Zaškrtněte ty položky, které mají být do výkresu při přenesení bodu zaznamenány. U číselných údajů můžete nastavit také počet znaků, počet desetinných míst a další volby. Po zadání názvu konfigurace stisknutí tlačítka (Přidat) bude konfigurace přidána do seznamu.

Předcházející | Domů | Další
Manažer konfigurací | Nahoru | Tisk


Tisk
Předcházející Kapitola 24. Menu Soubor Další

Tisk

Umožňuje vytisknout seznam souřadnic nebo vykreslit obrázek na plotteru. Před zahájením tisku musíte nejprve zvolit příslušné výstupní zařízení.

Po vyvolání tohoto příkazu se objeví dialogové okno, jehož podoba se liší v závislosti na typu okna, které chcete vytisknout.

Předcházející | Domů | Další
CAD nastavení | Nahoru | Nastavení tiskárny


Nastavení tiskárny
Předcházející Kapitola 24. Menu Soubor Další

Nastavení tiskárny

Před tiskem (kreslením) musíte nejprve nastavit výstupní zařízení. V programu se nastavuje zvlášť zařízení pro textový výstup, na němž budou tisknuty seznamy (obvykle tiskárna), a zařízení pro grafický výstup, na němž bude vykreslována grafika (obvykle plotter).

Tento příkaz zobrazí dialogové okno pro výběr obou zařízení, z něhož je možno nastavit i jejich konfiguraci (pokud to příslušné drivery umožňují).

Předcházející | Domů | Další
Tisk | Nahoru | Zobraz protokol z výpočtu


Zobraz protokol z výpočtu
Předcházející Kapitola 24. Menu Soubor Další

Zobraz protokol z výpočtu

Tento příkaz zobrazí dialogové okno s lokálním protokolem z posledního výpočtu. Příkaz je ekvivalentní stisknutí tlačítka (Protokol) v kterémkoli výpočetním okně.

Dialogové okno s lokálním protokolem je nemodální, může být tedy stále otevřené. Je-li během výpočtu otevřené, změny v lokálním protokolu se v něm zobrazují okamžitě.

Chcete-li lokální protokol uložit do celkového protokolu, stiskněte tlačítko (Uložit).

Předcházející | Domů | Další
Nastavení tiskárny | Nahoru | Ulož protokol z výpočtu


Ulož protokol z výpočtu
Předcházející Kapitola 24. Menu Soubor Další

Ulož protokol z výpočtu

Pomocí tohoto příkazu můžete uložit lokální protokol aniž byste museli otevírat dialogové okno lokálního protokolu. Tento způsob ukládání je poněkud rychlejší, a s výhodou jej můžete použít i v případě, že je lokální protokol větší, než lze zobrazit ve standardním editačním okně (omezení Windows 95 - v takovém případě nemůže být dialogové okno s lokálním protokolem zobrazeno).

Předcházející | Domů | Další
Zobraz protokol z výpočtu | Nahoru | Konec


Konec
Předcházející Kapitola 24. Menu Soubor Další

Konec

Tento příkaz ukončí práci s programem GROMA. Před ukončením jsou zapsány všechny indexové soubory, a do inicializačního souboru jsou uloženy informace o otevřených oknech, takže jsou při příštím spuštění programu všechna okna opět automaticky otevřena a umístěna na obrazovce tak, jak byla umístěna při ukončení programu.

Předcházející | Domů | Další
Ulož protokol z výpočtu | Nahoru | Kapitola 25. Dialogové okno Nastavení


Kapitola 25. Dialogové okno Nastavení
Předcházející Část II. Referenční příručka Další

Kapitola 25. Dialogové okno Nastavení

Toto dialogové okno se vyvolá příkazem Soubor->Nastavení. Nastavují se v něm všechny parametry programu GROMA (parametry prostředí, vstupní/výstupní formáty, tolerance, atd.)

Prostředí

Pod touto záložkou lze nastavit různé parametry pro práci programu. Údaje jsou organizovány do logických skupin.

Pořadí souřadnic:

Můžete zvolit pořadí, v jakém mají být zobrazovány a zadávány souřadnice X a Y v seznamech a v dialogových oknech. Tato volba nemá vliv na ukládání seznamů souřadnic do textových souborů, tam je pořadí dáno použitým předpisem formátu.

Důležité

Změna nastavení pořadí souřadnic se projeví až po ukončení programu a jeho opětovném spuštění.

Třídění:

Zde lze nastavit, jakým způsobem mají být řazeny položky v seznamu souřadnic.

  • Netřídit

    V tomto případě body v seznamech souřadnic řazeny nejsou, v seznamu jsou uvedeny v takovém pořadí, v jakém byly do souboru přidávány. Toto pořadí se však poruší např. při kompresi souboru, pokud je v okamžiku komprese nastaven jiný způsob řazení (při kompresi souboru je vytvořen nový soubor, do něhož jsou všechny body zapsány v takovém pořadí, jak jsou v okamžiku komprese zobrazeny).

  • Předčíslí

    Body jsou v seznamu seřazeny primárně podle předčíslí a sekundárně podle čísla bodu. V souboru jsou tedy řazeny za sebe body se stejným předčíslím a různým číslem bodu. Toto je nejběžnější způsob řazení.

  • Číslo

    Body jsou seřazeny primárně podle čísla bodu a sekundárně podle předčíslí. V souboru jsou tedy řazeny za sebe body se stejným číslem a různým předčíslím.

Dále lze v možnostech řazení zaškrtnout volbu Zvýrazněné napřed, čímž zajistíte, že zvýrazněné položky seznamu souřadnic jsou uvedeny před běžnými položkami.

Textový editor:

Zde můžete nastavit, zda má program používat interní nebo externí editor. U externího editoru můžete zvolit příkaz pro spuštění (i s celou cestou, je-li to třeba). Zapnete-li externí editor, program zobrazuje okno s protokolem pouze jako ikonu, a při pokusu o zvětšení (obnovení) okna automaticky spustí externí editor. Jestliže velikost protokolu ve Windows 95 překročí hodnotu mezní velikosti pro editaci ve vnitřním editoru (cca. 30 KB), systém GROMA se automaticky přepne na externí editor. Windows NT se toto omezení netýká.

Seznamy:

  • Povolit duplicitní body v seznamech souřadnic

    Jestliže je tato volba zapnuta, můžete do jednoho seznamu souřadnic uložit více bodů téhož čísla. Dodatečně je možno tyto duplicity zpracovat např. dávkovým průměrováním souřadnic.

  • Označování položek v seznamech dle Windows

    Jestliže je tato volba zapnuta, pracuje systém GROMA při označování položek v seznamech stejně jako ostatní seznamy ve Windows (ukážete-li myší do seznamu, je označení položek zrušeno). Je-li tato volba vypnuta, označování pracuje jako v předchozích verzích.

  • Rychlé zamykání/odemykání bodů myší

    Jestliže je tato volba zapnuta, můžete jednotlivé body zamykat a odemykat kliknutím myši u levého okraje seznamu (před číslem bodu).

Vyhledávání bodů:

  • Hledat podle předčíslí

    Při této volbě jsou body vyhledávány podle čísla i předčíslí, tj. aby byl bod v seznamu nalezen, musí mít shodné číslo i předčíslí. Pokud tato volba není zvolena, budou při hledání nalezeny všechny body daného čísla, bez ohledu na předčíslí.

    Toto nastavení může mít, zvláště u rozsáhlých seznamů souřadnic, značný vliv na rychlost vyhledávání. Obecně platí, že hledání podle čísla i předčíslí je rychlejší, než hledání pouze podle čísla.

  • Hledat ve všech otevřených souborech

    Je-li tato volba zapnuta, program hledá body nejen v aktivním seznamu, ale ve všech otevřených seznamech. Je-li nalezeno více bodů, splňujících kritéria, program zobrazí jejich seznam v dialogovém okně a umožní vám si z nich vybrat.

  • Zvukový signál při nenalezení

    Jestliže není bod nalezen, program vás upozorní zvukovým signálem.

Další volby:

  • Automaticky otevřít kontrolní kresbu

    Jestliže je tato volba zapnuta, po prvním výpočtu nebo jiné úloze, která zobrazuje kontrolní kresbu, bude okno s kontrolní kresbou automaticky otevřeno.

  • Stahovat informace z internetu

    Po spuštění si aplikace stáhne aktuální informace z informačního kanálu. Pokud je k dispozici nějaká zpráva, která ještě nebyla zobrazena, zobrazí ji. Opakované zobrazení starších zpráv si můžete vyžádat příkazem Nápověda+Opakované zobrazení všech zpráv z informačního kanálu.

  • Stahovat aktualizace z internetu

    Je-li tato volba, systém Groma po spuštění kontroluje, zda nejsou k dispozici nové aktualizace. Pokud ano, nabídne jejich stažení a automatickou instalaci.

  • Zobrazovat bublinovou nápovědu

    Je-li tato volba, v dialogových oknech systému Groma je po najetí kurzorem myši na některé ovládací prvky zobrazena bublinová nápověda s vysvětlením příslušného prvku.

Zakládací soubory

Pokud si přejete, aby měly nově založené soubory nějaké specifické vlastnosti (nastaven určitý souřadnicový a výškový systém, definovány použité sloupce). můžete si založit prázdný seznam souřadnic nebo měření, všechny požadované vlastnosti v něm nastavit, a definovat jej zde jako zakládací. Všechny nově založené seznamy tato nastavení převezmou.

  • Výběr souboru (...)

    Po stisknutí tohoto tlačítka můžete zvolit soubor, který má být použit jako zakládací.

  • Otevřít

    Po stisku tohoto tlačítka bude zakládací soubor otevřen, takže jej můžete snadno upravovat.

  • Odpojit

    Tímto příkazem ukončíte používání nastaveného zakládacího souboru.

Font pro seznamy

Po stisknutí tohoto tlačítka lze nastavit font, kterým jsou zobrazovány seznamy souřadnic a seznamy měření na obrazovce.

Předcházející | Domů | Další
Konec | Nahoru | Výpočty


Výpočty
Předcházející Kapitola 25. Dialogové okno Nastavení Další

Výpočty

Zde jsou shromážděna všechna nastavení týkající se výpočtů.

Dávkový výpočet:

  • Použít pouze označené hodnoty

    Pokud nechcete v dávkových výpočtech počítat celý soubor s naměřenými daty najednou, označte si pouze tu část, kterou chcete vypočítat, a zapněte tuto volbu. Program bude neoznačené údaje ignorovat.

  • Editovat orientace

    Když program na začátku každého stanoviska počítá orientaci osnov vodorovných směrů, použije k tomu všechny měřené směry, u nichž najde souřadnice orientace. Pokud chcete mít přehled o tom, které směry použil, případně pokud je chcete ještě editovat (vypouštět, apod.), zapněte tuto volbu, a program vám vždy orientace nabídne ke kontrole a editaci.

    Jestliže je tato volba vypnuta, program vám orientace nabídne pouze v případě, že je u některé z nich překročena mezní oprava orientace, nastavená v Nastavení->Tolerance.

  • Počítat polární metodu

  • Počítat volná stanoviska

  • Počítat protínání ze směrů

    Těmito přepínači lze volit, které metody mají být použity při dávkovém výpočtu.

  • Nepočítat výšky u bodů s kódem

    Nechcete-li u bodů s určitým kódem počítat výšky, nastavte zde příslušný kód. Jestliže je tento kód pouze součást celého popisu bodu, musí být navíc správně nastaven oddělovač kódů v dialogovém okně Soubor->Nastavení->Kódování.

Volné stanovisko

  • Dopočítat neznámé délky

    Tímto přepínačem lze volit, zda mají být neznámé (neměřené) délky na volném stanovisku dopočítány z trojúhelníků. Podrobnější informace viz Volné stanovisko.

Nabízet jako orientace:

  • Všechny body o známých souřadnicích

    Program při orientacích osnov vodorovných směrů nabídne jako orientace všechny směry, jejichž cílové body byly nalezeny v seznamech souřadnic. Při hledání program postupuje podle parametrů nastavených v Soubor->Nastavení->Prostředí.

  • Body s atributem Orientace

    Při této volbě program jako orientace nabízí pouze body, které mají v seznamu měření nastaven atribut Orientace (byly-li nalezeny v seznamech souřadnic).

Provádět zpětnou kontrolu výpočtů:

Je-li tato volba zapnuta, většina výpočetních funkcí je kontrolována zpětným výpočtem vstupních dat z výsledků. Pokud vypočtená vstupní data neodpovídají s určitou tolerancí původním datům, je výpočet přerušen a program zobrazí chybové hlášení.

Váhy směrů při orientaci osnov

Zde lze zvolit, jaké váhy mají být přisouzeny měřeným směrům při výpočtu orientace osnovy směrů. Můžete si zvolit ze tří předdefinovaných variant, nebo můžete zadat libovolný vztah pro výpočet váhy. Podrobnější popis viz Orientace vodorovných směrů.

Tolerance

Zde můžete definovat různé sady tolerancí, které jsou používány při výpočtech. Při překročení příslušné tolerance je zobrazeno dialogové okno s dosaženou hodnotou, tolerancí a nabídkou volby, zda má program ve výpočtu pokračovat, nebo jej přerušit. Zároveň zde můžete zvolit, se kterou sadou tolerancí má program dále pracovat.

Necháte-li vstupní řádek pro některou z tolerancí nevyplněný, znamená to, že program při tomto výpočtu nemá překročení tolerance testovat. Program po instalaci obsahuje mimo jiné i předdefinovanou sadu nazvanou Netestovat, ve které není žádná tolerance vyplněna. Zvolíte-li jako aktivní tuto sadu, program nebude překročení tolerancí testovat nikde.

Předcházející | Domů | Další
Kapitola 25. Dialogové okno Nastavení | Nahoru | Redukce


Redukce
Předcházející Kapitola 25. Dialogové okno Nastavení Další

Redukce

Pod touto záložkou můžete definovat implicitní předčíslí a souřadnicové redukce.

Redukce:

V editačních řádcích můžete zadat implicitní předčíslí a redukce souřadnic. Jestliže potom nezadáte např. ve výpočetních dialogových oknech předčíslí, je použito předčíslí implicitní. Souřadnicové redukce jsou použity podle nastaveného režimu.

Charakteristiky bodů

Zde můžete zadat standardní nastavení popisných údajů o bodech, které program automaticky doplňuje všem bodům ukládaným do seznamů souřadnic. Obě charakteristiky jsou jednoznakové alfanumerické údaje. Lze je použít pro další rozlišení bodů, pro hromadné označování, apod.

Přičítání redukce:

Zde můžete zvolit režim práce s redukcemi:

  • Inteligentní

    Program automaticky odhaduje podle velikosti příslušné souřadnice a nastavené redukce, zda se jedná o souřadnici redukovanou nebo neredukovanou.

  • Vždy

    Program přičte redukci k zadané souřadnici vždy.

    Důležité

    Tato volba platí pouze pro přidávání bodů do seznamu souřadnic.

  • Nikdy

    Program zadanou redukci nepřičítá.

Předcházející | Domů | Další
Výpočty | Nahoru | Záznamník


Záznamník
Předcházející Kapitola 25. Dialogové okno Nastavení Další

Záznamník

V tomto dialogovém okně musíte nastavit typ použitého záznamníku a další údaje.

Záznamník:

  • Typ

    Podle toho, jaký je nastaven typ záznamníku, je prováděna konverze naměřených dat při importu z textového souboru. Před importem je tedy třeba nastavit, odkud data pocházejí.

  • Formát

    Některé typy záznamníků umožňují zaznamenávat data ve více různých formátech. Aby program data správně zpracoval, musí být nastaven použitý formát.

  • Vynechat řádků v hlavičce

    Některé formáty obsahují hlavičku, která nemusí mít vždy stejný počet řádků. Skutečný počet řádků hlavičky v použitém formátu musí být nastaven v tomto vstupním řádku.

Měřená data:

  • Typ délek

    Zde je třeba nastavit, zda jsou délky v souboru, odkud budou importovány naměřené údaje, vodorovné nebo šikmé. Jestliže formát záznamníku umožňuje automaticky rozpoznat typ délek, není tato volba dostupná.

    Lze nastavit i možnost Neredukovat. Potom budou v seznamu měření uvedeny neredukované šikmé délky, které lze redukovat dodatečně zpracováním zápisníku. Veškeré výpočetní úlohy očekávají redukované vodorovné délky, takže takovéto neredukované délky nelze ve výpočetních oknech použít. Při pokusu o přetažení neredukované délky myší do výpočetního okna jste na tuto skutečnost upozorněni.

    Dále zde lze nastavit vlastní vzorec pro přepočet délky na vodorovnou. Jsou přednastaveny standardní výpočetní vztahy pro některé historické typy dálkoměrů. Ponecháte-li vstupní řádek pro vzorec prázdný, bude přepočet proveden podle standardních vztahů s použitím převýšení nebo zenitového úhlu.

  • Úhlové jednotky

    Zde můžete nastavit, v jakých úhlových jednotkách jsou zapsány úhlové údaje v datových souborech přenesených ze stroje. Úhlové jednotky stroje se nemusí shodovat s úhlovými jednotkami, s nimiž pracuje systém GROMA.

  • Kontroly

    Zde můžete nastavit podmínku, pomocí níž je testována výška cíle. Pokud je výsledek uvedeného vztahu nenulový, je podmínka považována za splněnou. V podmínce lze použít logické operátory ∧ (logický součin) a | (logický součet) a relační operátory <, >, <=, >=, ==, <>.

    Podmínka může vypadat např. takto:

    (SIGNAL > 0.5) & (SIGNAL < 3) & (SIGNAL <> 1)
    nebo
    (SIGNAL == 0) | ((SIGNAL >= 1.3) & (SIGNAL <= 2.1))

Souřadnice:

  • Koeficient X/Y/Z

    Jsou-li importovány ze záznamníku souřadnice bodů, program je při importu těmito koeficienty vynásobí.

  • Zaměnit souřadnice X a Y

    Při importu program zamění souřadnici X a Y.

Volby:

  • Nulové výšky cíle

    Tuto volbu zapněte, chcete-li, aby po importu naměřených dat zůstala u bodů, u nichž byla registrována nulová výška cíle, výška cíle 0.00m. Má-li nulová výška cíle signalizovat, že je příslušný bod bez výšky, vypněte tuto volbu, a bod bude po importu bez výšky cíle a jeho výška nebude při výpočtech počítána.

  • Standardní výška cíle

    Přejete-li si, aby byla u každého měření, kde není výška cíle explicitně uvedena, použita standardní hodnota, zadejte tuto hodnotu výšky cíle zde.

Kódování souboru:

Používáte-li při registraci kódů ve stroji znaky s diakritikou v jiném kódování, než Windows 1250, zvolte zde typ kódování, aby mohl systém GROMA při importu kódy správně převést.

Předcházející | Domů | Další
Redukce | Nahoru | Teodolit


Teodolit
Předcházející Kapitola 25. Dialogové okno Nastavení Další

Teodolit

Tento příkaz slouží pro definici teodolitů, jejich přístrojových chyb a tolerancí.

Název teodolitu:

Ve vstupním okně zadejte název, pod kterým se má teodolit objevit v seznamu teodolitů. V seznamu nemohou být dva teodolity stejného jména.

Střední chyby:

Zde zadejte odhad střední chyby měřeného směru v jedné poloze dalekohledu a odhad střední chyby měřené délky.

Důležité

Apriorní střední chyby udávané výrobci strojů se mohou vztahovat na některé speciální situace, pro běžné měřené jsou často příliš optimistické. Před zadáním se tedy pokud možno přesvědčte o jejich reálnosti.

Kolimační chyba:

Zde nastavte skutečnou kolimační chybu teodolitu a tolerance pro její testování. Jestliže program při zpracování zápisníku narazí na měření v obou polohách, určí z nich velikost kolimační chyby a porovná ji s nastavenou hodnotou. Překročí-li rozdíl nastavené a vypočtené chyby hodnotu nastavenou jako Chybný, v protokolu je měření v protokolu označeno za chybné a výpočet vyrovnaného měření neproběhne. Překročí-li rozdíl hodnotu nastavenou jako Podezřelý, výpočet proběhne, ale směry jsou v protokolu označeny jako podezřelé.

Program porovnává s tolerancemi rozdíl nastavené a vypočtené kolimační chyby, nikoli celou vypočtenou chybu. Skutečná kolimační chyba tedy může mít libovolnou hodnotu, a není třeba nastavovat tolerance s ohledem na její velikost.

Důležité

Nastavená hodnota kolimační chyby není používána pro opravu měření, ale pouze pro testování tolerancí. Při výpočtu zápisníku je skutečná kolimační chyba odstraněna použitím měření v I. i II. poloze dalekohledu.

Indexová chyba:

Zde nastavte skutečnou indexovou chybu teodolitu a tolerance pro její testování. Jestliže program při zpracování zápisníku narazí na měření v obou polohách, určí z nich velikost indexové chyby a porovná ji s nastavenou hodnotou. Překročí-li rozdíl nastavené a vypočtené chyby hodnotu nastavenou jako Chybný, v protokolu je měření v protokolu označeno za chybné a výpočet vyrovnaného měření neproběhne. Překročí-li rozdíl hodnotu nastavenou jako Podezřelý, výpočet proběhne, ale měření jsou v protokolu označeny jako podezřelá.

Program porovnává s tolerancemi rozdíl nastavené a vypočtené indexové chyby, nikoli celou vypočtenou chybu. Skutečná indexová chyba tedy může mít libovolnou hodnotu, a není třeba nastavovat tolerance s ohledem na její velikost.

Důležité

Nastavená hodnota indexové chyby je použita pouze při hromadné opravě indexové chyby. Při výpočtu vyrovnaných měření z měření v I. a II. poloze je použita pouze pro testování tolerancí, při výpočtu vyrovnaného měření je skutečná indexová chyba odstraněna použitím měření v I. i II. poloze dalekohledu.

Předcházející | Domů | Další
Záznamník | Nahoru | Kódování bodů


Kódování bodů
Předcházející Kapitola 25. Dialogové okno Nastavení Další

Kódování bodů

V tomto dialogovém okně se nastavují parametry týkající se kódování bodů.

Kódovací tabulka:

Program umožňuje použití tzv. kódovací tabulky, která slouží pro převod registrovaných kódů na popisy.

  • Připojit

    Tímto tlačítkem můžete vybrat požadovanou kódovací tabulku (soubory typu .cod) a připojit ji. Od okamžiku připojení program všechny kódy v seznamech transformuje podle tabulky.

  • Editovat

    Připojenou kódovací tabulku můžete editovat.

  • Odpojit

    Nechcete-li již nadále připojenou kódovací tabulku používat, můžete ji tímto tlačítkem odpojit.

  • Použít kódovací tabulku

    Pomocí tohoto přepínače lze snadno zapínat a vypínat překódování bodů podle tabulky, aniž by bylo třeba tabulku připojovat a odpojovat.

    Tato funkce je přístupná přímo z lišty nástrojů.

Nastavení:

  • Rozdělit kódy na části

    Pomocí tohoto nastavení lze rozdělit kód bodu na části po zadaném počtu znaků. Např. kód 23014512 bude při zapnutí této volby a nastavení rozdělení po dvou znacích rozdělen na 23 01 45 12. Dílčí kódy budou odděleny prvním znakem, který je uveden v Oddělovačích kódů (viz dále).

  • Překódovat při importu

    Program převádí popisy v importovaných souborech na kódy podle připojené kódovací tabulky. Jestliže popis v kódovací tabulce nenalezne, zobrazí chybové hlášení.

  • Akceptovat body bez kódu

    Jestliže je tato volba zapnuta, program umožňuje import bodů bez kódu nebo popisu. Vypnete-li tuto volbu, program u bodů bez kódu zobrazí chybové hlášení.

  • Oddělovače kódů

    Je-li u bodů registrováno více kódů, musí být odděleny oddělovacím znakem (např. "X"). Oddělovací znak musí být nastaven v tomto vstupním řádku.

  • Kód orientace

    Označujete-li orientace kódem, můžete zde tento kód zadat, a program při importu automaticky označí jako orientace všechna měření, která mají tento kód. Používáte-li pro označení orientací více kódů, můžete je zde zadat všechny, oddělené znakem nastaveným jako Oddělovač kódů.

Předcházející | Domů | Další
Teodolit | Nahoru | Protokol


Protokol
Předcházející Kapitola 25. Dialogové okno Nastavení Další

Protokol

Pod touto záložkou můžete nastavit některé parametry pro práci s protokoly.

Kódová stránka:

Program GROMA pracuje s protokolem v kódování Windows Latin-2 (kódová stránka 1250), stejně jako Windows CZ. Do textového souboru však můžete protokol ukládat i v jiném kódování, což může být výhodné pro další zpracování protokolu, např. textovým editorem. Při čtení je protokol automaticky převeden zpět do kódování Windows Latin-2. Program nabízí tyto kódové stránky:

  • 437 DOS Standard IBM,

  • 850 DOS Kamenický (KEYBCS2),

  • 852 DOS Latin-2,

  • 1250 Windows Latin-2

Varování

Překódování do kódové stránky 437 je nevratné, protože jsou při zápisu všechny české znaky převedeny na ekvivalenty bez diakritických znamének. Po příštím otevření soubor s protokolem obsahuje pouze standardní ASCII znaky.

Volby:

  • Vytvářet protokol

    Tímto vypínačem lze zapnout nebo vypnout vytváření lokálního protokolu. Protokol se ukládá do paměti, a při některých rozsáhlých výpočtech (např. dávkový výpočet velkého souboru měření) může dosáhnout značné velikosti. Navíc jeho vytváření výpočet poněkud zpomaluje. V některých případech tedy může být výhodné protokol dočasně vypnout.

  • Automaticky zapisovat protokol

    Je-li zapnuta tato volba, program automaticky zapíše protokol na disk vždy, když je do něj přidán lokální protokol. Navíc automaticky uloží protokol při ukončení programu. Není-li tato volba zapnuta, je při ukončení programu zobrazeno varovné hlášení s dotazem, zda má být protokol uložen.

  • Ukládat souřadnice vstupních bodů

    Je-li tato volba zapnuta, do protokolu jsou zapisovány souřadnice vstupních bodů.

  • Zapisovat body vypočtené v dávce

    Zapnete-li tuto volbu, program při dávkovém výpočtu ukládá do protokolu informace o všech vypočtených bodech. Jestliže tuto volbu vypnete, do protokolu jsou uloženy pouze informace o orientacích osnov vodorovných směrů, o výpočtu volných stanovisek a o protínání ze směrů.

Font na obrazovku / pro tisk

Po stisknutí těchto tlačítek můžete nastavit font, kterým má být protokol zobrazen na obrazovce, a font, kterým má být protokol vytištěn na tiskárně.

Předcházející | Domů | Další
Kódování bodů | Nahoru | Vstup/výstup


Vstup/výstup
Předcházející Kapitola 25. Dialogové okno Nastavení Další

Vstup/výstup

Pod touto záložkou se zadávají parametry pro vstup a výstup číselných hodnot (jednotky, počet desetinných míst, apod.)

Počet desetinných míst:

V těchto vstupních řádcích se zadává požadovaný počet desetinných míst pro výstup souřadnic, úhlů, délek, výšek a ploch.

Úhlové jednotky:

Jednotky, v nichž jsou zadávány a vypisovány úhlové údaje. Bez ohledu na nastavení je vždy úhel vypisován jako desetinné číslo. Při nastavení na stupně jsou první dvě číslice za desetinnou tečkou desítky minut a minuty, potom následují desítky vteřin, vteřiny, desetiny vteřin, atd.

Délkové jednotky:

Lze volit mezi metry a stopami.

Čísla bodů

Zde můžete definovat, jakým způsobem se mají v seznamech zobrazovat čísla bodů:

  • Počet číslic

    Maximální počet číslic úplného čísla bodu.

  • Čísla doplnit nulami

    Zapnete-li tuto volbu, budou čísla bodů zleva doplněny nulami na celkový počet číslic nastavený v okénku Počet číslic.

  • Úplná čísla v seznamech

    Po zapnutí této volby bude program v seznamech zobrazovat celá úplná čísla bodů namísto rozdělení na čísla a předčíslí.

Měřítkový koeficient pro převod délek do roviny zobrazení:

Tímto koeficientem jsou vynásobeny všechny délky vstupující do programu, a to ihned při importu naměřených dat nebo při zadávání délek. Naopak všechny vypisované délky (např. při výpočtu vytyčovacích prvků) jsou tímto koeficientem vyděleny.

Ukládání bodů do seznamů souřadnic

  • Body automaticky přenášet do řídící aplikace

    Po zapnutí této volby bude systém GROMA, je-li spuštěn v rámci nějaké řídící aplikace (např. MicroStation), posílat do řídící aplikace automaticky všechny body ukládané do seznamu souřadnic. Tyto body tedy budou automaticky vytvářeny ve výkresu řídící aplikace.

  • Zaokrouhlovat souřadnic dle zadaného počtu desetinných míst

    Je-li tato volba zapnuta, budou souřadnice všech bodů ukládaných do seznamu souřadnic automaticky zaokrouhlovány dle nastaveného počtu desetinných míst.

Přenos bodů do databáze

  • Kontrolovat duplicitní souřadnice

    Po zapnutí této volby bude systém GROMA před každým vložením bodu do databáze kontrolovat, zda databáze již neobsahuje jiný bod o stejných souřadnicích. Pokud takový bod nalezne, nový bod nebude do databáze uložen.

  • Kontrolovat duplicitní čísla bodů

    Po zapnutí této volby bude systém GROMA před každým vložením bodu do databáze kontrolovat, zda databáze již neobsahuje jiný bod téhož čísla. Pokud takový bod nalezne, nový bod nebude do databáze uložen.

Předcházející | Domů | Další
Protokol | Nahoru | Vstupní / výstupní formát souřadnic


Vstupní / výstupní formát souřadnic
Předcházející Kapitola 25. Dialogové okno Nastavení Další

Vstupní / výstupní formát souřadnic

Pod touto záložkou můžete definovat nebo editovat vstupní/výstupní formát souřadnic pro zapisování a čtení z textového souboru. Postup při definování vstupního/výstupního formátu je podrobně popsán v příloze.

Předcházející | Domů | Další
Vstup/výstup | Nahoru | Vstupní / výstupní formát měření


Vstupní / výstupní formát měření
Předcházející Kapitola 25. Dialogové okno Nastavení Další

Vstupní / výstupní formát měření

Obdobně jako u souřadnic je zde možno definovat nebo editovat vstupní/výstupní formát naměřených hodnot pro zapisování a čtení z textového souboru. Postup při definování vstupního/výstupního formátu je podrobně popsán v příloze.

Předcházející | Domů | Další
Vstupní / výstupní formát souřadnic | Nahoru | DXF


DXF
Předcházející Kapitola 25. Dialogové okno Nastavení Další

DXF

Zde můžete nastavit parametry pro zápis grafického souboru do souboru formátu DXF. Do souboru DXF jsou zapsány elementy v závislosti na nastavených parametrech zobrazení. Elementy, které jsou uloženy ve vypnutých vrstvách (tj. elementy, které v aktivním okně nejsou vidět), nebudou do souboru DXF uloženy.

Hlavička:

Tímto tlačítkem můžete zapnout ukládání hlavičky do DXF souboru. V hlavičce jsou uloženy informace o vrstvách, které jsou pro některé programy nezbytné (např. MicroStation, pokud hlavičku nenalezne, umístí všechny elementy do vrstvy 1).

Zaměnit X a Y:

Zapnete-li tuto volbu, program GROMA při exportu zamění souřadnice X a Y (u některých systémů je to nezbytné pro správné umístění souřadnicových os).

3D:

Tímto tlačítkem můžete zapnout export bodů ve třech souřadnicích pro zpracování v třírozměrném grafickém systému. Je-li tato volba vypnuta, výška je exportována jako textový popis.

Redukovat:

Zapnete-li tuto volbu, souřadnice jsou při exportu redukovány o redukce nastavené v Soubor->Nastavení->Redukce.

Koeficient X/Y/Z:

Zde můžete nastavit koeficienty, kterými jsou při výstupu vynásobeny příslušné souřadnice. U matematického souřadnicového systému, se kterým pracuje většina CAD systémů, je třeba pro správné umístění souřadnicových os nastavit koeficienty pro X a Y na hodnotu -1.

Výška textu:

Zde musíte nastavit požadovanou výšku textů. Výška se zadává ve skutečné velikosti v metrech (např. pro zobrazení znaků vysokých 2mm v měřítku 1:1000 zde musíte nastavit 2m).

Font pro čísla bodů/ pro výšky:

Chcete-li, aby soubor DXF obsahoval u textových elementů název fontu, můžete jej zde zadat. Necháte-li tyto vstupní řádky prázdné, položka s názvem fontu nebude v souboru DXF obsažena.

Předcházející | Domů | Další
Vstupní / výstupní formát měření | Nahoru | Kapitola 26. Menu Výpočty


Kapitola 26. Menu Výpočty
Předcházející Část II. Referenční příručka Další

Kapitola 26. Menu Výpočty

Toto menu obsahuje nabídku všech výpočetních funkcí, které program GROMA poskytuje.

Všechny výpočetní funkce lze vyvolat pomocí lišty nástrojů, zobrazené v horní části hlavního okna programu.

Výpočetní funkce jsou podrobně popsány v samostatné kapitole uživatelské příručky.

Předcházející | Domů | Další
DXF | Nahoru | Kapitola 27. Menu Okno


Kapitola 27. Menu Okno
Předcházející Část II. Referenční příručka Další

Kapitola 27. Menu Okno

Položky tohoto menu slouží k manipulaci s otevřenými okny.

Zavři

Tímto příkazem můžete zavřít aktuální okno. Jedná-li se o seznam souřadnic nebo seznam naměřených hodnot, a je-li toto okno poslední otevřené okno příslušného seznamu, program automaticky zapíše na disk i aktualizovaný indexový soubor.

Předcházející | Domů | Další
Kapitola 26. Menu Výpočty | Nahoru | Mozaika horizontálně - vertikálně


Mozaika horizontálně - vertikálně
Předcházející Kapitola 27. Menu Okno Další

Mozaika horizontálně - vertikálně

Okna budou na obrazovce uspořádána tak, aby se nepřekrývala, tj. budou naskládána horizontálně nebo vertikálně vedle sebe.

Předcházející | Domů | Další
Kapitola 27. Menu Okno | Nahoru | Kaskáda


Kaskáda
Předcházející Kapitola 27. Menu Okno Další

Kaskáda

Okna budou uspořádána přes sebe tak, aby byl z každého okna viditelný alespoň jeden roh.

Předcházející | Domů | Další
Mozaika horizontálně - vertikálně | Nahoru | Srovnání ikon


Srovnání ikon
Předcházející Kapitola 27. Menu Okno Další

Srovnání ikon

Jsou-li některá okna minimalizována, tj. zobrazena jako ikony na pracovní ploše programu, můžete je tímto příkazem urovnat podél jejího spodního okraje.

Aby byl tento příkaz funkční, musí být jedna z ikon zvolena jako aktivní okno.

Předcházející | Domů | Další
Kaskáda | Nahoru | Parametry zobrazení


Parametry zobrazení
Předcházející Kapitola 27. Menu Okno Další

Parametry zobrazení

V tomto dialogovém okně můžete nastavit různé parametry pro zobrazení údajů. Možnosti nastavení závisí na typu okna:

  • Seznam souřadnic

  • Seznam měření

  • Kresba

Předcházející | Domů | Další
Srovnání ikon | Nahoru | Kapitola 28. Menu Editace


Kapitola 28. Menu Editace
Předcházející Část II. Referenční příručka Další

Kapitola 28. Menu Editace

Toto menu obsahuje příkazy pro editaci seznamů. Při kopírování nebo přenášení do schránky program použije formát definovaný v Soubor->Nastavení->Vstupní/výstupní formát souřadnic nebo Soubor->Nastavení->Vstupní/výstupní formát měření . Jestliže není definován žádný formát, program vytvoří formát standardní.

Krok zpět

Pomocí tohoto příkazu můžete vrátit zpět poslední operaci v seznamu souřadnic nebo seznamu měření.

Předcházející | Domů | Další
Parametry zobrazení | Nahoru | Přenes


Přenes
Předcházející Kapitola 28. Menu Editace Další

Přenes

Příkaz slouží pro přenesení údajů ze seznamu do schránky (data jsou v seznamu vymazána). Není-li v seznamu nic označeno, program přenese aktuální položku (položku, na níž je právě kurzor). Jsou-li některé položky označeny, program přenese je.

Předcházející | Domů | Další
Kapitola 28. Menu Editace | Nahoru | Zkopíruj


Zkopíruj
Předcházející Kapitola 28. Menu Editace Další

Zkopíruj

Tento příkaz pracuje stejně, jako příkaz Přenes, pouze s tím rozdílem, že jsou údaje pouze zkopírovány (v seznamu zůstávají).

Předcházející | Domů | Další
Přenes | Nahoru | Vlož


Vlož
Předcházející Kapitola 28. Menu Editace Další

Vlož

Tímto příkazem můžete do seznamu vložit data ze schránky. V seznamu souřadnic jsou body zařazeny podle čísel. V seznamu měření jsou přidány před položku označenou kurzorem.

Předcházející | Domů | Další
Zkopíruj | Nahoru | Vymaž


Vymaž
Předcházející Kapitola 28. Menu Editace Další

Vymaž

Tento příkaz slouží k vymazání zvolené položky nebo označených položek ze seznamu.

Předcházející | Domů | Další
Vlož | Nahoru | Kapitola 29. Menu Databáze


Kapitola 29. Menu Databáze
Předcházející Část II. Referenční příručka Další

Kapitola 29. Menu Databáze

Toto menu obsahuje příkazy pro práci s databází.

Připojení k databázi

Před prací s body a grafikou v databázi je třeba se připojit prostřednictvím ODBC driverů k databázi. Veškeré parametry pro připojení lze přednastavit v konfiguračním souboru, při vlastním přihlašování pak stačí vyplnit pouze přihlašovací jméno a heslo. Po vyvolání příkazu se zobrazí dialogové okno, v němž je třeba zadat přihlašovací jméno, heslo, a ze seznamu vybrat příslušný databázový profil. Ostatní parametry jsou přednastaveny na hodnoty definované v konfiguračním souboru, ale lze je změnit.

Po stisknutí tlačítka (Přihlásit) se systém Groma prostřednictvím ODBC driveru přihlásí k databázovému serveru. Proběhne-li přihlášení bez chyb, je automaticky zobrazen manažer projektů. Pokud jste se přihlásili k databázi poprvé po instalaci, systém vám oznámí, že databáze ještě nebyla inicializována, a nabídne vám inicializaci. Při inicializaci jsou vytvořeny všechny potřebné tabulky a naplněny systémové číselníky.

Předcházející | Domů | Další
Vymaž | Nahoru | Nastavení projektu


Nastavení projektu
Předcházející Kapitola 29. Menu Databáze Další

Nastavení projektu

Pomocí tohoto příkazu otevřete manažer projektů, pomocí něhož lze vytvářet, upravovat a mazat projekty. Po otevření budou zobrazeny všechny dostupné projekty a bude vysvícen aktivní nebo naposledy použitý projekt.

Tučně uvedené položky jsou povinné, ostatní jsou volitelné a mohou zůstat nevyplněné. Některé položky, např. typ GP, jsou velmi důležité pro další zpracování geometrického plánu v grafickém modulu.

Změny provedené v definici projektu lze uložit tlačítkem (Uložit) nebo (OK).

  • (Nový projekt) Tímto tlačítkem vyčistíte formulář pro zadání nového projektu.

  • (Kopie projektu) Tímto tlačítkem vytvoříte kopii definice zvoleného projektu. Všechny položky nastavení zůstanou zachovány, ale při uložení bude projekt uložen jako nová definice. Ze zdrojového projektu bude zkopírována pouze definice projektu, nikoli uložená data.

  • (Importovat projekt) Tímto tlačítkem lze importovat projekt ze zálohy, aniž by bylo třeba jej předem zakládat v nastavení projektu. Po stisknutí tohoto tlačítka budete vyzváni k výběru souboru se zálohou (soubor .EXP). Po jeho zvolení bude založen nový projekt a do něj bude záloha naimportována.

  • (Odstranit projekt(y)) Tímto tlačítkem lze úplně odstranit celý projekt včetně všech grafických i negrafických dat. Přejete-li si odstranit najednou více projektů, zaškrtněte nejprve v seznamu ty, které si přejete odstranit.

  • (Odložit projekt(y)) Obsahuje-li databáze velké množství dat, práce s ní se výrazně zpomaluje. Je proto vhodné starší projekry, s nimiž se již nepracuje, uložit do zálohy a z databáze odstranit. Pomocí tohoto příkazu lze odložit projekt do zálohy s tím, že v databázi zůstane definice projektu, ale data budou odstraněna. Pokud takovýto odložený projekt v seznamu vyberete, všechna nastavení projektu se zobrazí, ale jsou nepřístupná. Pokud jej potvrdíte tlačítkem (OK), program vás upozorní, že se jedná o odložený projekt, a dotáže se, zda jej má naimportovat zpět do databáze. Po potvrzení se dotáže na cestu k záloze, a nabídne automaticky tu cestu, kam byla záloha uložena při odkládání projektu. Po zpětném načtení lze s projektem již normálně pracovat. Přejete-li si odložit najednou více projektů, zaškrtněte nejprve v seznamu ty, které si přejete odstranit.

  • (Exportovat projekt(y)) Obsahuje-li databáze velké množství dat, práce s ní se výrazně zpomaluje. Je proto vhodné starší projekry, s nimiž se již nepracuje, uložit do zálohy a z databáze odstranit. Před příštím použitím je třeba data opět naimportovat ze zálohy zpět do databáze. Přejete-li si exportovat najednou více projektů, zaškrtněte nejprve v seznamu ty, které si přejete odstranit.

Předcházející | Domů | Další
Kapitola 29. Menu Databáze | Nahoru | Vytvořit databázi a uživatele


Vytvořit databázi a uživatele
Předcházející Kapitola 29. Menu Databáze Další

Vytvořit databázi a uživatele

Pomocí tohoto příkazu otevřete dialogové okno, pomocí něhož můžete vytvářet databáze a uživatele. Obvykle lze toto provést i pomocí nástrojů dodávaných výrobcem k databázovému serveru, tento způsob je ale nejjednodušší.

V horní části okna je třeba zadat přihlašovací údaje k administrátorskému účtu (root, sa, apod.) Dále zvolíte adresu serveru (obvykle localhost pro lokální připojení nebo IP adresu serveru pro síťové připojení). Dále zvolíte typ databáze.

V dalším oddíle zadáte jméno databáze,kterou chcete vytvořit nebo odstranit. U některých typů databáze je třeba zadat i velikost databáze a umístění datových souborů. Přednastavená velikost databáze je 1GB, přednastavená cesta k datovým souborům je převzata z registru systému Windows.

V posledním oddíle vyplňte jméno a heslo k uživatelskému účtu, který vytváříte.

Poznámka

Při vytváření uživatele musí být vyplněno i jméno databáze, protože jsou uživateli po vytvoření automaticky nastavována práva k příslušné databázi.

Předcházející | Domů | Další
Nastavení projektu | Nahoru | Inicializace databáze


Inicializace databáze
Předcházející Kapitola 29. Menu Databáze Další

Inicializace databáze

Tímto příkazem spustíte nástroj pro poinstalační inicializaci databáze. Při inicializaci jsou vytvořeny všechny potřebné tabulky a naplněny systémové číselníky.

Předcházející | Domů | Další
Vytvořit databázi a uživatele | Nahoru | Kapitola 30. Menu Projekt


Kapitola 30. Menu Projekt
Předcházející Část II. Referenční příručka Další

Kapitola 30. Menu Projekt

Toto menu obsahuje příkazy pro práci s projekty.

Přidej soubor

Tímto příkazem můžete přidávat soubory do aktivního projektu. Po vyvolání příkazu je zobrazeno dialogové okno, v němž jsou zobrazeny názvy všech otevřených souborů, které nejsou zahrnuty do projektu. V něm můžete označit jeden nebo více souborů, které budou po stisknutí tlačítka (OK) přidány do projektu.

Seznamy souřadnic a seznamy měření můžete do projektu přidat i pouhým přetažením myší.

Předcházející | Domů | Další
Inicializace databáze | Nahoru | Odeber soubor


Odeber soubor
Předcházející Kapitola 30. Menu Projekt Další

Odeber soubor

Tímto příkazem můžete odebrat soubor z aktivního projektu. Soubor nejprve označte v okně s projektem.

Soubor bude pouze vypuštěn z projektu, na disku zůstane beze změny.

Předcházející | Domů | Další
Kapitola 30. Menu Projekt | Nahoru | Otevři soubor


Otevři soubor
Předcházející Kapitola 30. Menu Projekt Další

Otevři soubor

Tímto příkazem můžete otevřít soubor z aktivního projektu. Soubor nejprve označte v okně s projektem.

Soubor můžete otevřít také dvojitým kliknutím na jeho název v okně s projektem.

Předcházející | Domů | Další
Odeber soubor | Nahoru | Nastavení


Nastavení
Předcházející Kapitola 30. Menu Projekt Další

Nastavení

V tomto dialogovém okně můžete nastavit první řádek hlavičky tisku pro seznamy souřadnic a seznamy měření.

Předcházející | Domů | Další
Otevři soubor | Nahoru | Kapitola 31. Menu Souřadnice / Měření


Kapitola 31. Menu Souřadnice / Měření
Předcházející Část II. Referenční příručka Další

Kapitola 31. Menu Souřadnice / Měření

Přidej položku

Tímto příkazem lze přidávat položky do seznamů souřadnic a seznamů naměřených hodnot. Po jeho vyvolání program zobrazí příslušné editační okno, v němž můžete definovat potřebné hodnoty.

Předcházející | Domů | Další
Nastavení | Nahoru | Uber položku


Uber položku
Předcházející Kapitola 31. Menu Souřadnice / Měření Další

Uber položku

Tento příkaz maže položky ze seznamů. Jsou-li v seznamu některé položky označeny, program smaže je. Nejsou-li žádné položky označeny, program smaže tu položku, na níž je umístěn kurzor.

Předcházející | Domů | Další
Kapitola 31. Menu Souřadnice / Měření | Nahoru | Edituj položku


Edituj položku
Předcházející Kapitola 31. Menu Souřadnice / Měření Další

Edituj položku

Po vyvolání tohoto příkazu se zobrazí dialogové okno pro editaci položky, na níž je zobrazen kurzor. Editaci lze vyvolat i dvojitým kliknutím myší na libovolnou položku seznamu.

Předcházející | Domů | Další
Uber položku | Nahoru | Najdi položku


Najdi položku
Předcházející Kapitola 31. Menu Souřadnice / Měření Další

Najdi položku

Po vyvolání tohoto příkazu se zobrazí v levém dolním rohu obrazovky malé dialogové okno pro vyhledávání položky. Píšete-li v něm číslo bodu, resp. editujete-li jej, program automaticky umisťuje kurzor na první nalezený bod daného čísla. Chcete-li nalézt další bod daného čísla, stiskněte klávesu <Šipka Dolů>.

Předcházející | Domů | Další
Edituj položku | Nahoru | Označ


Označ
Předcházející Kapitola 31. Menu Souřadnice / Měření Další

Označ

Po této volbě program zobrazí dialogové okno, které slouží k označování položek v seznamu podle zadaných kritérií.

Můžete si zvolit, zda mají být položky, které kritériím vyhovují, přidány k dříve označeným, odebrány od dříve označených, či zda se jedná o nové označování.

Způsob označování je podrobně popsán v uživatelské příručce.

Předcházející | Domů | Další
Najdi položku | Nahoru | Hromadná změna


Hromadná změna
Předcházející Kapitola 31. Menu Souřadnice / Měření Další

Hromadná změna

Po vyvolání tohoto příkazu se zobrazí dialogové okno, které vám umožní provádět hromadné změny v seznamech souřadnic i měření. Pomocí tohoto okna můžete měnit předčíslí bodů, nastavovat kód bodů, přičítat a odečítat konstanty od jednotlivých údajů, násobit nebo dělit jednotlivé údaje konstantou, atd.

Podrobně je hromadná změna popsána v uživatelské příručce.

Předcházející | Domů | Další
Označ | Nahoru | Přečíslování seznamu


Přečíslování seznamu
Předcházející Kapitola 31. Menu Souřadnice / Měření Další

Přečíslování seznamu

Tímto příkazem vyvoláte nemodální dialogové okno, pomocí něhož můžete přečíslovat seznam souřadnic nebo seznam měření. Zadáte vstupní soubor, při přečíslování souřadnic i výstupní soubor (souřadnice lze přečíslovat pouze do nového souboru), předčíslí a počáteční číslo. Pro seznam měření můžete zvolit, zda chcete přečíslovat i orientace, případně stanoviska. Po stisknutí tlačítka (Přečíslovat) budou body přečíslovány a bude zobrazen protokol o přečíslování.

Postup při přečíslování je podrobně popsán v uživatelské příručce.

Předcházející | Domů | Další
Hromadná změna | Nahoru | Překódování podle tabulky


Překódování podle tabulky
Předcházející Kapitola 31. Menu Souřadnice / Měření Další

Překódování podle tabulky

Pomocí tohoto příkazu můžete do datového souboru na místo kódů přenést popisy podle nastavené kódovací tabulky (popisy, které jsou zobrazeny na obrazovce). Při ukládání budou popisy oříznuty na maximální délku 20 znaků.

Předcházející | Domů | Další
Přečíslování seznamu | Nahoru | Obnova smazaných položek


Obnova smazaných položek
Předcházející Kapitola 31. Menu Souřadnice / Měření Další

Obnova smazaných položek

Při mazání program v datovém souboru jednotlivé položky označí jako smazané, ale fyzicky data v souboru zůstávají. Odstraněny jsou až při kompresi souboru. Pokud tedy některé položky smažete, a později je potřebujete opět obnovit, a nemůžete použít funkci Krok zpět (soubor byl mezitím uzavřen, indexován, apod.), můžete použít tuto funkci. Položky jsou obnoveny vždy do nového souboru, který je automaticky vytvořen (při obnově obvykle vzniknou nekonzistentní data - duplicitní body, měřené body bez hlavičky stanoviska, apod.). Z tohoto souboru můžete potřebné údaje zkopírovat do kteréhokoli souboru.

Předcházející | Domů | Další
Překódování podle tabulky | Nahoru | Do protokolu


Do protokolu
Předcházející Kapitola 31. Menu Souřadnice / Měření Další

Do protokolu

Tímto příkazem vypíšete seznam souřadnic nebo měření do protokolu. Jsou-li v seznamu označeny některé položky, jsou do protokolu uloženy pouze ony, jinak je vypsán celý seznam. Souřadnice lze do protokolu zapsat i pomocí schránky (do hlavního okna s protokolem) nebo přetažením myší (do dialogového okna s lokálním protokolem).

Předcházející | Domů | Další
Obnova smazaných položek | Nahoru | Kapitola 32. Menu Souřadnice


Kapitola 32. Menu Souřadnice
Předcházející Část II. Referenční příručka Další

Kapitola 32. Menu Souřadnice

Parametry zobrazení

Pokud některé z údajů, zobrazovaných v seznamech, nepoužíváte (např. typ bodu, výška, apod.), můžete pomocí tohoto příkazu příslušné sloupce vypnout. Volbu lze vyvolat i kliknutím pravým tlačítkem myši na záhlaví seznamu (tj. nikoli na barevné záhlaví s názvem souboru, ale na první řádek s hlavičkami sloupců). Nastavení zobrazených údajů je respektováno i při tiskových výstupech.

Předcházející | Domů | Další
Do protokolu | Nahoru | Zobraz graficky


Zobraz graficky
Předcházející Kapitola 32. Menu Souřadnice Další

Zobraz graficky

Po vyvolání tohoto příkazu se otevře okno s grafickou reprezentací příslušného souřadnicového souboru. Jestliže grafický soubor .pic již existuje, je automaticky otevřen. Neexistuje-li, program vás na tuto skutečnost upozorní, a dotáže se, má-li jej vytvořit.

Předcházející | Domů | Další
Kapitola 32. Menu Souřadnice | Nahoru | Roztřiď dle mapových listů


Roztřiď dle mapových listů
Předcházející Kapitola 32. Menu Souřadnice Další

Roztřiď dle mapových listů

Tímto příkazem otevřete dialogové okno, které slouží k roztřídění aktivního seznamu souřadnic do souborů podle mapových listů. Můžete zde zadat měřítko mapových listů a zvolit, zda generované názvy souborů mohou být dlouhé, nebo zda se musí jednat o klasické osmiznakové názvy. Můžete nastavit i další volby, tedy zda se mají vytvořené soubory automaticky otevřít, a zda mají být případné existující staré soubory přepsány bez upozornění. Po stisknutí tlačítka (Použít) je aktualizován seznam použitých mapových listů, po stisknutí tlačítka (Roztřídit) jsou soubory se souřadnicemi zapsány na disk.

Předcházející | Domů | Další
Zobraz graficky | Nahoru | Porovnání seznamů souřadnic


Porovnání seznamů souřadnic
Předcházející Kapitola 32. Menu Souřadnice Další

Porovnání seznamů souřadnic

Po vyvolání této funkce je zobrazeno dialogové okno, které slouží ke statistickému porovnání dvou seznamů souřadnic. Test je proveden podle vztahů popsaných ve vyhlášce číslo 164/2009 Sb. Nejprve jsou vypočteny souřadnicové rozdíly

dx = xm - xk, dy = ym - yk,

kde xm, ym jsou souřadnice z testovaného souboru a xk, yk jsou souřadnice z referenčního souboru.

Z těchto rozdílů je vypočtena polohová odchylka

dp = (dx2 + dy2)1/2

a směrník polohové odchylky.

Dále je vypočtena v7b2rov8 střední sou5adnicov8 chyba dle vztahu

up = [0.5 (dx2 + dy2)]1/2

Pro celý zpracovávaný soubor jsou spočteny střední chyby souřadnic

sx = [suma(dx2/(k . N))]1/2, sy = [suma(dy2/(k . N))]1/2,

kde koeficient k může nabývat hodnot

  • k=1, je-li přesnost referenčního souboru podstatně vyšší, než přesnost testovaného souboru, nebo

  • k=2, je-li přesnost obou souborů srovnatelná.

Výběrová střední souřadnicová chyba

Sxy = (0.5 (sx2 + sy2))1/2

V závěrečné statistice je mimo jiné údaje zapsáno, kolik procent bodů mělo uxy menší než je požadovaná Uxy, (má být alespoň 60%) u kolika procent bodů byla uxy v intervalu (Uxy, 2Uxy> a u kolika procent bodů byla 2Uxy překročena.

Předcházející | Domů | Další
Roztřiď dle mapových listů | Nahoru | Kontrola číslování bodů


Kontrola číslování bodů
Předcházející Kapitola 32. Menu Souřadnice Další

Kontrola číslování bodů

Po zadání tohoto příkazu bude zkontrolována posloupnost číslování bodů seznamu. Do protokolu bude zapsán seznam souvislých bloků čísel.

Předcházející | Domů | Další
Porovnání seznamů souřadnic | Nahoru | Kontrola duplicitních čísel


Kontrola duplicitních čísel
Předcházející Kapitola 32. Menu Souřadnice Další

Kontrola duplicitních čísel

Po zadání tohoto příkazu bude zkontrolován aktuální seznam souřadnic, zda neobsahuje duplicitní čísla bodů. Výsledek testu s případným seznamem duplicit je zapsán do protokolu. Tento test je automaticky proveden i při indexování souboru.

Předcházející | Domů | Další
Kontrola číslování bodů | Nahoru | Odstranění identických bodů


Odstranění identických bodů
Předcházející Kapitola 32. Menu Souřadnice Další

Odstranění identických bodů

Tento příkaz zobrazí dialogové okno, které slouží k vyhledání, případně odstranění bodů, které mají různá čísla, ale totožné nebo blízké souřadnice.

V okně se zadá název testovaného souboru a tolerance (mezní rozdíl v souřadnici), která určuje, kdy mají být body považovány za totožné.

Pokud zapnete volbu Pouze do protokolu, program zapíše seznam identických bodů do protokolu, ale testovaný soubor ponechá beze změny. Je-li tato volba vypnuta, program v závislosti na nastavení jeden z identických bodů ze seznamu odstraní. Můžete zvolit, zda má v seznamu zůstat bod s nižším číslem, nebo s nižším předčíslím.

Zapnete-li volbu Ignorovat výšku, bude program identitu posuzovat pouze podle souřadnic X a Y, souřadnici Z bude při testu ignorovat.

Předcházející | Domů | Další
Kontrola duplicitních čísel | Nahoru | Dávkové průměrování souřadnic


Dávkové průměrování souřadnic
Předcházející Kapitola 32. Menu Souřadnice Další

Dávkové průměrování souřadnic

Po zadání tohoto příkazu bude zobrazeno dialogové okno, které umožňuje dávkové zprůměrování souřadnic bodu stejného čísla. Abyste mohli mít v seznamu souřadnic více bodů téhož čísla, je nutno nejprve povolit ukládání bodů se stejnými čísly do seznamů souřadnic. Toto lze povolit v konfiguraci programu přepínačem Soubor->Nastavení->Prostředí: Povolit duplicitní body v seznamu souřadnic.

Postup při dávkovém průměrování souřadnic

  1. Zvolte vstupní a výstupní seznam souřadnic obdobně jako v jiných úlohách.

  2. Vyplňte mezní opravy souřadnic X/Y a Z. Bude-li u některého průměrovaného bodu tento limit překročen, nebude bod zprůměrován.

  3. Zvolte, zda si přejete pracovat s celým souborem, nebo pouze s označenými položkami, případně označte množinu bodů, s nimiž chcete pracovat.

  4. Stiskněte tlačítko (Vyhledat duplicitní body).

  5. Zkontrolujte si seznam nalezených duplicitních bodů. Ověřte, zda jsou v pořádku maximální opravy v souřadnicích, ve výšce a v poloze pro všechny nalezené body. Ukážete-li na některý bod ze seznamu, pod seznamem vám program ukáže seznam všech nalezených duplicit, včetně souřadnic a jejich oprav.

  6. Je-li seznam nalezených bodů v pořádku, stiskněte tlačítko (Uložit duplicitní body). Program uloží všechny zprůměrované body do výstupního seznamu souřadnic.

Předcházející | Domů | Další
Odstranění identických bodů | Nahoru | Zaokrouhlení souřadnic


Zaokrouhlení souřadnic
Předcházející Kapitola 32. Menu Souřadnice Další

Zaokrouhlení souřadnic

Tento příkaz slouží k dávkovému zaokrouhlení souřadnic ve zvoleném seznamu. Můžete zvolit, které souřadnice si přejete zaokrouhlit, a na kolik desetinných míst. Zaokrouhlit můžete celý seznam nebo pouze označené položky.

Předcházející | Domů | Další
Dávkové průměrování souřadnic | Nahoru | Dvojí souřadnice


Dvojí souřadnice
Předcházející Kapitola 32. Menu Souřadnice Další

Dvojí souřadnice

Toto dialogové okno slouží k práci s dvojími souřadnicemi v seznamech.

V oblasti Soubory je třeba zadat základní souřadnicový soubor a pro některé funkce také doplňkový soubor. Soubory se vybírají přetažením myší do příslušného okénka nebo po stisknutí tlačítka (...).

Připravit soubor pro dvojí souřadnice

Po stisknutí tohoto tlačítka je základní soubor připraven pro práci s dvojími souřadnicemi. Jsou v něm nastaveny hlavičky a počty desetinných míst druhých souřadnic.

Import vedlejších souřadnic z doplňkového souboru

Tato funkce slouží pro doplnění druhého páru souřadnic z doplňkového souboru. Po spuštění této funkce se program pokusí ke všem bodům základního souboru vyhledat souřadnice v doplňkovém souboru. Nalezne-li je, doplní je do základního souboru jako druhé.

Zaměnit hlavní a vedlejší souřadnice

Po stisknutí tohoto tlačítka program zamění v základním seznamu souřadnic hlavní a vedlejší souřadnice. Chcete-li ve výpočtech místo hlavních souřadnic používat vedlejší, je třeba souřadnice nejprve tímto příkazem zaměnit.

Exportovat vedlejší souřadnice do nového souboru

Po stisknutí tohoto tlačítka program založí nový nepojmenovaný seznam souřadnic a zkopíruje do něj všechny vedlejší souřadnice ze základního seznamu. V nově vytvořeném seznamu jsou souřadnice uloženy jako hlavní.

Odstranit nulové vedlejší souřadnice

Po stisknutí tohoto tlačítka program ze základního seznamu souřadnic odstraní vedlejší souřadnice tam, kde jsou obě vedlejší souřadnice nulové.

Odstranit vedlejší souřadnice

Po stisknutí tohoto tlačítka program ze základního seznamu souřadnic odstraní všechny vedlejší souřadnice.

Předcházející | Domů | Další
Zaokrouhlení souřadnic | Nahoru | Uložit body do databáze


Uložit body do databáze
Předcházející Kapitola 32. Menu Souřadnice Další

Uložit body do databáze

Pomocí tohoto příkazu můžete uložit body ze seznamu souřadnic do databáze. Jsou-li v seznamu souřadnic body, které nemají napojení na databázi (není u nich zobrazen symbol databáze), lze je tímto příkazem uložit do databáze.

Standardně jsou v nastavení systému GROMA zapnuty kontroly na duplicitní čísla bodů a identické souřadnice. Program při ukládání do databáze kontroluje, zda v ní již není uložen bod stejného čísla nebo o totožných souřadnicích. Nalezne-li takový bod, nový bod do databáze neuloží a zaznamená tuto skutečnost v protokolu. V některých speciálních případech je třeba takovéto body přesto do databáze uložit, z toho důvodu lze jednu nebo obě kontroly vypnout v Soubor->Nastavení->Prostředí.

Jsou-li v seznamu souřadnic některé body označené, budou do databáze uloženy pouze ony. Pokud žádné body označené nejsou, uloží se do databáze celý seznam souřadnic.

Podrobné informace o práci s databázemi naleznete v uživatelské příručce.

Předcházející | Domů | Další
Dvojí souřadnice | Nahoru | Uložit změny do databáze


Uložit změny do databáze
Předcházející Kapitola 32. Menu Souřadnice Další

Uložit změny do databáze

Tento příkaz slouží k ložení změn v seznamu souřadnic do databáze. Příkaz lze použít pouze v případě, že seznam souřadnic vznikl importem z databáze.

Podrobnější informace o práci s databázemi můžete nalézt v uživatelské příručce.

Jsou-li v seznamu souřadnic některé body označené, budou do databáze uloženy pouze ony. Pokud žádné body označené nejsou, uloží se do databáze celý seznam souřadnic.

Podrobné informace o práci s databázemi naleznete v uživatelské příručce.

Předcházející | Domů | Další
Uložit body do databáze | Nahoru | Odstranit smazané body z databáze


Odstranit smazané body z databáze
Předcházející Kapitola 32. Menu Souřadnice Další

Odstranit smazané body z databáze

Smažete-li některé body ze seznamu souřadnic, vzniklého importem z databáze, nejsou ještě tyto body automaticky z databáze odstraněny. Ke smazání v databázi dojde až po zadání tohoto příkazu.

Podrobnější informace o práci s databázemi můžete nalézt v uživatelské příručce.

Podrobné informace o práci s databázemi naleznete v uživatelské příručce.

Předcházející | Domů | Další
Uložit změny do databáze | Nahoru | Synchronizovat seznam s databází


Synchronizovat seznam s databází
Předcházející Kapitola 32. Menu Souřadnice Další

Synchronizovat seznam s databází

Přejete-li si synchronizovat s databází seznam souřadnic, který je otevřen samostatně, nikoli importem z databáze, takže není s databází propojen, lze na to použít tento nástroj. Synchronizace může probíhat ve dvou režimech:

  • Podle čísel bodů

    Při tomto způsobu budou body vyhledávány podle čísel a v rámci synchronizace jim budou aktualizovány ostatní údaje, včetně souřadnic.

  • Podle souřadnic

    Při tomto způsobu budou body vyhledávány podle souřadnic a v rámci synchronizace jim budou aktualizovány ostatní údaje, včetně čísel bodů. V tomto režimu můžete nastavit toleranci, s jakou mají být souřadnice testovány.

Dále si zvolíte, zda si přejete stav v seznamu souřadnic promítnout do databáze (tlačítko Synchronizovat CRD --> DB) nebo stav databáze do seznamu souřadnic (tlačítko Synchtonizovat DB --> CRD).

Pro kontrolu můžete synchronizaci nejprve zkusit se zapnutou volbou Pouze do protokolu. Program žádné změny neprovede, pouze je vypíše do protokolu.

Předcházející | Domů | Další
Odstranit smazané body z databáze | Nahoru | Kapitola 33. Menu Měření


Kapitola 33. Menu Měření
Předcházející Část II. Referenční příručka Další

Kapitola 33. Menu Měření

Zpracování zápisníku

Pomocí tohoto příkazu můžete provést kompletní zpracování zápisníku, včetně zpracování měření v obou polohách dalekohledu, zpracování opakovaných měření, redukce směrů, zpracování obousměrně měřených délek, oprav přístrojových chyb, oprav refrakce a výpočtu převýšení. Zapnete-li volbu Pouze do protokolu, je vytvořen pouze protokol a změny v seznamu měření nejsou provedeny.

Podrobně je zpracování zápisníku popsáno v uživatelské příručce.

Předcházející | Domů | Další
Synchronizovat seznam s databází | Nahoru | Spojení stanovisek


Spojení stanovisek
Předcházející Kapitola 33. Menu Měření Další

Spojení stanovisek

Po zadání tohoto příkazu je zobrazeno dialogové okno, které umožňuje spojit opakovaná měření na jednom stanovisku. Měření lze spojit pouze v případě, že obsahují alespoň jeden společný směr, přes který mohou být obě osnovy směrů spojeny.

Nejprve program setřídí celý soubor podle stanovisek. Potom jej prochází a vyhledává opakovaná stanoviska. Jestliže takováto stanoviska nalezne, zobrazí seznam společných vodorovných směrů s opravami. Z tohoto seznamu můžete jednotlivé směry vypouštět pomocí tlačítka (Ubrat). Po stisknutí tlačítka (OK) program vypočte posun obou osnov, osnovy spojí a všechny směry měřené na druhém bodě o posun opraví.

Důležité

Je-li v obou měřeních uvedena výška stroje, lze osnovy spojit pouze v případě, že jsou obě výšky stroje totožné. Jsou-li rozdílné, můžete pro jejich ztotožnění použít volbu Redukovat převýšení na spojnici stabilizačních značek při zpracování zápisníku.

Předcházející | Domů | Další
Kapitola 33. Menu Měření | Nahoru | Označ orientace


Označ orientace
Předcházející Kapitola 33. Menu Měření Další

Označ orientace

Pomocí tohoto dialogového okna můžete hromadně označit orientace. V dialogovém okně můžete nastavit kritéria, pomocí nichž jsou orientace identifikovány.

Podrobně je označení orientací popsáno v uživatelské příručce.

Předcházející | Domů | Další
Spojení stanovisek | Nahoru | Setřídění


Setřídění
Předcházející Kapitola 33. Menu Měření Další

Setřídění

Pomocí tohoto příkazu můžete setřídit seznam měření.

  • Setřídit stanoviska

    Program setřídí soubor vzestupně podle stanovisek.

  • Setřídit podle čísel

    Program setřídí měřené body na stanoviskách podle jejich čísel.

  • Orientace na začátek

    Program zařadí orientace na začátek stanovisek před podrobné body, bez ohledu na jejich čísla.

Předcházející | Domů | Další
Označ orientace | Nahoru | Připoj soubor


Připoj soubor
Předcházející Kapitola 33. Menu Měření Další

Připoj soubor

Pomocí tohoto příkazu můžete k otevřenému seznamu měření připojit další seznam měření.

Soubor měření bude připojen na konec původního souboru.

Předcházející | Domů | Další
Setřídění | Nahoru | Parametry zobrazení


Parametry zobrazení
Předcházející Kapitola 33. Menu Měření Další

Parametry zobrazení

Pokud některé z údajů, zobrazovaných v seznamech, nepoužíváte (např. zenitový úhel, výška signálu, apod.), můžete pomocí tohoto příkazu příslušné sloupce vypnout. Volbu lze vyvolat i kliknutím pravým tlačítkem myši na záhlaví seznamu (tj. nikoli na barevné záhlaví s názvem souboru, ale na první řádek s hlavičkami sloupců). Nastavení zobrazených údajů je respektováno i při tiskových výstupech.

V tomto okně můžete navíc zvolit podrobnost zobrazení seznamů měření:

  • Vše

    Budou zobrazena všechna měření v celém souboru.

  • Stanoviska + orientace

    Budou zobrazeny pouze hlavičky stanovisek a měření označená jako orientace.

  • Stanoviska

    Budou zobrazeny pouze hlavičky stanovisek.

Tímto způsobem se mění typ zobrazení pro celý soubor. Pro jednotlivá stanoviska lze zobrazení měnit kliknutím myší na ikonu zobrazenou v levé části seznamu na řádku s hlavičkou stanoviska.

Předcházející | Domů | Další
Připoj soubor | Nahoru | Kapitola 34. Menu Plán


Kapitola 34. Menu Plán
Předcházející Část II. Referenční příručka Další

Kapitola 34. Menu Plán

Příkazy tohoto menu slouží k manipulaci s grafickým oknem.

Parametry zobrazení

V tomto dialogovém okně se nastavují atributy kresby (zapnuté vrstvy, fonty, atd.).

Vrstvy:

  • Aktivní vrstva

    Ve vstupním řádku nebo pomocí dalšího dialogového okna nastavte číslo vrstvy, do níž chcete ukládat nakreslené elementy.

  • Zapnuté vrstvy

    V dialogovém okně zvolte, které vrstvy chcete mít v aktuálním pohledu zapnuté (tj. viditelné).

Body:

  • Umístit do vrstvy

    Zvolte, ve které vrstvě chcete mít umístěny značky bodů (kreslení značek potom zapínáte/vypínáte pomocí příslušné vrstvy).

  • Zobrazovat pouze označené

    Máte-li rozsáhlejší seznam souřadnic, a pracujete-li pouze s jeho částí, můžete si příslušné body označit a nastavit zobrazování pouze označených bodů. Překreslování grafického okna se tím může výrazně zrychlit.

  • Značka

    Zvolte si značku, kterou mají být body označeny. Značka je vždy pro všechny body stejná.

Čísla bodů:

  • Umístit do vrstvy

    Zvolte číslo vrstvy, do níž chcete umístit čísla bodů. Nechcete-li je zobrazovat, můžete příslušnou vrstvu vypnout.

  • Font

    Zvolte font, kterým mají být zobrazována čísla bodů.

  • Pouze čísla

    Program bude zobrazovat pouze vlastní číslo bodu bez předčíslí.

  • Čísla i předčíslí

    Program bude zobrazovat úplná čísla bodů.

Výšky bodů:

  • Umístit do vrstvy

    Zvolte číslo vrstvy, do níž chcete umístit výšky bodů. Nechcete-li je zobrazovat, můžete příslušnou vrstvu vypnout.

  • Font

    Zvolte font, kterým mají být zobrazovány výšky bodů.

Čtvercová síť:

  • Vzdálenost křížků

    V editačním okně můžete nastavit vzdálenost křížků čtvercové sítě v metrech.

  • Rozměr křížků

    Zde můžete definovat velikost křížků na plánu (v milimetrech).

  • Umístit do vrstvy

    Zvolte číslo vrstvy, do níž chcete umístit křížky čtvercové sítě. Nechcete-li je zobrazovat, můžete příslušnou vrstvu vypnout.

Předcházející | Domů | Další
Parametry zobrazení | Nahoru | Vyplň


Vyplň
Předcházející Kapitola 34. Menu Plán Další

Vyplň

Měřítko zobrazení je upraveno tak, aby byl plán v okně viditelný celý najednou.

Předcházející | Domů | Další
Kapitola 34. Menu Plán | Nahoru | Zvětši


Zvětši
Předcházející Kapitola 34. Menu Plán Další

Zvětši

Měřítko zobrazení j 1.5x zvětšeno.

Předcházející | Domů | Další
Vyplň | Nahoru | Zmenši


Zmenši
Předcházející Kapitola 34. Menu Plán Další

Zmenši

Měřítko zobrazení j 1.5x zmenšeno.

Předcházející | Domů | Další
Zvětši | Nahoru | Překresli


Překresli
Předcházející Kapitola 34. Menu Plán Další

Překresli

Aktuální okno je překresleno.

Předcházející | Domů | Další
Zmenši | Nahoru | Výřez


Výřez
Předcházející Kapitola 34. Menu Plán Další

Výřez

Obsah ohrady je zvětšen na celou plochu okna. Jestliže ohrada ještě nebyla vytvořena, můžete ji po vyvolání tohoto příkazu umístit. Nastavte kurzor na jeden roh požadované ohrady, stiskněte levé tlačítko myši, podržte jej a přejeďte na druhý roh. Tam levé tlačítko myši uvolněte.

Předcházející | Domů | Další
Překresli | Nahoru | Výběr elementů


Výběr elementů
Předcházející Kapitola 34. Menu Plán Další

Výběr elementů

Tímto příkazem zrušíte předchozí režim (kreslení, mazání elementů, apod.). Režim výběru elementů je vhodný pro ukazování bodů pro výpočetní dialogová okna.

Předcházející | Domů | Další
Výřez | Nahoru | Mazání elementů


Mazání elementů
Předcházející Kapitola 34. Menu Plán Další

Mazání elementů

Po této volbě je (není-li označen žádný element) zobrazen kurzor s otazníkem. Když pomocí levého nebo prostředního tlačítka myši označíte element, který chcete smazat, změní se kurzor myši. Chcete-li element skutečně smazat, stiskněte levé tlačítko myši. Nechcete-li jej smazat, stiskněte pravé tlačítko.

Předcházející | Domů | Další
Výběr elementů | Nahoru | Spojování bodů


Spojování bodů
Předcházející Kapitola 34. Menu Plán Další

Spojování bodů

Spojovat můžete pouze již existující body, konec čáry nemůžete umístit mimo bod. Nemusíte mít tedy obavy o správné "chycení na bod", program jiné umístění čar neumožňuje. Po chycení na bod program začne kreslit čáru od bodu k okamžité pozici kurzoru. Při pohybu kurzorem se čára automaticky mění. Umístíte ji chycením na koncový bod, kreslení ukončíte stisknutím pravého tlačítka myši.

Předcházející | Domů | Další
Mazání elementů | Nahoru | Ohrada


Ohrada
Předcházející Kapitola 34. Menu Plán Další

Ohrada

Příkaz slouží k umisťování "ohrady" (obdélníkového rámečku), která slouží k výstupu na plotter.

Předcházející | Domů | Další
Spojování bodů | Nahoru | Odečítání souřadnic


Odečítání souřadnic
Předcházející Kapitola 34. Menu Plán Další

Odečítání souřadnic

Zapnete-li odečítání souřadnic, program při pohybu kurzorem myši nad plánem automaticky vypisuje jeho souřadnice.

Předcházející | Domů | Další
Ohrada | Nahoru | Kapitola 35. Menu Bitová mapa


Kapitola 35. Menu Bitová mapa
Předcházející Část II. Referenční příručka Další

Kapitola 35. Menu Bitová mapa

Toto menu obsahuje příkazy pro práci s rastrovými daty.

Transformační klíč

Po zvolení tohoto příkazu program zobrazí dialogové okno, v němž můžete definovat transformační klíč pro převod grafických souřadnic do zvolené soustavy.

Dialogové okno se ovládá stejným způsobem, jako výpočetní okna. Podrobný postup určení transformačního klíče je popsán v uživatelské příručce.

Předcházející | Domů | Další
Odečítání souřadnic | Nahoru | Digitalizace


Digitalizace
Předcházející Kapitola 35. Menu Bitová mapa Další

Digitalizace

Po zvolení tohoto příkazu program zobrazí dialogové okno, pomocí něhož můžete odečítat souřadnice bodů ve vámi zvolené souřadnicové soustavě. Před zahájením digitalizace musíte nejprve určit transformační klíč.

Dialogové okno se ovládá stejným způsobem, jako výpočetní okna. Podrobný postup digitalizace je popsán v uživatelské příručce.

Předcházející | Domů | Další
Kapitola 35. Menu Bitová mapa | Nahoru | Část III. Přílohy


Část III. Přílohy
Předcházející Další

Přílohy

Obsah

36. Parametry při spuštění
37. Instalace v síti
Instalace v síti
Konfigurační soubor
Síťový konfigurační soubor
38. Typy datových souborů
39. Struktura souboru pro nastavení databází
Prvek <profile>
Prvek <server>
Prvek <table>
Prvek <column>
40. Komunikace se systémem MicroStation
Konfigurace systému MicroStation
Konfigurační soubory MDL modulů
Spuštění systému GROMA z MicroStation
Komunikace GROMA - MicroStation
Informace o bodech
Kódování bodů
Konfigurace komunikačního modulu
Další funkce modulů
41. Formáty vstupních souborů s naměřenými údaji
42. Vstupní / výstupní textový formát
Alfanumerické znaky
Symboly datových položek
Šířka formátovaných údajů
Počet desetinných míst
Další nastavení
Příklady výstupního formátu
Zvláštnosti vstupního formátu
Načítání pomocí pevného formátu
Načítání pomocí volného formátu
Předcházející | Domů | Další
Digitalizace | Nahoru | Kapitola 36. Parametry při spuštění


Kapitola 36. Parametry při spuštění
Předcházející Část III. Přílohy Další

Kapitola 36. Parametry při spuštění

Při spouštění programu GROMA můžete specifikovat na příkazové řádce různé parametry. Parametry jsou odděleny mezerou a označeny znakem - nebo /.

Tabulka 36.1. Parametry při spuštění

Parametr | Význam
-u | Název konfiguračního souboru i s cestou. Příklad: -u=h:\cfg\groma.ini
-s | Nezobrazí při spouštění obrázek.
-parent | Spustí systém GROMA jako aplikaci specifikovaného systému. Příklad: -parent=MicroStation
-nochild | Aplikace nebude spuštěna jako potomek řídící aplikace (MicroStation). Její okno tedy nebude stále na vrchu řídící aplikace, ale bude se chovat jako nezávislá aplikace (takže po kliknutí do řídící aplikace Groma zmizí pod ni, jako je to běžné u jiných aplikací). Tento režim snižuje riziko nekompatibility Gromy s řídící aplikací a z ní vyplývající problémy, např. se správou oken MicroStationu, apod.
-log | V adresáři pro dočasné soubory, do něhož ukazuje proměnná TEMP, bude vytvořen protokol o spuštění systému Groma. Pomocí něho lze diagnostikovat případné problémy při spouštění.
-demo | Spustí systém v demonstračním režimu.
-net | Spustí Gromu jako síťovou (bude hledán síťový hardwarový klíč).

Všechny parametry na příkazové řádce, které nejsou uvozeny znaky - nebo /, jsou chápány jako názvy souborů, které mají být otevřeny.

Předcházející | Domů | Další
Část III. Přílohy | Nahoru | Kapitola 37. Instalace v síti


Kapitola 37. Instalace v síti
Předcházející Část III. Přílohy Další

Kapitola 37. Instalace v síti

Systém GROMA je navržen pro bezproblémovou instalaci a chod v prostředí počítačových sítí. Program lze instalovat z libovolné stanice nebo serveru v síti na sdílený disk a spouštět z libovolné jiné stanice.

Instalace v síti

Systém GROMA lze instalovat z libovolné síťové stanice nebo serveru na kterýkoli sdílený disk. Instalační program neukládá žádné informace do registry ani do systému Windows. Jediná úprava na stanici, z níž je GROMA instalována, je vytvoření položky ve Start menu.

Při instalaci lze použít standardní označení cesty pomocí namapovaného síťového disku označeného písmenem jednotky, stejně jako standardní UNC cesty (definice pomocí názvu síťového serveru, např. \\server\c\Groma9).

Systém GROMA lze spouštět z kterékoli stanice v síti, z níž je přístupný sdílený adresář, v němž je GROMA instalována. Při spouštění lze použít standardní označení cesty pomocí namapovaného síťového disku označeného písmenem jednotky (např. x:\Groma9\groma.exe), stejně jako standardní UNC cesty (definice pomocí názvu síťového serveru, např. \\server\c\Groma9\groma.exe).

Jediná úprava, kterou je vhodné provést na stanicích, odkud má být GROMA spouštěna, je vytvoření ikony, případně položky v nabídce Start.

Předcházející | Domů | Další
Kapitola 36. Parametry při spuštění | Nahoru | Konfigurační soubor


Konfigurační soubor
Předcházející Kapitola 37. Instalace v síti Další

Konfigurační soubor

Systém GROMA si veškerá nastavení ukládá do textového konfiguračního souboru. Konfigurační soubor je umístěn na standardní místo dané typem operačního systému nebo lze jeho umístění definovat explicitně.

Standardní umístění konfiguračního souboru

Systém GROMA si veškerá nastavení ukládá do textového konfiguračního souboru. Není-li umístění souboru explicitně určeno, bude umístěn na standardní místo dané typem operačního systému:

  • Windows NT, 2000, XP, Vista: V těchto operačních systémech je pro umístění konfiguračního souboru použita systémová proměnná %USERPROFILE%. Tato proměnná ukazuje do privátního adresáře přihlášeného uživatele, je tedy zaručeno, že má každý uživatel systému vlastní konfiguraci.

  • Windows 95, 98 a ME: V těchto operačních systémech není systémová proměnná %USERPROFILE% nastavena, konfigurační soubor tedy bude umístěn přímo do systému Windows.

Vynucené umístění konfiguračního souboru

Pokud z nějakého důvodu nevyhovuje standardní umístění konfiguračního souboru, lze explicitně stanovit jiné umístění. Důvodem může být např. potřeba umístit konfigurační soubor na síťový disk do domovského adresáře uživatele, aby měl stejnou konfiguraci při přihlášení z libovolné stanice v síti. Umístění konfiguračního souboru lze nastavit dvěma způsoby:

Definice konfiguračního souboru pomocí parametru při spouštění

Umístění souboru lze nastavit pomocí parametru -u=nazevsouboruscestou. Tento parametr je třeba zadat v definici příkazové řádky ikony nebo záznamu v nabídce start. Parametry se oddělují alespoň jednou mezerou od názvu programu.

Obsahuje-li cesta ke konfiguračnímu souboru mezery, je třeba ji (nebo celý parametr) uzavřít do uvozovek (např. -u="nazev souboru s cestou a mezerami" nebo "-u=nazev souboru s cestou a mezerami")

Při definici cesty lze použít systémových proměnných nebo položek z registry. Názvy proměnných se uzavírají mezi znaky %%, položky registry do lomených závorek < a >. Tyto názvy budou nahrazeny příslušnými hodnotami.

Poznámka

Položky registry jsou brány z HKEY_CURRENT_USER.

Příklady:

c:\Groma9\Groma.exe -u=h:\Konfigurace\groma.ini

c:\Groma9\Groma.exe -u=%USERPREFS%\groma.ini

c:\Groma9\Groma.exe -u="<Software\Microsoft\Windows\CurrentVersion\Explorer\Shell Folders\Local Settings>\groma.ini"

Vynucené umístění konfiguračního souboru v souboru network.ini

Namísto parametru při spouštění lze umístění konfiguračního souboru definovat v souboru network.ini, který se nachází v adresáři systému GROMA. Výhoda tohoto způsobu nastavení spočívá v tom, že není třeba upravovat všechny ikony na všech počítačích v síti (soubor network.ini je společný pro celou instalaci). Další výhodou tohoto způsobu je to, že se nastavení vztahuje i na všechny rozšiřující moduly systému GROMA.

Vzhledem k tomu, že se toto nastavení vztahuje i na všechny moduly systému GROMA, které používají vlastní konfigurační soubory, lze tímto způsobem definovat pouze cestu ke konfiguračnímu souboru, nikoli jeho název (který je pro každou komponentu systému jiný).

Umístění souboru se definuje pomocí proměnné ConfigFilePath souboru network.ini . V této proměnné se zadává cesta, kam má být konfigurační soubor umístěn. Je lhostejno, zda je cesta ukončena zpětným lomítkem, nebo ne. K této cestě systém doplní konkrétní název konfiguračního souboru pro příslušnou komponentu.

Zásady použití systémových proměnných a položek z registry jsou shodné, jako při definici na příkazové řádce.

Kontrola umístění konfiguračního souboru

Chcete-li zjistit aktuální umístění konfiguračního souboru, postupujte následujícím způsobem:

  1. V nabídce systému GROMA zvolte příkaz Nápověda - O programu.

  2. V zobrazeném dialogovém okně stiskněte tlačítko (Další). Pokud v okně toto tlačítko není, stiskněte kombinaci kláves <Shift-Ctrl> a dvakrát klepněte do obrázku.

    V dalším zobrazeném dialogovém okně naleznete název konfiguračního souboru pod položkou Preference File. Bude-li název s cestou delší, nezobrazí se celý. Potom je třeba ukázat do okénka myší a posouvat kurzorem tak, aby bylo možno celou cestu přečíst.

Vzorový konfigurační soubor

Pokud systém GROMA nenalezne konfigurační soubor uživatele na příslušném místě (na standardním místě nebo na místě určeném některým z výše uvedených způsobů), zkopíruje uživateli základní soubor s nastaveními. Tento soubor je umístěn v adresáři s instalací systému GROMA a má název groma.ini.

Pokud chcete některá základní nastavení změnit, můžete vzorový konfigurační soubor upravit, nebo do systému GROMA zkopírovat jako vzorový soubor některého uživatele. Všichni uživatelé, kteří ještě vlastní konfiguraci nemají, dostanou potom kopii této základní konfigurace.

Předcházející | Domů | Další
Kapitola 37. Instalace v síti | Nahoru | Síťový konfigurační soubor


Síťový konfigurační soubor
Předcházející Kapitola 37. Instalace v síti Další

Síťový konfigurační soubor

Pokud provozujete systém GROMA v prostředí počítačové sítě, některá nastavení, zejména týkající se síťového provozu, lze nastavit centrálně v souboru network.ini. Jedná se o textový soubor, který lze editovat libovolným textovým editorem. Program bere v úvahu pouze řádky, které nezačínají středníkem. Řádky začínající středníkem jsou považovány za komentáře a jsou ignorovány. Tyto řádky obsahují stručný popis a možnosti nastavení jednotlivých parametrů. Řádky s nastaveními mají strukturu Název=hodnota.

Tabulka 37.1. Seznam proměnných souboru network.ini

Název | Popis
Network | Nastavte hodnotu 1 pro hledání síťového klíče nebo 0 pro hledání lokálního klíče.
KeyType | Typ síťového klíče. Možné hodnoty jsou SPRO nebo C. Klíč typu C již není podporován, všechny současné klíče, bez ohledu na provedení (paralelní nebo USB) jsou typo SPRO.
ServerName | Zde lze zadat IP adresu nebo název počítače, na němž běží licenční server. Běžně by tento parametr neměl být potřeba, licenční server by měl být nalezen automaticky. Toto nastavení ale může vyřešit problém s hledáním klíče v síti, kde se automatické vyhledávání nepodaří, nebo může vyhledávání licenčního serveru výrazně urychlit. V případě použití IP adresy je ale třeba zajistit, aby byla adresa pevná a neměnila se (buď nastavením pevné adresy nebo vhodnou konfigurací DHCP serveru tak, aby přiděloval stále stejnou adresu).
DepartmentName | Tento parametr lze použít v případě více licenčních serverů v jedné síti. Licenční server lze pojmenovat, a pak se lze k němu cíleně připojovat pomocí tohoto názvu. Jednodušší je ale směrování dotazů pomocí IP adresy serveru.
TransportProtocol | Zde lze nastavit, jaký síťový protokol se používá pro hledání licenčního serveru. Standardně je nastaven TCP/IP, který se dnes v sítích využívá téměř výhradně. Další možnosti jsou uvedeny v popisu tohoto parametru přímo v konfiguračním souboru.
ConfigFileLocation | Zde lze centrálně nastavit umístění konfiguračního souboru pro celou sdílenou instalaci. Lze jej umístit např. na soukromý uživatelský disk nebo do uživatelského adresáře. V cestě je možno se odkázat na systémovou proměnnou nebo na položku z regustru. Ukázková nastavení jsou uvedena v konfiguračním souboru.
TcpIpRetryCount | Zde lze nastavit počet pokusů kontaktovat licenční server na protokolu TCP/IP.
TcpIpTimeout | Zde lze nastavit časovou prodlevu v sekunách, jak dlouho systém čeká na odezvu z licenčního serveru.
BlockLiveUpdate | Tímto parametrem lze zakázat funkci automatické aktualizace. Pokud si přejete aktualizovat systém ručně, nikoli automatickými aktualizacemi, nastavte tuto proměnnou na hodnotu 1, a systém nebude po spuštění vyhledávat aktualizace.
Předcházející | Domů | Další
Konfigurační soubor | Nahoru | Kapitola 38. Typy datových souborů


Kapitola 38. Typy datových souborů
Předcházející Část III. Přílohy Další

Kapitola 38. Typy datových souborů

Program GROMA používá k práci různé typy datových souborů. Některé z nich jsou uloženy ve vnitřním formátu programu, některé mají formát univerzální, používaný i jinými programy.

Tabulka 38.1. Přípony souborů používaných v systému GROMA

Přípona souboru | Obsah souboru | Formát
.crd | Souřadnicový soubor | Binární
.crx | Indexový soubor k souřadnicovému souboru | Binární
.mes | Seznam měřených hodnot | Binární
.mex | Indexový soubor k seznamu měřených hodnot | Binární
.prj | Projekt | Textový
.pic | Předpis kresby k souřadnicovému souboru | Binární
.bmp | Bitová mapa pro digitalizaci | Binární
.rnf | Informace k bitové mapě (transformační klíč, atd.) | Binární
.cod | Kódovací tabulka | Textový
.txt | Textový soubor | Textový
.par | Výměra | Textový
.dst | Soubor kontrolních oměrných | Textový
.key | Transformační klíč | Textový
.pol | Polygonový pořad | Textový

V některých situacích program GROMA automaticky vytváří záložní kopie souborů (např. před kompresí, atd.). Vzhledem k tomu, že obvykle pracujete s více soubory stejného jména, rozlišenými pouze příponou, nelze všechny záložní soubory pojmenovávat příponou .bak. Z tohoto důvodu je název záložního souboru vytvořen tak, že se ponechá jméno původního souboru, jako první znak přípony se použije znak "~", a ostatní znaky přípony se posunou o jednu pozici doprava (poslední znak přípony při tom zanikne).

Předcházející | Domů | Další
Síťový konfigurační soubor | Nahoru | Kapitola 39. Struktura souboru pro nastavení databází


Kapitola 39. Struktura souboru pro nastavení databází
Předcházející Část III. Přílohy Další

Kapitola 39. Struktura souboru pro nastavení databází

V systému Groma si můžete přednastavit parametry připojení k různým databázím, a při připojování pouze vybírat ze seznamu přednastavených připojení. Jediný údaj, který nelze přednastavit a který je třeba vždy zadat ručně, je přihlašovací heslo.

Soubor, který obsahuje všechna nastavení, je uložen v podadresáři sql hlavního adresáře systému Groma a má název db.ini. Soubor je ve formátu XML (Extensible Markup Language). Podrobný popis jazyka XML je mimo rozsah této příručky. Veškeré informace o jazyce XML lze nalézt na stránkách mezinárodního konsorcia W3C, které se zabývá standardizací na internetu (http://www.w3.org/XML/). Pro potřeby systému Groma však podrobná znalost jazyka XML není nezbytná. Instalace obsahuje ukázkový soubor db.ini, který lze pouze upravovat.

Při upravování je třeba zachovat strukturu souboru. Zejména je třeba dodržet podmínku, že všechny elementy souboru musí být správně uzavřeny. To znamená, že ke každé otevírací značce ve formátu

<znacka>

musí být v dokumentu na odpovídajícím místě i uzavírací značka

</znacka>

Pokud prvek neobsahuje žádné další prvky, ale pouze atributy, lze jej uzavřít i zkráceným způsobem, tj. zapsáním znaku / přímo do otevírací značky prvku:

<znacka atribut1="data" atribut2="data" />

Struktura souboru je následující:

  • <groma_db>

    • <structures>

      • <structure>

        • <table type="project">

          • <column />

          • <column />

          • ...

        • </table>

        • <table type="points">

          • <column />

          • <column />

          • ...

        • </table>

      • </structure>

    • </structures>

    • <profiles>

      • <profile>

        • <server />

        • <schema />

      • </profile>

    • </profiles>

  • </groma_db>

Definice struktury databázových tabulek jsou popsány v sekci <structures>. Každá definice databázového připojení je popsána v prvku <profile>. Prvek <profile> obsahuje prvek <server>, v jehož atributech je popsáno připojení k serveru a prvek <schema>, v němž je připojení přiřazena příslušná databázoví struktura.

Prvek <profile>

Tabulka 39.1. Atributy prvku <profile>

Název atributu | Popis
name= | Název profilu. Tento název se zobrazí v dialogovém okně systému Groma při připojování k databázi. Pomocí tohoto názvu si vybíráte ze seznamu přednastavených připojení.
descrip= | Popis připojení. Zde lze zadat podrobnější popisné informace i připojení, které budou zobrazeny v dialogovém okně při připojování.

Tabulka 39.2. Struktura prvku <profile>

Název prvku | Popis
<server> | Tento prvek obsahuje parametry připojení k databázovému serveru. Prvek profile musí obsahovat právě jeden prvek server. Prvek je prázdný, veškeré nastavení je obsaženo v jeho atributech.
<table> | Tento prvek obsahuje popis struktury databázové tabulky. Definice profilu musí obsahovat dvě tabulky: tabulku projektů a tabulku bodů.

Předcházející | Domů | Další
Kapitola 38. Typy datových souborů | Nahoru | Prvek <server>


Prvek <server>
Předcházející Kapitola 39. Struktura souboru pro nastavení databází Další

Prvek <server>

Tabulka 39.3. Atributy prvku <server>

Název atributu | Popis
type= Typ databázového serveru. Lze nastavit tyto hodnoty:

  • oracle - Oracle 8i, 9, 9i

  • oracle_cuzk - Oracle ISKN (pro ČÚZK)

  • mssql - Microsoft SQL Server

  • mysql - MySQL server

  • msaccess - Microsoft Access
db= | Název databáze nebo služby, ke které se má systém Groma připojit. V připojovacím řetězci lze použít pod proměnnou db
driver= | Název ODBC driveru, tak, jak je definován v nastavení ODBC v ovládacích panelech. V připojovacím řetězci lze použít pod proměnnou driver
connect= Připojovací řetězec pro připojení k databázi. Syntaxe připojovacího řetězce je závislá na typu databázového serveru, podrobnosti lze nalézt v dokumentaci k příslušnému ODBC driveru. V připojovacím řetězci lze použít proměnné zastupující některé hodnoty. Název proměnné je třeba v řetězci uzavřít mezi znaky #. Lze použít tyto proměnné:

  • driver - Název ODBC driveru (atribut driver prvku server)

  • db - Název databáze nebo databázové služby (atribut db prvku server)

  • uid - Přihlašovací jméno (zadává se v přihlašovacím dialogu)

  • pwd - Přihlašovací heslo (zadává se v přihlašovacím dialogu)

Příklad: connect="DRIVER={#driver#};DBQ=#db#;UID=#uid#;PWD=#pwd#;DBA=W"

Tabulka 39.4. Struktura prvku <server>

Prvek <server> obsahuje pouze atributy.

Předcházející | Domů | Další
Kapitola 39. Struktura souboru pro nastavení databází | Nahoru | Prvek <table>


Prvek <table>
Předcházející Kapitola 39. Struktura souboru pro nastavení databází Další

Prvek <table>

Tabulka 39.5. Atributy prvku <table>

Název atributu | Popis
type= Typ tabulky. Systém Groma podporuje následující typy tabulek:

  • project - Tabulka s definicí projektů

  • points - Tabulka s body
def_table_name= | Název tabulky v databázi.

Tabulka 39.6. Struktura prvku <table>

Název prvku | Popis
<column> | Tento prvek obsahuje informace o příslušném sloupci v databázi.

Předcházející | Domů | Další
Prvek <server> | Nahoru | Prvek <column>


Prvek <column>
Předcházející Kapitola 39. Struktura souboru pro nastavení databází Další

Prvek <column>

Tabulka 39.7. Atributy prvku <column>

Název atributu | Popis
type= Typ údaje, který je ve sloupečku uveden. Údaje uvedené tučně jsou povinné.

Údaje pro tabulku bodů:

  • id - identifikátor položky v databázi

  • number - úplné číslo bodu

  • project_id - identifikátor projektu

  • x - souřadnice X

  • y - souřadnice Y

  • z - souřadnice Z

  • num - číslo bodu

  • zpmz - číslo ZPMZ

  • tl - číslo TL

  • prec - kód kvality

  • created - datum vytvoření

  • updated - datum modifikace

  • ku - kód KÚ

  • pnt_state - stav dat

Údaje pro tabulku projektů:

  • id - identifikátor položky v databázi

  • name - název projektu

  • ...dále lze definovat libovolné další údaje. Příklad je uveden ve vzorovém souboru db.ini dodaném s instalací systému Groma.
name= | Název sloupečku v databázi.
descrip= | Popis údaje. Tyto popisy se objevují např. v dialogovém okně pro zadávání a editaci projektů.
source=

Pokud má být položka v definici projektu převzata z číselníku a nabídnuta ve formě seznamu (např. definice seznamu souřadnic), lze všechny přípustné hodnoty uložit do samostatné tabulky v databázi a zde zadat SQL příkaz, kterým lze seznam hodnot z databáze načíst. SQL příkaz musí vrátit pro každou položku dvě hodnoty - identifikátor a popis. Popis je zobrazen v nabídce, identifikátor bude uložen do databáze.

Např. pro definici souřadnicové soustavy lze vytvořit tabulku SOURSYST (ID, POPIS), do ní vložit hodnoty (1, "S-JTSK") a (2, "místní"). Potom lze v definici projektu u položky souřadnicového systému nastavit atribut source="SELECT ID,POPIS FROM SOURSYST". V dialogovém okně s definicí projektu bude na místě souřadnicového systému zobrazen seznam všech položek z tabulky SOURSYST, v tomto případě S-JTSK a místní.
value= | Způsob přiřazení hodnoty. Tento atribut se může objevit pouze ve sloupečku typu id. Je-li nastaven na hodnotu auto, znamená to, že přidělování hodnot do této položky je řešeno automaticky na úrovni databáze (např. pomocí triggerů, sekvencí nebo AutoIncrement). Podrobnější informace lze nalézt v Uživatelské příručce.

Tabulka 39.8. Struktura prvku <column>

Prvek <column> obsahuje pouze atributy.

Předcházející | Domů | Další
Prvek <table> | Nahoru | Kapitola 40. Komunikace se systémem MicroStation


Kapitola 40. Komunikace se systémem MicroStation
Předcházející Část III. Přílohy Další

Kapitola 40. Komunikace se systémem MicroStation

Systém GROMA obsahuje podporu komunikace s grafickým systémem MicroStation resp. PowerDraft. Tato komunikace probíhá na základě DDE (Dynamic Data Exchange), je tedy přístupná pouze ve verzích pro MS Windows. V dalším textu budou oba tyto grafické systémy společně označovány názvem MicroStation.

Konfigurace systému MicroStation

Před zahájením komunikace je třeba zkonfigurovat systém MicroStation tak, aby byl s programem GROMA schopen spolupracovat. Tato konfigurace se skládá ze tří částí:

  1. Zkopírujte konfigurační soubor GROMA.CFG z adresáře Groma9\SUPPORT do adresáře CONFIG\APPL systému MicroStation, do něhož se ukládají konfigurace aplikací. Celá cesta závisí na názvu adresáře, kde je MicroStation instalován. Může vypadat např. takto:

    C:\USTATION\CONFIG\APPL\

  2. Pokud jste instalovali systém GROMA jinam, než do nabízeného implicitního adresáře C:\Groma9, v konfiguračním souboru GROMA.CFG upravte proměnnou GROMA tak, aby obsahovala cestu do tohoto adresáře. (např. C:/Groma9/)

    Důležité

    Tato cesta musí být vždy ukončena znakem lomeno.

    Chcete-li systém GROMA spustit s nějakým parametrem na příkazové řádce, uveďte tento parametr do proměnné GROMA_CMDLINE před nebo za již existující parametry, oddělený mezerou. Napíšete-li parametr přímo k názvu souboru GROMA.EXE, bude celý název chápán jako název souboru a systém GROMA nepůjde spustit.

  3. Z adresáře Groma9\SUPPORT zkopírujte MDL moduly (soubory s příponou .MA) do adresáře MDLAPPS systému MicroStation (adresář, v němž jsou uloženy aplikace).

Předcházející | Domů | Další
Prvek <column> | Nahoru | Konfigurační soubory MDL modulů


Konfigurační soubory MDL modulů
Předcházející Kapitola 40. Komunikace se systémem MicroStation Další

Konfigurační soubory MDL modulů

MDL moduly systému GROMA si automaticky ukládají konfiguraci na disk. Konfigurační soubory mají název shodný s názvem modulu a příponu .UPF. Standardně jsou tyto soubory ukládány do adresáře, do něhož ukazuje proměnná systému MicroStation _USTN_USER (obvykle se jedná o adresář USTATION\CONFIG\USER\). Přejete-li si ukládat konfigurační soubory někam jinam (např. aby měl každý uživatel při víceuživatelské konfiguraci svoje nastavení), definujte v systému MicroStation proměnnou GROMA_USERPREFS a nastavte v ní cestu do požadovaného adresáře. Všechny konfigurace potom budou ukládány tam.

Předcházející | Domů | Další
Kapitola 40. Komunikace se systémem MicroStation | Nahoru | Spuštění systému GROMA z MicroStation


Spuštění systému GROMA z MicroStation
Předcházející Kapitola 40. Komunikace se systémem MicroStation Další

Spuštění systému GROMA z MicroStation

Jestliže byla správně provedena instalace a konfigurace podle předchozího odstavce, můžete systém GROMA spustit z MicroStation příkazem MDL LOAD GROMA. Tento příkaz můžete doplnit jako položku do menu nebo paletu systému MicroStation. Po vyvolání tohoto příkazu je zobrazeno malé komunikační okno systému MicroStation s názvem GROMA a je automaticky spuštěn systém GROMA, který se chová jako aplikace pro MicroStation (je stále navrchu, i když pracujete v systému MicroStation). Podle potřeby můžete hlavní okno programu GROMA zvětšit na celou obrazovku nebo minimalizovat na ikonu.

Systém PowerDraft bohužel neumožňuje spouštění externích aplikací, je tedy nutno spustit systém GROMA ve dvou krocích:

  1. Spusťte komunikační modul ze systému GROMA výše uvedeným způsobem.

  2. Spusťte systém GROMA s parametrem /parent=PowerDraft. Můžete si vytvořit ikonu pro spouštění s tímto parametrem.

Po spuštění GROMA automaticky naváže komunikaci s modulem v systému PowerDraft. Dále se již vše chová stejně jako v systému MicroStation.

Předcházející | Domů | Další
Konfigurační soubory MDL modulů | Nahoru | Komunikace GROMA - MicroStation


Komunikace GROMA - MicroStation
Předcházející Kapitola 40. Komunikace se systémem MicroStation Další

Komunikace GROMA - MicroStation

Přetahování bodů

Chcete-li zobrazit body ve výkresu, můžete je přetahovat myší na plochu okna MicroStation stejně, jako se přetahují mezi datovými okny a do výpočtů. Můžete přetahovat jednotlivé body i skupiny označených bodů. Po přetažení jsou body okamžitě zobrazeny ve výkresu.

Ukazování bodů ve výkresu

Pro výpočetní úlohy nebo při ukládání bodů do seznamu souřadnic můžete body ukazovat myší ve výkresu. Postupujte podle těchto bodů:

  1. Zvolte požadovanou úlohu (výpočetní funkce, přidávání bodů do seznamu, apod.).

  2. U položky, kterou chcete ukázat ve výkresu, stiskněte tlačítko se šipkou. Tlačítko zůstane stisknuté a zobrazí se červeně. V komunikačním okně MicroStation se objeví hlášení Odečítání souřadnic.

  3. Ukažte bod ve výkresu stisknutím tlačítka <Tentative> a potvrďte tlačítkem <Data>. Souřadnice budou automaticky přeneseny do dialogového okna systému GROMA.

Spojování podle čísel bodů

Chcete-li spojovat body ze seznamu souřadnic podle čísel, postupujte takto:

  1. Otevřete v systému GROMA příslušný seznam souřadnic.

  2. Příkazem Souřadnice->Spojování podle čísel otevřete dialogové okno pro spojování bodů.

  3. V systému MicroStation zvolte kreslení elementu, kterým chcete body spojovat (obvykle Line, Line String, ale může být obecně cokoli - oblouk, křivka nebo i umisťování značek).

  4. Do dialogového okna pro spojování bodů zadávejte postupně čísla bodů, které chcete spojit. Po stisknutí klávesy <Enter> program vyhledá souřadnice v seznamu (seznamech) souřadnic a odešle je do systému MicroStation, jehož další chování závisí na zvolené funkci (kreslení čáry, křivky, umístění značky, apod.).

Předcházející | Domů | Další
Spuštění systému GROMA z MicroStation | Nahoru | Informace o bodech


Informace o bodech
Předcházející Kapitola 40. Komunikace se systémem MicroStation Další

Informace o bodech

Systém GROMA umožňuje přímo do výkresu ukládat informace o bodech. Tyto informace se ukládají pomocí tzv. User Data Linkage do zvláštních prvků typu PointString. Tyto informace mohou být využity pro některé další funkce:

Dynamické zobrazování čísel bodů

Čísla, výšky a kódy bodů, uložené v těchto prvcích, mohou být dynamicky zobrazovány na obrazovce. Je-li toto zobrazování zapnuto, je u každého bodu zobrazeno dle nastavení číslo, popř. i výška a kód. Tyto informace nejsou součástí výkresu, zmizí tedy automaticky po smazání bodu, a při jeho přesouvání se pohybují automaticky s ním. Navíc mají tyto popisy stále konstantní velikost, která se nemění při zvětšování a zmenšování.

Výpis seznamu souřadnic

Na základě těchto informací lze kdykoli vygenerovat textový seznam souřadnic s původními čísly bodů a aktuálními souřadnicemi převzatými z kresby. Při tom se zachovávají i původní výšky bodů, a to i v 2D výkresech.

Vygenerování popisů

Při importu ze seznamu souřadnic je často výhodné vytvořit ve výkresu pouze prvky typu PointString s informacemi o bodech. Je-li kresba hotova, lze dávkově k těmto prvkům vygenerovat popisy dle nastavených atributů.

Předcházející | Domů | Další
Komunikace GROMA - MicroStation | Nahoru | Kódování bodů


Kódování bodů
Předcházející Kapitola 40. Komunikace se systémem MicroStation Další

Kódování bodů

Systém GROMA umožňuje při importu souřadnic do výkresu kromě textových popisů automaticky umisťovat bodové značky. Připojíte-li si v systému GROMA kódovací tabulku, která převádí vámi registrované kódy na názvy značek (buněk) systému MicroStation, budou při importu nalezené značky automaticky umístěny na body. Značky jsou vytvořeny dle atributů nastavených v dialogovém okně Nastavení->Atributy. Přejete-li si pro každou značku samostatné nastavení (např. chcete-li umístit značky do různých vrstev), připojte v kódovací tabulce další atributy za název značky oddělené znakem & v tomto pořadí:

Název_značky&vrstva&barva&tloušťka&styl

Vynecháte-li některý z atributů (znak & musí být uveden), bude příslušný atribut převzat ze standardního nastavení.

Příklad:

soupe&21&1&2&0

značka soupe, vrstva 21, barva 1, tloušťka 2 a styl 0,

soupe&21&&2&0

značka soupe, vrstva 21, barva dle nastavení atributů, tloušťka 2 a styl 0.

Předcházející | Domů | Další
Informace o bodech | Nahoru | Konfigurace komunikačního modulu


Konfigurace komunikačního modulu
Předcházející Kapitola 40. Komunikace se systémem MicroStation Další

Konfigurace komunikačního modulu

Atributy zobrazení bodů ve výkresu lze nastavit pomocí příkazu Nastavení->Atributy a Nastavení->Souřadnice.

Atributy zobrazení

V tomto dialogovém okně můžete definovat, jakými atributy budou body ve výkresu zobrazeny. Můžete vypínat a zapínat zobrazení bodu, předčíslí, čísla, výšky, kódu (textového) a značky na bodě (dle kódu). Pro každý tento prvek můžete zvolit vrstvu, barvu, popř. velikost, font a umístění.

Můžete si sestavit až 20 pojmenovaných sad konfigurací. Chcete-li definovat sadu konfigurací, nastavte všechny atributy, zadejte název konfigurace do okénka Název a stiskněte tlačítko (Uložit). Sada nastavení bude přidána do seznamu. Chcete-li některou sadu nastavení smazat, ukažte na ni v seznamu a stiskněte tlačítko (Smazat). Aktivní sadu nastavení zvolíte ukázáním myší v seznamu.

Poznámka

Poslední sadu nastavení nelze smazat, vždy musí být definována alespoň jedna sada.

Zvolíte-li pro předčíslí i číslo stejné umístění (např. uprostřed nahoře), bude ve výkresu zobrazeno úplné číslo ve formě předčíslí-číslo (oddělené pomlčkou).

Velikosti textů se zadávají v milimetrech na výsledné kresbě, skutečná velikost ve výkresu je vypočtena dle měřítka nastaveného v tomto dialogovém okně.

Zapnete-li volbu Připojit informace o bodu, je při importu na každém bodě vytvořen zvláštní element typu PointString. Tento element má pomocí User Data Linkage připojeny informace o bodě, tj. číslo, předčíslí a výšku. Jsou-li tyto informace ve výkresu uloženy, lze je s výhodou využít pro další práci. Mohou být dynamicky zobrazovány čísla bodů a výšky, a může být dodatečně vygenerován seznam souřadnic, který obsahuje původní čísla bodů a aktuální souřadnice z výkresu.

Volbu Texty nezávislé na pohledu lze s výhodou použít při práci v 3D. Je-li zapnuta, jsou vytvořené textové elementy nezávislé na natočení pohledu, tj. jsou vždy čitelné ve všech pohledech (v půdorysu, bokorysu i obecných pohledech).

Nastavení souřadnic

V tomto dialogovém okně můžete nastavit, jakým způsobem mají být skutečné souřadnice převedeny na výkresové. Lze nastavit redukci souřadnic, koeficienty, kterými budou souřadnice vynásobeny, popř. záměnu X a Y. Implicitně je modul přednastaven pro způsob běžný při práci v MicroStation (aby se dosáhlo správné orientace os, je zaměněna souřadnice X a Y a obě jsou přenásobeny koeficientem -1).

Předcházející | Domů | Další
Kódování bodů | Nahoru | Další funkce modulů


Další funkce modulů
Předcházející Kapitola 40. Komunikace se systémem MicroStation Další

Další funkce modulů

Kromě vlastního přetahování bodů do výkresu lze využít i další funkce, které komunikační moduly nabízejí. Tyto funkce jsou dostupné z nabídky Soubor.

Načtení seznamu souřadnic

Kromě přetahování bodů myší ze systému GROMA můžete pomocí tohoto modulu přímo načíst seznam souřadnic v textovém tvaru. Po vyvolání příkazu Soubor->Načíst je zobrazeno dialogové okno, v němž nastavíte typ textového souboru (pořadí souřadnic). Po stisknutí tlačítka (Vybrat) můžete zvolit soubor pro import. Jestliže vypnete tlačítko Zapsat do výkresu, budou body pouze zobrazeny na obrazovce, a po jejím překreslení zmizí. Tuto volbu lze použít pro kontrolu správnosti nastavených parametrů, apod.

Vytvoření bodu ve výkresu

Chcete-li vytvářet jednotlivé body ve výkresu, zvolte příkaz Soubor->Vytvořit bod. Program zobrazí dialogové okno, v němž můžete zadat číslo bodu a výšku, a pomocí tlačítka <Data> můžete vytvářet body ve výkresu. Po vytvoření bodu je automaticky zvýšeno číslo bodu o jedničku.

Editace bodu

Pomocí této funkce můžete editovat popisné údaje (předčíslí, číslo, výška, popis) bodů ve výkresu.

Vytvoření popisů

Při importu ze seznamu souřadnic je často výhodné zapnout pouze informaci o bodech, a všechny ostatní položky vypnout. Ve výkresu budou tedy vytvořeny pouze prvky typu PointString. K nim lze zapnout dynamické zobrazování čísel bodů. Při manipulaci s body tedy stačí pohybovat pouze s jedním elementem, popisy se automaticky pohybují s ním. Je-li kresba hotova, lze tímto příkazem dávkově k bodům vygenerovat popisy dle nastavených atributů.

Důležité

Generování popisů se řídí nastavenými atributy. Před dávkovým vygenerováním je tedy třeba nejprve v nastavení atributů požadované prvky (čísla, výšky) zapnout.

Export seznamu souřadnic

Po vyvolání příkazu Soubor->Exportovat seznam souřadnic je zobrazeno dialogové okno, které vám umožní zvolit typ a název výsledného textového seznamu souřadnic. Po stisknutí tlačítka (Zápis) a potvrzení tlačítkem <Data> v příslušném pohledu je vytvořen seznam souřadnic, do něhož jsou zapsány všechny body, u nichž je připojena informace o bodu (viz Atributy zobrazení). Bodu zůstane zachováno původní číslo a dostane aktuální souřadnice z kresby. Tak lze tedy vytvořit aktualizovaný seznam souřadnic, bylo-li s body během tvorby kresby ve výkresu manipulováno

Do souboru budou zapsány pouze ty body, u nichž je informace (PointString) uložena ve vrstvě, která je v daném pohledu zapnutá. Body z vypnutých vrstev do souboru zapsány nebudou.

Je-li ve výkresu umístěna ohrada (Fence), budou do souboru vypsány pouze body ležící v ohradě, jinak bude vypsán obsah celého výkresu.

Přenos bodů do systému GROMA

Pomocí této funkce můžete přenést hromadně body z výkresu do systému GROMA. V systému GROMA zvolte funkci přidání bodu do seznamu, zapněte tlačítko pro grafické odečítání a v systému MicroStation spusťte tuto funkci. Funkci potvrďte stisknutím tlačítka <Data>. Máte-li umístěnu ohradu, budou do seznamu přeneseny body z ohrady, jinak budou přeneseny body z celého výkresu.

Vyhledávání bodů

Tento modul slouží pro vyhledávání bodů ve výkresu pomocí čísel. Zadejte předčíslí a číslo bodu, číslo pohledu, v němž má být nalezený bod zobrazen a velikost hrany pohledu, která definuje zvětšení. Zvolíte-li předem v systému MicroStation nebo v tomto dialogovém okně některou kreslicí funkci (např. kreslení linie), bude požadovaný prvek automaticky kreslen přes vyhledané body.

Dynamické zobrazování čísel bodů

Máte-li na bodech vytvořen prvek typu PointString (byla-li při importu zapnuta volba Připojit informace o bodu), lze zapínat/vypínat dynamické zobrazování popisů. Při dynamickém zobrazování jsou popisy zobrazeny pouze na obrazovce a nejsou uloženy ve výkresu. Pohybujete-li tedy s daným bodem, pohybují se s ním i popisy. Smažete-li bod, zmizí popisy také. Navíc mají popisy konstantní velikost bez ohledu na aktuální měřítko výřezu v okně, nemění se tedy při zvětšování / zmenšování. Toto dynamické zobrazování můžete zapínat / vypínat příkazem Nastavení->Zobrazit body resp. Nastavení->Skrýt body nebo v příkazové řádce příkazem DISP ON resp. DISP OFF. Parametry zobrazení můžete nastavit pomocí příkazu Nastavení->Zobrazení bodů. Zde můžete zvolit velikost textů v pixelech a barvu. Navíc můžete zapnout zobrazování čtverečků na koncových bodech liniových elementů.

Předcházející | Domů | Další
Konfigurace komunikačního modulu | Nahoru | Kapitola 41. Formáty vstupních souborů s naměřenými údaji


Kapitola 41. Formáty vstupních souborů s naměřenými údaji
Předcházející Část III. Přílohy Další

Kapitola 41. Formáty vstupních souborů s naměřenými údaji

Program GROMA umožňuje import naměřených dat z většiny běžně používaných záznamníků. Datové soubory však musí mít určitou strukturu, aby byl program schopen je akceptovat.

Formáty se postupně vyvíjejí, případně se objevují formáty zcela nové, nejsou tedy v této příručce popsány. Při instalaci programu jsou instalovány i vzorové datové soubory, z nichž je obvykle formát patrný. V případě nejasností zodpovíme dotazy telefonicky nebo e-mailem.

Předcházející | Domů | Další
Další funkce modulů | Nahoru | Kapitola 42. Vstupní / výstupní textový formát


Kapitola 42. Vstupní / výstupní textový formát
Předcházející Část III. Přílohy Další

Kapitola 42. Vstupní / výstupní textový formát

Pro vstup/výstup seznamu souřadnic a seznamu naměřených hodnot je použit volně definovatelný textový formát. Předpis formátu můžete definovat v Soubor->Nastavení->Vstupní/výstupní formát souřadnic a Soubor->Nastavení->Vstupní/výstupní formát měření .

Formát se definuje ve víceřádkovém editačním okně.

Předpisy formátu se ukládají do konfiguračního souboru systému GROMA. Pokud používáte sdílenou instalaci systému GROMA pro více uživatelů, můžete společné formáty uložit do konfiguračního souboru formats.ini, který je umístěn v hlavním adresáři systému GROMA. Takto definované předpisy formátu budou mít k dispozici všichni uživatelé sdílené instalace, ale nebudou je moci upravovat.

Přestože program GROMA formálně nerozlišuje vstupní formát od výstupního, mají oba některé specifické vlastnosti, budou tedy popsány samostatně.

Vstupní / Výstupní formát je tvořen dvěma typy údajů:

  • Symboly datových položek

    symboly, místo kterých program GROMA do výsledného formátovaného řádku zapíše příslušné hodnoty (číslo bodu, souřadnice, atd.).

  • Alfanumerické znaky

    program je pouze přepíše do výsledného řádku (oddělovací mezery, čárky, tabelátory, apod.).

Alfanumerické znaky

Alfanumerické znaky jsou při formátování pouze zkopírovány do výstupního souboru. Obvykle se jedná o oddělovací znaky (mezery, čárky, tabelátory, atd.).

Všechny alfanumerické znaky lze do předpisu formátu zapsat přímo, kromě znaků Tabelátor a znak "<". Je to způsobeno zvláštním posláním těchto znaků (tabelátorem se posouváte z editoru formátů na tlačítka v dialogovém okně, a znak "<" slouží k definici symbolů datových položek). Z tohoto důvodu je nutno zapisovat tyto znaky speciálním způsobem:

  • Tabelátor: "\t"

  • Lomená závorka: "<<"

Předcházející | Domů | Další
Kapitola 41. Formáty vstupních souborů s naměřenými údaji | Nahoru | Symboly datových položek


Symboly datových položek
Předcházející Kapitola 42. Vstupní / výstupní textový formát Další

Symboly datových položek

Symboly datových položek jsou textové řetězce, reprezentující příslušné údaje. Při výstupu jsou nahrazeny konkrétními daty ze seznamu.

Zapisují se do lomených závorek ("<" a ">"), čímž jsou jednoznačně odděleny od ostatních alfanumerických znaků.

Některé symboly jsou společné pro formáty souřadnicových souborů a souborů s měřenými daty (číslo bodu, atd.), většina jich je však specifických (viz následující tabulka).

Tabulka 42.1. Symboly datových položek pro seznam souřadnic

Symbol | Popis
<P> | Předčíslí
<N> | Vlastní číslo
<NUM> | Úplné číslo (číslo i předčíslí)
<CODE> | Kód (popis) bodu
<X> | Souřadnice X
<Y> | Souřadnice Y
<Z> | Souřadnice Z
<PREC> | Kód charakteristiky přesnosti
<X2> | Vedlejší souřadnice X
<Y2> | Vedlejší souřadnice Y
<Z2> | Vedlejší souřadnice Z
<PREC2> | Kód charakteristiky přesnosti vedlejších souřadnic
<INFO1> | Doplňující údaj číslo 1
<INFO2> | Doplňující údaj číslo 2
<INFO3> | Doplňující údaj číslo 3
<INFO4> | Doplňující údaj číslo 4
<TYPE> | Typ bodu

Tabulka 42.2. Symboly datových položek pro seznam měření

Symbol | Popis
<P> | Předčíslí
<N> | Vlastní číslo
<NUM> | Úplné číslo (číslo i předčíslí)
<CODE> | Kód (popis) bodu
<HZ> | Vodorovný úhel
<V> | Zenitový úhel
<DH> | Převýšení
<SIG> | Výška cíle (výška stroje)
Předcházející | Domů | Další
Kapitola 42. Vstupní / výstupní textový formát | Nahoru | Šířka formátovaných údajů


Šířka formátovaných údajů
Předcházející Kapitola 42. Vstupní / výstupní textový formát Další

Šířka formátovaných údajů

Za označení datové položky lze do lomených závorek zadat požadovanou šířku formátované hodnoty (požadovaný počet znaků). Nezadáte-li šířku, údaj bude mít minimální nutný počet znaků.

Obsahuje-li předpis formátu text <X:12>, bude výsledný zformátovaný text na příslušné pozici obsahovat souřadnici X v šířce 12 znaků. Údaj bude zarovnán zprava a zleva doplněn mezerami.

Doplnění nulami

Chcete-li, aby byl údaj namísto mezer zleva doplněn nulami, napište jako první znak šířky číslici 0 (tedy např. <X:012>

Přesná šířka - oříznutí

Pokud šířka formátovaného údaje překročí počet znaků zadaný v předpisu formátu, šířka formátu bude automaticky zvětšena a údaj bude zobrazen celý. Přejete-li si z nějakého důvodu striktně zachovat definovanou šířku, zadejte jako první znak šířky znak #, tedy např. <X:#8:4>. V takovém případě bude formátovaný údaj oříznut zleva nebo zprava (dle způsobu zarovnání) na požadovanou šířku.

Znaménko

Přejete-li si, aby bylo u hodnoty uvedeno vždy znaménko, a to i v případě kladných hodnot, zadejte jako první znak šířky znak +, tedy např. <X:+12:4>. V takovém případě bude formátovaný údaj vždy obsahovat kladné nebo záporné znaménko.

Zarovnání

Dle typu údaje program automaticky volí mezi zarovnáním zleva a zprava. Pokud si přejete explicitně určit typ zarovnání, zadejte jako první znak šířky písmeno L pro zarovnání zleva nebo písmeno R pro zarovnání zleva, tedy např. <X:L12:4>.

Předcházející | Domů | Další
Symboly datových položek | Nahoru | Počet desetinných míst


Počet desetinných míst
Předcházející Kapitola 42. Vstupní / výstupní textový formát Další

Počet desetinných míst

Za šířku údaje můžete za další dvojtečku definovat požadovaný počet desetinných míst.

Chcete-li tedy formátovat souřadnici X na šířku 12 znaků a 4 desetinná místa, napište do předpisu formátu text <X:12:4>.

Nedefinujete-li počet desetinných míst, program GROMA použije implicitní formát, tj. čísla a předčíslí celočíselně, ostatní dle nastavení v Soubor->Nastavení->Vstupní/výstupní formát souřadnic .

Předcházející | Domů | Další
Šířka formátovaných údajů | Nahoru | Další nastavení


Další nastavení
Předcházející Kapitola 42. Vstupní / výstupní textový formát Další

Další nastavení

Dialogové okno umožňuje nastavit pro každý formát další parametry:

  • Nedefinované nahradit nulami

    Jestliže není příslušná položka v datech definována, program by na její místo při formátování dosadil mezery. Jestliže vám to nevyhovuje (např. pro další načítání dat jinými programy), můžete zapnout toto nastavení, a program údaje nahradí nulami.

  • Redukovat souřadnice při výstupu

    Při zapnutí této volby program redukuje všechny souřadnice o hodnoty nastavené v Soubor->Nastavení->Redukce.

  • Oddělit řády

    Při zapnutí této volby jsou vždy každé tři řády souřadnice odděleny mezerou.

  • Oddělovač desetinné části dle Windows

    Program použije místo desetinné tečky symbol definovaný v ovládacím panelu MS Windows.

Předcházející | Domů | Další
Počet desetinných míst | Nahoru | Příklady výstupního formátu


Příklady výstupního formátu
Předcházející Kapitola 42. Vstupní / výstupní textový formát Další

Příklady výstupního formátu

Tabulka 42.3. Příklady výstupního formátu pro seznam souřadnic

Formát | Výsledek
<N> <X> <Y> | 1 1044109.820 750010.900
<N:4> <X:14:4> <Y:14:4> | 1 1044109.8200 750010.9000
<N:04>, <X>, <Y> | 0001, 1044109.820, 750010.900
<P:6><N:04>, X=<X>, Y=<Y> | 1000010001, X=1044109.820, Y=750010.900

Tabulka 42.4. Příklady výstupního formátu pro seznam měření

Formát | Výsledek
<N> <HZ> <D> <DH> <SIG> <CODE> | 1 28.7894 14.370 0.588 1.300 PBPP
Předcházející | Domů | Další
Další nastavení | Nahoru | Zvláštnosti vstupního formátu


Zvláštnosti vstupního formátu
Předcházející Kapitola 42. Vstupní / výstupní textový formát Další

Zvláštnosti vstupního formátu

Ačkoli jsou v programu GROMA formáty definovány zároveň pro vstup i výstup dat, má výstupní formát oproti formátu vstupnímu některé zvláštnosti.

Kdyby byl formát pro vstup definován stejně, jako formát pro výstup, umožňoval by načítat data z jakéhokoli souboru o pevném formátu, tj. ze souboru, v němž jsou příslušná data na každém řádku umístěna na pevných pozicích (tj. např. souřadnice X na pozicích 10-22, atd.).

Obecně však textový soubor tomuto požadavku vyhovovat nemusí. Může vypadat např. takto:

8 1045656.12 740143.45
9 1045778.3 740227.66
10 1045771.13 740439.01

V tomto případě nemají údaje na řádku pevnou pozici, nelze je tedy načítat pevným formátem (např. souřadnice X začíná na pozici 3 až 4, podle velikosti čísla bodu).

Z tohoto důvodu byla do programu zařazena i možnost tzv. Volného formátu, který nevyžaduje údaje na pevných pozicích, ale načítá je podle umístění oddělovacích znaků (mezery, tabelátory a jiné nečíselné znaky).

Předcházející | Domů | Další
Příklady výstupního formátu | Nahoru | Načítání pomocí pevného formátu


Načítání pomocí pevného formátu
Předcházející Kapitola 42. Vstupní / výstupní textový formát Další

Načítání pomocí pevného formátu

Při načítání podle pevného formátu je vstupní řádka rozdělována pouze podle předpisu formátu. Údaje ve vstupních řádcích tedy musí být na pevných pozicích, určených v předpisu formátu.

Pozice každé položky je definována součtem šířek předchozích položek na řádku a počtu všech oddělovacích alfanumerických znaků.

Při předpisu formátu

<P:6><N:04>, X=<X>, Y=<Y>

musí tedy předčíslí začínat ve sloupci 1, číslo ve sloupci 7, souřadnice X ve sloupci 15 a souřadnice Y ve sloupci 30.

Program přitom netestuje, zda jsou oddělovací znaky shodné se znaky definovanými v předpisu formátu (zde po čísle bodu čtyři znaky vynechá, a netestuje, zda jsou to skutečně znaky ", X=").

  • Výhody:

    Import pomocí pevného formátu umožňuje odfiltrovat ze souboru nepoužitelné alfanumerické údaje. Navíc je možno údaje zapsané bezprostředně za sebou rozdělit.

  • Nevýhody:

    Textový soubor musí mít pevný formát, tj. datové položky musí být umístěny ve všech řádcích na stejných pozicích.

Předcházející | Domů | Další
Zvláštnosti vstupního formátu | Nahoru | Načítání pomocí volného formátu


Načítání pomocí volného formátu
Předcházející Kapitola 42. Vstupní / výstupní textový formát Další

Načítání pomocí volného formátu

Při načítání podle volného formátu je vstupní řádka rozdělována podle oddělovacích znaků (mezery, tabelátory, atd.). Údaje ve vstupních řádcích tedy nemusí být na pevných pozicích.

V importovaném souboru může být libovolné množství oddělovacích znaků, bez ohledu na počet oddělovacích znaků zapsaných v předpisu formátu (např. jsou-li v předpisu formátu oddělovací znaky ", X=", může být v datovém souboru libovolné množství mezer, třeba i pouze jedna).

  • Výhody:

    Datové položky nemusí být umístěny na pevných pozicích ve vstupním řádku.

  • Nevýhody:

    Z textového souboru není možno odfiltrovat nepotřebné údaje, položky zapsané bez oddělovačů nelze při importu rozdělit.

Předcházející | Domů | Další
Načítání pomocí pevného formátu | Nahoru | Část IV. Rozšiřující moduly


Část IV. Rozšiřující moduly
Předcházející Další

Rozšiřující moduly

Obsah

43. Rozšiřující moduly
44. Kontrolní kresba k výpočtům
Zobrazení celé kresby
Výřez
Zvětšení
Zmenšení
Smazání
Font
Tisk
Export do DXF
45. Zkreslení v Křovákově zobrazení
46. Trojúhelníková kalkulačka
47. Přenos souborů
Volba umístění souboru
Přenosové parametry
Načtení souboru
Přenos souboru do stroje
Další nastavení
48. Připojení digitizéru
Příprava digitalizačního zařízení
Test komunikace
Kalibrace digitalizačního zařízení
Odečítání bodů
Určování ploch
49. Vyrovnávací rovina
Zadání roviny
Poloha roviny
Rovnice roviny
Výsledné hodnoty
50. Geometrické plány
Úvod
Ovládání programu
Nastavení modulu
Popisové pole
Údaje katastru nemovitostí
Údaje dřívější pozemkové evidence
Údaje pro BPEJ
Doplňující údaje
Výsledné tabulky
Vstupy a výstupy
51. Výpočet trasy komunikace
Úvod
Ovládání programu
Definování trasy
Výpočetní kontroly
Výpočet bodů v ose komunikace
Výpočet bodů na normálách
Výpočet vytyčovacích prvků
52. Vyrovnání sítě
Úvod
Ovládání programu
Varianty vyrovnání a připojení sítě
Charakteristiky bodů
Parametry sítě
Vstupní data
Vyrovnání sítě
Uložení vyrovnaných souřadnic
Porovnání etap
Matematický model vyrovnání
Menu SOUBOR
Menu SÍŤ
53. Závěr
Předcházející | Domů | Další
Načítání pomocí volného formátu | Nahoru | Kapitola 43. Rozšiřující moduly


Kapitola 43. Rozšiřující moduly
Předcházející Část IV. Rozšiřující moduly Další

Kapitola 43. Rozšiřující moduly

Program umožňuje práci s rozšiřujícími moduly, které jsou integrovány do prostředí systému GROMA. Tyto moduly se aktivují pomocí menu Nástroje. Některé moduly jsou obsaženy v základní instalaci (Kontrolní kresba, Výpočet zkreslení v Křovákově zobrazení). Ostatní moduly se prodávají samostatně.

Samostatně prodávané moduly jsou v základní instalaci obsaženy jako demonstrační verze.

Moduly jsou instalovány v podadresáři Apps systému GROMA.

Předcházející | Domů | Další
Část IV. Rozšiřující moduly | Nahoru | Kapitola 44. Kontrolní kresba k výpočtům


Kapitola 44. Kontrolní kresba k výpočtům
Předcházející Část IV. Rozšiřující moduly Další

Kapitola 44. Kontrolní kresba k výpočtům

Tento modul zobrazí okno, v němž je zobrazována konfigurace naposledy provedeného výpočtu. Lze je použít i při zadávání bodů z klávesnice pro odstranění hrubých chyb v zadání. Vstupní body výpočtů jsou zobrazeny černě, vypočtené červeně. Pomocné informace jsou zobrazeny zeleně. Obsah okna je vymazán při každém novém výpočtu.

Funkce pro ovládání modulu se nacházejí v systémovém menu dialogového okna (menu pod ikonou Windows v záhlaví okna). Většina z nich je také k dispozici na liště s tlačítky.

Zobrazení celé kresby

Po zadání tohoto příkazu je zobrazena kresba v takovém měřítku, aby se do okna s kontrolní kresbou vešla celá.

Předcházející | Domů | Další
Kapitola 43. Rozšiřující moduly | Nahoru | Výřez


Výřez
Předcházející Kapitola 44. Kontrolní kresba k výpočtům Další

Výřez

Po zadání tohoto příkazu můžete pomocí levého tlačítka myši zvolit výřez kresby, který má být zobrazen.

Předcházející | Domů | Další
Kapitola 44. Kontrolní kresba k výpočtům | Nahoru | Zvětšení


Zvětšení
Předcházející Kapitola 44. Kontrolní kresba k výpočtům Další

Zvětšení

Tento příkaz zvětší kresbu zobrazeno v okně na dvojnásobek.

Předcházející | Domů | Další
Výřez | Nahoru | Zmenšení


Zmenšení
Předcházející Kapitola 44. Kontrolní kresba k výpočtům Další

Zmenšení

Tento příkaz zmenší měřítko zobrazené kresby na polovinu.

Předcházející | Domů | Další
Zvětšení | Nahoru | Smazání


Smazání
Předcházející Kapitola 44. Kontrolní kresba k výpočtům Další

Smazání

Tímto příkazem je okno s kontrolní kresbou vyprázdněno.

Předcházející | Domů | Další
Zmenšení | Nahoru | Font


Font
Předcházející Kapitola 44. Kontrolní kresba k výpočtům Další

Font

Tímto tlačítkem lze nastavit font, kterým jsou zobrazovány textové informace.

Předcházející | Domů | Další
Smazání | Nahoru | Tisk


Tisk
Předcházející Kapitola 44. Kontrolní kresba k výpočtům Další

Tisk

Tímto tlačítkem lze kontrolní kresbu vytisknout na tiskárně, která je v systému GROMA zvolena pro grafický tisk.

Předcházející | Domů | Další
Font | Nahoru | Export do DXF


Export do DXF
Předcházející Kapitola 44. Kontrolní kresba k výpočtům Další

Export do DXF

Tímto příkazem lze kontrolní kresbu exportovat ve formátu DXF, který lze načíst do téměř libovolného grafického systému. Pomocí tohoto příkazu lze vytvářet např. přehledky bodů při vyrovnání sítě a jinou dokumentaci.

Předcházející | Domů | Další
Tisk | Nahoru | Kapitola 45. Zkreslení v Křovákově zobrazení


Kapitola 45. Zkreslení v Křovákově zobrazení
Předcházející Část IV. Rozšiřující moduly Další

Kapitola 45. Zkreslení v Křovákově zobrazení

Zkreslení v Křovákově zobrazení

Tento modul vám umožní podle souřadnic a výšky vztažného bodu vypočíst koeficient pro opravu kartografického zkreslení a pro opravu z nadmořské výšky.

Jestliže zde zadáte souřadnice vztažného bodu, nebo je přetáhnete ze seznamu souřadnic, a stisknete tlačítko (Výpočet), program vypočte měřítkový koeficient pro opravu kartografického zkreslení. Má-li bod i souřadnici Z, je vypočten i koeficient pro opravu z nadmořské výšky.

Pomocí zaškrtávacích okének zvolte, které opravy chcete zavést, a stiskněte tlačítko (Nastavit). Vypočtený měřítkový koeficient bude uložen v nastavení programu GROMA a při importu seznamu měření budou všechny importované délky tímto koeficientem vynásobeny.

Předcházející | Domů | Další
Export do DXF | Nahoru | Kapitola 46. Trojúhelníková kalkulačka


Kapitola 46. Trojúhelníková kalkulačka
Předcházející Část IV. Rozšiřující moduly Další

Kapitola 46. Trojúhelníková kalkulačka

Tento modul umožňuje výpočet prvků v obecném rovinném trojúhelníku

Po zadání nutného počtu vstupních hodnot (alespoň tři údaje, nikoli však tři úhly) program dopočítá zbývající hodnoty. Vypočtené údaje zapíše do protokolu a zobrazí tvar trojúhelníka.

Chcete-li zadat jinou kombinaci vstupních hodnot, musíte nejprve nepotřebné (resp. určované) hodnoty vypnout pomocí přepínačů - program neumožňuje zadat více než tři vstupní hodnoty.

Předcházející | Domů | Další
Kapitola 45. Zkreslení v Křovákově zobrazení | Nahoru | Kapitola 47. Přenos souborů


Kapitola 47. Přenos souborů
Předcházející Část IV. Rozšiřující moduly Další

Kapitola 47. Přenos souborů

Modul slouží pro obousměrný přenos souborů mezi počítačem a stroji, které používají jednoduchou komunikaci terminálového typu.

Po spuštění modulu se zobrazí dialogové okno, v němž jsou zobrazeny soubory umístěné v aktuálním adresáři. Název aktuálního adresáře je zobrazen v záhlaví seznamu.

Volba umístění souboru

Před načtením souboru je třeba zvolit, kam má být přenesený soubor umístěn. Soubor bude umístěn do aktuálního adresáře, jehož obsah je zobrazen v dialogovém okně modulu.

Aktivní adresář lze volit běžným způsobem pohybem kurzoru po seznamu adresářů pomocí klávesnice nebo myši. Aktuální disk lze zvolit příkazem Disk-> Volba disku nebo kombinací kláves <Alt-F1>.

Předcházející | Domů | Další
Kapitola 46. Trojúhelníková kalkulačka | Nahoru | Přenosové parametry


Přenosové parametry
Předcházející Kapitola 47. Přenos souborů Další

Přenosové parametry

Před zahájením komunikace je třeba nastavit přenosové parametry tak, aby byly nastaveny shodně ve stroji i v přenosovém modulu. Parametry se nastavují příkazem Nastavení->Parametry přenosu. V zobrazeném dialogovém okně je třeba správně nastavit všechny parametry, jinak nebude počítač se strojem komunikovat, nebo budou přenesená data chybná.

Předcházející | Domů | Další
Kapitola 47. Přenos souborů | Nahoru | Načtení souboru


Načtení souboru
Předcházející Kapitola 47. Přenos souborů Další

Načtení souboru

Jsou-li správně nastaveny všechny přenosové parametry, a je-li správně zvolen adresář pro umístění přenesených souborů, lze spustit přenos příkazem Soubor->Načtení souboru nebo klávesou <F9>. Po zadání tohoto příkazu bude zobrazeno dialogové okno, do něhož lze zadat název cílového souboru. Pokud je přenosový modul spuštěn z prostředí systému GROMA, je zde zobrazen i přepínač Otevřít jako měření. Zapnete-li jej, bude přenesený soubor automaticky otevřen v systému GROMA.

Po zadání a potvrzení názvu cílového souboru je zobrazeno dialogové okno s výzvou k vyslání souboru. Nyní je třeba pomocí povelů zadaných na stroji spustit vlastní posílání naměřených dat na sériový port. Když začnou být data přenášena, bude v okně přenosového modulu zobrazeno hlášení o přenosu dat a rotující čárka, informující o probíhajícím přenosu.

Po ukončení přenosu by mělo informační okno přenosového modulu automaticky zmizet. V případě, že je nesprávně nastaven ukončovací řetězec v parametrech přenosu (řetězec, podle něhož je rozpoznán konec přenášených dat), informační okno nezmizí, ale rotující čárka se zastaví. V takovém případě je třeba přenos ukončit stisknutím tlačítka (Zrušit). Přenesená data by i v tomto případě měla být v pořádku.

Předcházející | Domů | Další
Přenosové parametry | Nahoru | Přenos souboru do stroje


Přenos souboru do stroje
Předcházející Kapitola 47. Přenos souborů Další

Přenos souboru do stroje

Přejete-li si přenést soubor do stroje, umístěte na něj v seznamu souborů kurzor, a zvolte příkaz Soubor->Přenos souboru, nebo stiskněte klávesu <F10>. Program se pro jistotu ještě jednou zeptá, zda si skutečně přejete přenést zvolený soubor do stroje. Potvrdíte-li svoji volbu, program ještě provede kontrolu souboru, zda neobsahuje nějaké binární znaky. Pokud ano, bude zobrazeno ještě jedno varování.

Potvrdíte-li přenos souboru, program zobrazí výzvu k přípravě stroje pro příjem dat. Nyní je nutno z klávesnice stroje zvolit funkci pro načítání dat ze sériového portu. Když příslušnou funkci zvolíte, stiskněte v okně s výzvou tlačítko (OK). Tím je zahájen přenos zvoleného souboru do stroje.

Varování

Pokud nedopatřením pošlete do stroje soubor s jinou strukturou, než jakou je stroj schopen akceptovat (např. binární soubor), může dojít k porušení paměťových záznamů ve stroji. Takováto závada může vyžadovat opravu v autorizovaném servisu.

Předcházející | Domů | Další
Načtení souboru | Nahoru | Další nastavení


Další nastavení
Předcházející Kapitola 47. Přenos souborů Další

Další nastavení

V nabídce Nastavení->Prostředí lze nastavit další vlastnosti přenosového modulu:

  • Primární a sekundární editor

    Zde lze nastavit, jaký editor má být použit pro editaci souborů. Primární editor se vyvolává klávesou <F4>, sekundární kombinací kláves <Shift-F4>.

  • Zálohování datových souborů

    Zde lze zapnout automatické zálohování souborů. Při automatickém zálohování jsou od každého přeneseného souboru vytvářeny dvě kopie - jedna ve zvoleném adresáři, kam je soubor přenášen, a jedna ve speciálním adresáři pro záložní soubory, jehož název zadáte v editačním okně Adresář pro záložní soubory.

  • Přípona datových souborů

    Můžete definovat, jakou příponu mají dostat přenesené soubory, pokud při zadávání názvu souboru žádnou příponu nezadáte.

Předcházející | Domů | Další
Přenos souboru do stroje | Nahoru | Kapitola 48. Připojení digitizéru


Kapitola 48. Připojení digitizéru
Předcházející Část IV. Rozšiřující moduly Další

Kapitola 48. Připojení digitizéru

Modul slouží pro připojení digitalizačního zařízení. Umožňuje připojit digitální planimetr (typ XPlan nebo Tamaya), nebo libovolný digitizér.

Příprava digitalizačního zařízení

Zařízení, se kterým má modul komunikovat, musí být pro použití nakonfigurováno.

Digitální planimetr

Digitální planimetr typu XPlan nebo Tamaya je připojen přímo pomocí sériového rozhraní. Pro správnou komunikaci je třeba provést nastavení přenosových parametrů. Žádné další drivery nebo software není potřeba. Při konfiguraci postupujte podle následujících bodů:

  • Připojení planimetru

    Planimetr se připojuje na sériový port počítače sériovým kabelem. Pokud má přenosový kabel jiný rozměr, než volný port vašeho počítače, použijte příslušnou redukci.

  • Nastavení přenosových parametrů v počítači

    Přenosové parametry (přenosová rychlost, počet datových bitů, počet stopbitů a parita) musí být nastaveny stejně v konfiguraci digitalizačního modulu i v planimetru. V digitalizačním modulu se přenosové parametry nastavují po stisknutí tlačítka (Parametry) vedle typu zařízení.

  • Nastavení přenosových parametrů v planimetru

    Způsob nastavení v planimetru závisí na výrobci a typu, a měl by být podrobně popsán v dokumentaci k planimetru. V planimetru XPlan se přenosové parametry nastavují pomocí tlačítka <Shift> a <P/NP>.

  • Zapnutí výstupu na sériový port

    V planimetru musí být zapnut výstup na sériový port (standardně se údaje zobrazují pouze na displeji).

  • Volba odečítaných hodnot

    Na planimetru lze zvolit, které hodnoty mají být odečítány. Lze volit mezi souřadnicemi, plochami, délkami, atd. Pro správnou funkci digitalizačního modulu musí být zapnuto odečítání souřadnic.

Digitizér

Pro připojení digitizéru je třeba v systému MS Windows instalovat originální driver, dodávaný výrobcem digitizéru (tzv. Wintab driver). Postup instalace driveru by měl být popsán v originální dokumentaci k digitizéru.

Předcházející | Domů | Další
Další nastavení | Nahoru | Test komunikace


Test komunikace
Předcházející Kapitola 48. Připojení digitizéru Další

Test komunikace

Po nastavení přenosových parametrů pro digitální planimetr lze otestovat, zda zařízení posílá data do počítače. Příkazem Nastavení->Test vstupu zobrazíte okénko, v němž se po stisknutí odečítacího tlačítka na planimetru zobrazují přijatá data. Pokud se po stisku tlačítka v modulu nic nezobrazí, jsou nesprávně nastaveny přenosové parametry, nebo je na planimetru vypnuté posílání údajů na sériový port.

Poznámka

Okno Test komunikace je určeno pouze pro digitální planimetry, vstup z digitizéru se v něm nezobrazuje.

Pokud jsou všechna nastavení v pořádku, po stisknutí odečítacího tlačítka na digitalizačním zařízení se objeví odečtené grafické souřadnice v okně modulu (v okénkách x' a y').

Předcházející | Domů | Další
Kapitola 48. Připojení digitizéru | Nahoru | Kalibrace digitalizačního zařízení


Kalibrace digitalizačního zařízení
Předcházející Kapitola 48. Připojení digitizéru Další

Kalibrace digitalizačního zařízení

Před každou digitalizací je třeba provést kalibraci digitalizačního zařízení. Kalibrace spočívá v určení identických bodů, pomocí nichž budou grafické souřadnice transformovány na reálné. Postup zadávání identických bodů je stejný, jako u transformace souřadnic:

  1. Zvolte požadovaný typ transformace. Pro grafické předlohy je vhodnější afinní transformace, která má dvě různá měřítka ve směrech X a Y (na rozdíl od podobnostní transformace, která má ve všech směrech stejné měřítko zkreslení). Pro podobnostní transformaci jsou třeba minimálně dva identické body, pro afinní transformaci tři. Pro spolehlivé výsledky digitalizace je vhodné mít vždy alespoň 1-2 identické body navíc.

  2. Zadejte skutečné souřadnice identických bodů do okének X a Y, nejlépe přetažením myší ze seznamu souřadnic.

  3. Odečtěte grafické souřadnice na digitalizačním zařízení. Tyto souřadnice se zobrazí v okénkách x' a y'.

  4. Přidejte bod do seznamu identických bodů stisknutím tlačítka (Přidat).

V seznamu identických bodů lze jednotlivé body vypínat a zapínat pomocí zaškrtávacího okénka na začátku každého řádku. Pokud chcete bod ze seznamu úplně vypustit, stiskněte tlačítko (Ubrat)

Protokol o kalibraci lze prohlédnout a uložit po stisknutí tlačítka (Protokol).

Chcete-li začít transformaci nového podkladu, stiskněte tlačítko (Nová transformace).

Předcházející | Domů | Další
Test komunikace | Nahoru | Odečítání bodů


Odečítání bodů
Předcházející Kapitola 48. Připojení digitizéru Další

Odečítání bodů

Byl-li určen dostatečný počet identických bodů, po odečtení bodu z grafické předlohy program automaticky zobrazí výsledné transformované souřadnice v rámečku Odečtený bod.

Takto určené souřadnice můžete přenášet do systému GROMA na libovolné místo, na němž je zobrazeno tlačítko pro grafické odečítání bodů. Pokud toto tlačítko zapnete (tlačítko stiskněte, zůstane stisknuté a kroužek s křížkem se zobrazí červeně), budou po odečtení transformované souřadnice vyplněny do příslušných vstupních okének.

Takto lze odečítat souřadnice při přidávání bodů do seznamu souřadnic, nebo přímo v jednotlivých výpočetních úlohách.

Dialogové okno digitalizačního modulu nesmí být během digitalizace uzavřeno, ale po zadání identických bodů je můžete pomocí ikony minimalizovat, aby zbytečně nezabíralo místo na ploše programu.

Pokud pro digitalizaci používáte digitizér, lze zapnout přepínač Souvislé snímání. Modul bude automaticky posílat do systému GROMA souřadnice bodů, pohnete-li kurzorem o vzdálenost zadanou ve vstupním okénku Krok.

Předcházející | Domů | Další
Kalibrace digitalizačního zařízení | Nahoru | Určování ploch


Určování ploch
Předcházející Kapitola 48. Připojení digitizéru Další

Určování ploch

Pokud nepotřebujete přímo souřadnice bodů, ale stačí vám určení plochy, můžete použít zkrácenou kalibraci digitizéru bez identických bodů, pouze pomocí známých délek. V takovém případě postupujte následujícím způsobem:

  1. Zaškrtněte v okně pro digitalizaci volbu Přímé odečítání.

  2. Stiskněte tlačítko (Kalibrace).

  3. Do zobrazeného dialogového okna zadejte skutečnou hodnotu délky mezi dvěma body, a to jak ve vodorovném tak ve svislém směru.

  4. Stiskněte tlačítko (Ukázat délku) a ukažte oba koncové body délek na digitalizačním zařízení. V dialogovém okně se zobrazí měřené délky (v grafických souřadnicích předlohy).

  5. Stidkněte tlačítko (OK). Tím je zkrácená kalibrace dokončena.

Nyní bude digitizér poskytovat souřadnice v místním systému, ale ve správním měřítku, lze je tedy použít např. pro určování výměr.

Předcházející | Domů | Další
Odečítání bodů | Nahoru | Kapitola 49. Vyrovnávací rovina


Kapitola 49. Vyrovnávací rovina
Předcházející Část IV. Rozšiřující moduly Další

Kapitola 49. Vyrovnávací rovina

Modul slouží k výpočtu vyrovnávací roviny metodou nejmenších čtverců. Rovnice roviny je vypočtena za podmínky minimálního součtu čtverců vzdáleností jednotlivých bodů od roviny. K této podmínce lze přidat dodatečnou podmínku svislosti roviny.

Zadání roviny

Rovina se zadává pomocí prostorových souřadnic bodů. Body lze do modulu zadat z klávesnice, nebo přetáhnout myší ze seznamu souřadnic. Do seznamu bodů se body přidávají stisknutím tlačítka (Přidat), ze seznamu se vypouštějí tlačítkem (Ubrat).

Pokud je při přidávání bodu do seznamu zaškrtnuta volba Použít pro rovnici roviny, bude přidávaný bod použit pro definici rovnice roviny. Je-li tato volba vypnuta, bude pro příslušný bod vypočtena vzdálenost od roviny, pro vlastní definici roviny však použit nebude. Body použité pro definování roviny jsou v protokolu označeny hvězdičkou.

Po výpočtu roviny jsou vypočteny vzdálenosti všech zadaných bodů od roviny.

Předcházející | Domů | Další
Určování ploch | Nahoru | Poloha roviny


Poloha roviny
Předcházející Kapitola 49. Vyrovnávací rovina Další

Poloha roviny

Zde lze definovat požadovanou polohu výsledné roviny:

  • Obecná

    Rovina je vypočtena v obecné poloze, tak, aby se co nejlépe přimykala k zadaným bodům.

  • Svislá

    Rovnice vyrovnávací roviny je vypočtena za podmínky svislosti.

Předcházející | Domů | Další
Kapitola 49. Vyrovnávací rovina | Nahoru | Rovnice roviny


Rovnice roviny
Předcházející Kapitola 49. Vyrovnávací rovina Další

Rovnice roviny

Rovnici výsledné roviny lze prohlédnout po stisknutí tlačítka (Rovnice). Rovnice je uvedena v protokolu.

Předcházející | Domů | Další
Poloha roviny | Nahoru | Výsledné hodnoty


Výsledné hodnoty
Předcházející Kapitola 49. Vyrovnávací rovina Další

Výsledné hodnoty

V dialogovém okně lze zvolit požadované údaje:

  • Průmět

    V seznamu jsou uvedeny souřadnice normálových průmětů zadaných bodů do vyrovnané roviny (všechny tyto body tedy leží ve výsledné rovině).

  • Sklopit

    Rovina je sklopena do XY, takže výsledné souřadnice XY jsou souřadnice bodů v této rovině a souřadnice Z je vzdálenost zadaných bodů od roviny. Tyto souřadnice lze použít např. pro tvorbu vrstevnicového obrazu oři proměřování deformací rovinných ploch.

  • Sklopit Z=0

    Výsledné souřadnice XY jsou shodné s předchozími, ale souřadnice Z je u všech bodů nulová (body leží ve sklopené rovině).

Předcházející | Domů | Další
Rovnice roviny | Nahoru | Kapitola 50. Geometrické plány


Kapitola 50. Geometrické plány
Předcházející Část IV. Rozšiřující moduly Další

Kapitola 50. Geometrické plány

Úvod

Program slouží k automatickému vytváření formulářů Výpočet výměr, Výkaz dosavadního a nového stavu údajů katastru nemovitostí a Výkaz údajů o BPEJ.

Předcházející | Domů | Další
Výsledné hodnoty | Nahoru | Ovládání programu


Ovládání programu
Předcházející Kapitola 50. Geometrické plány Další

Ovládání programu

Program se ovládá pomocí základního dialogového okna. Dialogové okno je pomocí záložek členěno na jednotlivé logické celky. Prvních pět záložek slouží pro zadávání vstupních dat, pod zbývajícími třemi záložkami jsou zobrazeny výsledné formuláře.

Vstupní hodnoty se zadávají do tabulek. Některé položky je třeba vyplnit ručně, některé jsou zadávány výběrem z nabídky.

Editace tabulek

Při zadávání údajů stačí umístit kurzor na příslušnou buňku a začít psát. Pokud buňka již nějaký údaj obsahovala, bude přepsána. Chcete-li původní údaj pouze upravit, můžete režim editace vyvolat dvojitým kliknutím na buňku.

Chcete-li obsah buňky vymazat, umístěte na ni kurzor a stiskněte klávesy <Shift-Del>.

Filtry

V prvním řádku všech tabulek, které slouží k zadávání vstupních hodnot, lze definovat filtry, které program používá při zobrazování zadaných hodnot. Položky, které zadanému filtru nevyhovují, nebudou zobrazeny, čímž se zpřehlední zadávání, zvláště v případě rozsáhlých geometrických plánů.

Filtry jsou ve formě seznamů, v nichž jsou uvedeny hodnoty, které se v příslušném sloupečku zadávací tabulky objevují. Kromě toho seznamy navíc obsahují prázdnou položku pro zrušení filtru a položku [Nezadáno] pro výběr řádků, v nichž je příslušná buňka prázdná.

Filtry lze libovolně kombinovat, tj. lze nastavit více výběrových kritérií, a v seznamu zadaných hodnot budou zobrazeny pouze položky vyhovující všem kritériím.

Vkládání řádků

Pokud vyplňujete tabulku obvyklým způsobem, tj. postupně shora dolů, nemusíte se o přidávání řádků starat. Program přidává prázdné řádky na konec tabulky automaticky. Chcete-li vložit prázdný řádek jinam, než na konec tabulky, přemístěte kurzor na řádek, před nějž má být nový řádek vložen, a zvolte v nabídce Editace->Vložit řádek, nebo stiskněte kombinaci kláves <Ctrl-Ins>. Před řádek, na němž je kurzor, bude vložen prázdný řádek.

Rušení řádků

Přejete-li si zrušit celý řádek, umístěte na něj kurzor, a zvolte v nabídce Editace->Zrušit řádek, nebo stiskněte kombinaci kláves <Ctrl-Del>. Celý řádek bude z tabulky odstraněn.

Kopírování údajů

Přejete-li si zkopírovat některý údaj nebo blok údajů na jiné místo tabulky, postupujte následujícím způsobem:

  1. Označte blok, který chcete kopírovat, pomocí myši nebo kurzorovými klávesami společně s klávesou <Shift>.

    Tip

    Přejete-li si označit celý řádek, stačí pouze ukázat myší na první buňku (buňku, v níž je zobrazeno číslo řádku).

  2. Zvolte příkaz Editace->Kopíruj nebo Editace->Přenes, podle toho, zda si přejete data na původním místě ponechat, nebo zrušit.

  3. Na jiném místě tabulky označte blok, kam mají být data vložena.

    Důležité

    Označená oblast, do níž mají být data zkopírována, musí mít stejné rozměry (stejný počet řádků a sloupců), jako kopírovaná oblast.

Změna pořadí řádků

Přejete-li si zaměnit některé řádky, můžete použít kopírování údajů pomocí schránky.

Nejprve vložte prázdný řádek na místo, kam mají být data zkopírována. Potom výše popsaným způsobem zkopírujte celý řádek. Nakonec původní řádek zrušte.

Zpracování geometrického plánu

Po zadání vstupních dat (případně jejich načtení ze souboru) lze zpracování geometrického plánu spustit příkazem Soubor->Zpracovat nebo klávesou <F4>.

Předcházející | Domů | Další
Kapitola 50. Geometrické plány | Nahoru | Nastavení modulu


Nastavení modulu
Předcházející Kapitola 50. Geometrické plány Další

Nastavení modulu

Dialogové okno s nastavením se vyvolá příkazem Geometrický plán->Volby. V okně můžete měnit následující parametry:

Velikost písma

Těmito přepínači můžete volit velikost písma pro výsledné tabulky. Z důvodu zachování rozměru tabulek lze volit pouze mezi hodnotami 6, 7 a 8 bodů.

Typ mapy

Zde můžete zvolit, zda požadujete standardní zpracování plánu, nebo specifické zpracování pro DKM nebo KM-D.

Volby

  • Geometrický plán v jednom vlastnictví

    Tímto přepínačem volíte, zda se jedná o plán v jednom vlastnictví. Takovéto plány jsou zjednodušené - neobsahují například vůbec identifikaci dílů v tabulce Výkaz dosavadního a nového stavu.

  • Třídit parcely DPE dle čísla KN

    Je-li tento přepínač zapnut, budou vždy před zpracováním plánu díly DPE setříděny primárně dle čísel KN a sekundárně dle čísel KN, což ovlivní pořadí ve výsledných formulářích. Je-li tento přepínač vypnut, jsou díly DPE tříděny primárně dle čísel DPE a sekundárně dle čísel KN.

Výpočet výměr

Zde jsou uvedeny volby, které ovlivňují vzhled výsledného formuláře Výpočet výměr parcel (dílů).

  • Do součtu dosavadního stavu opravené výměry

    Tímto přepínačem volíte, zda mají být ve výpočtu výměr v součtu dosavadního stavu uvedeny původní nebo opravené výměry.

  • Zahrnout opravy ze zaokrouhlení

    Je-li zapnut předchozí přepínač, lze volit, zda se do součtu dosavadního a nového stavu zahrnou i opravy ze zaokrouhlení.

  • V DKM a KM-D rozdíly ze zaorouhlení jako opravy

    Požadavky na způsob zavedení oprav rozdílů ze zaokrouhlení se různí. Tímto přepínačem lze zvolit, zda mají být zpracovány jako samostatná položka Rozdíl ze zaokrouhlení, nebo jako běžná oprava.

  • V porovnání DPE závorkovat čísla KN parcel

    Zde lze zvolit, zda v sekci Výpočet pro porovnání se stavem evidence právních vztahů mají být v závorkách uvedena čísla parcel evidence nemovitostí, nebo naopak čísla parcel DPE.

Výkaz výměr

Zde jsou uvedeny volby, které ovlivňují vzhled výsledného formuláře Výkaz dosavadního a nového stavu údajů katastru nemovitostí.

  • Do součtu dosavadního stavu opravené výměry

    Tímto přepínačem volíte, zda mají být ve výpočtu výměr v součtu dosavadního stavu uvedeny původní nebo opravené výměry.

  • Zobrazovat seznam nabyvatelů

    Zde můžete zvolit, zda má být pod tabulkou výkazu výměr uveden seznam nabyvatelů.

  • Seznam nabyvatelů pouze čísly

    Při zapnutí této volby je seznam nabyvatelů zobrazen bez popisného textu, pouze jejich pořadovými čísly ve tvaru

    1-1, ...

  • Zachovat zadaná čísla v seznamu nabyvatelů

    Při normálním zadání program všechny nabyvatele očísluje průběžně podle toho, kdy na ně během zpracování plánu narazil. Přejete-li si jiné pořadí nabyvatelů, lze je vynutit zadáním čísel přímo v seznamu nabyvatelů. Je třeba na začátku názvu nabyvatele uvést jeho požadované pořadové číslo, potom mezeru, a potom teprve vlastní název. Pokud tuto možnost použijete, musíte uvést pořadové číslo u všech nabyvatelů.

  • Identifikovat parcely bez nabyvatele

    Standardně je program nastaven tak, že parcelní díly, u nichž není uveden nabyvatel, budou při identifikaci vynechány. Zapnutím tohoto přepínače lze vynutit identifikaci parcel i v případě, že nabyvatel není uveden.

  • Identifikovat parcely s LV vždy

    Je-li tento přepínač zapnut, objeví se v identifikaci všechny díly, u nichž je uveden list vlastnictví, bez ohledu na stav přepínače Identifikovat parcely bez nabyvatele, tedy i parcely bez nabyvatele.

  • Opravy dosavadního stavu

    Tímto přepínačem volíte, zda mají být ve výkazu výměr uvedeny opravy dosavadního stavu (škrtnutí dosavadního stavu a nadepsání nového stavu, tak, jak se uvádí ve výpočtu výměr).

  • Opravit součet dosavadního stavu

    Tímto přepínačem volíte, zda mají být ve výkazu výměr opravy dosavadního stavu zobrazeny i v součtu dosavadního stavu. Pokud ano, objeví se u nich i odkaz na příslušný paragraf, který zde lze zadat.

  • Opravy výměr v porovnání

    Tímto přepínačem volíte, zda mají být ve výkazu výměr opravy zobrazeny i v porovnání se stavem DPE. Pokud ano, objeví se u nich i odkaz na příslušný paragraf, který zde lze zadat.

  • V porovnání spojit díly stejné parcely

    Je-li tato volba zapnuta, budou v porovnání výměr spojeny všechny díly jedné parcely a výměra bude uvedena součtem. Např. obsahuje-li zadání díly a a b téže parcely, bude v porovnání uveden pouze součet jejich výměr a v označení dílu bude uveden text a+b.

BPEJ

  • Vyrovnat BPEJ na výměry nového stavu

    Tímto přepínačem lze zapnout vyrovnání jednotlivých bonitních dílů parcely na výměru nového stavu. Informace o vyrovnání jsou uvedeny v protokolu. Tento přepínač představuje globální nastavení pro celý plán, které lze u jednotlivých dílů změnit třístavovým přepínačem.

Předcházející | Domů | Další
Ovládání programu | Nahoru | Popisové pole


Popisové pole
Předcházející Kapitola 50. Geometrické plány Další

Popisové pole

Údaje, které mají být vyplněny v tabulce geometrického plánu (popisové pole) se vyplňují v dialogovém okně, které lze vyvolat příkazem Geometrický plán->Popisové pole.

Měřítko grafických podkladů slouží k výpočtu mezních odchylek ve výměrách.

Srážka mapového listu bude uvedena na začátku výpočetního protokolu.

Varování

Program srážku pouze vyplní do formuláře, ale předpokládá, že jsou výměry již opraveny, a žádnou opravu ze srážky mapových listů do výpočtu nezavádí.

Do hlavičky popisového pole lze umístit logo zpracovatele. Logo vyberete p stisknutí tlačítka (Logo...), jeho zobrazení můžete zapínat a vypínat přepínačem vedle tlačítka. Logo musí být ve formátu BMP.

Zapnete=li zobrazení loga, bude jím nahrazen text zadaný v okně Zhotovitel. V případě použití loga je tedy třeba, aby obrázek obsahoval všechny potřebné údaje o zhotoviteli.

Předcházející | Domů | Další
Nastavení modulu | Nahoru | Údaje katastru nemovitostí


Údaje katastru nemovitostí
Předcházející Kapitola 50. Geometrické plány Další

Údaje katastru nemovitostí

Údaje pro katastr nemovitostí se zadávají na prvních třech záložkách dialogového okna.

Dosavadní stav KN

V této tabulce je třeba zadat parcely dosavadního stavu katastru nemovitostí, včetně výměr a způsobu jejich určení. Zadávají se následující údaje:

  • Staré číslo

    Parcelní číslo dle katastru nemovitostí.

  • Výměra

    Výměra parcely v m2.

  • Kvalita

    Způsob určení výměry pozemku. Kvalitu můžete zvolit z nabízeného seznamu.

  • Druh pozemku

    Druh pozemku (kulturu) lze zvolit z nabízeného seznamu kultur.

  • Způsob využití

    Doplňující nepovinný údaj k druhu pozemku. Bude-li zadán, bude ve výsledném výkazu výměr zobrazen spolu s druhem pozemku ve formě zlomku.

  • Číslo LV

    Číslo listu vlastnictví.

  • Opravit

    Pomocí tohoto přepínače lze vynutit opravu dosavadní výměry parcely ve formuláři pro výpočet výměr i ve výsledním výkazu výměr. Je-li tento přepínač vypnut, budete v případě překročení mezní odchylky dotázáni, zda si přejete odchylku vyrovnat, nebo zda má být původní výměra opravena. Pokud žádnému z dílů příslušné parcely nelze opravu přiřadit, bude oprava celkové výměry provedena vždy.

  • Zánik

    Pomocí tohoto přepínače lze vynutit zánik parcely. Takto označená parcela se objeví v seznamu zanikajících parcel.

  • Identifikátor paragrafu (§ Id)

    Zde lze zvolit identifikátor příslušného paragrafu, podle něhož je výměra parcely změněna. Uskuteční-li se tato změna (v závislosti na dalších okolnostech a nastaveních), bude dále uvedeno plné znění důvodu změny.

  • Paragraf (§)

    Po stisknutí tohoto tlačítka se zobrazí dialogové okno, v němž lze prohlížet a editovat seznam paragrafů opravňujících ke změně výměry parcely. V levé části tabulky je zkrácený identifikátor, pomocí něhož se paragrafy v tabulkách zadávají. V pravé části je plné znění, které bude uvedeno ve výsledných tabulkách. Počáteční znaky plného znění (do první mezery) budou použity jako symbol označující příslušnou opravu.

Nový stav KN

Zde se vyplní parcely nového stavu katastru nemovitostí. Zadávají se následující údaje:

  • Nové číslo

    Nové parcelní číslo.

  • Výměra

    Nově určená výměra parcely. Pokud je možno výměru odvodit z dále zadaných parcelních dílů, není třeba ji zde vyplňovat.

  • Způsob určení

    Způsob, kterým byla nová výměra určena. Způsob lze zvolit z nabízeného seznamu.

  • Druh pozemku a způsob využití

    Druh pozemku a způsob využití v novém stavu (podrobnosti viz Dosavadní stav).

  • Nevyrovnávat

    Tímto přepínačem lze ručně ovlivňovat vyrovnání dílů parcely. Je-li u parcely tento přepínač zapnut, nebude provedeno vyrovnání parcelních dílů na celkovou výměru parcely.

Díly KN

V této tabulce se definují všechny parcely a parcelní díly, které mají ve výsledných tabulkách figurovat. Zadávají se tyto údaje:

  • Staré číslo

    Dosavadní číslo dílu dle platného stavu katastru nemovitostí. Číslo lze přímo zadat z klávesnice, nebo vybírat ze seznamu parcel uvedených ve starém stavu.

  • Nové číslo

    Nové číslo, které příslušnému dílu připadne dle geometrického plánu. Číslo lze přímo zadat z klávesnice, nebo vybírat ze seznamu parcel uvedených ve novém stavu.

  • Nový díl

    Nové označení dílu, které příslušnému dílu připadne dle geometrického plánu.

  • Výměra a způsob určení

    Výměra dílu a způsob, jakým byla výměra určena. Způsob určení lze volit ze seznamu.

  • Mapový list

    Označení mapového listu, na němž příslušný díl leží.

  • Vyrovnávat

    Pomocí tohoto přepínače lze volit, zda má být dílu při vyrovnání dílů číselně určené výměry přiřazena oprava. Tento přepínač je třístavový:

    • Neutrální stav

      V tomto stavu není explicitně definováno, zda má být díl opravován. Program o opravě dílu rozhodne automaticky podle způsobu určení výměry. Na tento stav je přepínač přednastaven automaticky.

    • Vypnuto

      Je-li přepínač v tomto stavu, nedostane díl při vyrovnání opravu. Stav je indikován prázdným světle šedým čtverečkem.

    • Zapnuto

      Je-li přepínač v tomto stavu, dostane díl při vyrovnání opravu bez ohledu na ostatní okolnosti. Stav je indikován červeným zaškrtnutím.

  • Identifikovat

    Pomocí tohoto přepínače lze volit, zda má být díl zobrazen ve výsledné tabulce dílu při vyrovnání dílů číselně určené výměry přiřazena oprava. Tento přepínač je třístavový:

    • Neutrální stav

      V tomto stavu není explicitně definováno, zda má být díl identifikován. Program rozhodne na základě dalších okolností (např. je-li uveden nabyvatel a list vlastnictví, jedná-li se o geometrický plán v jednom vlastnictví). Na tento stav je přepínač přednastaven automaticky.

    • Vypnuto

      Je-li přepínač v tomto stavu, bude díl při identifikaci vynechán.

    • Zapnuto

      Je-li přepínač v tomto stavu, bude díl uveden v identifikaci.

  • BPEJ

  • Vyrovnat díly BPEJ

    Pomocí tohoto přepínače lze volit, zda mají být díl BPEJ vyrovnány na výměru nového stavu parcelního dílu. Tento přepínač je třístavový:

    • Neutrální stav

      V tomto stavu není explicitně definováno, zda mají být díly BPEJ pro tento parcelní díl vyrovnány. Program rozhodne na základě nastavení globálního přepínače v parametrech programu. Na tento stav je přepínač přednastaven automaticky.

    • Vypnuto

      Je-li přepínač v tomto stavu, nebudou díly BPEJ vyrovnány. Informace o tom, že vyrovnání neproběhlo, bude uvedena v protokolu.

    • Zapnuto

      Je-li přepínač v tomto stavu, budou díly BPEJ vyrovnány. Informace o vyrovnání včetně odchylky bude uvedeno v protokolu.

Po stisknutí tlačítka je zobrazeno dialogové okno, v němž můžete pro každý díl zadat postupně kódy BPEJ a k nim příslušné výměry.

Předcházející | Domů | Další
Popisové pole | Nahoru | Údaje dřívější pozemkové evidence


Údaje dřívější pozemkové evidence
Předcházející Kapitola 50. Geometrické plány Další

Údaje dřívější pozemkové evidence

Stav dřívější pozemkové evidence

V tomto okně se zadávají údaje dřívější pozemkové evidence, které slouží pro porovnání se stavem evidence právních vztahů.

  • Číslo, výměra a list vlastnictví

    Zde se vyplní parcelní čísla a výměry všech parcel, které vstupují do porovnání. Pokud jako číslo listu vlastnictví uvedete nulu, tato parcela nebude v porovnání uvedena.

  • Podklad

    Zde se uvede označení druhu evidence, odkud údaje pocházejí (např. PK).

  • Opravit

    Pomocí tohoto přepínače lze vynutit opravu dosavadní výměry parcely ve formuláři pro výpočet výměr i ve výsledním výkazu výměr. Je-li tento přepínač vypnut, budete v případě překročení mezní odchylky dotázáni, zda si přejete odchylku vyrovnat, nebo zda má být původní výměra opravena. Pokud žádnému z dílů příslušné parcely nelze opravu přiřadit, bude oprava celkové výměry provedena vždy.

  • Nevyrovnávat

    Tímto přepínačem lze ručně ovlivňovat vyrovnání dílů parcely. Je-li u parcely tento přepínač zapnut, nebude provedeno vyrovnání parcelních dílů na celkovou výměru parcely.

  • Část

    Pokud nejsou v seznamu dílů DPE zadány všechny díly příslušné parcely, byla by ve výkazu výměr zobrazena chybně zbytková výměra parcely. V takovém případě lze zapnout tento přepínač, a program určí zbytkovou výměru odpočtem jednotlivých zadaných dílů od celkové výměry.

  • Zánik

    Pomocí tohoto přepínače lze vynutit zánik parcely. Takto označená parcela se objeví v seznamu zanikajících parcel.

  • Identifikátor paragrafu (§ Id)

    Zde lze zvolit identifikátor příslušného paragrafu, podle něhož je výměra parcely změněna. Uskuteční-li se tato změna (v závislosti na dalších okolnostech a nastaveních), bude dále uvedeno plné znění důvodu změny.

  • Paragraf (§)

    Po stisknutí tohoto tlačítka se zobrazí dialogové okno, v němž lze prohlížet a editovat seznam paragrafů opravňujících ke změně výměry parcely. V levé části tabulky je zkrácený identifikátor, pomocí něhož se paragrafy v tabulkách zadávají. V pravé části je plné znění, které bude uvedeno ve výsledných tabulkách. Počáteční znaky plného znění (do první mezery) budou použity jako symbol označující příslušnou opravu.

Díly parcel dřívější pozemkové evidence

Zde se zadají všechny díly parcel dřívější pozemkové evidence pro porovnání se stavem evidence právních vztahů.

  • Staré číslo, nové číslo, nový díl

    Tyto tři údaje slouží pro jednoznačné přiřazení dílu dřívější pozemkové evidence k dílu KN. Údaje jsou voleny ze seznamů, které přebírají hodnoty zadané v dílech parcel KN.

  • Číslo DPE, díl

    Zde se vyplní parcelní číslo a označení dílu dle dřívější pozemkové evidence.

  • Vyrovnávat

    Pomocí tohoto přepínače lze volit, zda má být dílu při vyrovnání dílů číselně určené výměry přiřazena oprava.

  • Ostatní údaje

    Ostatní údaje se zadávají obdobně jako u dílů parcel katastru nemovitostí.

Předcházející | Domů | Další
Údaje katastru nemovitostí | Nahoru | Údaje pro BPEJ


Údaje pro BPEJ
Předcházející Kapitola 50. Geometrické plány Další

Údaje pro BPEJ

Údaje pro sestavení výkazu o bonitovaných půdně-ekologických jednotkách se zadávají pomocí tlačítka (BPEJ), které je zobrazeno na konci každého řádku tabulky s díly parcel KN. Po stisknutí tlačítka je zobrazeno dialogové okno, v němž můžete pro každý díl zadat postupně kódy BPEJ a k nim příslušné výměry.

Předcházející | Domů | Další
Údaje dřívější pozemkové evidence | Nahoru | Doplňující údaje


Doplňující údaje
Předcházející Kapitola 50. Geometrické plány Další

Doplňující údaje

Texty

V této tabulce můžete zadat libovolné texty pro doplnění geometrického plánu.

  • Zobrazovat

    Pomocí tohoto přepínače můžete zapnout nebo vypnout umisťování příslušného textu, aniž by bylo třeba jej mazat a znovu zadávat.

  • Tabulka

    Zde si zvolíte, do které výstupní tabulky má být text umístěn.

  • Pozice

    V seznamu zvolte požadovanou pozici pro umístění textu.

  • Umístění

    Zvolte typ relativního umístění vzhledem k zadané pozici (Před nebo Za)

  • Text

    Do tohoto řádku zadejte požadovaný text. Přejete-li si vložit víceřádkový text, rozepište jej na více položek, a jednotlivé položky zadejte do seznamu textů (všechny se stejným umístěním).

Předcházející | Domů | Další
Údaje pro BPEJ | Nahoru | Výsledné tabulky


Výsledné tabulky
Předcházející Kapitola 50. Geometrické plány Další

Výsledné tabulky

Zadané vstupní hodnoty zpracujete pomocí příkazu Soubor->Zpracovat nebo stiskem klávesy <F4>. Program vygeneruje výsledné tabulky, které si můžete prohlédnout přímo v dialogovém okně, nebo pomocí náhledu před tiskem (Soubor->Náhled).

Předcházející | Domů | Další
Doplňující údaje | Nahoru | Vstupy a výstupy


Vstupy a výstupy
Předcházející Kapitola 50. Geometrické plány Další

Vstupy a výstupy

Ukládání dat do souboru

Příkazem Soubor->Ulož nebo Soubor->Ulož jako nebo kombinací kláves <Ctrl-S> lze celé zadání geometrického plánu zapsat do souboru. Soubory s geometrickým plánem mají příponu .gp.

Kromě vlastního zadání plánu se vytvoří soubory se jménem shodným s názvem plánu a s příponami .vkz, .vpz, .zaz a .zmz. Tyto soubory obsahují výsledné výstupní formuláře, včetně případných změn, které v nich byly dodatečně provedeny. Po opětovném otevření geometrického plánu jsou automaticky načteny, takže nedošlo-li ke změně zadání, není třeba plán znovu generovat.

Čtení dat ze souboru

Geometrický plán dříve uložený do souboru lze ze souboru opět načíst příkazem Soubor->Otevři nebo kombinací kláves <Ctrl-O>. Po načtení je geometrický plán automaticky zpracován.

Náhled před tiskem

Výsledné tabulky lze před tiskem zkontrolovat přímo v dialogovém okně programu, nebo v tiskovém náhledu, vyvolaném příkazem Soubor->Náhled nebo kombinací kláves <Ctrl-V>. V okně s náhledem lze volit, která strana má být zobrazena, a lze nastavovat zvětšení zobrazení.

Tisk

Vlastní tisk tabulky se spustí příkazem Soubor->Tisk nebo kombinací kláves <Ctrl-P>. Před tiskem je zobrazeno dialogové okno, v němž lze volit výstupní zařízení.

Export do Excelu

Tabulky lze pomocí příkazu Soubor->Exportuj tabulku uložit do souboru ve formátu Microsoft Excel. V Programu Microsoft Excel lze provádět další zpracování a úpravy tabulek.

Před tiskem formuláře je třeba v MS Excelu upravit vzhled stránky následujícím způsobem:

  • Vypnout tisk mřížky

  • Zapnout barevný tisk, aby se vytiskly výplně buněk (jinak budou chybět rámečky tabulky)

  • Vypnout tisk záhlaví řádků a sloupců

  • U delších tabulek je též vhodné nastavit opakování hlavičky na každé stránce (Nahoře opakovat řádky), aby každá strana tabulky obsahovala hlavičku.

Export do DXF

Tabulky lze pomocí příkazu Soubor->Exportuj tabulku uložit do souboru ve formátu DXF, který lze načíst do dalších aplikací (MicroStation, AutoCAD, apod.). Vzhled tabulky lze definovat v dialogovém okně Soubor->Nastavení DXF.

Předcházející | Domů | Další
Výsledné tabulky | Nahoru | Kapitola 51. Výpočet trasy komunikace


Kapitola 51. Výpočet trasy komunikace
Předcházející Část IV. Rozšiřující moduly Další

Kapitola 51. Výpočet trasy komunikace

Výpočet trasy komunikace

Úvod

Program slouží k výpočtu rovinných souřadnic bodů na trase komunikace a bodů na normálách k trase.

Předcházející | Domů | Další
Vstupy a výstupy | Nahoru | Ovládání programu


Ovládání programu
Předcházející Kapitola 51. Výpočet trasy komunikace Další

Ovládání programu

Program se ovládá pomocí základního dialogového okna, stejně jako všechna standardní výpočetní okna systému GROMA.

Vstupní hodnoty můžete zadávat přímo z klávesnice, nebo přetahovat myší ze seznamů souřadnic otevřených v programu GROMA. Všechny hodnoty můžete v seznamech editovat, přidávat a ubírat.

Před výpočtem můžete v systému GROMA spustit modul pro kontrolní kresbu. Okamžitě po skončení výpočtu trasy v něm bude zobrazen průběh trasy včetně podrobných bodů v ose komunikace. Bodů na normálách může být velké množství, proto nejsou zobrazeny automaticky všechny, ale zobrazují se postupně pro příslušné normály, které zvolíte kliknutím myší v seznamu podrobných bodů trasy.

Předcházející | Domů | Další
Kapitola 51. Výpočet trasy komunikace | Nahoru | Definování trasy


Definování trasy
Předcházející Kapitola 51. Výpočet trasy komunikace Další

Definování trasy

Trasa komunikace je určena seznamem prvků trasy a informacemi o nich. Každý prvek je definován těmito údaji:

  • Typ prvku (přímá, klotoida, kruhový oblouk).

  • Souřadnice X, Y počátku prvku.

  • Staničení počátku prvku.

  • Doplňující údaje o prvku (poloměr, parametr).

Tento seznam prvků je obvykle výsledkem zpracování projektu některým ze specializovaných systémů, např. ROADPAC.

Jednotlivé prvky se do seznamu zadávají tak, že v dialogovém okně vyplníte všechny potřebné údaje a stisknete tlačítko (Přidat). Nový prvek se přidá před prvek, na němž je zobrazen kurzor.

Po zadání trasy je vhodné ji ihned uložit do souboru příkazem Soubor->Ulož.

Předcházející | Domů | Další
Ovládání programu | Nahoru | Výpočetní kontroly


Výpočetní kontroly
Předcházející Kapitola 51. Výpočet trasy komunikace Další

Výpočetní kontroly

Před výpočtem podrobných bodů je zadaná trasa podrobena důkladným testům. Jestliže některému z testů nevyhoví, je zobrazeno chybové hlášení a výpočet je ukončen.

Program provádí tyto kontroly:

Kontrola délky prvku

Program kontroluje, zda skutečná délka prvku, daná souřadnicemi jeho koncových bodů a ostatními parametry, odpovídá rozdílu staničení mezi koncovými body. Jestliže velikost rozdílu těchto dvou údajů překročí hodnotu 0.05m, je zobrazeno chybové hlášení a výpočet je ukončen.

Kontrola poloměrů křivosti

Na styku každých dvou sousedních prvků je kontrolován poloměr křivosti, který by v těchto bodech měl být pro oba prvky shodný. Jestliže velikost rozdílu těchto dvou údajů překročí hodnotu 0.50m, je zobrazeno chybové hlášení a výpočet je ukončen.

Kontrola spojitosti

Na styku každých dvou sousedních prvků je kontrolována spojitost trasy pomocí směrníků tečen. V každém stykovém bodě je vypočten směrník tečny k předchozímu i následujícímu prvku. Tečny v těchto bodech by měly být totožné. Jestliže velikost úhlu sevřeného těmito dvěma tečnami překročí hodnotu 1c, je zobrazeno chybové hlášení a výpočet je ukončen.

Předcházející | Domů | Další
Definování trasy | Nahoru | Výpočet bodů v ose komunikace


Výpočet bodů v ose komunikace
Předcházející Kapitola 51. Výpočet trasy komunikace Další

Výpočet bodů v ose komunikace

Je-li zadána celá trasa, můžete přistoupit k výpočtu podrobných bodů. V dialogovém okně zadejte počáteční staničení, od něhož chcete body počítat, a interval staničení mezi jednotlivými body. Po stisknutí tlačítka (Výpočet) jsou vypočteny všechny podrobné body, jsou zařazeny do seznamu podrobných bodů, kde si je můžete prohlédnout, a je vytvořen protokol o výpočtu.

Body jsou číslovány průběžně od čísla 1 ve směru rostoucího staničení.

Máte-li v systému GROMA spuštěn modul pro kontrolní kresbu, je ihned zobrazen průběh trasy, v němž jsou hlavní body trasy zobrazeny černě a podrobné body červeně.

Chcete-li vypočtené body uložit do seznamu souřadnic, přetáhněte je do něj myší z výpočetního dialogového okna, obdobně jako jinde v systému GROMA. Program se vás dotáže, zda chcete uložit body v ose komunikace i na normálách.

Předcházející | Domů | Další
Výpočetní kontroly | Nahoru | Výpočet bodů na normálách


Výpočet bodů na normálách
Předcházející Kapitola 51. Výpočet trasy komunikace Další

Výpočet bodů na normálách

Chcete-li počítat souřadnice podrobných bodů na normálách ke komunikaci, zadejte v dialogovém okně postupně jednotlivé délky normál oddělené čárkou. Zadáte-li tedy např. -5,-2,0,2,5, program vypočte body na normálách k trase ve vzdálenostech -5m, -2m, 0m, 2m a 5m.

Po stisknutí tlačítka (Výpočet) jsou vypočtené souřadnice podrobných bodů uloženy do protokolu o výpočtu. Chcete-li body zobrazit v dialogovém okně nebo v kontrolní kresbě, vyberte v seznamu podrobných bodů ten bod, v němž chcete normálu vypočíst, a ukažte na něj myší. Ve spodní části dialogového okna, v seznamu bodů na normálách, budou příslušné body okamžitě zobrazeny.

Máte-li v systému GROMA spuštěn modul pro kontrolní kresbu, budou v něm body na normálách zobrazeny zeleně.

Body jsou číslovány průběžně od čísla 1 ve směru rostoucího staničení. V předčíslí bodů na normále je číslo bodu v ose komunikace, v němž je normála vztyčena.

Chcete-li vypočtené body uložit do seznamu souřadnic, přetáhněte je do něj myší z výpočetního dialogového okna, obdobně jako jinde v systému GROMA. Program se vás dotáže, zda chcete uložit body v ose komunikace i na normálách.

Předcházející | Domů | Další
Výpočet bodů v ose komunikace | Nahoru | Výpočet vytyčovacích prvků


Výpočet vytyčovacích prvků
Předcházející Kapitola 51. Výpočet trasy komunikace Další

Výpočet vytyčovacích prvků

Chcete-li vypočíst vytyčovací prvky podrobných bodů, můžete k tomu použít systém GROMA. Přetáhněte vypočtené body do seznamu souřadnic a použijte úlohu Polární vytyčovací prvky nebo Ortogonální vytyčovací prvky.

Předcházející | Domů | Další
Výpočet bodů na normálách | Nahoru | Kapitola 52. Vyrovnání sítě


Kapitola 52. Vyrovnání sítě
Předcházející Část IV. Rozšiřující moduly Další

Kapitola 52. Vyrovnání sítě

Úvod

Program slouží k polohovému a výškovému vyrovnání geodetických sítí. Vyrovnání probíhá na základě metody nejmenších čtverců. Polohové a výškové vyrovnání je prováděno odděleně. Kromě vyrovnaných souřadnic poskytuje program mnoho charakteristik přesnosti a kontrolních údajů jak pro kontrolu výpočtu, tak pro vyhledávání hrubých chyb v měřených údajích.

Předcházející | Domů | Další
Výpočet vytyčovacích prvků | Nahoru | Ovládání programu


Ovládání programu
Předcházející Kapitola 52. Vyrovnání sítě Další

Ovládání programu

Program se ovládá pomocí základního dialogového okna, stejně jako všechna standardní výpočetní okna systému GROMA. Ovládání by vám tedy nemělo činit žádné potíže.

Vstupní hodnoty můžete zadávat přímo z klávesnice, nebo přetahovat myší ze seznamů otevřených v programu GROMA. Všechny hodnoty můžete v seznamech editovat, přidávat a ubírat.

Chcete-li hodnotu uloženou v seznamu změnit, postupujte takto:

  • Ukažte na příslušnou položku v seznamu. Měřené údaje nebo souřadnice budou vypsány v editačních řádkách.

  • Opravte údaje na požadované hodnoty.

  • Stiskněte tlačítko (Přidat).

Program neumožňuje uložit do seznamu více údajů se stejnými čísly bodů. Existuje-li již příslušný údaj v seznamu, je pouze aktualizován podle zadaných hodnot. Jestliže v seznamu není, program jej do seznamu přidá. Při editaci údajů ze seznamu tedy nemusíte používat tlačítko (Ubrat), program provede aktualizaci automaticky.

Předcházející | Domů | Další
Kapitola 52. Vyrovnání sítě | Nahoru | Varianty vyrovnání a připojení sítě


Varianty vyrovnání a připojení sítě
Předcházející Kapitola 52. Vyrovnání sítě Další

Varianty vyrovnání a připojení sítě

Program umožňuje několik variant připojení vyrovnané sítě do referenčního systému.

Helmertova transformace

Mají-li všechny body vyrovnávané sítě charakteristiku Volný, proběhne vyrovnání za podmínky pro opravy přibližné konfigurace

[(dx2 + dy2)] = min

pro všechny body sítě. Vyrovnaná síť je umístěna Helmertovou transformací na všechny body sítě.

Výběrová Helmertova transformace

V této variantě musí mít alespoň dva body charakteristiku Helmert a ostatní Volný. Vyrovnání sítě proběhne za stejné podmínky, jako u předchozí varianty. Pro umístění vyrovnané sítě do referenčního systému jsou použity pouze body s charakteristikou Helmert.

Pevný bod a pevný směrník

V této variantě jsou při vyrovnání zachovány souřadnice pevného bodu a směrník z pevného bodu na bod s pevným směrníkem. Právě jeden bod v síti musí mít charakteristiku Pevný bod, jeden Pevný směrník, a ostatní body sítě musí mít charakteristiku Volný.

Vázaná síť

Vázaná síť obsahuje dva a více bodů s charakterem Pevný. Souřadnice těchto bodů nebudou vyrovnáním změněny. Měření mezi pevnými body nemají vliv na výsledky vyrovnání, ovlivní pouze výsledné charakteristiky přesnosti. Ostatní body mají charakter Volný.

Předcházející | Domů | Další
Ovládání programu | Nahoru | Charakteristiky bodů


Charakteristiky bodů
Předcházející Kapitola 52. Vyrovnání sítě Další

Charakteristiky bodů

Body, vstupující do vyrovnání sítě, mohou mít různé charakteristiky, v závislosti na tom, jakým způsobem se mají na vyrovnání sítě podílet. Charakteristiky se nastavují nezávisle pro polohové a výškové vyrovnání.

Charakteristiky pro polohové vyrovnání

  • Pevné body

    Pevné body mají fixní, vyrovnáním nezměnitelné souřadnice. Po vyrovnání sítě budou mít výsledné pevné body stejné souřadnice, jaké měly při vstupu.

    Důležité

    Mezi pevnými body by neměly být měřeny délky ani směry. Měření mezi pevnými body nemají vliv na výsledné vyrovnané souřadnice, ale negativné ovlivňují střední chyby.

  • Pevné X, Pevné Y

    U bodů s touto charakteristikou se vyrovnáním nemění souřadnice X resp. Y.

  • Volné body

    Volné body jsou všechny běžné body sítě, jejichž souřadnice mají být vyrovnány. Souřadnice všech volných bodů budou vyrovnáním změněny. Obsahuje-li síť pouze body tohoto typu, bude síť zároveň umístěna pomocí Helmertovy transformace na všechny body sítě.

  • Pevný směrník

    Tato charakteristika se používá ve spojení s pevným bodem. Má-li jeden z bodů charakteristiku Pevný bod a jeden Pevný směrník, pak budou po vyrovnání zachovány souřadnice pevného bodu a směrník z pevného bodu na bod s charakteristikou Pevný směrník.

  • Helmert

    Chcete-li po vyrovnání umístit síť Helmertovou transformací pouze na zvolené body sítě, označte zvolené body charakteristikou Helmert a ostatní charakteristikou Volný.

Charakteristiky pro výškové vyrovnání

  • Pevné body

    Pevné body mají fixní, vyrovnáním nezměnitelnou výšku. Po vyrovnání sítě budou mít výsledné pevné body stejnou výšku, jakou měly při vstupu.

  • Volné body

    Volné body jsou všechny běžné body sítě, jejichž výška má být vyrovnána. Výšky všech volných bodů budou vyrovnáním změněny. Obsahuje-li síť pouze body tohoto typu, bude síť zároveň výškově umístěna pomocí Helmertovy transformace na všechny body sítě.

  • Helmert

    Chcete-li po vyrovnání umístit síť výškově Helmertovou transformací pouze na zvolené body sítě, označte výšku zvolených bodů charakteristikou Helmert a ostatních bodů charakteristikou Volná.

Přejete-li si u některého bodu změnit charakteristiky pro vyrovnání, postupujte takto:

  1. Zvolte příslušný bod v seznamu přibližných souřadnic.

  2. Změňte charakteristiku bodu pro polohové a/nebo výškové vyrovnání. Zároveň můžete změnit i kterýkoli další údaj.

  3. Stiskněte tlačítko (Přidat). Má-li přidávaný bod stejné číslo, jako existující bod v seznamu přibližných souřadnic, nebude do seznamu přidán, ale pouze upraven dle zadaných údajů.

Přejete-li si změnit charakteristiky pro více bodů najednou, postupujte takto:

  1. Vyberte v seznamu přibližných souřadnic požadované body. Při výběru můžete používat klávesy <Shift> a <Ctrl>, tak, jak je ve Windows běžné.

  2. Je-li vybráno v seznamu více bodů, budou ve vstupních okénkách zobrazeny pouze charakteristiky pro vyrovnání (jiné údaje hromadně měnit nelze). Změňte charakteristiku bodů pro polohové a/nebo výškové vyrovnání. Pokud jednu z charakteristik nechcete měnit, nechte ji neurčenou ([-]).

  3. Stiskněte tlačítko (Přidat).Charakteristiky pro vyrovnání budou v seznamu upraveny.

Předcházející | Domů | Další
Varianty vyrovnání a připojení sítě | Nahoru | Parametry sítě


Parametry sítě
Předcházející Kapitola 52. Vyrovnání sítě Další

Parametry sítě

V dialogovém okně Nastavení->Parametry sítě můžete nastavit některé parametry. Některé z parametrů slouží pouze k dokumentačním účelům (správní údaje), zatímco některé jsou nezbytné pro vlastní vyrovnání (střední chyby, statistické testy). Podrobněji jsou tyto parametry popsány v referenční příručce.

Předcházející | Domů | Další
Charakteristiky bodů | Nahoru | Vstupní data


Vstupní data
Předcházející Kapitola 52. Vyrovnání sítě Další

Vstupní data

Jako vstupní údaje do vyrovnání slouží přibližné souřadnice bodů sítě, měřené vodorovné směry, měřené vodorovné délky a jejich střední chyby (dále jen geometrické veličiny). O geometrických veličinách předpokládáme, že jsou převedeny na spojnici středů stabilizačních značek. Tento převod lze provést pomocí nástrojů systému GROMA.

Zapínání a vypínání položek

Před jednotlivými položkami v seznamech je zobrazeno zaškrtávací okénko, pomocí něhož lze údaje dočasně zapínat a vypínat, aniž by musely být odstraňovány ze seznamu a případně opět přidávány.

V některých případech program může nepoužitelné položky automaticky vypnout. Jedná se zejména o tyto případy:

  • Body, na nichž neproběhlo žádné měření.

  • Měření, které proběhla na bodech, jež nejsou uvedeny v seznamu bodů.

  • Měřené směry na stanovisku, které obsahuje pouze jedno měření.

Přibližné souřadnice vstupních bodů

Pro všechny body zahrnuté do sítě musí být zadány přibližné souřadnice. Přibližné souřadnice můžete zadat ručně, přetáhnout ze seznamu souřadnic programu GROMA (např. z předchozího vyrovnání, z předchozí etapy), nebo můžete nechat systém vypočítat přibližné souřadnice dávkově na základě seznamu měření.

Přetažení souřadnic z programu GROMA

Chcete-li jako přibližné souřadnice pro vyrovnání použít souřadnice, které již máte v některém seznamu souřadnic v programu GROMA, stačí je pouze označit a přetáhnout jako blok na tu část dialogového okna pro vyrovnání sítě, do níž se přibližné souřadnice zadávají (viz příručka programu GROMA, Přetahování položek). Všechny body jsou automaticky přidány do seznamu souřadnic.

Důležité

Takto přidané body budou mít všechny charakteristiku, která byla nastavena v seznamu charakteristik před přetažením bloku. Chcete-li u některých bodů změnit charakteristiku, můžete buď změnu provést dodatečně, nebo body přetáhnout po částech, a požadovanou charakteristiku nastavit vždy před přetažením příslušného bloku.

Dávkový výpočet přibližných souřadnic

Nemáte-li k dispozici přibližné souřadnice bodů sítě, můžete je nechat programem dávkově spočítat. Aby dávkový výpočet správně proběhl, musíte dodržet určitý postup:

  1. V programu GROMA otevřete všechny seznamy souřadnic, které potřebujete pro dávkový výpočet.

  2. Otevřete seznam měření, ze kterého chcete přibližné souřadnice počítat.

  3. V seznamu měření označte všechna měření, která mají vstupovat do vyrovnání, jako orientace. Měření na body označené jako podrobné jsou ignorována.

  4. V Nastavení->Prostředí zapněte volbu Hledat ve všech otevřených souborech.

  5. Přetáhněte název vstupního souboru s měřeními do dialogového okna pro vyrovnání sítě (do části pro zadávání přibližných souřadnic bodů). Název souboru se objeví v položce Vstupní soubor s měřením.

  6. V seznamu charakterisitik bodů (Typ) nastavte charakteristiku, kterou bude mít v síti nejvíce bodů.

  7. V Nastavení->Parametry sítě nastavte střední chybu měřeného směru a měřené délky.

  8. Stiskněte tlačítko (Načíst data).

Program dávkově vypočte souřadnice všech stanovisek ze seznamu měření, přidá je do seznamu přibližných souřadnic, a zároveň do seznamu měřených směrů a délek přidá všechna měření, o nichž se domnívá, že budou použita pro vyrovnání sítě. Podrobné body v souboru s měřením vynechá. Doplní-li do seznamu měřených hodnot některé měření, které pro výpočet nechcete použít, nebo chcete-li ještě některé měření přidat, musíte příslušné změny provést ručně přidáním nebo ubráním jednotlivých údajů.

Po dávkovém načtení upravte charakteristiky bodů (pevné body, volné body, atd.). Hromadná změna charakteristiky bodů je popsána v kapitole o Charakteristiky bodů.

Program pro výpočet souřadnic bodů využívá dávkový výpočet polární metody z programu GROMA. Při výpočtu umí zpracovat polární metodu, volné stanovisko a protínání z orientovaných směrů. Před zahájením výpočtu tedy musí být k dispozici souřadnice alespoň nejnutnějších bodů, ze kterých lze ostatní body odvodit podle měřených údajů. V některých konfiguracích (např. pouze délkově zaměřené trojúhelníkové řetězce, nebo nebylo-li mezi známými body přímo měřeno) může dávkový výpočet selhat. V takovém případě můžete pro výpočet přibližných souřadnic použít jednotlivé výpočetní úlohy systému GROMA.

Důležité

Jsou-li v síti některé délky měřeny obousměrně, musíte nejprve zpracovat seznam měření tak, aby obsahoval pouze jednu průměrnou hodnotu. Ve vstupních datech pro vyrovnání sítě se žádná geometrická veličina nemůže vyskytovat vícekrát. Ke zpracování seznamu měření můžete použít příkaz Měření->Zpracování zápisníku systému GROMA.

Seznam měřených směrů

Do seznamu měřených směrů zadejte všechny směry, které chcete využít při vyrovnání sítě. Obdobně jako u přibližných souřadnic, směry můžete buď zadat z klávesnice, nebo přetáhnout ze seznamu měření, nebo nechat program doplnit je dávkově (viz Přibližně souřadnice vstupních bodů). U každého měřeného směru musí být zadán odhad jeho střední chyby. Při přetahování nebo dávkovém výpočtu program doplní střední chybu směru, nastavenou v Nastavení->Parametry sítě.

Seznam měřených délek

Do seznamu měřených délek zadejte všechny délky, které chcete využít při vyrovnání sítě. Obdobně jako u přibližných souřadnic, délky můžete buď zadat z klávesnice, nebo přetáhnout ze seznamu měření, nebo nechat program doplnit je dávkově (viz Přibližně souřadnice vstupních bodů). U každé měřené délky musí být zadán odhad její střední chyby. Při přetahování nebo dávkovém výpočtu program doplní střední chybu délky, nastavenou v Nastavení->Parametry sítě.

Program předpokládá, že jsou vstupující délky vodorovné a po všech potřebných matematických a fyzikálních redukcích.

Seznam měřených převýšení

Do seznamu měřených převýšení zadejte všechna převýšení mezi body sítě, která chcete využít při vyrovnání. Obdobně jako u ostatních údajů, převýšení můžete buď zadat z klávesnice, nebo přetáhnout ze seznamu měření, nebo nechat program doplnit je dávkově (viz Přibližně souřadnice vstupních bodů). U každého měřeného převýšení musí být zadána přibližná délka, ze které je odvozena váha pro vyrovnání. Pokud délku nezadáte, program si ji před výpočtem určí z přibližných souřadnic. V nastavení parametrů sítě musíte před výpočtem nastavit jednotkovou střední chybu převýšení, a zvolit, jakým způsobem jsou počítány váhy jednotlivých převýšení. Váhy mohou být počítány podle vztahu

pi = 1/si,

nebo

pi = m0/si2

kde pi je váha příslušného převýšení, m0 je jednotková střední chyba, a si je délka v kilometrech.

Varování

Program předpokládá, že jsou vstupující převýšení přepočtena na spojnici stabilizačních značek (tj. opravena o výšku stroje a signálu). Tuto opravu lze provést při zpracování zápisníku přímo v systému GROMA.

Předcházející | Domů | Další
Parametry sítě | Nahoru | Vyrovnání sítě


Vyrovnání sítě
Předcházející Kapitola 52. Vyrovnání sítě Další

Vyrovnání sítě

Máte-li správně zadány všechny vstupní hodnoty, můžete nechat síť vyrovnat stisknutím tlačítka (Výpočet). Program na obrazovku zobrazuje postup výpočtu a po jeho dokončení ve výsledkové části dialogového okna zobrazí vyrovnané souřadnice a jejich střední chyby. Podrobný protokol o výpočtu se zobrazí po stisknutí tlačítka (Protokol).

Varování

Pro správnou interpretaci výsledků vyrovnání, zejména charakteristik přesnosti, musíte mít alespoň základní znalosti z teorie vyrovnávacího počtu a statistiky. Také je třeba mít na paměti, že při malém počtu nadbytečných pozorování jsou charakteristiky přesnosti poměrně nespolehlivé a mají malou vypovídací schopnost.

Předcházející | Domů | Další
Vstupní data | Nahoru | Uložení vyrovnaných souřadnic


Uložení vyrovnaných souřadnic
Předcházející Kapitola 52. Vyrovnání sítě Další

Uložení vyrovnaných souřadnic

Jste-li s vyrovnanými souřadnicemi spokojeni, můžete je uložit do kteréhokoli seznamu souřadnic v systému GROMA pouhým přetažením myší.

Poznámka

Při přetahování musíte ukázat kamkoli do části dialogového okna, kde jsou zobrazeny vyrovnané souřadnice, mimo vlastní seznam souřadnic. Při ukázání přímo do seznamu výsledných souřadnic je v něm zobrazen kurzor na příslušné položce, ale není možno ji přetáhnout do seznamu souřadnic programu GROMA.

Předcházející | Domů | Další
Vyrovnání sítě | Nahoru | Porovnání etap


Porovnání etap
Předcházející Kapitola 52. Vyrovnání sítě Další

Porovnání etap

Program vám umožňuje porovnat jednotlivé etapy vyrovnání sítě. Jestliže již proběhlo vyrovnání dané sítě, program se dotáže na název souboru s referenční sítí (soubor typu .net), a jestliže jsou v něm uloženy vyrovnané souřadnice, sestaví do tabulky v protokolu složky, velikosti a směrníky posunů mezi oběma etapami.

Předcházející | Domů | Další
Uložení vyrovnaných souřadnic | Nahoru | Matematický model vyrovnání


Matematický model vyrovnání
Předcházející Kapitola 52. Vyrovnání sítě Další

Matematický model vyrovnání

Síť je vyrovnávána metodou vyrovnání měření zprostředkujících s podmínkami. Jako zprostředkující veličiny jsou použity vodorovné délky a vodorovné úhly. Linearizovaný model vyrovnání je dán vztahem

D v = A h - l,

kde D je matice lineárního operátoru transformace měřených veličin na veličiny zprostředkující, v je vektor oprav geometrických veličin, A je matice lineárního operátoru designu sítě h je vektor oprav konfigurace a l je vektor pravých stran linearizovaného modelu sítě

za podmínky

vT* P v = min

Model se řeší za doplňujících podmínek na opravu přibližné konfigurace, které je možno zapsat ve tvaru

G h = 0

Řešení oprav konfigurace je pak dáno vztahem

h = (AT P A + GT G)-1 AT P l = N-1 AT P l

V průběhu výpočtu program provádí řadu kontrol, jejichž výsledky ukládá do protokolu. Mezi tyto kontroly patří:

  • kontrola inverze (dvojí norma matice reziduí),

  • kontrola podmínky G h = 0,

  • norma vektoru AT P w = 0,

  • dvojí výpočet oprav geometrických veličin,

  • dvojí výpočet oprav zprostředkujících veličin,

  • dvojí výpočet [pvv],

  • kontrolní výpočet wT P w.

Kromě toho program ještě provádí řadu interních kontrol na konzistentnost vstupních dat.

Velikosti vypočtených oprav geometrických veličin jsou testovány na odlehlost podle nastavených rizik (alfa a beta). Při překročení testu program vypočte odhad chyby v geometrické veličině. Tento odhad je poměrně spolehlivý za předpokladu ojedinělosti chyby v souboru měření.

Předcházející | Domů | Další
Porovnání etap | Nahoru | Menu SOUBOR


Menu SOUBOR
Předcházející Kapitola 52. Vyrovnání sítě Další

Menu SOUBOR

Příkazy menu Soubor slouží k manipulaci se soubory a ukončení programu.

Otevři

Tímto příkazem můžete načíst data pro vyrovnání sítě ze souboru. Program umí pracovat se dvěma typy souborů:

  • Groma: Vlastní formát systému GROMA

  • ČVUT: Textový formát používaný na ČVUT Praha

Ulož

Příkaz slouží pro uložení sítě do souboru. Je-li síť již pojmenována (byla-li již uložena, nebo byla-li načtena ze souboru), program síť uloží bez dalšího dotazu pod starým jménem. Nebylo-li ještě jméno sítě zadáno, program se na něj před uložením dotáže.

Ulož jako

Příkaz slouží k uložení sítě do souboru. Od předchozího příkazu se liší tím, že se na název souboru dotáže vždy.

Konec

Tímto příkazem ukončíte práci s programem. Byla-li síť po posledním uložení změněna, program se dotáže, zda ji chcete uložit.

Předcházející | Domů | Další
Matematický model vyrovnání | Nahoru | Menu SÍŤ


Menu SÍŤ
Předcházející Kapitola 52. Vyrovnání sítě Další

Menu SÍŤ

Parametry sítě

V tomto dialogovém okně je nutno nastavit některé parametry vyrovnávané sítě.

Lokalita

Název lokality, který je ukládán do protokolu.

Datum

Datum měření v síti.

Etapa

Název etapy, který je ukládán do protokolu.

Jednotková střední chyba - polohový výpočet

Apriorní jednotková chyba m0, která bude použita při vyrovnání. Nejsou-li měřeny délky, zadejte zde jednotkovou střední chybu směru, jsou-li měřeny délky, zadejte jednotkovou střední chybu délky. Po vyrovnání je testován poměr této apriorní jednotkové střední chyby a jednotkové střední chyby aposteriorní, určené na základě vyrovnání. Tento poměr by se měl co nejvíce blížit hodnotě 1.

Jednotková střední chyba - výškový výpočet

Apriorní jednotková chyba m0, která bude použita při vyrovnání. Po vyrovnání je testován poměr této apriorní jednotkové střední chyby a jednotkové střední chyby aposteriorní, určené na základě vyrovnání. Tento poměr by se měl co nejvíce blížit hodnotě 1.

Střední chyba směru

Odhad střední chyby měřeného směru [cc].

Váha převýšení

Váhy převýšení jsou vypočteny dle vztahů uvedených v uživatelské příručce.

Střední chyba délky

Odhad střední chyby měřené délky. Střední chyba se zadává ve tvaru A + Bppm, kde A je součtová část a B násobná část střední chyby, obdobně jako je charakterizována přesnost elektronických dálkoměrů. Např. při nastavení 3+2ppm bude pro délku 2000 m nabídnuta střední chyba 3mm + 2*2mm = 7mm.

Alfa, Beta

Parametry Alfa a Beta (v procentech) pro testování statistických hypotéz o dodržení přesnosti měření.

Smazat síť

Tímto příkazem můžete smazat celou síť. Byla-li síť po posledním uložení změněna, program se dotáže, zda ji chcete uložit.

Vypustit bod

Chcete-li vypustit bod ze sítě, označte jej kurzorem v seznamu přibližných souřadnic, a zvolte tento příkaz. Po jeho vyvolání je zobrazeno dialogové okno, kde můžete potvrdit nebo změnit číslo bodu, který chcete smazat. Rozdíl oproti stisknutí tlačítka (Ubrat) spočívá v tom, že tento příkaz vypustí ze sítě nejen přibližné souřadnice zvoleného bodu, ale i všechna měření, v nichž daný bod figuruje.

Upravit střední chyby směrů

Po zadání tohoto příkazu je všem měřeným směrům nastavena apriorní střední chyba směru nastavená v parametrech sítě. Tento příkaz použijte, chcete-li dodatečně (např. na základě protokolu z předchozího výpočtu) hromadně upravit střední chyby všech směrů.

Upravit střední chyby délek

Po zadání tohoto příkazu je všem měřeným délkám nastavena apriorní střední chyba směru podle nastavení v parametrech sítě. Tento příkaz použijte, chcete-li dodatečně (např. na základě protokolu z předchozího výpočtu) hromadně upravit střední chyby všech délek.

Zobrazit kontrolní kresbu

Pomocí tohoto příkazu lze v systému GROMA zobrazit kontrolní kresbu sítě, aniž by síť musela být počítána. Tuto kontrolní kresbu je možné vytisknout. Po výpočtu je kontrolní kresba zobrazena automaticky.

Porovnání etap

Jestliže již proběhlo vyrovnání dané sítě, program se vás po volbě tohoto příkazu dotáže na název souboru s referenční sítí (soubor typu .net), a jestliže jsou v něm uloženy vyrovnané souřadnice, sestaví do tabulky v protokolu složky, velikosti a směrníky posunů mezi oběma etapami.

Předcházející | Domů | Další
Menu SOUBOR | Nahoru | Kapitola 53. Závěr


Kapitola 53. Závěr
Předcházející Část IV. Rozšiřující moduly

Kapitola 53. Závěr

Přejeme vám snadnou a příjemnou práci s programem GROMA. V případě jakékoli nejasnosti nebo závady se s námi můžete spojit na adrese

GEOLINE, spol. s r.o.
Na Mokřině 6
130 00 Praha 3
222 365 833
<http://www.groma.cz>
<info@groma.cz>

Rádi vám podáme jakékoli informace o programu GROMA, o tom, co je nového v poslední verzi programu i o případných podmínkách upgrade.

Předcházející | Domů
Menu SÍŤ | Nahoru